!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 136

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1274)
  integer, parameter :: nGC_1 = 1
  integer, parameter :: nGC_4511 = 2
  integer, parameter :: nGC_4 = 3
  integer, parameter :: nGC_2 = 4
  integer, parameter :: nGC_3 = 5
  integer, parameter :: nGC_19 = 6
  integer, parameter :: nGC_17 = 7
  integer, parameter :: nGC_18 = 8
  integer, parameter :: nGC_4517 = 9
  integer, parameter :: nGC_59 = 10
  integer, parameter :: nGC_61 = 11
  integer, parameter :: nGC_62 = 12
  integer, parameter :: nGC_10 = 13
  integer, parameter :: nGC_8 = 14
  integer, parameter :: nGC_7 = 15
  integer, parameter :: nGC_20 = 16
  integer, parameter :: nGC_45 = 17
  integer, parameter :: nGC_46 = 18
  integer, parameter :: nGC_38 = 19
  integer, parameter :: nGC_55 = 20
  integer, parameter :: nGC_37 = 21
  integer, parameter :: nGC_47 = 22
  integer, parameter :: nGC_48 = 23
  integer, parameter :: nGC_56 = 24
  integer, parameter :: nGC_14 = 25
  integer, parameter :: nGC_16 = 26
  integer, parameter :: nGC_90 = 27
  integer, parameter :: nGC_72 = 28
  integer, parameter :: nGC_69 = 29
  integer, parameter :: nGC_81 = 30
  integer, parameter :: nGC_84 = 31
  integer, parameter :: nGC_66 = 32
  integer, parameter :: nGC_73 = 33
  integer, parameter :: nGC_82 = 34
  integer, parameter :: nGC_67 = 35
  integer, parameter :: nGC_74 = 36
  integer, parameter :: nGC_83 = 37
  integer, parameter :: nGC_68 = 38
  integer, parameter :: nGC_75 = 39
  integer, parameter :: nGC_4559 = 40
  integer, parameter :: nGC_78 = 41
  integer, parameter :: nGC_4560 = 42
  integer, parameter :: nGC_87 = 43
  integer, parameter :: nGC_4561 = 44
  integer, parameter :: nGC_76 = 45
  integer, parameter :: nGC_79 = 46
  integer, parameter :: nGC_88 = 47
  integer, parameter :: nGC_77 = 48
  integer, parameter :: nGC_80 = 49
  integer, parameter :: nGC_89 = 50
  integer, parameter :: nGC_92 = 51
  integer, parameter :: nGC_71 = 52
  integer, parameter :: nGC_86 = 53
  integer, parameter :: nGC_91 = 54
  integer, parameter :: nGC_70 = 55
  integer, parameter :: nGC_85 = 56
  integer, parameter :: nGC_42 = 57
  integer, parameter :: nGC_40 = 58
  integer, parameter :: nGC_41 = 59
  integer, parameter :: nGC_64 = 60
  integer, parameter :: nGC_33 = 61
  integer, parameter :: nGC_30 = 62
  integer, parameter :: nGC_31 = 63
  integer, parameter :: nGC_24 = 64
  integer, parameter :: nGC_39 = 65
  integer, parameter :: nGC_29 = 66
  integer, parameter :: nGC_32 = 67
  integer, parameter :: nGC_21 = 68
  integer, parameter :: nGC_25 = 69
  integer, parameter :: nGC_23 = 70
  integer, parameter :: nGC_63 = 71
  integer, parameter :: nGC_9 = 72
  integer, parameter :: nGC_22 = 73
  integer, parameter :: nGC_54 = 74
  integer, parameter :: nGC_43 = 75
  integer, parameter :: nGC_51 = 76
  integer, parameter :: nGC_52 = 77
  integer, parameter :: nGC_13 = 78
  integer, parameter :: nGC_12 = 79
  integer, parameter :: nGC_26 = 80
  integer, parameter :: nGC_60 = 81
  integer, parameter :: nGC_11 = 82
  integer, parameter :: nGC_44 = 83
  integer, parameter :: nGC_58 = 84
  integer, parameter :: nGC_57 = 85
  integer, parameter :: nGC_28 = 86
  integer, parameter :: nGC_65 = 87
  integer, parameter :: nGC_27 = 88
  integer, parameter :: nGC_6 = 89
  integer, parameter :: nGC_5 = 90
  integer, parameter :: nGC_15 = 91
  integer, parameter :: nGC_34 = 92
  integer, parameter :: nGC_49 = 93
  integer, parameter :: nGC_36 = 94
  integer, parameter :: nGC_35 = 95
  integer, parameter :: nGC_53 = 96
  integer, parameter :: nGC_50 = 97
  integer, parameter :: nGC_TS_GC_51_H1 = 98
  integer, parameter :: nGC_TS_GC_12_H1 = 99
  integer, parameter :: nGC_TS_GC_58_H1 = 100
  integer, parameter :: nGC_TS_GC_65_H1 = 101
  integer, parameter :: nGC_TS_GC_17_H1 = 102
  integer, parameter :: nGC_TS_GC_19_H1 = 103
  integer, parameter :: nGC_TS_GC_59_H1 = 104
  integer, parameter :: nGC_TS_GC_61_H1 = 105
  integer, parameter :: nGC_TS_GC_62_H1 = 106
  integer, parameter :: nGC_TS_GC_1_H1 = 107
  integer, parameter :: nGC_TS_GC_74_H1 = 108
  integer, parameter :: nGC_TS_GC_83_H1 = 109
  integer, parameter :: nGC_TS_GC_68_H1 = 110
  integer, parameter :: nGC_TS_GC_77_H1 = 111
  integer, parameter :: nGC_TS_GC_80_H1 = 112
  integer, parameter :: nGC_TS_GC_89_H1 = 113
  integer, parameter :: nGC_TS_GC_91_H1 = 114
  integer, parameter :: nGC_TS_GC_70_H1 = 115
  integer, parameter :: nGC_TS_GC_85_H1 = 116
  integer, parameter :: nGC_TS_GC_40_H1 = 117
  integer, parameter :: nGC_TS_GC_30_H1 = 118
  integer, parameter :: nGC_TS_GC_29_H1 = 119
  integer, parameter :: nGC_TS_GC_21_H1 = 120
  integer, parameter :: nGC_TS_GC_63_H1 = 121
  integer, parameter :: nGC_4645 = 122
  integer, parameter :: nGC_MH1 = 123
  integer, parameter :: nGC_I = 124
  integer, parameter :: nGC_4647 = 125
  integer, parameter :: nGC_MHP = 126
  integer, parameter :: nGC_MI = 127
  integer, parameter :: nGC_4649 = 128
  integer, parameter :: nGC_ME = 129
  integer, parameter :: nGC_4650 = 130
  integer, parameter :: nGC_MM = 131
  integer, parameter :: nGC_4651 = 132
  integer, parameter :: nGC_MTA = 133
  integer, parameter :: nGC_MU = 134
  integer, parameter :: nGC_MC = 135
  integer, parameter :: nGC_MT = 136
  integer, parameter :: nGC_MD = 137
  integer, parameter :: nGC_MS = 138
  integer, parameter :: nGC_MB = 139
  integer, parameter :: nGC_4664 = 140
  integer, parameter :: nGC_MZ = 141
  integer, parameter :: nGC_4665 = 142
  integer, parameter :: nGC_MW = 143
  integer, parameter :: nGC_MW_GF = 144
  integer, parameter :: nGC_MMW_GF = 145
  integer, parameter :: nGC_MZ_GF = 146
  integer, parameter :: nGC_292 = 147
  integer, parameter :: nGC_296 = 148
  integer, parameter :: nGC_310 = 149
  integer, parameter :: nGC_316 = 150
  integer, parameter :: nGC_346 = 151
  integer, parameter :: nGC_356 = 152
  integer, parameter :: nGC_360 = 153
  integer, parameter :: nGC_362 = 154
  integer, parameter :: nGC_386 = 155
  integer, parameter :: nGC_390 = 156
  integer, parameter :: nGC_394 = 157
  integer, parameter :: nGC_410 = 158
  integer, parameter :: nGC_414 = 159
  integer, parameter :: nGC_418 = 160
  integer, parameter :: nGC_440 = 161
  integer, parameter :: nGC_444 = 162
  integer, parameter :: nGC_448 = 163
  integer, parameter :: nGC_502 = 164
  integer, parameter :: nGC_510 = 165
  integer, parameter :: nGC_546 = 166
  integer, parameter :: nGC_560 = 167
  integer, parameter :: nGC_632 = 168
  integer, parameter :: nGC_634 = 169
  integer, parameter :: nGC_648 = 170
  integer, parameter :: nGC_650 = 171
  integer, parameter :: nGC_670 = 172
  integer, parameter :: nGC_672 = 173
  integer, parameter :: nGC_1732 = 174
  integer, parameter :: nGC_1746 = 175
  integer, parameter :: nGC_1756 = 176
  integer, parameter :: nGC_1948 = 177
  integer, parameter :: nGC_1960 = 178
  integer, parameter :: nGC_2312 = 179
  integer, parameter :: nGC_2324 = 180
  integer, parameter :: nGC_6174 = 181
  integer, parameter :: nGC_6179 = 182
  integer, parameter :: nGC_6185 = 183
  integer, parameter :: nGC_6190 = 184
  integer, parameter :: nGC_6386 = 185
  integer, parameter :: nGC_6387 = 186
  integer, parameter :: nGC_6396 = 187
  integer, parameter :: nGC_6397 = 188
  integer, parameter :: nGC_6407 = 189
  integer, parameter :: nGC_6406 = 190
  integer, parameter :: nGC_6416 = 191
  integer, parameter :: nGC_6417 = 192
  integer, parameter :: nGC_6426 = 193
  integer, parameter :: nGC_6427 = 194
  integer, parameter :: nGC_6436 = 195
  integer, parameter :: nGC_6437 = 196
  integer, parameter :: nGC_6446 = 197
  integer, parameter :: nGC_6449 = 198
  integer, parameter :: nGC_6452 = 199
  integer, parameter :: nGC_6454 = 200
  integer, parameter :: nGC_6459 = 201
  integer, parameter :: nGC_6464 = 202
  integer, parameter :: nGC_6469 = 203
  integer, parameter :: nGC_6475 = 204
  integer, parameter :: nGC_6481 = 205
  integer, parameter :: nGC_6512 = 206
  integer, parameter :: nGC_6513 = 207
  integer, parameter :: nGC_6522 = 208
  integer, parameter :: nGC_6523 = 209
  integer, parameter :: nGC_6532 = 210
  integer, parameter :: nGC_6533 = 211
  integer, parameter :: nGC_6543 = 212
  integer, parameter :: nGC_6542 = 213
  integer, parameter :: nGC_6552 = 214
  integer, parameter :: nGC_6553 = 215
  integer, parameter :: nGC_6563 = 216
  integer, parameter :: nGC_6562 = 217
  integer, parameter :: nGC_6680 = 218
  integer, parameter :: nGC_6688 = 219
  integer, parameter :: nGC_6729 = 220
  integer, parameter :: nGC_6786 = 221
  integer, parameter :: nGC_6798 = 222
  integer, parameter :: nGC_6807 = 223
  integer, parameter :: nGC_6821 = 224
  integer, parameter :: nGC_6817 = 225
  integer, parameter :: nGC_6820 = 226
  integer, parameter :: nGC_6825 = 227
  integer, parameter :: nGC_6829 = 228
  integer, parameter :: nGC_6842 = 229
  integer, parameter :: nGC_6838 = 230
  integer, parameter :: nGC_6849 = 231
  integer, parameter :: nGC_6861 = 232
  integer, parameter :: nGC_6857 = 233
  integer, parameter :: nGC_6868 = 234
  integer, parameter :: nGC_6874 = 235
  integer, parameter :: nGC_6877 = 236
  integer, parameter :: nGC_6882 = 237
  integer, parameter :: nGC_6878 = 238
  integer, parameter :: nGC_6881 = 239
  integer, parameter :: nGC_6886 = 240
  integer, parameter :: nGC_6893 = 241
  integer, parameter :: nGC_6900 = 242
  integer, parameter :: nGC_6892 = 243
  integer, parameter :: nGC_6901 = 244
  integer, parameter :: nGC_6902 = 245
  integer, parameter :: nGC_6905 = 246
  integer, parameter :: nGC_6910 = 247
  integer, parameter :: nGC_6906 = 248
  integer, parameter :: nGC_6920 = 249
  integer, parameter :: nGC_6926 = 250
  integer, parameter :: nGC_6919 = 251
  integer, parameter :: nGC_6927 = 252
  integer, parameter :: nGC_6928 = 253
  integer, parameter :: nGC_6931 = 254
  integer, parameter :: nGC_6936 = 255
  integer, parameter :: nGC_6932 = 256
  integer, parameter :: nGC_6946 = 257
  integer, parameter :: nGC_6952 = 258
  integer, parameter :: nGC_6945 = 259
  integer, parameter :: nGC_6953 = 260
  integer, parameter :: nGC_6962 = 261
  integer, parameter :: nGC_6958 = 262
  integer, parameter :: nGC_6954 = 263
  integer, parameter :: nGC_6957 = 264
  integer, parameter :: nGC_6966 = 265
  integer, parameter :: nGC_6973 = 266
  integer, parameter :: nGC_6979 = 267
  integer, parameter :: nGC_6972 = 268
  integer, parameter :: nGC_6980 = 269
  integer, parameter :: nGC_6981 = 270
  integer, parameter :: nGC_6984 = 271
  integer, parameter :: nGC_6989 = 272
  integer, parameter :: nGC_6985 = 273
  integer, parameter :: nGC_6999 = 274
  integer, parameter :: nGC_7005 = 275
  integer, parameter :: nGC_6998 = 276
  integer, parameter :: nGC_7006 = 277
  integer, parameter :: nGC_7015 = 278
  integer, parameter :: nGC_7011 = 279
  integer, parameter :: nGC_7007 = 280
  integer, parameter :: nGC_7010 = 281
  integer, parameter :: nGC_7025 = 282
  integer, parameter :: nGC_7031 = 283
  integer, parameter :: nGC_7024 = 284
  integer, parameter :: nGC_7032 = 285
  integer, parameter :: nGC_7033 = 286
  integer, parameter :: nGC_7035 = 287
  integer, parameter :: nGC_7034 = 288
  integer, parameter :: nGC_7036 = 289
  integer, parameter :: nGC_7049 = 290
  integer, parameter :: nGC_7051 = 291
  integer, parameter :: nGC_7048 = 292
  integer, parameter :: nGC_7050 = 293
  integer, parameter :: nGC_7063 = 294
  integer, parameter :: nGC_7065 = 295
  integer, parameter :: nGC_7062 = 296
  integer, parameter :: nGC_7064 = 297
  integer, parameter :: nGC_7077 = 298
  integer, parameter :: nGC_7079 = 299
  integer, parameter :: nGC_7076 = 300
  integer, parameter :: nGC_7078 = 301
  integer, parameter :: nGC_7091 = 302
  integer, parameter :: nGC_7093 = 303
  integer, parameter :: nGC_7090 = 304
  integer, parameter :: nGC_7092 = 305
  integer, parameter :: nGC_7104 = 306
  integer, parameter :: nGC_7106 = 307
  integer, parameter :: nGC_7105 = 308
  integer, parameter :: nGC_7107 = 309
  integer, parameter :: nGC_7120 = 310
  integer, parameter :: nGC_7124 = 311
  integer, parameter :: nGC_7128 = 312
  integer, parameter :: nGC_7157 = 313
  integer, parameter :: nGC_7174 = 314
  integer, parameter :: nGC_7173 = 315
  integer, parameter :: nGC_7175 = 316
  integer, parameter :: nGC_7180 = 317
  integer, parameter :: nGC_7179 = 318
  integer, parameter :: nGC_7185 = 319
  integer, parameter :: nGC_7184 = 320
  integer, parameter :: nGC_7192 = 321
  integer, parameter :: nGC_7191 = 322
  integer, parameter :: nGC_4658 = 323
  integer, parameter :: nGC_7198 = 324
  integer, parameter :: nGC_7200 = 325
  integer, parameter :: nGC_7202 = 326
  integer, parameter :: nGC_7204 = 327
  integer, parameter :: nGC_7199 = 328
  integer, parameter :: nGC_7201 = 329
  integer, parameter :: nGC_7203 = 330
  integer, parameter :: nGC_4660 = 331
  integer, parameter :: nGC_7212 = 332
  integer, parameter :: nGC_7214 = 333
  integer, parameter :: nGC_7216 = 334
  integer, parameter :: nGC_7218 = 335
  integer, parameter :: nGC_7213 = 336
  integer, parameter :: nGC_7215 = 337
  integer, parameter :: nGC_7217 = 338
  integer, parameter :: nGC_4662 = 339
  integer, parameter :: nGC_7226 = 340
  integer, parameter :: nGC_7228 = 341
  integer, parameter :: nGC_7230 = 342
  integer, parameter :: nGC_7232 = 343
  integer, parameter :: nGC_7227 = 344
  integer, parameter :: nGC_7229 = 345
  integer, parameter :: nGC_7231 = 346
  integer, parameter :: nGC_7241 = 347
  integer, parameter :: nGC_7238 = 348
  integer, parameter :: nGC_7239 = 349
  integer, parameter :: nGC_7240 = 350
  integer, parameter :: nGC_7242 = 351
  integer, parameter :: nGC_7249 = 352
  integer, parameter :: nGC_7246 = 353
  integer, parameter :: nGC_7247 = 354
  integer, parameter :: nGC_7248 = 355
  integer, parameter :: nGC_7250 = 356
  integer, parameter :: nGC_7257 = 357
  integer, parameter :: nGC_7254 = 358
  integer, parameter :: nGC_7255 = 359
  integer, parameter :: nGC_7256 = 360
  integer, parameter :: nGC_7258 = 361
  integer, parameter :: nGC_4652 = 362
  integer, parameter :: nGC_7264 = 363
  integer, parameter :: nGC_7266 = 364
  integer, parameter :: nGC_7268 = 365
  integer, parameter :: nGC_7270 = 366
  integer, parameter :: nGC_7265 = 367
  integer, parameter :: nGC_7267 = 368
  integer, parameter :: nGC_7269 = 369
  integer, parameter :: nGC_4654 = 370
  integer, parameter :: nGC_7278 = 371
  integer, parameter :: nGC_7280 = 372
  integer, parameter :: nGC_7282 = 373
  integer, parameter :: nGC_7284 = 374
  integer, parameter :: nGC_7279 = 375
  integer, parameter :: nGC_7281 = 376
  integer, parameter :: nGC_7283 = 377
  integer, parameter :: nGC_4656 = 378
  integer, parameter :: nGC_7292 = 379
  integer, parameter :: nGC_7294 = 380
  integer, parameter :: nGC_7296 = 381
  integer, parameter :: nGC_7298 = 382
  integer, parameter :: nGC_7293 = 383
  integer, parameter :: nGC_7295 = 384
  integer, parameter :: nGC_7297 = 385
  integer, parameter :: nGC_7313 = 386
  integer, parameter :: nGC_7312 = 387
  integer, parameter :: nGC_7314 = 388
  integer, parameter :: nGC_7319 = 389
  integer, parameter :: nGC_7320 = 390
  integer, parameter :: nGC_7321 = 391
  integer, parameter :: nGC_7322 = 392
  integer, parameter :: nGC_7323 = 393
  integer, parameter :: nGC_7324 = 394
  integer, parameter :: nGC_7325 = 395
  integer, parameter :: nGC_7326 = 396
  integer, parameter :: nGC_7334 = 397
  integer, parameter :: nGC_7335 = 398
  integer, parameter :: nGC_7337 = 399
  integer, parameter :: nGC_10266 = 400
  integer, parameter :: nGC_4177 = 401
  integer, parameter :: nGC_4178 = 402
  integer, parameter :: nGC_4179 = 403
  integer, parameter :: nGC_4180 = 404
  integer, parameter :: nGC_4181 = 405
  integer, parameter :: nGC_4182 = 406
  integer, parameter :: nGC_4183 = 407
  integer, parameter :: nGC_4184 = 408
  integer, parameter :: nGC_4185 = 409
  integer, parameter :: nGC_4186 = 410
  integer, parameter :: nGC_4187 = 411
  integer, parameter :: nGC_4188 = 412
  integer, parameter :: nGC_4189 = 413
  integer, parameter :: nGC_4190 = 414
  integer, parameter :: nGC_4191 = 415
  integer, parameter :: nGC_4192 = 416
  integer, parameter :: nGC_4193 = 417
  integer, parameter :: nGC_4194 = 418
  integer, parameter :: nGC_4195 = 419
  integer, parameter :: nGC_4196 = 420
  integer, parameter :: nGC_4197 = 421
  integer, parameter :: nGC_4198 = 422
  integer, parameter :: nGC_4199 = 423
  integer, parameter :: nGC_4200 = 424
  integer, parameter :: nGC_4202 = 425
  integer, parameter :: nGC_4201 = 426
  integer, parameter :: nGC_4203 = 427
  integer, parameter :: nGC_4204 = 428
  integer, parameter :: nGC_4205 = 429
  integer, parameter :: nGC_4207 = 430
  integer, parameter :: nGC_4206 = 431
  integer, parameter :: nGC_4208 = 432
  integer, parameter :: nGC_4209 = 433
  integer, parameter :: nGC_4210 = 434
  integer, parameter :: nGC_4211 = 435
  integer, parameter :: nGC_4212 = 436
  integer, parameter :: nGC_4213 = 437
  integer, parameter :: nGC_4214 = 438
  integer, parameter :: nGC_4215 = 439
  integer, parameter :: nGC_4216 = 440
  integer, parameter :: nGC_4217 = 441
  integer, parameter :: nGC_4218 = 442
  integer, parameter :: nGC_4219 = 443
  integer, parameter :: nGC_4220 = 444
  integer, parameter :: nGC_4221 = 445
  integer, parameter :: nGC_4222 = 446
  integer, parameter :: nGC_4223 = 447
  integer, parameter :: nGC_4224 = 448
  integer, parameter :: nGC_4225 = 449
  integer, parameter :: nGC_4226 = 450
  integer, parameter :: nGC_4227 = 451
  integer, parameter :: nGC_4228 = 452
  integer, parameter :: nGC_11864 = 453
  integer, parameter :: nGC_4229 = 454
  integer, parameter :: nGC_11872 = 455
  integer, parameter :: nGC_4230 = 456
  integer, parameter :: nGC_4231 = 457
  integer, parameter :: nGC_4232 = 458
  integer, parameter :: nGC_11890 = 459
  integer, parameter :: nGC_4233 = 460
  integer, parameter :: nGC_11897 = 461
  integer, parameter :: nGC_4234 = 462
  integer, parameter :: nGC_4235 = 463
  integer, parameter :: nGC_4236 = 464
  integer, parameter :: nGC_4237 = 465
  integer, parameter :: nGC_4238 = 466
  integer, parameter :: nGC_4239 = 467
  integer, parameter :: nGC_4240 = 468
  integer, parameter :: nGC_4241 = 469
  integer, parameter :: nGC_4242 = 470
  integer, parameter :: nGC_4243 = 471
  integer, parameter :: nGC_4244 = 472
  integer, parameter :: nGC_4245 = 473
  integer, parameter :: nGC_4246 = 474
  integer, parameter :: nGC_4247 = 475
  integer, parameter :: nGC_4248 = 476
  integer, parameter :: nGC_4249 = 477
  integer, parameter :: nGC_4250 = 478
  integer, parameter :: nGC_4251 = 479
  integer, parameter :: nGC_4252 = 480
  integer, parameter :: nGC_4253 = 481
  integer, parameter :: nGC_4254 = 482
  integer, parameter :: nGC_4255 = 483
  integer, parameter :: nGC_4256 = 484
  integer, parameter :: nGC_4257 = 485
  integer, parameter :: nGC_4258 = 486
  integer, parameter :: nGC_4259 = 487
  integer, parameter :: nGC_4260 = 488
  integer, parameter :: nGC_12081 = 489
  integer, parameter :: nGC_4261 = 490
  integer, parameter :: nGC_12089 = 491
  integer, parameter :: nGC_4262 = 492
  integer, parameter :: nGC_12095 = 493
  integer, parameter :: nGC_4263 = 494
  integer, parameter :: nGC_4264 = 495
  integer, parameter :: nGC_4266 = 496
  integer, parameter :: nGC_4265 = 497
  integer, parameter :: nGC_4267 = 498
  integer, parameter :: nGC_4268 = 499
  integer, parameter :: nGC_4270 = 500
  integer, parameter :: nGC_4269 = 501
  integer, parameter :: nGC_4271 = 502
  integer, parameter :: nGC_4272 = 503
  integer, parameter :: nGC_4274 = 504
  integer, parameter :: nGC_4273 = 505
  integer, parameter :: nGC_4275 = 506
  integer, parameter :: nGC_4276 = 507
  integer, parameter :: nGC_4277 = 508
  integer, parameter :: nGC_4278 = 509
  integer, parameter :: nGC_4279 = 510
  integer, parameter :: nGC_12198 = 511
  integer, parameter :: nGC_4280 = 512
  integer, parameter :: nGC_12206 = 513
  integer, parameter :: nGC_4281 = 514
  integer, parameter :: nGC_4282 = 515
  integer, parameter :: nGC_4283 = 516
  integer, parameter :: nGC_4284 = 517
  integer, parameter :: nGC_4285 = 518
  integer, parameter :: nGC_4286 = 519
  integer, parameter :: nGC_4287 = 520
  integer, parameter :: nGC_4288 = 521
  integer, parameter :: nGC_4289 = 522
  integer, parameter :: nGC_4290 = 523
  integer, parameter :: nGC_4291 = 524
  integer, parameter :: nGC_4292 = 525
  integer, parameter :: nGC_12312 = 526
  integer, parameter :: nGC_4293 = 527
  integer, parameter :: nGC_4295 = 528
  integer, parameter :: nGC_4294 = 529
  integer, parameter :: nGC_4296 = 530
  integer, parameter :: nGC_4297 = 531
  integer, parameter :: nGC_4299 = 532
  integer, parameter :: nGC_4298 = 533
  integer, parameter :: nGC_4300 = 534
  integer, parameter :: nGC_4301 = 535
  integer, parameter :: nGC_4303 = 536
  integer, parameter :: nGC_4302 = 537
  integer, parameter :: nGC_4304 = 538
  integer, parameter :: nGC_4305 = 539
  integer, parameter :: nGC_4306 = 540
  integer, parameter :: nGC_4307 = 541
  integer, parameter :: nGC_4308 = 542
  integer, parameter :: nGC_4309 = 543
  integer, parameter :: nGC_4311 = 544
  integer, parameter :: nGC_4310 = 545
  integer, parameter :: nGC_4312 = 546
  integer, parameter :: nGC_4313 = 547
  integer, parameter :: nGC_4315 = 548
  integer, parameter :: nGC_4314 = 549
  integer, parameter :: nGC_4316 = 550
  integer, parameter :: nGC_4317 = 551
  integer, parameter :: nGC_4318 = 552
  integer, parameter :: nGC_4319 = 553
  integer, parameter :: nGC_4321 = 554
  integer, parameter :: nGC_4320 = 555
  integer, parameter :: nGC_4322 = 556
  integer, parameter :: nGC_4323 = 557
  integer, parameter :: nGC_4324 = 558
  integer, parameter :: nGC_12505 = 559
  integer, parameter :: nGC_4325 = 560
  integer, parameter :: nGC_12512 = 561
  integer, parameter :: nGC_4326 = 562
  integer, parameter :: nGC_12518 = 563
  integer, parameter :: nGC_4327 = 564
  integer, parameter :: nGC_4328 = 565
  integer, parameter :: nGC_4329 = 566
  integer, parameter :: nGC_4330 = 567
  integer, parameter :: nGC_4331 = 568
  integer, parameter :: nGC_4332 = 569
  integer, parameter :: nGC_4333 = 570
  integer, parameter :: nGC_4334 = 571
  integer, parameter :: nGC_4335 = 572
  integer, parameter :: nGC_4336 = 573
  integer, parameter :: nGC_4337 = 574
  integer, parameter :: nGC_4338 = 575
  integer, parameter :: nGC_4339 = 576
  integer, parameter :: nGC_4340 = 577
  integer, parameter :: nGC_4341 = 578
  integer, parameter :: nGC_4342 = 579
  integer, parameter :: nGC_4343 = 580
  integer, parameter :: nGC_4344 = 581
  integer, parameter :: nGC_4345 = 582
  integer, parameter :: nGC_4346 = 583
  integer, parameter :: nGC_4347 = 584
  integer, parameter :: nGC_4348 = 585
  integer, parameter :: nGC_4349 = 586
  integer, parameter :: nGC_4350 = 587
  integer, parameter :: nGC_4351 = 588
  integer, parameter :: nGC_4352 = 589
  integer, parameter :: nGC_4353 = 590
  integer, parameter :: nGC_4354 = 591
  integer, parameter :: nGC_4355 = 592
  integer, parameter :: nGC_4356 = 593
  integer, parameter :: nGC_4357 = 594
  integer, parameter :: nGC_12689 = 595
  integer, parameter :: nGC_4358 = 596
  integer, parameter :: nGC_4359 = 597
  integer, parameter :: nGC_4360 = 598
  integer, parameter :: nGC_4361 = 599
  integer, parameter :: nGC_4362 = 600
  integer, parameter :: nGC_4363 = 601
  integer, parameter :: nGC_4365 = 602
  integer, parameter :: nGC_4364 = 603
  integer, parameter :: nGC_4366 = 604
  integer, parameter :: nGC_4367 = 605
  integer, parameter :: nGC_4369 = 606
  integer, parameter :: nGC_4368 = 607
  integer, parameter :: nGC_4370 = 608
  integer, parameter :: nGC_4371 = 609
  integer, parameter :: nGC_4372 = 610
  integer, parameter :: nGC_4373 = 611
  integer, parameter :: nGC_4374 = 612
  integer, parameter :: nGC_4375 = 613
  integer, parameter :: nGC_4376 = 614
  integer, parameter :: nGC_4377 = 615
  integer, parameter :: nGC_4378 = 616
  integer, parameter :: nGC_4379 = 617
  integer, parameter :: nGC_4380 = 618
  integer, parameter :: nGC_4381 = 619
  integer, parameter :: nGC_4382 = 620
  integer, parameter :: nGC_4383 = 621
  integer, parameter :: nGC_4384 = 622
  integer, parameter :: nGC_4385 = 623
  integer, parameter :: nGC_4386 = 624
  integer, parameter :: nGC_4387 = 625
  integer, parameter :: nGC_4388 = 626
  integer, parameter :: nGC_4389 = 627
  integer, parameter :: nGC_4390 = 628
  integer, parameter :: nGC_4391 = 629
  integer, parameter :: nGC_4392 = 630
  integer, parameter :: nGC_4393 = 631
  integer, parameter :: nGC_4394 = 632
  integer, parameter :: nGC_4395 = 633
  integer, parameter :: nGC_4396 = 634
  integer, parameter :: nGC_4397 = 635
  integer, parameter :: nGC_4398 = 636
  integer, parameter :: nGC_4399 = 637
  integer, parameter :: nGC_4400 = 638
  integer, parameter :: nGC_4401 = 639
  integer, parameter :: nGC_4402 = 640
  integer, parameter :: nGC_4403 = 641
  integer, parameter :: nGC_4404 = 642
  integer, parameter :: nGC_4405 = 643
  integer, parameter :: nGC_4406 = 644
  integer, parameter :: nGC_4407 = 645
  integer, parameter :: nGC_4408 = 646
  integer, parameter :: nGC_4409 = 647
  integer, parameter :: nGC_4410 = 648
  integer, parameter :: nGC_4411 = 649
  integer, parameter :: nGC_4412 = 650
  integer, parameter :: nGC_4413 = 651
  integer, parameter :: nGC_4414 = 652
  integer, parameter :: nGC_4415 = 653
  integer, parameter :: nGC_4416 = 654
  integer, parameter :: nGC_13217 = 655
  integer, parameter :: nGC_4417 = 656
  integer, parameter :: nGC_13219 = 657
  integer, parameter :: nGC_4418 = 658
  integer, parameter :: nGC_4419 = 659
  integer, parameter :: nGC_4420 = 660
  integer, parameter :: nGC_4421 = 661
  integer, parameter :: nGC_4422 = 662
  integer, parameter :: nGC_4423 = 663
  integer, parameter :: nGC_4424 = 664
  integer, parameter :: nGC_4425 = 665
  integer, parameter :: nGC_4426 = 666
  integer, parameter :: nGC_4427 = 667
  integer, parameter :: nGC_4428 = 668
  integer, parameter :: nGC_4429 = 669
  integer, parameter :: nGC_4430 = 670
  integer, parameter :: nGC_4431 = 671
  integer, parameter :: nGC_4432 = 672
  integer, parameter :: nGC_4433 = 673
  integer, parameter :: nGC_4434 = 674
  integer, parameter :: nGC_4435 = 675
  integer, parameter :: nGC_4436 = 676
  integer, parameter :: nGC_4437 = 677
  integer, parameter :: nGC_4438 = 678
  integer, parameter :: nGC_4439 = 679
  integer, parameter :: nGC_4440 = 680
  integer, parameter :: nGC_4441 = 681
  integer, parameter :: nGC_4442 = 682
  integer, parameter :: nGC_4443 = 683
  integer, parameter :: nGC_4444 = 684
  integer, parameter :: nGC_4445 = 685
  integer, parameter :: nGC_4446 = 686
  integer, parameter :: nGC_4447 = 687
  integer, parameter :: nGC_4448 = 688
  integer, parameter :: nGC_4449 = 689
  integer, parameter :: nGC_4450 = 690
  integer, parameter :: nGC_4451 = 691
  integer, parameter :: nGC_4452 = 692
  integer, parameter :: nGC_4453 = 693
  integer, parameter :: nGC_4454 = 694
  integer, parameter :: nGC_4455 = 695
  integer, parameter :: nGC_4456 = 696
  integer, parameter :: nGC_4457 = 697
  integer, parameter :: nGC_4458 = 698
  integer, parameter :: nGC_4459 = 699
  integer, parameter :: nGC_4460 = 700
  integer, parameter :: nGC_4461 = 701
  integer, parameter :: nGC_4462 = 702
  integer, parameter :: nGC_4463 = 703
  integer, parameter :: nGC_4464 = 704
  integer, parameter :: nGC_4465 = 705
  integer, parameter :: nGC_4466 = 706
  integer, parameter :: nGC_4467 = 707
  integer, parameter :: nGC_4468 = 708
  integer, parameter :: nGC_4469 = 709
  integer, parameter :: nGC_4470 = 710
  integer, parameter :: nGC_4471 = 711
  integer, parameter :: nGC_4472 = 712
  integer, parameter :: nGC_4473 = 713
  integer, parameter :: nGC_4474 = 714
  integer, parameter :: nGC_4475 = 715
  integer, parameter :: nGC_4476 = 716
  integer, parameter :: nGC_4477 = 717
  integer, parameter :: nGC_4478 = 718
  integer, parameter :: nGC_4479 = 719
  integer, parameter :: nGC_4480 = 720
  integer, parameter :: nGC_4481 = 721
  integer, parameter :: nGC_4482 = 722
  integer, parameter :: nGC_4483 = 723
  integer, parameter :: nGC_4484 = 724
  integer, parameter :: nGC_4485 = 725
  integer, parameter :: nGC_4486 = 726
  integer, parameter :: nGC_4487 = 727
  integer, parameter :: nGC_4488 = 728
  integer, parameter :: nGC_4489 = 729
  integer, parameter :: nGC_4490 = 730
  integer, parameter :: nGC_4491 = 731
  integer, parameter :: nGC_4492 = 732
  integer, parameter :: nGC_4493 = 733
  integer, parameter :: nGC_4494 = 734
  integer, parameter :: nGC_4495 = 735
  integer, parameter :: nGC_4496 = 736
  integer, parameter :: nGC_4497 = 737
  integer, parameter :: nGC_4498 = 738
  integer, parameter :: nGC_4499 = 739
  integer, parameter :: nGC_4500 = 740
  integer, parameter :: nGC_4501 = 741
  integer, parameter :: nGC_4502 = 742
  integer, parameter :: nGC_4503 = 743
  integer, parameter :: nGC_4504 = 744
  integer, parameter :: nGC_4505 = 745
  integer, parameter :: nGC_4506 = 746
  integer, parameter :: nGC_4507 = 747
  integer, parameter :: nGC_4508 = 748
  integer, parameter :: nGC_4509 = 749
  integer, parameter :: nGC_4510 = 750
  integer, parameter :: nGC_138 = 751
  integer, parameter :: nGC_142 = 752
  integer, parameter :: nGC_4101 = 753
  integer, parameter :: nGC_4121 = 754
  integer, parameter :: nGC_4120 = 755
  integer, parameter :: nGC_146 = 756
  integer, parameter :: nGC_148 = 757
  integer, parameter :: nGC_4078 = 758
  integer, parameter :: nGC_4077 = 759
  integer, parameter :: nGC_152 = 760
  integer, parameter :: nGC_154 = 761
  integer, parameter :: nGC_4115 = 762
  integer, parameter :: nGC_4108 = 763
  integer, parameter :: nGC_4110 = 764
  integer, parameter :: nGC_4126 = 765
  integer, parameter :: nGC_4127 = 766
  integer, parameter :: nGC_4047 = 767
  integer, parameter :: nGC_4045 = 768
  integer, parameter :: nGC_4046 = 769
  integer, parameter :: nGC_4024 = 770
  integer, parameter :: nGC_4025 = 771
  integer, parameter :: nGC_4026 = 772
  integer, parameter :: nGC_4168 = 773
  integer, parameter :: nGC_4169 = 774
  integer, parameter :: nGC_4170 = 775
  integer, parameter :: nGC_4066 = 776
  integer, parameter :: nGC_4065 = 777
  integer, parameter :: nGC_4063 = 778
  integer, parameter :: nGC_4064 = 779
  integer, parameter :: nGC_4157 = 780
  integer, parameter :: nGC_4158 = 781
  integer, parameter :: nGC_4159 = 782
  integer, parameter :: nGC_4039 = 783
  integer, parameter :: nGC_4041 = 784
  integer, parameter :: nGC_4040 = 785
  integer, parameter :: nGC_4044 = 786
  integer, parameter :: nGC_4042 = 787
  integer, parameter :: nGC_4043 = 788
  integer, parameter :: nGC_4067 = 789
  integer, parameter :: nGC_4069 = 790
  integer, parameter :: nGC_4068 = 791
  integer, parameter :: nGC_4070 = 792
  integer, parameter :: nGC_4116 = 793
  integer, parameter :: nGC_4119 = 794
  integer, parameter :: nGC_4096 = 795
  integer, parameter :: nGC_4097 = 796
  integer, parameter :: nGC_4106 = 797
  integer, parameter :: nGC_4095 = 798
  integer, parameter :: nGC_4099 = 799
  integer, parameter :: nGC_4105 = 800
  integer, parameter :: nGC_4176 = 801
  integer, parameter :: nGC_4175 = 802
  integer, parameter :: nGC_4171 = 803
  integer, parameter :: nGC_4172 = 804
  integer, parameter :: nGC_4167 = 805
  integer, parameter :: nGC_4166 = 806
  integer, parameter :: nGC_4082 = 807
  integer, parameter :: nGC_4083 = 808
  integer, parameter :: nGC_4084 = 809
  integer, parameter :: nGC_4154 = 810
  integer, parameter :: nGC_4153 = 811
  integer, parameter :: nGC_4152 = 812
  integer, parameter :: nGC_4151 = 813
  integer, parameter :: nGC_4147 = 814
  integer, parameter :: nGC_4148 = 815
  integer, parameter :: nGC_4136 = 816
  integer, parameter :: nGC_4135 = 817
  integer, parameter :: nGC_4173 = 818
  integer, parameter :: nGC_4174 = 819
  integer, parameter :: nGC_4138 = 820
  integer, parameter :: nGC_4137 = 821
  integer, parameter :: nGC_4150 = 822
  integer, parameter :: nGC_4149 = 823
  integer, parameter :: nGC_4125 = 824
  integer, parameter :: nGC_4124 = 825
  integer, parameter :: nGC_4140 = 826
  integer, parameter :: nGC_4139 = 827
  integer, parameter :: nGC_4133 = 828
  integer, parameter :: nGC_4134 = 829
  integer, parameter :: nGC_4079 = 830
  integer, parameter :: nGC_4080 = 831
  integer, parameter :: nGC_4081 = 832
  integer, parameter :: nGC_4112 = 833
  integer, parameter :: nGC_4132 = 834
  integer, parameter :: nGC_4131 = 835
  integer, parameter :: nGC_4059 = 836
  integer, parameter :: nGC_4058 = 837
  integer, parameter :: nGC_4057 = 838
  integer, parameter :: nGC_4032 = 839
  integer, parameter :: nGC_4031 = 840
  integer, parameter :: nGC_4030 = 841
  integer, parameter :: nGC_4048 = 842
  integer, parameter :: nGC_4049 = 843
  integer, parameter :: nGC_4050 = 844
  integer, parameter :: nGC_4051 = 845
  integer, parameter :: nGC_4053 = 846
  integer, parameter :: nGC_4052 = 847
  integer, parameter :: nGC_4117 = 848
  integer, parameter :: nGC_4118 = 849
  integer, parameter :: nGC_4122 = 850
  integer, parameter :: nGC_4123 = 851
  integer, parameter :: nGC_4128 = 852
  integer, parameter :: nGC_4130 = 853
  integer, parameter :: nGC_4129 = 854
  integer, parameter :: nGC_4074 = 855
  integer, parameter :: nGC_4076 = 856
  integer, parameter :: nGC_4075 = 857
  integer, parameter :: nGC_4114 = 858
  integer, parameter :: nGC_4113 = 859
  integer, parameter :: nGC_4033 = 860
  integer, parameter :: nGC_4035 = 861
  integer, parameter :: nGC_4034 = 862
  integer, parameter :: nGC_4073 = 863
  integer, parameter :: nGC_4071 = 864
  integer, parameter :: nGC_4072 = 865
  integer, parameter :: nGC_4060 = 866
  integer, parameter :: nGC_4061 = 867
  integer, parameter :: nGC_4062 = 868
  integer, parameter :: nGC_4144 = 869
  integer, parameter :: nGC_4146 = 870
  integer, parameter :: nGC_4145 = 871
  integer, parameter :: nGC_4086 = 872
  integer, parameter :: nGC_4087 = 873
  integer, parameter :: nGC_4088 = 874
  integer, parameter :: nGC_4085 = 875
  integer, parameter :: nGC_4142 = 876
  integer, parameter :: nGC_4143 = 877
  integer, parameter :: nGC_4141 = 878
  integer, parameter :: nGC_4109 = 879
  integer, parameter :: nGC_4104 = 880
  integer, parameter :: nGC_158 = 881
  integer, parameter :: nGC_4156 = 882
  integer, parameter :: nGC_4155 = 883
  integer, parameter :: nGC_4038 = 884
  integer, parameter :: nGC_4036 = 885
  integer, parameter :: nGC_4037 = 886
  integer, parameter :: nGC_4165 = 887
  integer, parameter :: nGC_4164 = 888
  integer, parameter :: nGC_4163 = 889
  integer, parameter :: nGC_4160 = 890
  integer, parameter :: nGC_4161 = 891
  integer, parameter :: nGC_4162 = 892
  integer, parameter :: nGC_4055 = 893
  integer, parameter :: nGC_4056 = 894
  integer, parameter :: nGC_4054 = 895
  integer, parameter :: nGC_4027 = 896
  integer, parameter :: nGC_4029 = 897
  integer, parameter :: nGC_4028 = 898
  integer, parameter :: nGC_230 = 899
  integer, parameter :: nGC_234 = 900
  integer, parameter :: nGC_238 = 901
  integer, parameter :: nGC_4535 = 902
  integer, parameter :: nGC_4537 = 903
  integer, parameter :: nGC_4536 = 904
  integer, parameter :: nGC_4538 = 905
  integer, parameter :: nGC_4539 = 906
  integer, parameter :: nGC_4541 = 907
  integer, parameter :: nGC_4540 = 908
  integer, parameter :: nGC_4542 = 909
  integer, parameter :: nGC_4543 = 910
  integer, parameter :: nGC_4545 = 911
  integer, parameter :: nGC_4544 = 912
  integer, parameter :: nGC_4546 = 913
  integer, parameter :: nGC_4093 = 914
  integer, parameter :: nGC_4098 = 915
  integer, parameter :: nGC_4089 = 916
  integer, parameter :: nGC_4094 = 917
  integer, parameter :: nGC_4554 = 918
  integer, parameter :: nGC_4102 = 919
  integer, parameter :: nGC_4556 = 920
  integer, parameter :: nGC_4091 = 921
  integer, parameter :: nGC_4558 = 922
  integer, parameter :: nGC_4107 = 923
  integer, parameter :: nGC_4092 = 924
  integer, parameter :: nGC_4103 = 925
  integer, parameter :: nGC_4111 = 926
  integer, parameter :: nGC_4090 = 927
  integer, parameter :: nGC_4577 = 928
  integer, parameter :: nGC_4100 = 929
  integer, parameter :: nGC_4659 = 930
  integer, parameter :: nGC_4661 = 931
  integer, parameter :: nGC_4663 = 932
  integer, parameter :: nGC_4653 = 933
  integer, parameter :: nGC_4655 = 934
  integer, parameter :: nGC_4657 = 935
  integer, parameter :: nGC_4512 = 936
  integer, parameter :: nGC_4513 = 937
  integer, parameter :: nGC_4514 = 938
  integer, parameter :: nGC_4515 = 939
  integer, parameter :: nGC_4516 = 940
  integer, parameter :: nGC_4518 = 941
  integer, parameter :: nGC_4519 = 942
  integer, parameter :: nGC_4520 = 943
  integer, parameter :: nGC_4521 = 944
  integer, parameter :: nGC_4522 = 945
  integer, parameter :: nGC_4523 = 946
  integer, parameter :: nGC_4524 = 947
  integer, parameter :: nGC_4525 = 948
  integer, parameter :: nGC_4526 = 949
  integer, parameter :: nGC_4527 = 950
  integer, parameter :: nGC_4528 = 951
  integer, parameter :: nGC_4529 = 952
  integer, parameter :: nGC_4530 = 953
  integer, parameter :: nGC_4531 = 954
  integer, parameter :: nGC_4532 = 955
  integer, parameter :: nGC_4533 = 956
  integer, parameter :: nGC_4534 = 957
  integer, parameter :: nGC_4562 = 958
  integer, parameter :: nGC_4563 = 959
  integer, parameter :: nGC_4564 = 960
  integer, parameter :: nGC_4565 = 961
  integer, parameter :: nGC_4566 = 962
  integer, parameter :: nGC_4567 = 963
  integer, parameter :: nGC_4580 = 964
  integer, parameter :: nGC_4581 = 965
  integer, parameter :: nGC_4582 = 966
  integer, parameter :: nGC_4583 = 967
  integer, parameter :: nGC_4584 = 968
  integer, parameter :: nGC_4585 = 969
  integer, parameter :: nGC_4586 = 970
  integer, parameter :: nGC_4587 = 971
  integer, parameter :: nGC_4588 = 972
  integer, parameter :: nGC_4589 = 973
  integer, parameter :: nGC_4590 = 974
  integer, parameter :: nGC_4591 = 975
  integer, parameter :: nGC_4592 = 976
  integer, parameter :: nGC_4593 = 977
  integer, parameter :: nGC_4594 = 978
  integer, parameter :: nGC_4595 = 979
  integer, parameter :: nGC_4596 = 980
  integer, parameter :: nGC_4597 = 981
  integer, parameter :: nGC_4598 = 982
  integer, parameter :: nGC_4599 = 983
  integer, parameter :: nGC_4600 = 984
  integer, parameter :: nGC_4601 = 985
  integer, parameter :: nGC_4602 = 986
  integer, parameter :: nGC_4603 = 987
  integer, parameter :: nGC_4604 = 988
  integer, parameter :: nGC_4605 = 989
  integer, parameter :: nGC_4606 = 990
  integer, parameter :: nGC_4607 = 991
  integer, parameter :: nGC_4608 = 992
  integer, parameter :: nGC_4609 = 993
  integer, parameter :: nGC_4610 = 994
  integer, parameter :: nGC_4611 = 995
  integer, parameter :: nGC_4612 = 996
  integer, parameter :: nGC_4613 = 997
  integer, parameter :: nGC_4614 = 998
  integer, parameter :: nGC_4615 = 999
  integer, parameter :: nGC_4616 = 1000
  integer, parameter :: nGC_4617 = 1001
  integer, parameter :: nGC_4618 = 1002
  integer, parameter :: nGC_4619 = 1003
  integer, parameter :: nGC_4620 = 1004
  integer, parameter :: nGC_4666 = 1005
  integer, parameter :: nGC_4667 = 1006
  integer, parameter :: nGC_4668 = 1007
  integer, parameter :: nGC_6182 = 1008
  integer, parameter :: nGC_6193 = 1009
  integer, parameter :: nGC_6196 = 1010
  integer, parameter :: nGC_6202 = 1011
  integer, parameter :: nGC_6207 = 1012
  integer, parameter :: nGC_6211 = 1013
  integer, parameter :: nGC_6215 = 1014
  integer, parameter :: nGC_6219 = 1015
  integer, parameter :: nGC_6226 = 1016
  integer, parameter :: nGC_6230 = 1017
  integer, parameter :: nGC_6235 = 1018
  integer, parameter :: nGC_6239 = 1019
  integer, parameter :: nGC_6244 = 1020
  integer, parameter :: nGC_6248 = 1021
  integer, parameter :: nGC_6252 = 1022
  integer, parameter :: nGC_6256 = 1023
  integer, parameter :: nGC_6260 = 1024
  integer, parameter :: nGC_6263 = 1025
  integer, parameter :: nGC_6264 = 1026
  integer, parameter :: nGC_6267 = 1027
  integer, parameter :: nGC_6268 = 1028
  integer, parameter :: nGC_6275 = 1029
  integer, parameter :: nGC_6279 = 1030
  integer, parameter :: nGC_6280 = 1031
  integer, parameter :: nGC_6284 = 1032
  integer, parameter :: nGC_6285 = 1033
  integer, parameter :: nGC_6289 = 1034
  integer, parameter :: nGC_6290 = 1035
  integer, parameter :: nGC_6300 = 1036
  integer, parameter :: nGC_6301 = 1037
  integer, parameter :: nGC_6305 = 1038
  integer, parameter :: nGC_6306 = 1039
  integer, parameter :: nGC_6310 = 1040
  integer, parameter :: nGC_6311 = 1041
  integer, parameter :: nGC_6320 = 1042
  integer, parameter :: nGC_6323 = 1043
  integer, parameter :: nGC_6324 = 1044
  integer, parameter :: nGC_6329 = 1045
  integer, parameter :: nGC_6334 = 1046
  integer, parameter :: nGC_6335 = 1047
  integer, parameter :: nGC_6338 = 1048
  integer, parameter :: nGC_6339 = 1049
  integer, parameter :: nGC_6356 = 1050
  integer, parameter :: nGC_6357 = 1051
  integer, parameter :: nGC_6358 = 1052
  integer, parameter :: nGC_6359 = 1053
  integer, parameter :: nGC_6368 = 1054
  integer, parameter :: nGC_6369 = 1055
  integer, parameter :: nGC_6370 = 1056
  integer, parameter :: nGC_6371 = 1057
  integer, parameter :: nGC_6380 = 1058
  integer, parameter :: nGC_6381 = 1059
  integer, parameter :: nGC_6382 = 1060
  integer, parameter :: nGC_6383 = 1061
  integer, parameter :: nGC_4547 = 1062
  integer, parameter :: nGC_6390 = 1063
  integer, parameter :: nGC_6391 = 1064
  integer, parameter :: nGC_4548 = 1065
  integer, parameter :: nGC_6392 = 1066
  integer, parameter :: nGC_6393 = 1067
  integer, parameter :: nGC_4549 = 1068
  integer, parameter :: nGC_6400 = 1069
  integer, parameter :: nGC_6401 = 1070
  integer, parameter :: nGC_4550 = 1071
  integer, parameter :: nGC_6402 = 1072
  integer, parameter :: nGC_6403 = 1073
  integer, parameter :: nGC_4552 = 1074
  integer, parameter :: nGC_6410 = 1075
  integer, parameter :: nGC_6411 = 1076
  integer, parameter :: nGC_4551 = 1077
  integer, parameter :: nGC_6412 = 1078
  integer, parameter :: nGC_6413 = 1079
  integer, parameter :: nGC_4553 = 1080
  integer, parameter :: nGC_6421 = 1081
  integer, parameter :: nGC_6422 = 1082
  integer, parameter :: nGC_6423 = 1083
  integer, parameter :: nGC_4555 = 1084
  integer, parameter :: nGC_6431 = 1085
  integer, parameter :: nGC_6432 = 1086
  integer, parameter :: nGC_6433 = 1087
  integer, parameter :: nGC_4557 = 1088
  integer, parameter :: nGC_6441 = 1089
  integer, parameter :: nGC_6442 = 1090
  integer, parameter :: nGC_6443 = 1091
  integer, parameter :: nGC_6456 = 1092
  integer, parameter :: nGC_6457 = 1093
  integer, parameter :: nGC_6461 = 1094
  integer, parameter :: nGC_6462 = 1095
  integer, parameter :: nGC_6466 = 1096
  integer, parameter :: nGC_6467 = 1097
  integer, parameter :: nGC_6472 = 1098
  integer, parameter :: nGC_6473 = 1099
  integer, parameter :: nGC_6478 = 1100
  integer, parameter :: nGC_6479 = 1101
  integer, parameter :: nGC_6484 = 1102
  integer, parameter :: nGC_6485 = 1103
  integer, parameter :: nGC_4568 = 1104
  integer, parameter :: nGC_6516 = 1105
  integer, parameter :: nGC_6517 = 1106
  integer, parameter :: nGC_4569 = 1107
  integer, parameter :: nGC_6518 = 1108
  integer, parameter :: nGC_6519 = 1109
  integer, parameter :: nGC_4570 = 1110
  integer, parameter :: nGC_6526 = 1111
  integer, parameter :: nGC_6527 = 1112
  integer, parameter :: nGC_4571 = 1113
  integer, parameter :: nGC_6528 = 1114
  integer, parameter :: nGC_6529 = 1115
  integer, parameter :: nGC_4572 = 1116
  integer, parameter :: nGC_6536 = 1117
  integer, parameter :: nGC_6537 = 1118
  integer, parameter :: nGC_4573 = 1119
  integer, parameter :: nGC_6538 = 1120
  integer, parameter :: nGC_6539 = 1121
  integer, parameter :: nGC_4574 = 1122
  integer, parameter :: nGC_6549 = 1123
  integer, parameter :: nGC_4576 = 1124
  integer, parameter :: nGC_6557 = 1125
  integer, parameter :: nGC_6558 = 1126
  integer, parameter :: nGC_6559 = 1127
  integer, parameter :: nGC_4578 = 1128
  integer, parameter :: nGC_6569 = 1129
  integer, parameter :: nGC_6573 = 1130
  integer, parameter :: nGC_6577 = 1131
  integer, parameter :: nGC_6581 = 1132
  integer, parameter :: nGC_6585 = 1133
  integer, parameter :: nGC_6589 = 1134
  integer, parameter :: nGC_6593 = 1135
  integer, parameter :: nGC_6598 = 1136
  integer, parameter :: nGC_6603 = 1137
  integer, parameter :: nGC_6606 = 1138
  integer, parameter :: nGC_6609 = 1139
  integer, parameter :: nGC_6612 = 1140
  integer, parameter :: nGC_6616 = 1141
  integer, parameter :: nGC_6620 = 1142
  integer, parameter :: nGC_6623 = 1143
  integer, parameter :: nGC_6627 = 1144
  integer, parameter :: nGC_6631 = 1145
  integer, parameter :: nGC_6656 = 1146
  integer, parameter :: nGC_6659 = 1147
  integer, parameter :: nGC_6662 = 1148
  integer, parameter :: nGC_6667 = 1149
  integer, parameter :: nGC_6670 = 1150
  integer, parameter :: nGC_6673 = 1151
  integer, parameter :: nGC_6677 = 1152
  integer, parameter :: nGC_6681 = 1153
  integer, parameter :: nGC_6682 = 1154
  integer, parameter :: nGC_6683 = 1155
  integer, parameter :: nGC_6689 = 1156
  integer, parameter :: nGC_6690 = 1157
  integer, parameter :: nGC_6691 = 1158
  integer, parameter :: nGC_6702 = 1159
  integer, parameter :: nGC_6703 = 1160
  integer, parameter :: nGC_6717 = 1161
  integer, parameter :: nGC_6725 = 1162
  integer, parameter :: nGC_6728 = 1163
  integer, parameter :: nGC_6789 = 1164
  integer, parameter :: nGC_6790 = 1165
  integer, parameter :: nGC_6791 = 1166
  integer, parameter :: nGC_6797 = 1167
  integer, parameter :: nGC_6801 = 1168
  integer, parameter :: nGC_6806 = 1169
  integer, parameter :: nGC_6822 = 1170
  integer, parameter :: nGC_6823 = 1171
  integer, parameter :: nGC_6824 = 1172
  integer, parameter :: nGC_6832 = 1173
  integer, parameter :: nGC_6833 = 1174
  integer, parameter :: nGC_6834 = 1175
  integer, parameter :: nGC_6835 = 1176
  integer, parameter :: nGC_6843 = 1177
  integer, parameter :: nGC_6844 = 1178
  integer, parameter :: nGC_6852 = 1179
  integer, parameter :: nGC_6853 = 1180
  integer, parameter :: nGC_6854 = 1181
  integer, parameter :: nGC_6862 = 1182
  integer, parameter :: nGC_6863 = 1183
  integer, parameter :: nGC_6871 = 1184
  integer, parameter :: nGC_6872 = 1185
  integer, parameter :: nGC_6873 = 1186
  integer, parameter :: nGC_6883 = 1187
  integer, parameter :: nGC_6884 = 1188
  integer, parameter :: nGC_6885 = 1189
  integer, parameter :: nGC_6896 = 1190
  integer, parameter :: nGC_6897 = 1191
  integer, parameter :: nGC_6898 = 1192
  integer, parameter :: nGC_6899 = 1193
  integer, parameter :: nGC_6911 = 1194
  integer, parameter :: nGC_6912 = 1195
  integer, parameter :: nGC_6923 = 1196
  integer, parameter :: nGC_6924 = 1197
  integer, parameter :: nGC_6925 = 1198
  integer, parameter :: nGC_6937 = 1199
  integer, parameter :: nGC_6938 = 1200
  integer, parameter :: nGC_6949 = 1201
  integer, parameter :: nGC_6950 = 1202
  integer, parameter :: nGC_6951 = 1203
  integer, parameter :: nGC_6963 = 1204
  integer, parameter :: nGC_6964 = 1205
  integer, parameter :: nGC_6965 = 1206
  integer, parameter :: nGC_6976 = 1207
  integer, parameter :: nGC_6977 = 1208
  integer, parameter :: nGC_6978 = 1209
  integer, parameter :: nGC_6990 = 1210
  integer, parameter :: nGC_6991 = 1211
  integer, parameter :: nGC_7002 = 1212
  integer, parameter :: nGC_7003 = 1213
  integer, parameter :: nGC_7004 = 1214
  integer, parameter :: nGC_7016 = 1215
  integer, parameter :: nGC_7017 = 1216
  integer, parameter :: nGC_7028 = 1217
  integer, parameter :: nGC_7029 = 1218
  integer, parameter :: nGC_7030 = 1219
  integer, parameter :: nGC_7039 = 1220
  integer, parameter :: nGC_7040 = 1221
  integer, parameter :: nGC_7041 = 1222
  integer, parameter :: nGC_7054 = 1223
  integer, parameter :: nGC_7055 = 1224
  integer, parameter :: nGC_7068 = 1225
  integer, parameter :: nGC_7069 = 1226
  integer, parameter :: nGC_7082 = 1227
  integer, parameter :: nGC_7083 = 1228
  integer, parameter :: nGC_7096 = 1229
  integer, parameter :: nGC_7097 = 1230
  integer, parameter :: nGC_7110 = 1231
  integer, parameter :: nGC_7111 = 1232
  integer, parameter :: nGC_7121 = 1233
  integer, parameter :: nGC_7125 = 1234
  integer, parameter :: nGC_7129 = 1235
  integer, parameter :: nGC_7141 = 1236
  integer, parameter :: nGC_7144 = 1237
  integer, parameter :: nGC_7147 = 1238
  integer, parameter :: nGC_7156 = 1239
  integer, parameter :: nGC_7160 = 1240
  integer, parameter :: nGC_7164 = 1241
  integer, parameter :: nGC_7169 = 1242
  integer, parameter :: nGC_7205 = 1243
  integer, parameter :: nGC_7206 = 1244
  integer, parameter :: nGC_7219 = 1245
  integer, parameter :: nGC_7220 = 1246
  integer, parameter :: nGC_7233 = 1247
  integer, parameter :: nGC_7234 = 1248
  integer, parameter :: nGC_7271 = 1249
  integer, parameter :: nGC_7272 = 1250
  integer, parameter :: nGC_7285 = 1251
  integer, parameter :: nGC_7286 = 1252
  integer, parameter :: nGC_7299 = 1253
  integer, parameter :: nGC_7300 = 1254
  integer, parameter :: nGC_7304 = 1255
  integer, parameter :: nGC_7308 = 1256
  integer, parameter :: nGC_7840 = 1257
  integer, parameter :: nGC_7853 = 1258
  integer, parameter :: nGC_7872 = 1259
  integer, parameter :: nGC_7885 = 1260
  integer, parameter :: nGC_9325 = 1261
  integer, parameter :: nGC_9334 = 1262
  integer, parameter :: nGC_9347 = 1263
  integer, parameter :: nGC_9357 = 1264
  integer, parameter :: nGC_9370 = 1265
  integer, parameter :: nGC_9832 = 1266
  integer, parameter :: nGC_9843 = 1267
  integer, parameter :: nGC_10257 = 1268
  integer, parameter :: nGC_4575 = 1269
  integer, parameter :: nGC_4579 = 1270
  integer, parameter :: nGC_6547 = 1271
  integer, parameter :: nGC_6548 = 1272
  integer, parameter :: nGC_6567 = 1273
  integer, parameter :: nGC_6568 = 1274
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
