!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl1()
    coupl(nGC_1) = -a2*cima
    coupl(nGC_4) = -6d0*b4*cima
    coupl(nGC_2) = -2d0*b4*cima
    coupl(nGC_3) = -4d0*b4*cima
    coupl(nGC_19) = -3d0*cima*lam/2d0
    coupl(nGC_17) = -cima*lam/2d0
    coupl(nGC_18) = -cima*lam
    coupl(nGC_59) = -a2*cima*vev
    coupl(nGC_61) = -cima*lam*vev/2d0
    coupl(nGC_62) = -3d0*cima*lam*vev/2d0
    coupl(nGC_10) = 2d0*cima*ee**2d0
    coupl(nGC_8) = cima*ee
    coupl(nGC_7) = -cima*ee
    coupl(nGC_20) = cMW*cima*ee
    coupl(nGC_45) = -cMW*ee/(2d0*sw)
    coupl(nGC_46) = -cMW*cima*ee/(2d0*sw)
    coupl(nGC_38) = cima*cw*ee/sw
    coupl(nGC_55) = -cMW*cima*cw*ee/(2d0*sw) + cMW*cima*ee*sw/(2d0*cw)
    coupl(nGC_37) = -cima*cw*ee/sw
    coupl(nGC_47) = cMW*ee/(2d0*sw)
    coupl(nGC_48) = cMZ*cima*ee/(2d0*sw)
    coupl(nGC_56) = -cMZ*cima*cw*ee/(2d0*sw) - cMZ*cima*ee*sw/(2d0*cw)
    coupl(nGC_14) = -gs
    coupl(nGC_16) = cima*gs**2d0
    coupl(nGC_90) = cima*yup
    coupl(nGC_72) = -cima*ydo
    coupl(nGC_69) = cima*yc
    coupl(nGC_81) = -cima*ys
    coupl(nGC_84) = cima*yt
    coupl(nGC_66) = -cima*yb
    coupl(nGC_73) = -sqrt(2d0)*ydo/2d0
    coupl(nGC_82) = -sqrt(2d0)*ys/2d0
    coupl(nGC_67) = -sqrt(2d0)*yb/2d0
    coupl(nGC_74) = -sqrt(2d0)*cima*ydo/2d0
    coupl(nGC_83) = -sqrt(2d0)*cima*ys/2d0
    coupl(nGC_68) = -sqrt(2d0)*cima*yb/2d0
    coupl(nGC_75) = -cima*ye
    coupl(nGC_78) = -cima*ym
    coupl(nGC_87) = -cima*ytau
    coupl(nGC_76) = -sqrt(2d0)*ye/2d0
    coupl(nGC_79) = -sqrt(2d0)*ym/2d0
    coupl(nGC_88) = -sqrt(2d0)*ytau/2d0
    coupl(nGC_77) = -sqrt(2d0)*cima*ye/2d0
    coupl(nGC_80) = -sqrt(2d0)*cima*ym/2d0
    coupl(nGC_89) = -sqrt(2d0)*cima*ytau/2d0
    coupl(nGC_92) = sqrt(2d0)*yup/2d0
    coupl(nGC_71) = sqrt(2d0)*yc/2d0
    coupl(nGC_86) = sqrt(2d0)*yt/2d0
    coupl(nGC_91) = -sqrt(2d0)*cima*yup/2d0
    coupl(nGC_70) = -sqrt(2d0)*cima*yc/2d0
    coupl(nGC_85) = -sqrt(2d0)*cima*yt/2d0
    coupl(nGC_42) = ee**2d0/(2d0*sw)
    coupl(nGC_40) = -cima*ee**2d0/(2d0*sw)
    coupl(nGC_41) = -cima*ee**2d0/sw
    coupl(nGC_64) = -cima*ee**2d0*vev/(2d0*sw)
    coupl(nGC_33) = ee/(2d0*sw)
    coupl(nGC_30) = cima*ee/(2d0*sw)
    coupl(nGC_31) = -cima*ee/sw
    coupl(nGC_24) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_39) = -ee**2d0/(2d0*sw)
    coupl(nGC_29) = -cima*ee/(2d0*sw)
    coupl(nGC_32) = cima*ee/sw
    coupl(nGC_21) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_25) = 2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_23) = cima*ee**2d0/sw**2d0
    coupl(nGC_63) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_9) = cima*ee**2d0
    coupl(nGC_22) = -cima*ee**2d0/sw**2d0
    coupl(nGC_54) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
    coupl(nGC_43) = -2d0*cima*cw*ee**2d0/sw
    coupl(nGC_51) = -cw*ee/(2d0*sw) - ee*sw/(2d0*cw)
    coupl(nGC_52) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_13) = ee**2d0/(2d0*cw)
    coupl(nGC_12) = -cima*ee**2d0/(2d0*cw)
    coupl(nGC_26) = cima*cw*ee**2d0/sw**2d0
    coupl(nGC_60) = -cima*ee**2d0*vev/(2d0*cw)
    coupl(nGC_11) = -ee**2d0/(2d0*cw)
    coupl(nGC_44) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_58) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima*ee&
                    **2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_57) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima*ee&
                    **2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_28) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_65) = cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + cima*ee**2d0*vev  &
                     + cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_27) = cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_6) = -2d0*cima*ee/3d0
    coupl(nGC_5) = cima*ee/3d0
    coupl(nGC_15) = cima*gs
    coupl(nGC_34) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_49) = -cima*ee*sw/(6d0*cw)
    coupl(nGC_36) = cima*cw*ee/(2d0*sw)
    coupl(nGC_35) = -cima*cw*ee/(2d0*sw)
    coupl(nGC_53) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_50) = cima*ee*sw/(2d0*cw)
    coupl(nGC_MH1) = -cMH1**2d0*cima
    coupl(nGC_I) = cima
    coupl(nGC_MHP) = -cMHP**2d0*cima
    coupl(nGC_MI) = -cima
    coupl(nGC_ME) = -cME*cima
    coupl(nGC_MM) = -cMM*cima
    coupl(nGC_MTA) = -cMTA*cima
    coupl(nGC_MU) = -cMU*cima
    coupl(nGC_MC) = -cMC*cima
    coupl(nGC_MT) = -cMT*cima
    coupl(nGC_MD) = -cMD*cima
    coupl(nGC_MS) = -cMS*cima
    coupl(nGC_MB) = -cMB*cima
    coupl(nGC_MZ) = cMZ**2d0*cima
    coupl(nGC_MW) = cMW**2d0*cima
    coupl(nGC_MW_GF) = cMW*cima
    coupl(nGC_MMW_GF) = -cMW*cima
    coupl(nGC_MZ_GF) = cMZ
    coupl(nGC_292) = -coupl(nGC_8)
    coupl(nGC_296) = -coupl(nGC_7)
    coupl(nGC_310) = -coupl(nGC_38)
    coupl(nGC_316) = -coupl(nGC_37)
    coupl(nGC_346) = -coupl(nGC_14)
    coupl(nGC_356) = -2d0*coupl(nGC_16)
    coupl(nGC_360) = 2d0*coupl(nGC_16)
    coupl(nGC_362) = -coupl(nGC_16)
    coupl(nGC_386) = -coupl(nGC_73)
    coupl(nGC_390) = -coupl(nGC_82)
    coupl(nGC_394) = -coupl(nGC_67)
    coupl(nGC_410) = -coupl(nGC_76)
    coupl(nGC_414) = -coupl(nGC_79)
    coupl(nGC_418) = -coupl(nGC_88)
    coupl(nGC_440) = -coupl(nGC_92)
    coupl(nGC_444) = -coupl(nGC_71)
    coupl(nGC_448) = -coupl(nGC_86)
    coupl(nGC_502) = -2d0*coupl(nGC_9)
    coupl(nGC_510) = -2d0*coupl(nGC_22)
    coupl(nGC_546) = -coupl(nGC_44)/2d0
    coupl(nGC_560) = -2d0*coupl(nGC_27)
    coupl(nGC_632) = 4d0*coupl(nGC_49)
    coupl(nGC_634) = coupl(nGC_36) + coupl(nGC_49)
    coupl(nGC_648) = -2d0*coupl(nGC_49)
    coupl(nGC_650) = coupl(nGC_35) + coupl(nGC_49)
    coupl(nGC_670) = 2d0*coupl(nGC_50)
    coupl(nGC_672) = coupl(nGC_35) + coupl(nGC_50)
    coupl(nGC_1732) = -coupl(nGC_33)
    coupl(nGC_1746) = -coupl(nGC_30)
    coupl(nGC_1756) = -coupl(nGC_31)
    coupl(nGC_1948) = -coupl(nGC_29)
    coupl(nGC_1960) = -coupl(nGC_32)
    coupl(nGC_2312) = -coupl(nGC_51)
    coupl(nGC_2324) = -coupl(nGC_52)
    coupl(nGC_138) = -6d0*cima
    coupl(nGC_142) = -2d0*cima
    coupl(nGC_4101) = -4d0*cima
    coupl(nGC_4121) = -3d0*cima/2d0
    coupl(nGC_4120) = -cima/2d0
    coupl(nGC_146) = -a2*cima
    coupl(nGC_148) = -cima*vev
    coupl(nGC_4078) = -cima*lam/2d0
    coupl(nGC_4077) = -cima*vev/2d0
    coupl(nGC_152) = -3d0*cima*vev/2d0
    coupl(nGC_154) = -3d0*cima*lam/2d0
    coupl(nGC_4115) = 4d0*cima*ee**2d0
    coupl(nGC_4108) = cima*ee
    coupl(nGC_4110) = -cima*ee
    coupl(nGC_4126) = cMW*cima*ee
    coupl(nGC_4127) = cima*ee/(2d0*cMW)
    coupl(nGC_4047) = -ee/(4d0*cMW*sw)
    coupl(nGC_4045) = cMW*ee/(2d0*sw**2d0)
    coupl(nGC_4046) = -cMW*ee/(2d0*sw)
    coupl(nGC_4024) = cMW*cima*ee/(2d0*sw**2d0)
    coupl(nGC_4025) = -cMW*cima*ee/(2d0*sw)
    coupl(nGC_4026) = -cima*ee/(4d0*cMW*sw)
    coupl(nGC_4168) = -cima*cw*ee/sw**2d0
    coupl(nGC_4169) = cima*ee/sw
    coupl(nGC_4170) = cima*cw*ee/sw
    coupl(nGC_4066) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
    coupl(nGC_4065) = -cMW*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_4063) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_4064) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_4157) = cima*cw*ee/sw**2d0
    coupl(nGC_4158) = -cima*ee/sw
    coupl(nGC_4159) = -cima*cw*ee/sw
    coupl(nGC_4039) = -cMW*ee/(2d0*sw**2d0)
    coupl(nGC_4041) = ee/(4d0*cMW*sw)
    coupl(nGC_4040) = cMW*ee/(2d0*sw)
    coupl(nGC_4044) = cima*ee/(4d0*cMZ*sw)
    coupl(nGC_4042) = -cMZ*cima*ee/(2d0*sw**2d0)
    coupl(nGC_4043) = cMZ*cima*ee/(2d0*sw)
    coupl(nGC_4067) = cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_4069) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4068) = -cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_4070) = -cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
    coupl(nGC_4116) = -gs
    coupl(nGC_4119) = 2d0*cima*gs**2d0
    coupl(nGC_4096) = -sqrt(2d0)/2d0
    coupl(nGC_4097) = -sqrt(2d0)/2d0
    coupl(nGC_4106) = -sqrt(2d0)/2d0
    coupl(nGC_4095) = -sqrt(2d0)*cima/2d0
    coupl(nGC_4099) = -sqrt(2d0)*cima/2d0
    coupl(nGC_4105) = -sqrt(2d0)*cima/2d0
    coupl(nGC_4176) = ee**2d0/sw
    coupl(nGC_4175) = -ee**2d0/(2d0*sw**2d0)
    coupl(nGC_4171) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_4172) = -cima*ee**2d0/sw
    coupl(nGC_4167) = -2d0*cima*ee**2d0/sw
    coupl(nGC_4166) = cima*ee**2d0/sw**2d0
    coupl(nGC_4082) = -cima*ee**2d0/(2d0*sw)
    coupl(nGC_4083) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_4084) = -cima*ee**2d0*vev/sw
    coupl(nGC_4154) = ee/(2d0*sw)
    coupl(nGC_4153) = -ee/(2d0*sw**2d0)
    coupl(nGC_4152) = cima*ee/(2d0*sw)
    coupl(nGC_4151) = -cima*ee/(2d0*sw**2d0)
    coupl(nGC_4147) = cima*ee/sw**2d0
    coupl(nGC_4148) = -cima*ee/sw
    coupl(nGC_4136) = -4d0*cima*ee**2d0/sw**2d0
    coupl(nGC_4135) = 4d0*cima*ee**2d0/sw**3d0
    coupl(nGC_4173) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_4174) = -ee**2d0/sw
    coupl(nGC_4138) = -cima*ee/(2d0*sw)
    coupl(nGC_4137) = cima*ee/(2d0*sw**2d0)
    coupl(nGC_4150) = cima*ee/sw
    coupl(nGC_4149) = -cima*ee/sw**2d0
    coupl(nGC_4125) = cima*ee**2d0/sw**2d0
    coupl(nGC_4124) = -cima*ee**2d0/sw**3d0
    coupl(nGC_4140) = 4d0*cima*ee**2d0/sw**2d0
    coupl(nGC_4139) = -4d0*cima*ee**2d0/sw**3d0
    coupl(nGC_4133) = -2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_4134) = 2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_4079) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_4080) = -cima*ee**2d0*vev/sw**3d0
    coupl(nGC_4081) = cima*ee**2d0*vev/sw**2d0
    coupl(nGC_4112) = 2d0*cima*ee**2d0
    coupl(nGC_4132) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_4131) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_4059) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
    coupl(nGC_4058) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_4057) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_4032) = -4d0*cima*cw*ee**2d0/sw
    coupl(nGC_4031) = -2d0*cima*ee**2d0/sw
    coupl(nGC_4030) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_4048) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_4049) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_4050) = -ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4051) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_4053) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_4052) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_4117) = -ee**2d0/(2d0*cw**2d0)
    coupl(nGC_4118) = ee**2d0/cw
    coupl(nGC_4122) = cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_4123) = -cima*ee**2d0/cw
    coupl(nGC_4128) = -2d0*cima*cw*ee**2d0/sw**3d0
    coupl(nGC_4130) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_4129) = cima*ee**2d0/sw**2d0
    coupl(nGC_4074) = -cima*ee**2d0/(2d0*cw)
    coupl(nGC_4076) = -cima*ee**2d0*vev/cw
    coupl(nGC_4075) = cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_4114) = -ee**2d0/cw
    coupl(nGC_4113) = ee**2d0/(2d0*cw**2d0)
    coupl(nGC_4033) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_4035) = 4d0*cima*cw*ee**2d0/sw
    coupl(nGC_4034) = 2d0*cima*ee**2d0/sw
    coupl(nGC_4073) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_4071) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_4072) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_4060) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_4061) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_4062) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw** &
                      2d0)
    coupl(nGC_4144) = -4d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_4146) = 4d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_4145) = 4d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_4086) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0 &
                      )/(cw**2d0*sw**3d0)
    coupl(nGC_4087) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                      )/(cw**3d0*sw**2d0)
    coupl(nGC_4088) = cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**  &
                      2d0)
    coupl(nGC_4085) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**  &
                      2d0)
    coupl(nGC_4142) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_4143) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_4141) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_4109) = -2d0*cima*ee/3d0
    coupl(nGC_4104) = cima*ee/3d0
    coupl(nGC_158) = cima*gs
    coupl(nGC_4156) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_4155) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_4038) = -cima*ee*sw/(6d0*cw)
    coupl(nGC_4036) = -cima*ee/(6d0*cw)
    coupl(nGC_4037) = cima*ee*sw/(6d0*cw**2d0)
    coupl(nGC_4165) = cima*cw*ee/(2d0*sw)
    coupl(nGC_4164) = cima*ee/(2d0*sw)
    coupl(nGC_4163) = -cima*cw*ee/(2d0*sw**2d0)
    coupl(nGC_4160) = cima*cw*ee/(2d0*sw**2d0)
    coupl(nGC_4161) = -cima*ee/(2d0*sw)
    coupl(nGC_4162) = -cima*cw*ee/(2d0*sw)
    coupl(nGC_4055) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_4056) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4054) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_4027) = cima*ee/(2d0*cw)
    coupl(nGC_4029) = cima*ee*sw/(2d0*cw)
    coupl(nGC_4028) = -cima*ee*sw/(2d0*cw**2d0)
    coupl(nGC_230) = cima/(2d0*cMW)
    coupl(nGC_234) = -cima/(2d0*cMW)
    coupl(nGC_238) = 1d0/(2d0*cMZ)
    coupl(nGC_4093) = -sqrt(2d0)/2d0
    coupl(nGC_4098) = -sqrt(2d0)/2d0
    coupl(nGC_4089) = -sqrt(2d0)/2d0
    coupl(nGC_4094) = -sqrt(2d0)*cima/2d0
    coupl(nGC_4102) = -sqrt(2d0)*cima/2d0
    coupl(nGC_4091) = -sqrt(2d0)*cima/2d0
    coupl(nGC_4107) = sqrt(2d0)/2d0
    coupl(nGC_4092) = sqrt(2d0)/2d0
    coupl(nGC_4103) = sqrt(2d0)/2d0
    coupl(nGC_4111) = -sqrt(2d0)*cima/2d0
    coupl(nGC_4090) = -sqrt(2d0)*cima/2d0
    coupl(nGC_4100) = -sqrt(2d0)*cima/2d0
  end subroutine fill_couplings_mdl1
end module fill_couplings1
