!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_4511) = -cima*da2_QED4
    coupl(nGC_4517) = -cima*dlam_QED4
    coupl(nGC_4559) = -cima*dye_QED3
    coupl(nGC_4560) = -cima*dym_QED3
    coupl(nGC_4561) = -cima*dytau_QED3
    coupl(nGC_TS_GC_51_H1) = -coupl(nGC_51)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_12_H1) = -coupl(nGC_12)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_58_H1) = -coupl(nGC_58)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_65_H1) = -coupl(nGC_65)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_17_H1) = -coupl(nGC_17)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_19_H1) = -coupl(nGC_19)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_59_H1) = -coupl(nGC_59)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_61_H1) = -coupl(nGC_61)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_62_H1) = -coupl(nGC_62)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_1_H1) = -coupl(nGC_1)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_74_H1) = -coupl(nGC_74)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_83_H1) = -coupl(nGC_83)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_68_H1) = -coupl(nGC_68)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_77_H1) = -coupl(nGC_77)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_80_H1) = -coupl(nGC_80)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_89_H1) = -coupl(nGC_89)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_91_H1) = -coupl(nGC_91)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_70_H1) = -coupl(nGC_70)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_85_H1) = -coupl(nGC_85)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_40_H1) = -coupl(nGC_40)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_30_H1) = -coupl(nGC_30)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_29_H1) = -coupl(nGC_29)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_21_H1) = -coupl(nGC_21)*dtH1_QED1/cMH1**2d0
    coupl(nGC_TS_GC_63_H1) = -coupl(nGC_63)*dtH1_QED1/cMH1**2d0
    coupl(nGC_4645) = -cima*dMH12_QED2
    coupl(nGC_4647) = -cima*dMHP2_QED2
    coupl(nGC_4649) = -cima*dME_QED2
    coupl(nGC_4650) = -cima*dMM_QED2
    coupl(nGC_4651) = -cima*dMTA_QED2
    coupl(nGC_4664) = cima*dMZ2_QED2
    coupl(nGC_4665) = cima*dMW2_QED2
    coupl(nGC_6174) = coupl(nGC_1)*dZH2_QED2 + coupl(nGC_4511)
    coupl(nGC_6179) = coupl(nGC_1)*dZH1_QED2 + coupl(nGC_1)*dZH2_QED2 + coupl( &
                      nGC_4511)
    coupl(nGC_6185) = coupl(nGC_1)*dZHMinus_QED2 + coupl(nGC_4511)
    coupl(nGC_6190) = coupl(nGC_1)*dZH1_QED2 + coupl(nGC_1)*dZHMinus_QED2 +    &
                      coupl(nGC_4511)
    coupl(nGC_6386) = coupl(nGC_73)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_6387) = coupl(nGC_73)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_6396) = coupl(nGC_82)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_6397) = coupl(nGC_82)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_6407) = coupl(nGC_67)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_6406) = coupl(nGC_67)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_6416) = coupl(nGC_74)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_6417) = coupl(nGC_74)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_6426) = coupl(nGC_83)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_6427) = coupl(nGC_83)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_6436) = coupl(nGC_68)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_6437) = coupl(nGC_68)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_6446) = coupl(nGC_4559) + coupl(nGC_75)*dZeMinusR_QED2/2d0 +     &
                      coupl(nGC_75)*dZnu_eL_QED2/2d0
    coupl(nGC_6449) = coupl(nGC_4560) + coupl(nGC_78)*dZmuMinusR_QED2/2d0 +    &
                      coupl(nGC_78)*dZnu_muL_QED2/2d0
    coupl(nGC_6452) = coupl(nGC_4561) + coupl(nGC_87)*dZnu_tauL_QED2/2d0 +     &
                      coupl(nGC_87)*dZtauMinusR_QED2/2d0
    coupl(nGC_6454) = coupl(nGC_76)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_6459) = coupl(nGC_79)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_6464) = coupl(nGC_88)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_6469) = coupl(nGC_77)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_6475) = coupl(nGC_80)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_6481) = coupl(nGC_89)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_6512) = coupl(nGC_92)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_6513) = coupl(nGC_92)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_6522) = coupl(nGC_71)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_6523) = coupl(nGC_71)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_6532) = coupl(nGC_86)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_6533) = coupl(nGC_86)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_6543) = coupl(nGC_91)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_6542) = coupl(nGC_91)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_6552) = coupl(nGC_70)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_6553) = coupl(nGC_70)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_6563) = coupl(nGC_85)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_6562) = coupl(nGC_85)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_6680) = coupl(nGC_44)*dZZA_QED2
    coupl(nGC_6688) = coupl(nGC_27)*dZZA_QED2/2d0 + coupl(nGC_9)*dZAZ_QED2/2d0
    coupl(nGC_6729) = coupl(nGC_51)*dZZA_QED2/2d0
    coupl(nGC_6786) = coupl(nGC_44)*dZAZ_QED2
    coupl(nGC_6798) = coupl(nGC_58)*dZZA_QED2/2d0
    coupl(nGC_6807) = coupl(nGC_65)*dZZA_QED2/2d0
    coupl(nGC_6821) = coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_8)*dZeMinusL_QED2
    coupl(nGC_6817) = coupl(nGC_8)*dZeMinusR_QED2
    coupl(nGC_6820) = coupl(nGC_50)*dZZA_QED2/2d0
    coupl(nGC_6825) = coupl(nGC_8)*dZAZ_QED2/2d0
    coupl(nGC_6829) = coupl(nGC_50)*dZeMinusR_QED2
    coupl(nGC_6842) = coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_8)*dZmuMinusL_QED2
    coupl(nGC_6838) = coupl(nGC_8)*dZmuMinusR_QED2
    coupl(nGC_6849) = coupl(nGC_50)*dZmuMinusR_QED2
    coupl(nGC_6861) = coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_8)*              &
                      dZtauMinusL_QED2
    coupl(nGC_6857) = coupl(nGC_8)*dZtauMinusR_QED2
    coupl(nGC_6868) = coupl(nGC_50)*dZtauMinusR_QED2
    coupl(nGC_6874) = coupl(nGC_6)*dZuL_QCD2
    coupl(nGC_6877) = coupl(nGC_6)*dZuR_QCD2
    coupl(nGC_6882) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_6)*dZuL_QED2
    coupl(nGC_6878) = coupl(nGC_6)*dZuR_QED2
    coupl(nGC_6881) = coupl(nGC_49)*dZZA_QED2/2d0
    coupl(nGC_6886) = coupl(nGC_6)*dZAZ_QED2/2d0
    coupl(nGC_6893) = coupl(nGC_49)*dZuR_QED2
    coupl(nGC_6900) = dZuL_QCD2*(coupl(nGC_36) + coupl(nGC_49))
    coupl(nGC_6892) = coupl(nGC_49)*dZuR_QCD2
    coupl(nGC_6901) = 4d0*coupl(nGC_6892)
    coupl(nGC_6902) = coupl(nGC_6)*dZcL_QCD2
    coupl(nGC_6905) = coupl(nGC_6)*dZcR_QCD2
    coupl(nGC_6910) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_6)*dZcL_QED2
    coupl(nGC_6906) = coupl(nGC_6)*dZcR_QED2
    coupl(nGC_6920) = coupl(nGC_49)*dZcR_QED2
    coupl(nGC_6926) = dZcL_QCD2*(coupl(nGC_36) + coupl(nGC_49))
    coupl(nGC_6919) = coupl(nGC_49)*dZcR_QCD2
    coupl(nGC_6927) = 4d0*coupl(nGC_6919)
    coupl(nGC_6928) = coupl(nGC_6)*dZtL_QCD2
    coupl(nGC_6931) = coupl(nGC_6)*dZtR_QCD2
    coupl(nGC_6936) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_6)*dZtL_QED2
    coupl(nGC_6932) = coupl(nGC_6)*dZtR_QED2
    coupl(nGC_6946) = coupl(nGC_49)*dZtR_QED2
    coupl(nGC_6952) = dZtL_QCD2*(coupl(nGC_36) + coupl(nGC_49))
    coupl(nGC_6945) = coupl(nGC_49)*dZtR_QCD2
    coupl(nGC_6953) = 4d0*coupl(nGC_6945)
    coupl(nGC_6962) = coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_5)*dZdL_QED2
    coupl(nGC_6958) = coupl(nGC_5)*dZdR_QED2
    coupl(nGC_6954) = coupl(nGC_5)*dZdL_QCD2
    coupl(nGC_6957) = coupl(nGC_5)*dZdR_QCD2
    coupl(nGC_6966) = coupl(nGC_5)*dZAZ_QED2/2d0
    coupl(nGC_6973) = coupl(nGC_49)*dZdR_QED2
    coupl(nGC_6979) = dZdL_QCD2*(coupl(nGC_35) + coupl(nGC_49))
    coupl(nGC_6972) = coupl(nGC_49)*dZdR_QCD2
    coupl(nGC_6980) = -2d0*coupl(nGC_6972)
    coupl(nGC_6981) = coupl(nGC_5)*dZsL_QCD2
    coupl(nGC_6984) = coupl(nGC_5)*dZsR_QCD2
    coupl(nGC_6989) = coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_5)*dZsL_QED2
    coupl(nGC_6985) = coupl(nGC_5)*dZsR_QED2
    coupl(nGC_6999) = coupl(nGC_49)*dZsR_QED2
    coupl(nGC_7005) = dZsL_QCD2*(coupl(nGC_35) + coupl(nGC_49))
    coupl(nGC_6998) = coupl(nGC_49)*dZsR_QCD2
    coupl(nGC_7006) = -2d0*coupl(nGC_6998)
    coupl(nGC_7015) = coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_5)*dZbL_QED2
    coupl(nGC_7011) = coupl(nGC_5)*dZbR_QED2
    coupl(nGC_7007) = coupl(nGC_5)*dZbL_QCD2
    coupl(nGC_7010) = coupl(nGC_5)*dZbR_QCD2
    coupl(nGC_7025) = coupl(nGC_49)*dZbR_QED2
    coupl(nGC_7031) = dZbL_QCD2*(coupl(nGC_35) + coupl(nGC_49))
    coupl(nGC_7024) = coupl(nGC_49)*dZbR_QCD2
    coupl(nGC_7032) = -2d0*coupl(nGC_7024)
    coupl(nGC_7033) = coupl(nGC_15)*dZuL_QCD2
    coupl(nGC_7035) = coupl(nGC_15)*dZuR_QCD2
    coupl(nGC_7034) = coupl(nGC_15)*dZuL_QED2
    coupl(nGC_7036) = coupl(nGC_15)*dZuR_QED2
    coupl(nGC_7049) = coupl(nGC_15)*dZcL_QED2
    coupl(nGC_7051) = coupl(nGC_15)*dZcR_QED2
    coupl(nGC_7048) = coupl(nGC_15)*dZcL_QCD2
    coupl(nGC_7050) = coupl(nGC_15)*dZcR_QCD2
    coupl(nGC_7063) = coupl(nGC_15)*dZtL_QED2
    coupl(nGC_7065) = coupl(nGC_15)*dZtR_QED2
    coupl(nGC_7062) = coupl(nGC_15)*dZtL_QCD2
    coupl(nGC_7064) = coupl(nGC_15)*dZtR_QCD2
    coupl(nGC_7077) = coupl(nGC_15)*dZdL_QED2
    coupl(nGC_7079) = coupl(nGC_15)*dZdR_QED2
    coupl(nGC_7076) = coupl(nGC_15)*dZdL_QCD2
    coupl(nGC_7078) = coupl(nGC_15)*dZdR_QCD2
    coupl(nGC_7091) = coupl(nGC_15)*dZsL_QED2
    coupl(nGC_7093) = coupl(nGC_15)*dZsR_QED2
    coupl(nGC_7090) = coupl(nGC_15)*dZsL_QCD2
    coupl(nGC_7092) = coupl(nGC_15)*dZsR_QCD2
    coupl(nGC_7104) = coupl(nGC_15)*dZbL_QCD2
    coupl(nGC_7106) = coupl(nGC_15)*dZbR_QCD2
    coupl(nGC_7105) = coupl(nGC_15)*dZbL_QED2
    coupl(nGC_7107) = coupl(nGC_15)*dZbR_QED2
    coupl(nGC_7120) = coupl(nGC_34)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_7124) = coupl(nGC_34)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_7128) = coupl(nGC_34)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_7157) = coupl(nGC_53)*dZZA_QED2/2d0
    coupl(nGC_7174) = coupl(nGC_4664) + coupl(nGC_MZ)*dZZ_QED2 + coupl(        &
                      nGC_TS_GC_65_H1)
    coupl(nGC_7173) = coupl(nGC_MI)*dZZ_QED2
    coupl(nGC_7175) = -coupl(nGC_7173)
    coupl(nGC_7180) = coupl(nGC_4647) + coupl(nGC_MHP)*dZH2_QED2 + coupl(      &
                      nGC_TS_GC_59_H1)
    coupl(nGC_7179) = coupl(nGC_I)*dZH2_QED2
    coupl(nGC_7185) = coupl(nGC_4647) + coupl(nGC_MHP)*dZHMinus_QED2 + coupl(  &
                      nGC_TS_GC_59_H1)
    coupl(nGC_7184) = coupl(nGC_I)*dZHMinus_QED2
    coupl(nGC_7192) = coupl(nGC_4645) + coupl(nGC_MH1)*dZH1_QED2 + coupl(      &
                      nGC_TS_GC_62_H1)
    coupl(nGC_7191) = coupl(nGC_I)*dZH1_QED2
    coupl(nGC_4658) = -cima*dMD_QCD2
    coupl(nGC_7198) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_7200) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_7202) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_7204) = coupl(nGC_4658) + coupl(nGC_7198)
    coupl(nGC_7199) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_7201) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_7203) = coupl(nGC_MI)*dZdR_QED2
    coupl(nGC_4660) = -cima*dMS_QCD2
    coupl(nGC_7212) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_7214) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_7216) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_7218) = coupl(nGC_4660) + coupl(nGC_7212)
    coupl(nGC_7213) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_7215) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_7217) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_4662) = -cima*dMB_QCD2
    coupl(nGC_7226) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_7228) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_7230) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_7232) = coupl(nGC_4662) + coupl(nGC_7226)
    coupl(nGC_7227) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_7229) = coupl(nGC_MI)*dZbL_QED2
    coupl(nGC_7231) = coupl(nGC_MI)*dZbR_QED2
    coupl(nGC_7241) = coupl(nGC_4649) + coupl(nGC_TS_GC_77_H1)
    coupl(nGC_7238) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_7239) = coupl(nGC_MI)*dZeMinusL_QED2
    coupl(nGC_7240) = coupl(nGC_MI)*dZeMinusR_QED2
    coupl(nGC_7242) = coupl(nGC_7238) + coupl(nGC_7241)
    coupl(nGC_7249) = coupl(nGC_4650) + coupl(nGC_TS_GC_80_H1)
    coupl(nGC_7246) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_7247) = coupl(nGC_MI)*dZmuMinusL_QED2
    coupl(nGC_7248) = coupl(nGC_MI)*dZmuMinusR_QED2
    coupl(nGC_7250) = coupl(nGC_7246) + coupl(nGC_7249)
    coupl(nGC_7257) = coupl(nGC_4651) + coupl(nGC_TS_GC_89_H1)
    coupl(nGC_7254) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_7255) = coupl(nGC_MI)*dZtauMinusL_QED2
    coupl(nGC_7256) = coupl(nGC_MI)*dZtauMinusR_QED2
    coupl(nGC_7258) = coupl(nGC_7254) + coupl(nGC_7257)
    coupl(nGC_4652) = -cima*dMU_QCD2
    coupl(nGC_7264) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_7266) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_7268) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_7270) = coupl(nGC_4652) + coupl(nGC_7264)
    coupl(nGC_7265) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_7267) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_7269) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_4654) = -cima*dMC_QCD2
    coupl(nGC_7278) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_7280) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_7282) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_7284) = coupl(nGC_4654) + coupl(nGC_7278)
    coupl(nGC_7279) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_7281) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_7283) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_4656) = -cima*dMT_QCD2
    coupl(nGC_7292) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_7294) = coupl(nGC_MI)*dZtL_QCD2
    coupl(nGC_7296) = coupl(nGC_MI)*dZtR_QCD2
    coupl(nGC_7298) = coupl(nGC_4656) + coupl(nGC_7292)
    coupl(nGC_7293) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_7295) = coupl(nGC_MI)*dZtL_QED2
    coupl(nGC_7297) = coupl(nGC_MI)*dZtR_QED2
    coupl(nGC_7313) = coupl(nGC_4665) + coupl(nGC_MW)*dZWMinus_QED2 + coupl(   &
                      nGC_TS_GC_63_H1)
    coupl(nGC_7312) = coupl(nGC_MI)*dZWMinus_QED2
    coupl(nGC_7314) = -coupl(nGC_7312)
    coupl(nGC_7319) = coupl(nGC_MI)*dZnu_eL_QED2
    coupl(nGC_7320) = coupl(nGC_MI)*dZnu_muL_QED2
    coupl(nGC_7321) = coupl(nGC_MI)*dZnu_tauL_QED2
    coupl(nGC_7322) = coupl(nGC_MI)*dZA_QED2
    coupl(nGC_7323) = -coupl(nGC_7322)
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
