!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_7324) = coupl(nGC_MI)*dZAZ_QED2/2d0
    coupl(nGC_7325) = coupl(nGC_MZ)*dZZA_QED2/2d0
    coupl(nGC_7326) = coupl(nGC_MI)*dZZA_QED2/2d0
    coupl(nGC_7334) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_7335) = -coupl(nGC_7334)
    coupl(nGC_7337) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
    coupl(nGC_10266) = -coupl(nGC_6729)
    coupl(nGC_4177) = (-cMHP**2d0*cima*coupl(nGC_1756)*coupl(nGC_32) - cMHP**  &
                      2d0*cima*coupl(nGC_1960)*coupl(nGC_31) - cMW**2d0*cima*  &
                      coupl(nGC_1756)*coupl(nGC_32) - cMW**2d0*cima*coupl(     &
                      nGC_1960)*coupl(nGC_31) - 4d0*cMW**2d0*coupl(nGC_25))/(  &
                      32d0*pi**2d0)
    coupl(nGC_4178) = cima*(coupl(nGC_1756)*coupl(nGC_32) + coupl(nGC_1960)*   &
                      coupl(nGC_31))/(96d0*pi**2d0)
    coupl(nGC_4179) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_66)**2d0 - 4d0*Nc*cMB** &
                      2d0*cima*coupl(nGC_84)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_69)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(nGC_81)**2d0 - &
                      4d0*Nc*cMD**2d0*cima*coupl(nGC_72)**2d0 - 4d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_90)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_69)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_81)**2d0 - &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_66)**2d0 - 4d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_84)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_72)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_90)**2d0 - &
                      4d0*cME**2d0*cima*coupl(nGC_75)**2d0 - cMH1**2d0*cima*   &
                      coupl(nGC_1746)*coupl(nGC_29) - cMH1**2d0*cima*coupl(    &
                      nGC_1948)*coupl(nGC_30) - 4d0*cMM**2d0*cima*coupl(nGC_78 &
                      )**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_87)**2d0 - 2d0*cMW &
                      **2d0*cima*coupl(nGC_1732)*coupl(nGC_33) - cMW**2d0*cima*&
                      coupl(nGC_1746)*coupl(nGC_29) - cMW**2d0*cima*coupl(     &
                      nGC_1948)*coupl(nGC_30) - cMW**2d0*cima*coupl(nGC_2324)**&
                      2d0 - cMW**2d0*cima*coupl(nGC_292)**2d0 - cMW**2d0*cima* &
                      coupl(nGC_52)**2d0 - cMW**2d0*cima*coupl(nGC_8)**2d0 -   &
                      8d0*cMW**2d0*coupl(nGC_21) - 2d0*cMZ**2d0*cima*coupl(    &
                      nGC_1732)*coupl(nGC_33) - cMZ**2d0*cima*coupl(nGC_2324)**&
                      2d0 - cMZ**2d0*cima*coupl(nGC_52)**2d0 - 4d0*cMZ**2d0*   &
                      coupl(nGC_57) + 8d0*cima*coupl(nGC_60)**2d0 + 8d0*cima*  &
                      coupl(nGC_64)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4180) = cima*(4d0*Nc*coupl(nGC_66)**2d0 + 4d0*Nc*coupl(nGC_69)** &
                      2d0 + 4d0*Nc*coupl(nGC_72)**2d0 + 4d0*Nc*coupl(nGC_81)** &
                      2d0 + 4d0*Nc*coupl(nGC_84)**2d0 + 4d0*Nc*coupl(nGC_90)** &
                      2d0 + 2d0*coupl(nGC_1732)*coupl(nGC_33) + coupl(nGC_1746 &
                      )*coupl(nGC_29) + coupl(nGC_1948)*coupl(nGC_30) + coupl( &
                      nGC_2324)**2d0 + coupl(nGC_292)**2d0 + coupl(nGC_52)**2d0&
                       + 4d0*coupl(nGC_75)**2d0 + 4d0*coupl(nGC_78)**2d0 +     &
                      coupl(nGC_8)**2d0 + 4d0*coupl(nGC_87)**2d0)/(192d0*pi**  &
                      2d0)
    coupl(nGC_4181) = (-cMHP**2d0*cima*coupl(nGC_1756)*coupl(nGC_32) - cMHP**  &
                      2d0*cima*coupl(nGC_1960)*coupl(nGC_31) - cMHP**2d0*cima* &
                      coupl(nGC_292)**2d0 - cMHP**2d0*cima*coupl(nGC_316)**2d0 &
                       - cMHP**2d0*cima*coupl(nGC_37)**2d0 - cMHP**2d0*cima*   &
                      coupl(nGC_8)**2d0 - cMW**2d0*cima*coupl(nGC_1756)*coupl( &
                      nGC_32) - cMW**2d0*cima*coupl(nGC_1960)*coupl(nGC_31) -  &
                      8d0*cMW**2d0*coupl(nGC_23) - cMZ**2d0*cima*coupl(nGC_316 &
                      )**2d0 - cMZ**2d0*cima*coupl(nGC_37)**2d0 - 4d0*cMZ**2d0*&
                      coupl(nGC_28))/(64d0*pi**2d0)
    coupl(nGC_4182) = cima*(coupl(nGC_1756)*coupl(nGC_32) + coupl(nGC_1960)*   &
                      coupl(nGC_31) + coupl(nGC_292)**2d0 + coupl(nGC_316)**2d0&
                       + coupl(nGC_37)**2d0 + coupl(nGC_8)**2d0)/(192d0*pi**2d0&
                      )
    coupl(nGC_4183) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_5)**2d0 + 4d0*Nc*cMC**2d0&
                      *cima*coupl(nGC_6)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl(    &
                      nGC_5)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_5)**2d0 +   &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_6)**2d0 + 4d0*Nc*cMU**2d0*&
                      cima*coupl(nGC_6)**2d0 + 4d0*cME**2d0*cima*coupl(nGC_8)**&
                      2d0 + 4d0*cMM**2d0*cima*coupl(nGC_8)**2d0 + 4d0*cMTA**2d0&
                      *cima*coupl(nGC_8)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_296&
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_7)**2d0 - 2d0*cMW** &
                      2d0*coupl(nGC_502))/(16d0*pi**2d0)
    coupl(nGC_4184) = cima*(-4d0*Nc*coupl(nGC_5)**2d0 - 4d0*Nc*coupl(nGC_6)**  &
                      2d0 - coupl(nGC_296)**2d0 - coupl(nGC_7)**2d0 - 4d0*coupl&
                      (nGC_8)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4185) = cima*(coupl(nGC_296)**2d0 + coupl(nGC_7)**2d0)/(48d0*pi**&
                      2d0)
    coupl(nGC_4186) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_394)*coupl(nGC_67) - 8d0&
                      *Nc*cMC**2d0*cima*coupl(nGC_444)*coupl(nGC_71) - 8d0*Nc* &
                      cMD**2d0*cima*coupl(nGC_386)*coupl(nGC_73) - 8d0*Nc*cMS**&
                      2d0*cima*coupl(nGC_390)*coupl(nGC_82) - 8d0*Nc*cMT**2d0* &
                      cima*coupl(nGC_448)*coupl(nGC_86) - 8d0*Nc*cMU**2d0*cima*&
                      coupl(nGC_440)*coupl(nGC_92) - 8d0*cME**2d0*cima*coupl(  &
                      nGC_410)*coupl(nGC_76) - cMH1**2d0*cima*coupl(nGC_2312)* &
                      coupl(nGC_51) - 8d0*cMM**2d0*cima*coupl(nGC_414)*coupl(  &
                      nGC_79) - 8d0*cMTA**2d0*cima*coupl(nGC_418)*coupl(nGC_88 &
                      ) - 4d0*cMW**2d0*cima*coupl(nGC_1732)*coupl(nGC_33) - 4d0&
                      *cMW**2d0*coupl(nGC_21) - cMZ**2d0*cima*coupl(nGC_2312)* &
                      coupl(nGC_51) - 2d0*cMZ**2d0*coupl(nGC_58))/(32d0*pi**2d0&
                      )
    coupl(nGC_4187) = cima*(4d0*Nc*coupl(nGC_386)*coupl(nGC_73) + 4d0*Nc*coupl(&
                      nGC_390)*coupl(nGC_82) + 4d0*Nc*coupl(nGC_394)*coupl(    &
                      nGC_67) + 4d0*Nc*coupl(nGC_440)*coupl(nGC_92) + 4d0*Nc*  &
                      coupl(nGC_444)*coupl(nGC_71) + 4d0*Nc*coupl(nGC_448)*    &
                      coupl(nGC_86) + 2d0*coupl(nGC_1732)*coupl(nGC_33) + coupl&
                      (nGC_2312)*coupl(nGC_51) + 4d0*coupl(nGC_410)*coupl(     &
                      nGC_76) + 4d0*coupl(nGC_414)*coupl(nGC_79) + 4d0*coupl(  &
                      nGC_418)*coupl(nGC_88))/(96d0*pi**2d0)
    coupl(nGC_4188) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_5)*coupl(nGC_648) + 2d0* &
                      Nc*cMB**2d0*cima*coupl(nGC_5)*coupl(nGC_650) + 2d0*Nc*cMC&
                      **2d0*cima*coupl(nGC_6)*coupl(nGC_632) + 2d0*Nc*cMC**2d0*&
                      cima*coupl(nGC_6)*coupl(nGC_634) + 2d0*Nc*cMD**2d0*cima* &
                      coupl(nGC_5)*coupl(nGC_648) + 2d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_5)*coupl(nGC_650) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_5 &
                      )*coupl(nGC_648) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_5)*    &
                      coupl(nGC_650) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_6)*coupl(&
                      nGC_632) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_6)*coupl(      &
                      nGC_634) + 2d0*Nc*cMU**2d0*cima*coupl(nGC_6)*coupl(      &
                      nGC_632) + 2d0*Nc*cMU**2d0*cima*coupl(nGC_6)*coupl(      &
                      nGC_634) + 2d0*cME**2d0*cima*coupl(nGC_670)*coupl(nGC_8  &
                      ) + 2d0*cME**2d0*cima*coupl(nGC_672)*coupl(nGC_8) + 2d0* &
                      cMM**2d0*cima*coupl(nGC_670)*coupl(nGC_8) + 2d0*cMM**2d0*&
                      cima*coupl(nGC_672)*coupl(nGC_8) + 2d0*cMTA**2d0*cima*   &
                      coupl(nGC_670)*coupl(nGC_8) + 2d0*cMTA**2d0*cima*coupl(  &
                      nGC_672)*coupl(nGC_8) + 3d0*cMW**2d0*cima*coupl(nGC_296)*&
                      coupl(nGC_310) + 3d0*cMW**2d0*cima*coupl(nGC_38)*coupl(  &
                      nGC_7) - 2d0*cMW**2d0*coupl(nGC_44))/(16d0*pi**2d0)
    coupl(nGC_4189) = cima*(-2d0*Nc*coupl(nGC_5)*coupl(nGC_648) - 2d0*Nc*coupl(&
                      nGC_5)*coupl(nGC_650) - 2d0*Nc*coupl(nGC_6)*coupl(nGC_632&
                      ) - 2d0*Nc*coupl(nGC_6)*coupl(nGC_634) - coupl(nGC_296)* &
                      coupl(nGC_310) - coupl(nGC_38)*coupl(nGC_7) - 2d0*coupl( &
                      nGC_670)*coupl(nGC_8) - 2d0*coupl(nGC_672)*coupl(nGC_8   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_4190) = cima*(coupl(nGC_296)*coupl(nGC_310) + coupl(nGC_38)*coupl&
                      (nGC_7))/(48d0*pi**2d0)
    coupl(nGC_4191) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_68)**2d0 - 4d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_70)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_74)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_83)**2d0 - &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_85)**2d0 - 4d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_91)**2d0 - 4d0*cME**2d0*cima*coupl(nGC_77&
                      )**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_80)**2d0 - 4d0*cMTA &
                      **2d0*cima*coupl(nGC_89)**2d0 - cMW**2d0*cima*coupl(     &
                      nGC_1746)*coupl(nGC_29) - cMW**2d0*cima*coupl(nGC_1948)* &
                      coupl(nGC_30) - 2d0*cMW**2d0*coupl(nGC_21) - cMZ**2d0*   &
                      cima*coupl(nGC_2312)*coupl(nGC_51) - cMZ**2d0*coupl(     &
                      nGC_58) + 2d0*cima*coupl(nGC_63)**2d0 + cima*coupl(nGC_65&
                      )**2d0)/(16d0*pi**2d0)
    coupl(nGC_4192) = cima*(4d0*Nc*coupl(nGC_68)**2d0 + 4d0*Nc*coupl(nGC_70)** &
                      2d0 + 4d0*Nc*coupl(nGC_74)**2d0 + 4d0*Nc*coupl(nGC_83)** &
                      2d0 + 4d0*Nc*coupl(nGC_85)**2d0 + 4d0*Nc*coupl(nGC_91)** &
                      2d0 + coupl(nGC_1746)*coupl(nGC_29) + coupl(nGC_1948)*   &
                      coupl(nGC_30) + coupl(nGC_2312)*coupl(nGC_51) + 4d0*coupl&
                      (nGC_77)**2d0 + 4d0*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_89&
                      )**2d0)/(96d0*pi**2d0)
    coupl(nGC_4193) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMC**  &
                      2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_34)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_34)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_34)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_34&
                      )**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_34)**2d0 + 2d0*cMTA &
                      **2d0*cima*coupl(nGC_34)**2d0 + 3d0*cMW**2d0*cima*coupl( &
                      nGC_296)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_310)**2d0 +  &
                      3d0*cMW**2d0*cima*coupl(nGC_38)**2d0 + 3d0*cMW**2d0*cima*&
                      coupl(nGC_7)**2d0 - 4d0*cMW**2d0*coupl(nGC_22) + 3d0*cMZ &
                      **2d0*cima*coupl(nGC_310)**2d0 + 3d0*cMZ**2d0*cima*coupl(&
                      nGC_38)**2d0 - 2d0*cMZ**2d0*coupl(nGC_560))/(32d0*pi**2d0&
                      )
    coupl(nGC_4194) = cima*(-2d0*Nc*coupl(nGC_34)**2d0 - coupl(nGC_296)**2d0 - &
                      coupl(nGC_310)**2d0 - 2d0*coupl(nGC_34)**2d0 - coupl(    &
                      nGC_38)**2d0 - coupl(nGC_7)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4195) = cima*(coupl(nGC_296)**2d0 + coupl(nGC_310)**2d0 + coupl( &
                      nGC_38)**2d0 + coupl(nGC_7)**2d0)/(48d0*pi**2d0)
    coupl(nGC_4196) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_648)**2d0 + 2d0*Nc*cMB** &
                      2d0*cima*coupl(nGC_650)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl&
                      (nGC_632)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_634)**2d0&
                       + 2d0*Nc*cMD**2d0*cima*coupl(nGC_648)**2d0 + 2d0*Nc*cMD &
                      **2d0*cima*coupl(nGC_650)**2d0 + 2d0*Nc*cMS**2d0*cima*   &
                      coupl(nGC_648)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_650 &
                      )**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_632)**2d0 + 2d0* &
                      Nc*cMT**2d0*cima*coupl(nGC_634)**2d0 + 2d0*Nc*cMU**2d0*  &
                      cima*coupl(nGC_632)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_634)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_670)**2d0 +  &
                      2d0*cME**2d0*cima*coupl(nGC_672)**2d0 + 2d0*cMM**2d0*cima&
                      *coupl(nGC_670)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_672)**&
                      2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_670)**2d0 + 2d0*cMTA**&
                      2d0*cima*coupl(nGC_672)**2d0 + 3d0*cMW**2d0*cima*coupl(  &
                      nGC_310)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_38)**2d0 -   &
                      2d0*cMW**2d0*coupl(nGC_560))/(16d0*pi**2d0)
    coupl(nGC_4197) = cima*(-2d0*Nc*coupl(nGC_632)**2d0 - 2d0*Nc*coupl(nGC_634 &
                      )**2d0 - 2d0*Nc*coupl(nGC_648)**2d0 - 2d0*Nc*coupl(      &
                      nGC_650)**2d0 - coupl(nGC_310)**2d0 - coupl(nGC_38)**2d0 &
                       - 2d0*coupl(nGC_53)**2d0 - 2d0*coupl(nGC_670)**2d0 - 2d0&
                      *coupl(nGC_672)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4198) = cima*(coupl(nGC_310)**2d0 + coupl(nGC_38)**2d0)/(48d0*pi &
                      **2d0)
    coupl(nGC_4199) = cima*(-coupl(nGC_34)**2d0 - coupl(nGC_5)**2d0 - coupl(   &
                      nGC_650)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4200) = cMB*cima*(-coupl(nGC_5)**2d0 - coupl(nGC_648)*coupl(     &
                      nGC_650))/(8d0*pi**2d0)
    coupl(nGC_4202) = cima*(-coupl(nGC_5)**2d0 - coupl(nGC_648)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_4201) = cMB*cima*coupl(nGC_15)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4203) = cima*coupl(nGC_15)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(64d0*pi&
                      **2d0*Nc)
    coupl(nGC_4204) = cima*(-coupl(nGC_34)**2d0 - coupl(nGC_6)**2d0 - coupl(   &
                      nGC_634)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4205) = cMC*cima*(-coupl(nGC_6)**2d0 - coupl(nGC_632)*coupl(     &
                      nGC_634))/(8d0*pi**2d0)
    coupl(nGC_4207) = cima*(-coupl(nGC_6)**2d0 - coupl(nGC_632)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_4206) = cMC*cima*coupl(nGC_15)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4208) = cMD*cima*(-coupl(nGC_5)**2d0 - coupl(nGC_648)*coupl(     &
                      nGC_650))/(8d0*pi**2d0)
    coupl(nGC_4209) = cMD*cima*coupl(nGC_15)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4210) = cima*(coupl(nGC_670)**2d0 + coupl(nGC_8)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_4211) = cima*(coupl(nGC_34)**2d0 + coupl(nGC_672)**2d0 + coupl(  &
                      nGC_8)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4212) = cME*cima*(-coupl(nGC_670)*coupl(nGC_672) - coupl(nGC_8)**&
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_4213) = cima*coupl(nGC_15)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 +  &
                      cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_4214) = cima*sq2**2d0*(Nc*coupl(nGC_14)**2d0 - 4d0*coupl(nGC_15  &
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_4215) = -Nc*cima*coupl(nGC_14)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_4216) = cima*coupl(nGC_15)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 - &
                      cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**2d0*&
                      Nc)
    coupl(nGC_4217) = cima*sq2**2d0*(-Nc*coupl(nGC_14)**2d0 + 4d0*coupl(nGC_15 &
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4218) = cima*coupl(nGC_14)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_4219) = cMM*cima*(-coupl(nGC_670)*coupl(nGC_672) - coupl(nGC_8)**&
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_4220) = cima*(-coupl(nGC_34)**2d0 - coupl(nGC_53)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_4221) = cMS*cima*(-coupl(nGC_5)**2d0 - coupl(nGC_648)*coupl(     &
                      nGC_650))/(8d0*pi**2d0)
    coupl(nGC_4222) = cMS*cima*coupl(nGC_15)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4223) = cMT*cima*(-coupl(nGC_6)**2d0 - coupl(nGC_632)*coupl(     &
                      nGC_634))/(8d0*pi**2d0)
    coupl(nGC_4224) = cMT*cima*coupl(nGC_15)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4225) = cMTA*cima*(-coupl(nGC_670)*coupl(nGC_672) - coupl(nGC_8  &
                      )**2d0)/(8d0*pi**2d0)
    coupl(nGC_4226) = cMU*cima*(-coupl(nGC_6)**2d0 - coupl(nGC_632)*coupl(     &
                      nGC_634))/(8d0*pi**2d0)
    coupl(nGC_4227) = cMU*cima*coupl(nGC_15)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4228) = (6d0*coupl(nGC_1960)*coupl(nGC_31)*coupl(nGC_7) - coupl( &
                      nGC_292)**2d0*coupl(nGC_8) - coupl(nGC_316)**2d0*coupl(  &
                      nGC_8))/(96d0*pi**2d0)
    coupl(nGC_11864) = -coupl(nGC_4228)
    coupl(nGC_4229) = (4d0*Nc*coupl(nGC_5)*coupl(nGC_66)**2d0 + 4d0*Nc*coupl(  &
                      nGC_5)*coupl(nGC_69)**2d0 + 4d0*Nc*coupl(nGC_5)*coupl(   &
                      nGC_72)**2d0 + 4d0*Nc*coupl(nGC_5)*coupl(nGC_81)**2d0 +  &
                      4d0*Nc*coupl(nGC_5)*coupl(nGC_84)**2d0 + 4d0*Nc*coupl(   &
                      nGC_5)*coupl(nGC_90)**2d0 - 4d0*Nc*coupl(nGC_6)*coupl(   &
                      nGC_66)**2d0 - 4d0*Nc*coupl(nGC_6)*coupl(nGC_69)**2d0 -  &
                      4d0*Nc*coupl(nGC_6)*coupl(nGC_72)**2d0 - 4d0*Nc*coupl(   &
                      nGC_6)*coupl(nGC_81)**2d0 - 4d0*Nc*coupl(nGC_6)*coupl(   &
                      nGC_84)**2d0 - 4d0*Nc*coupl(nGC_6)*coupl(nGC_90)**2d0 -  &
                      6d0*coupl(nGC_1732)*coupl(nGC_33)*coupl(nGC_7) - 6d0*    &
                      coupl(nGC_1746)*coupl(nGC_29)*coupl(nGC_7) + coupl(      &
                      nGC_2324)**2d0*coupl(nGC_8) + coupl(nGC_292)**2d0*coupl( &
                      nGC_8) + 4d0*coupl(nGC_75)**2d0*coupl(nGC_8) + 4d0*coupl(&
                      nGC_78)**2d0*coupl(nGC_8) + 4d0*coupl(nGC_8)*coupl(nGC_87&
                      )**2d0)/(96d0*pi**2d0)
    coupl(nGC_11872) = -coupl(nGC_4229)
    coupl(nGC_4230) = (-2d0*Nc*cMB*coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_66) -  &
                      2d0*Nc*cMC*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_69) - 2d0&
                      *Nc*cMD*coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_72) - 2d0*Nc&
                      *cMS*coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_81) - 2d0*Nc*  &
                      cMT*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_84) - 2d0*Nc*cMU&
                      *coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_90) + 4d0*cima*    &
                      coupl(nGC_546)*coupl(nGC_60) + 4d0*cima*coupl(nGC_64)*   &
                      coupl(nGC_9) - coupl(nGC_2324)*coupl(nGC_310)*coupl(     &
                      nGC_64) - coupl(nGC_29)*coupl(nGC_63)*coupl(nGC_7) -     &
                      coupl(nGC_292)*coupl(nGC_296)*coupl(nGC_64) + 6d0*coupl( &
                      nGC_296)*coupl(nGC_64)*coupl(nGC_7) + 6d0*coupl(nGC_310)*&
                      coupl(nGC_60)*coupl(nGC_7))/(32d0*pi**2d0)
    coupl(nGC_4231) = (-2d0*Nc*cMB*coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_66) -  &
                      2d0*Nc*cMC*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_69) - 2d0&
                      *Nc*cMD*coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_72) - 2d0*Nc&
                      *cMS*coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_81) - 2d0*Nc*  &
                      cMT*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_84) - 2d0*Nc*cMU&
                      *coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_90) + 4d0*cima*    &
                      coupl(nGC_546)*coupl(nGC_60) + 4d0*cima*coupl(nGC_64)*   &
                      coupl(nGC_9) - coupl(nGC_296)*coupl(nGC_30)*coupl(nGC_63 &
                      ) + 6d0*coupl(nGC_296)*coupl(nGC_38)*coupl(nGC_60) + 6d0*&
                      coupl(nGC_296)*coupl(nGC_64)*coupl(nGC_7) - coupl(nGC_38 &
                      )*coupl(nGC_52)*coupl(nGC_64) - coupl(nGC_64)*coupl(nGC_7&
                      )*coupl(nGC_8))/(32d0*pi**2d0)
    coupl(nGC_4232) = (12d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_5) - 12d0*Nc*coupl(&
                      nGC_34)**2d0*coupl(nGC_6) - 11d0*coupl(nGC_296)**2d0*    &
                      coupl(nGC_7) - 11d0*coupl(nGC_310)**2d0*coupl(nGC_7) +   &
                      12d0*coupl(nGC_34)**2d0*coupl(nGC_8))/(96d0*pi**2d0)
    coupl(nGC_11890) = -coupl(nGC_4232)
    coupl(nGC_4233) = (-coupl(nGC_1732)*coupl(nGC_1746)*coupl(nGC_292) - coupl(&
                      nGC_1732)*coupl(nGC_1948)*coupl(nGC_8) + 6d0*coupl(nGC_29&
                      )*coupl(nGC_296)*coupl(nGC_33) + 6d0*coupl(nGC_30)*coupl(&
                      nGC_33)*coupl(nGC_7))/(96d0*pi**2d0)
    coupl(nGC_11897) = -coupl(nGC_4233)
    coupl(nGC_4234) = (-4d0*Nc*cMB*coupl(nGC_5)*coupl(nGC_648)*coupl(nGC_68) - &
                      4d0*Nc*cMB*coupl(nGC_5)*coupl(nGC_650)*coupl(nGC_68) -   &
                      4d0*Nc*cMC*coupl(nGC_6)*coupl(nGC_632)*coupl(nGC_70) -   &
                      4d0*Nc*cMC*coupl(nGC_6)*coupl(nGC_634)*coupl(nGC_70) -   &
                      4d0*Nc*cMD*coupl(nGC_5)*coupl(nGC_648)*coupl(nGC_74) -   &
                      4d0*Nc*cMD*coupl(nGC_5)*coupl(nGC_650)*coupl(nGC_74) -   &
                      4d0*Nc*cMS*coupl(nGC_5)*coupl(nGC_648)*coupl(nGC_83) -   &
                      4d0*Nc*cMS*coupl(nGC_5)*coupl(nGC_650)*coupl(nGC_83) -   &
                      4d0*Nc*cMT*coupl(nGC_6)*coupl(nGC_632)*coupl(nGC_85) -   &
                      4d0*Nc*cMT*coupl(nGC_6)*coupl(nGC_634)*coupl(nGC_85) -   &
                      4d0*Nc*cMU*coupl(nGC_6)*coupl(nGC_632)*coupl(nGC_91) -   &
                      4d0*Nc*cMU*coupl(nGC_6)*coupl(nGC_634)*coupl(nGC_91) -   &
                      4d0*cME*coupl(nGC_670)*coupl(nGC_77)*coupl(nGC_8) - 4d0* &
                      cME*coupl(nGC_672)*coupl(nGC_77)*coupl(nGC_8) - 4d0*cMM* &
                      coupl(nGC_670)*coupl(nGC_8)*coupl(nGC_80) - 4d0*cMM*coupl&
                      (nGC_672)*coupl(nGC_8)*coupl(nGC_80) - 4d0*cMTA*coupl(   &
                      nGC_670)*coupl(nGC_8)*coupl(nGC_89) - 4d0*cMTA*coupl(    &
                      nGC_672)*coupl(nGC_8)*coupl(nGC_89) + 4d0*cima*coupl(    &
                      nGC_44)*coupl(nGC_63) - coupl(nGC_1746)*coupl(nGC_296)*  &
                      coupl(nGC_60) - coupl(nGC_1948)*coupl(nGC_60)*coupl(nGC_7&
                      ) - coupl(nGC_29)*coupl(nGC_310)*coupl(nGC_64) + 6d0*    &
                      coupl(nGC_296)*coupl(nGC_310)*coupl(nGC_63) - coupl(     &
                      nGC_30)*coupl(nGC_38)*coupl(nGC_64) + 6d0*coupl(nGC_38)* &
                      coupl(nGC_63)*coupl(nGC_7))/(32d0*pi**2d0)
    coupl(nGC_4235) = (-8d0*Nc*cMB*coupl(nGC_5)**2d0*coupl(nGC_68) - 8d0*Nc*cMC&
                      *coupl(nGC_6)**2d0*coupl(nGC_70) - 8d0*Nc*cMD*coupl(nGC_5&
                      )**2d0*coupl(nGC_74) - 8d0*Nc*cMS*coupl(nGC_5)**2d0*coupl&
                      (nGC_83) - 8d0*Nc*cMT*coupl(nGC_6)**2d0*coupl(nGC_85) -  &
                      8d0*Nc*cMU*coupl(nGC_6)**2d0*coupl(nGC_91) - 8d0*cME*    &
                      coupl(nGC_77)*coupl(nGC_8)**2d0 - 8d0*cMM*coupl(nGC_8)** &
                      2d0*coupl(nGC_80) - 8d0*cMTA*coupl(nGC_8)**2d0*coupl(    &
                      nGC_89) + 4d0*cima*coupl(nGC_502)*coupl(nGC_63) - coupl( &
                      nGC_1746)*coupl(nGC_296)*coupl(nGC_64) - coupl(nGC_1948)*&
                      coupl(nGC_64)*coupl(nGC_7) - coupl(nGC_29)*coupl(nGC_296 &
                      )*coupl(nGC_64) + 6d0*coupl(nGC_296)**2d0*coupl(nGC_63   &
                      ) - coupl(nGC_30)*coupl(nGC_64)*coupl(nGC_7) + 6d0*coupl(&
                      nGC_63)*coupl(nGC_7)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4236) = (coupl(nGC_394)*coupl(nGC_5)*coupl(nGC_67) + 4d0*coupl(  &
                      nGC_5)**3d0 + 4d0*coupl(nGC_5)*coupl(nGC_648)**2d0 +     &
                      coupl(nGC_5)*coupl(nGC_68)**2d0 + coupl(nGC_6)*coupl(    &
                      nGC_66)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4237) = (4d0*coupl(nGC_296)*coupl(nGC_34)**2d0 + 4d0*coupl(nGC_34&
                      )**2d0*coupl(nGC_6) + coupl(nGC_394)*coupl(nGC_5)*coupl( &
                      nGC_67) + 4d0*coupl(nGC_5)**3d0 + 4d0*coupl(nGC_5)*coupl(&
                      nGC_650)**2d0 + coupl(nGC_5)*coupl(nGC_68)**2d0 + coupl( &
                      nGC_6)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4238) = coupl(nGC_15)**2d0*coupl(nGC_5)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4239) = (coupl(nGC_444)*coupl(nGC_6)*coupl(nGC_71) + coupl(nGC_5 &
                      )*coupl(nGC_69)**2d0 + 4d0*coupl(nGC_6)**3d0 + 4d0*coupl(&
                      nGC_6)*coupl(nGC_632)**2d0 + coupl(nGC_6)*coupl(nGC_70)**&
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_4240) = (4d0*coupl(nGC_34)**2d0*coupl(nGC_5) + 4d0*coupl(nGC_34  &
                      )**2d0*coupl(nGC_7) + coupl(nGC_444)*coupl(nGC_6)*coupl( &
                      nGC_71) + coupl(nGC_5)*coupl(nGC_81)**2d0 + 4d0*coupl(   &
                      nGC_6)**3d0 + 4d0*coupl(nGC_6)*coupl(nGC_634)**2d0 +     &
                      coupl(nGC_6)*coupl(nGC_70)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4241) = coupl(nGC_15)**2d0*coupl(nGC_6)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4242) = (coupl(nGC_386)*coupl(nGC_5)*coupl(nGC_73) + 4d0*coupl(  &
                      nGC_5)**3d0 + 4d0*coupl(nGC_5)*coupl(nGC_648)**2d0 +     &
                      coupl(nGC_5)*coupl(nGC_74)**2d0 + coupl(nGC_6)*coupl(    &
                      nGC_72)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4243) = (4d0*coupl(nGC_296)*coupl(nGC_34)**2d0 + 4d0*coupl(nGC_34&
                      )**2d0*coupl(nGC_6) + coupl(nGC_386)*coupl(nGC_5)*coupl( &
                      nGC_73) + 4d0*coupl(nGC_5)**3d0 + 4d0*coupl(nGC_5)*coupl(&
                      nGC_650)**2d0 + coupl(nGC_5)*coupl(nGC_74)**2d0 + coupl( &
                      nGC_6)*coupl(nGC_90)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4244) = coupl(nGC_8)*(coupl(nGC_410)*coupl(nGC_76) + 4d0*coupl(  &
                      nGC_670)**2d0 + coupl(nGC_77)**2d0 + 4d0*coupl(nGC_8)**  &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_4245) = (-4d0*coupl(nGC_34)**2d0*coupl(nGC_7) + coupl(nGC_410)*  &
                      coupl(nGC_76)*coupl(nGC_8) + 4d0*coupl(nGC_672)**2d0*    &
                      coupl(nGC_8) + coupl(nGC_77)**2d0*coupl(nGC_8) + 4d0*    &
                      coupl(nGC_8)**3d0)/(32d0*pi**2d0)
    coupl(nGC_4246) = coupl(nGC_8)*(coupl(nGC_414)*coupl(nGC_79) + 4d0*coupl(  &
                      nGC_670)**2d0 + 4d0*coupl(nGC_8)**2d0 + coupl(nGC_80)**  &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_4247) = (-4d0*coupl(nGC_34)**2d0*coupl(nGC_7) + coupl(nGC_414)*  &
                      coupl(nGC_79)*coupl(nGC_8) + 4d0*coupl(nGC_672)**2d0*    &
                      coupl(nGC_8) + 4d0*coupl(nGC_8)**3d0 + coupl(nGC_8)*coupl&
                      (nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4248) = (4d0*coupl(nGC_34)**2d0*coupl(nGC_7) + 4d0*coupl(nGC_34  &
                      )**2d0*coupl(nGC_8) + coupl(nGC_75)**2d0*coupl(nGC_8))/( &
                      32d0*pi**2d0)
    coupl(nGC_4249) = (4d0*coupl(nGC_34)**2d0*coupl(nGC_7) + 4d0*coupl(nGC_34  &
                      )**2d0*coupl(nGC_8) + coupl(nGC_78)**2d0*coupl(nGC_8))/( &
                      32d0*pi**2d0)
    coupl(nGC_4250) = (4d0*coupl(nGC_34)**2d0*coupl(nGC_7) + 4d0*coupl(nGC_34  &
                      )**2d0*coupl(nGC_8) + coupl(nGC_8)*coupl(nGC_87)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_4251) = (coupl(nGC_390)*coupl(nGC_5)*coupl(nGC_82) + 4d0*coupl(  &
                      nGC_5)**3d0 + 4d0*coupl(nGC_5)*coupl(nGC_648)**2d0 +     &
                      coupl(nGC_5)*coupl(nGC_83)**2d0 + coupl(nGC_6)*coupl(    &
                      nGC_81)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4252) = (4d0*coupl(nGC_296)*coupl(nGC_34)**2d0 + 4d0*coupl(nGC_34&
                      )**2d0*coupl(nGC_6) + coupl(nGC_390)*coupl(nGC_5)*coupl( &
                      nGC_82) + 4d0*coupl(nGC_5)**3d0 + 4d0*coupl(nGC_5)*coupl(&
                      nGC_650)**2d0 + coupl(nGC_5)*coupl(nGC_83)**2d0 + coupl( &
                      nGC_6)*coupl(nGC_69)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4253) = (coupl(nGC_448)*coupl(nGC_6)*coupl(nGC_86) + coupl(nGC_5 &
                      )*coupl(nGC_84)**2d0 + 4d0*coupl(nGC_6)**3d0 + 4d0*coupl(&
                      nGC_6)*coupl(nGC_632)**2d0 + coupl(nGC_6)*coupl(nGC_85)**&
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_4254) = (4d0*coupl(nGC_34)**2d0*coupl(nGC_5) + 4d0*coupl(nGC_34  &
                      )**2d0*coupl(nGC_7) + coupl(nGC_448)*coupl(nGC_6)*coupl( &
                      nGC_86) + coupl(nGC_5)*coupl(nGC_66)**2d0 + 4d0*coupl(   &
                      nGC_6)**3d0 + 4d0*coupl(nGC_6)*coupl(nGC_634)**2d0 +     &
                      coupl(nGC_6)*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4255) = coupl(nGC_8)*(coupl(nGC_418)*coupl(nGC_88) + 4d0*coupl(  &
                      nGC_670)**2d0 + 4d0*coupl(nGC_8)**2d0 + coupl(nGC_89)**  &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_4256) = (-4d0*coupl(nGC_34)**2d0*coupl(nGC_7) + coupl(nGC_418)*  &
                      coupl(nGC_8)*coupl(nGC_88) + 4d0*coupl(nGC_672)**2d0*    &
                      coupl(nGC_8) + 4d0*coupl(nGC_8)**3d0 + coupl(nGC_8)*coupl&
                      (nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4257) = (coupl(nGC_440)*coupl(nGC_6)*coupl(nGC_92) + coupl(nGC_5 &
                      )*coupl(nGC_90)**2d0 + 4d0*coupl(nGC_6)**3d0 + 4d0*coupl(&
                      nGC_6)*coupl(nGC_632)**2d0 + coupl(nGC_6)*coupl(nGC_91)**&
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_4258) = (4d0*coupl(nGC_34)**2d0*coupl(nGC_5) + 4d0*coupl(nGC_34  &
                      )**2d0*coupl(nGC_7) + coupl(nGC_440)*coupl(nGC_6)*coupl( &
                      nGC_92) + coupl(nGC_5)*coupl(nGC_72)**2d0 + 4d0*coupl(   &
                      nGC_6)**3d0 + 4d0*coupl(nGC_6)*coupl(nGC_634)**2d0 +     &
                      coupl(nGC_6)*coupl(nGC_91)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4259) = (4d0*Nc*cMB*coupl(nGC_66)**2d0*coupl(nGC_68) + 4d0*Nc*cMB&
                      *coupl(nGC_66)*coupl(nGC_84)*coupl(nGC_85) + 4d0*Nc*cMB* &
                      coupl(nGC_68)*coupl(nGC_84)**2d0 + 4d0*Nc*cMC*coupl(     &
                      nGC_69)**2d0*coupl(nGC_70) + 4d0*Nc*cMC*coupl(nGC_69)*   &
                      coupl(nGC_81)*coupl(nGC_83) + 4d0*Nc*cMC*coupl(nGC_70)*  &
                      coupl(nGC_81)**2d0 + 4d0*Nc*cMD*coupl(nGC_72)**2d0*coupl(&
                      nGC_74) + 4d0*Nc*cMD*coupl(nGC_72)*coupl(nGC_90)*coupl(  &
                      nGC_91) + 4d0*Nc*cMD*coupl(nGC_74)*coupl(nGC_90)**2d0 +  &
                      4d0*Nc*cMS*coupl(nGC_69)**2d0*coupl(nGC_83) + 4d0*Nc*cMS*&
                      coupl(nGC_69)*coupl(nGC_70)*coupl(nGC_81) + 4d0*Nc*cMS*  &
                      coupl(nGC_81)**2d0*coupl(nGC_83) + 4d0*Nc*cMT*coupl(     &
                      nGC_66)**2d0*coupl(nGC_85) + 4d0*Nc*cMT*coupl(nGC_66)*   &
                      coupl(nGC_68)*coupl(nGC_84) + 4d0*Nc*cMT*coupl(nGC_84)** &
                      2d0*coupl(nGC_85) + 4d0*Nc*cMU*coupl(nGC_72)**2d0*coupl( &
                      nGC_91) + 4d0*Nc*cMU*coupl(nGC_72)*coupl(nGC_74)*coupl(  &
                      nGC_90) + 4d0*Nc*cMU*coupl(nGC_90)**2d0*coupl(nGC_91) +  &
                      4d0*cME*coupl(nGC_75)**2d0*coupl(nGC_77) + 4d0*cMM*coupl(&
                      nGC_78)**2d0*coupl(nGC_80) + 4d0*cMTA*coupl(nGC_87)**2d0*&
                      coupl(nGC_89) + 8d0*cima*coupl(nGC_12)*coupl(nGC_60) +   &
                      4d0*cima*coupl(nGC_21)*coupl(nGC_63) + 8d0*cima*coupl(   &
                      nGC_40)*coupl(nGC_64) + 2d0*cima*coupl(nGC_57)*coupl(    &
                      nGC_65) + coupl(nGC_1732)*coupl(nGC_33)*coupl(nGC_61) -  &
                      coupl(nGC_1732)*coupl(nGC_33)*coupl(nGC_63) - coupl(     &
                      nGC_1732)*coupl(nGC_51)*coupl(nGC_60) + coupl(nGC_1746)* &
                      coupl(nGC_1948)*coupl(nGC_61) - coupl(nGC_1746)*coupl(   &
                      nGC_29)*coupl(nGC_63) - coupl(nGC_1948)*coupl(nGC_2324)* &
                      coupl(nGC_60) - coupl(nGC_1948)*coupl(nGC_292)*coupl(    &
                      nGC_64) + coupl(nGC_1948)*coupl(nGC_30)*coupl(nGC_62) -  &
                      coupl(nGC_2312)*coupl(nGC_33)*coupl(nGC_60) + coupl(     &
                      nGC_2324)**2d0*coupl(nGC_61) - coupl(nGC_2324)*coupl(    &
                      nGC_30)*coupl(nGC_60) + coupl(nGC_29)*coupl(nGC_30)*coupl&
                      (nGC_61) + coupl(nGC_292)**2d0*coupl(nGC_61) - coupl(    &
                      nGC_292)*coupl(nGC_30)*coupl(nGC_64) - coupl(nGC_52)**2d0&
                      *coupl(nGC_65))/(32d0*pi**2d0)
    coupl(nGC_4260) = (4d0*Nc*coupl(nGC_632)*coupl(nGC_69)**2d0 + 4d0*Nc*coupl(&
                      nGC_632)*coupl(nGC_84)**2d0 + 4d0*Nc*coupl(nGC_632)*coupl&
                      (nGC_90)**2d0 + 4d0*Nc*coupl(nGC_634)*coupl(nGC_66)**2d0 &
                       + 4d0*Nc*coupl(nGC_634)*coupl(nGC_72)**2d0 + 4d0*Nc*    &
                      coupl(nGC_634)*coupl(nGC_81)**2d0 - 4d0*Nc*coupl(nGC_648 &
                      )*coupl(nGC_66)**2d0 - 4d0*Nc*coupl(nGC_648)*coupl(nGC_72&
                      )**2d0 - 4d0*Nc*coupl(nGC_648)*coupl(nGC_81)**2d0 - 4d0* &
                      Nc*coupl(nGC_650)*coupl(nGC_69)**2d0 - 4d0*Nc*coupl(     &
                      nGC_650)*coupl(nGC_84)**2d0 - 4d0*Nc*coupl(nGC_650)*coupl&
                      (nGC_90)**2d0 - coupl(nGC_1732)*coupl(nGC_1948)*coupl(   &
                      nGC_2312) + 6d0*coupl(nGC_1732)*coupl(nGC_33)*coupl(     &
                      nGC_38) + 6d0*coupl(nGC_1746)*coupl(nGC_29)*coupl(nGC_38 &
                      ) - coupl(nGC_2324)**2d0*coupl(nGC_52) - coupl(nGC_292)**&
                      2d0*coupl(nGC_52) - coupl(nGC_30)*coupl(nGC_33)*coupl(   &
                      nGC_51) + 4d0*coupl(nGC_53)*coupl(nGC_75)**2d0 + 4d0*    &
                      coupl(nGC_53)*coupl(nGC_78)**2d0 + 4d0*coupl(nGC_53)*    &
                      coupl(nGC_87)**2d0 - 4d0*coupl(nGC_670)*coupl(nGC_75)**  &
                      2d0 - 4d0*coupl(nGC_670)*coupl(nGC_78)**2d0 - 4d0*coupl( &
                      nGC_670)*coupl(nGC_87)**2d0)/(96d0*pi**2d0)
    coupl(nGC_12081) = -coupl(nGC_4260)
    coupl(nGC_4261) = (-4d0*Nc*coupl(nGC_34)*coupl(nGC_440)*coupl(nGC_90) - 4d0&
                      *Nc*coupl(nGC_34)*coupl(nGC_444)*coupl(nGC_69) - 4d0*Nc* &
                      coupl(nGC_34)*coupl(nGC_448)*coupl(nGC_84) + 4d0*Nc*coupl&
                      (nGC_34)*coupl(nGC_66)*coupl(nGC_67) + 4d0*Nc*coupl(     &
                      nGC_34)*coupl(nGC_72)*coupl(nGC_73) + 4d0*Nc*coupl(nGC_34&
                      )*coupl(nGC_81)*coupl(nGC_82) + 6d0*coupl(nGC_1732)*coupl&
                      (nGC_38)*coupl(nGC_52) + 6d0*coupl(nGC_1732)*coupl(nGC_7 &
                      )*coupl(nGC_8) - coupl(nGC_1948)**2d0*coupl(nGC_33) + 6d0&
                      *coupl(nGC_2312)*coupl(nGC_29)*coupl(nGC_310) - coupl(   &
                      nGC_2324)*coupl(nGC_29)*coupl(nGC_51) - coupl(nGC_33)**  &
                      3d0 + 4d0*coupl(nGC_34)*coupl(nGC_75)*coupl(nGC_76) + 4d0&
                      *coupl(nGC_34)*coupl(nGC_78)*coupl(nGC_79) + 4d0*coupl(  &
                      nGC_34)*coupl(nGC_87)*coupl(nGC_88))/(96d0*pi**2d0)
    coupl(nGC_12089) = -coupl(nGC_4261)
    coupl(nGC_4262) = (4d0*Nc*coupl(nGC_34)*coupl(nGC_66)*coupl(nGC_68) - 4d0* &
                      Nc*coupl(nGC_34)*coupl(nGC_69)*coupl(nGC_70) + 4d0*Nc*   &
                      coupl(nGC_34)*coupl(nGC_72)*coupl(nGC_74) + 4d0*Nc*coupl(&
                      nGC_34)*coupl(nGC_81)*coupl(nGC_83) - 4d0*Nc*coupl(nGC_34&
                      )*coupl(nGC_84)*coupl(nGC_85) - 4d0*Nc*coupl(nGC_34)*    &
                      coupl(nGC_90)*coupl(nGC_91) - coupl(nGC_1732)*coupl(     &
                      nGC_2312)*coupl(nGC_2324) + 6d0*coupl(nGC_1732)*coupl(   &
                      nGC_310)*coupl(nGC_51) - coupl(nGC_1746)*coupl(nGC_1948  &
                      )**2d0 - coupl(nGC_1746)*coupl(nGC_33)**2d0 + 6d0*coupl( &
                      nGC_29)*coupl(nGC_38)*coupl(nGC_52) + 6d0*coupl(nGC_29)* &
                      coupl(nGC_7)*coupl(nGC_8) + 4d0*coupl(nGC_34)*coupl(     &
                      nGC_75)*coupl(nGC_77) + 4d0*coupl(nGC_34)*coupl(nGC_78)* &
                      coupl(nGC_80) + 4d0*coupl(nGC_34)*coupl(nGC_87)*coupl(   &
                      nGC_89))/(96d0*pi**2d0)
    coupl(nGC_12095) = -coupl(nGC_4262)
    coupl(nGC_4263) = (-2d0*Nc*cMB*coupl(nGC_34)*coupl(nGC_634)*coupl(nGC_66   &
                      ) + 2d0*Nc*cMB*coupl(nGC_34)*coupl(nGC_648)*coupl(nGC_66 &
                      ) - 2d0*Nc*cMB*coupl(nGC_34)*coupl(nGC_650)*coupl(nGC_66 &
                      ) + 2d0*Nc*cMC*coupl(nGC_34)*coupl(nGC_632)*coupl(nGC_69 &
                      ) - 2d0*Nc*cMC*coupl(nGC_34)*coupl(nGC_634)*coupl(nGC_69 &
                      ) - 2d0*Nc*cMC*coupl(nGC_34)*coupl(nGC_650)*coupl(nGC_69 &
                      ) - 2d0*Nc*cMD*coupl(nGC_34)*coupl(nGC_634)*coupl(nGC_72 &
                      ) + 2d0*Nc*cMD*coupl(nGC_34)*coupl(nGC_648)*coupl(nGC_72 &
                      ) - 2d0*Nc*cMD*coupl(nGC_34)*coupl(nGC_650)*coupl(nGC_72 &
                      ) - 2d0*Nc*cMS*coupl(nGC_34)*coupl(nGC_634)*coupl(nGC_81 &
                      ) + 2d0*Nc*cMS*coupl(nGC_34)*coupl(nGC_648)*coupl(nGC_81 &
                      ) - 2d0*Nc*cMS*coupl(nGC_34)*coupl(nGC_650)*coupl(nGC_81 &
                      ) + 2d0*Nc*cMT*coupl(nGC_34)*coupl(nGC_632)*coupl(nGC_84 &
                      ) - 2d0*Nc*cMT*coupl(nGC_34)*coupl(nGC_634)*coupl(nGC_84 &
                      ) - 2d0*Nc*cMT*coupl(nGC_34)*coupl(nGC_650)*coupl(nGC_84 &
                      ) + 2d0*Nc*cMU*coupl(nGC_34)*coupl(nGC_632)*coupl(nGC_90 &
                      ) - 2d0*Nc*cMU*coupl(nGC_34)*coupl(nGC_634)*coupl(nGC_90 &
                      ) - 2d0*Nc*cMU*coupl(nGC_34)*coupl(nGC_650)*coupl(nGC_90 &
                      ) - 2d0*cME*coupl(nGC_34)*coupl(nGC_53)*coupl(nGC_75) +  &
                      2d0*cME*coupl(nGC_34)*coupl(nGC_670)*coupl(nGC_75) - 2d0*&
                      cME*coupl(nGC_34)*coupl(nGC_672)*coupl(nGC_75) - 2d0*cMM*&
                      coupl(nGC_34)*coupl(nGC_53)*coupl(nGC_78) + 2d0*cMM*coupl&
                      (nGC_34)*coupl(nGC_670)*coupl(nGC_78) - 2d0*cMM*coupl(   &
                      nGC_34)*coupl(nGC_672)*coupl(nGC_78) - 2d0*cMTA*coupl(   &
                      nGC_34)*coupl(nGC_53)*coupl(nGC_87) + 2d0*cMTA*coupl(    &
                      nGC_34)*coupl(nGC_670)*coupl(nGC_87) - 2d0*cMTA*coupl(   &
                      nGC_34)*coupl(nGC_672)*coupl(nGC_87) + 4d0*cima*coupl(   &
                      nGC_27)*coupl(nGC_60) + 4d0*cima*coupl(nGC_546)*coupl(   &
                      nGC_64) - coupl(nGC_1948)*coupl(nGC_38)*coupl(nGC_65) -  &
                      coupl(nGC_2324)*coupl(nGC_310)*coupl(nGC_60) - coupl(    &
                      nGC_29)*coupl(nGC_38)*coupl(nGC_63) - coupl(nGC_292)*    &
                      coupl(nGC_296)*coupl(nGC_60) + 6d0*coupl(nGC_296)*coupl( &
                      nGC_38)*coupl(nGC_64) + 6d0*coupl(nGC_310)*coupl(nGC_38)*&
                      coupl(nGC_60))/(32d0*pi**2d0)
    coupl(nGC_4264) = (-coupl(nGC_1948)*coupl(nGC_34)*coupl(nGC_85) - coupl(   &
                      nGC_2324)*coupl(nGC_650)*coupl(nGC_84) - coupl(nGC_292)* &
                      coupl(nGC_5)*coupl(nGC_84) - coupl(nGC_33)*coupl(nGC_34)*&
                      coupl(nGC_86) + 8d0*coupl(nGC_5)*coupl(nGC_6)*coupl(     &
                      nGC_84) - coupl(nGC_52)*coupl(nGC_632)*coupl(nGC_84) -   &
                      coupl(nGC_6)*coupl(nGC_8)*coupl(nGC_84) + 8d0*coupl(     &
                      nGC_632)*coupl(nGC_650)*coupl(nGC_84) - coupl(nGC_66)*   &
                      coupl(nGC_67)*coupl(nGC_86) - coupl(nGC_66)*coupl(nGC_68 &
                      )*coupl(nGC_85))/(32d0*pi**2d0)
    coupl(nGC_4266) = (-coupl(nGC_1732)*coupl(nGC_34)*coupl(nGC_394) - coupl(  &
                      nGC_2324)*coupl(nGC_648)*coupl(nGC_66) - coupl(nGC_29)*  &
                      coupl(nGC_34)*coupl(nGC_68) - coupl(nGC_292)*coupl(nGC_5 &
                      )*coupl(nGC_66) - coupl(nGC_394)*coupl(nGC_448)*coupl(   &
                      nGC_84) + 8d0*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_66) -  &
                      coupl(nGC_52)*coupl(nGC_634)*coupl(nGC_66) - coupl(nGC_6 &
                      )*coupl(nGC_66)*coupl(nGC_8) + 8d0*coupl(nGC_634)*coupl( &
                      nGC_648)*coupl(nGC_66) - coupl(nGC_68)*coupl(nGC_84)*    &
                      coupl(nGC_85))/(32d0*pi**2d0)
    coupl(nGC_4265) = coupl(nGC_15)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4267) = coupl(nGC_15)**2d0*coupl(nGC_66)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4268) = (coupl(nGC_1732)*coupl(nGC_34)*coupl(nGC_71) + coupl(    &
                      nGC_2324)*coupl(nGC_632)*coupl(nGC_69) + coupl(nGC_29)*  &
                      coupl(nGC_34)*coupl(nGC_70) + coupl(nGC_292)*coupl(nGC_6 &
                      )*coupl(nGC_69) + 8d0*coupl(nGC_5)*coupl(nGC_6)*coupl(   &
                      nGC_69) + coupl(nGC_5)*coupl(nGC_69)*coupl(nGC_8) + coupl&
                      (nGC_52)*coupl(nGC_650)*coupl(nGC_69) + 8d0*coupl(nGC_632&
                      )*coupl(nGC_650)*coupl(nGC_69) - coupl(nGC_70)*coupl(    &
                      nGC_81)*coupl(nGC_83) - coupl(nGC_71)*coupl(nGC_81)*coupl&
                      (nGC_82))/(32d0*pi**2d0)
    coupl(nGC_4270) = (coupl(nGC_1948)*coupl(nGC_34)*coupl(nGC_83) + coupl(    &
                      nGC_2324)*coupl(nGC_634)*coupl(nGC_81) + coupl(nGC_292)* &
                      coupl(nGC_6)*coupl(nGC_81) + coupl(nGC_33)*coupl(nGC_34)*&
                      coupl(nGC_390) - coupl(nGC_390)*coupl(nGC_444)*coupl(    &
                      nGC_69) + 8d0*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_81) +  &
                      coupl(nGC_5)*coupl(nGC_8)*coupl(nGC_81) + coupl(nGC_52)* &
                      coupl(nGC_648)*coupl(nGC_81) + 8d0*coupl(nGC_634)*coupl( &
                      nGC_648)*coupl(nGC_81) - coupl(nGC_69)*coupl(nGC_70)*    &
                      coupl(nGC_83))/(32d0*pi**2d0)
    coupl(nGC_4269) = coupl(nGC_15)**2d0*coupl(nGC_69)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4271) = coupl(nGC_15)**2d0*coupl(nGC_81)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4272) = (-coupl(nGC_1948)*coupl(nGC_34)*coupl(nGC_91) - coupl(   &
                      nGC_2324)*coupl(nGC_650)*coupl(nGC_90) - coupl(nGC_292)* &
                      coupl(nGC_5)*coupl(nGC_90) - coupl(nGC_33)*coupl(nGC_34)*&
                      coupl(nGC_92) + 8d0*coupl(nGC_5)*coupl(nGC_6)*coupl(     &
                      nGC_90) - coupl(nGC_52)*coupl(nGC_632)*coupl(nGC_90) -   &
                      coupl(nGC_6)*coupl(nGC_8)*coupl(nGC_90) + 8d0*coupl(     &
                      nGC_632)*coupl(nGC_650)*coupl(nGC_90) - coupl(nGC_72)*   &
                      coupl(nGC_73)*coupl(nGC_92) - coupl(nGC_72)*coupl(nGC_74 &
                      )*coupl(nGC_91))/(32d0*pi**2d0)
    coupl(nGC_4274) = (-coupl(nGC_1732)*coupl(nGC_34)*coupl(nGC_386) - coupl(  &
                      nGC_2324)*coupl(nGC_648)*coupl(nGC_72) - coupl(nGC_29)*  &
                      coupl(nGC_34)*coupl(nGC_74) - coupl(nGC_292)*coupl(nGC_5 &
                      )*coupl(nGC_72) - coupl(nGC_386)*coupl(nGC_440)*coupl(   &
                      nGC_90) + 8d0*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_72) -  &
                      coupl(nGC_52)*coupl(nGC_634)*coupl(nGC_72) - coupl(nGC_6 &
                      )*coupl(nGC_72)*coupl(nGC_8) + 8d0*coupl(nGC_634)*coupl( &
                      nGC_648)*coupl(nGC_72) - coupl(nGC_74)*coupl(nGC_90)*    &
                      coupl(nGC_91))/(32d0*pi**2d0)
    coupl(nGC_4273) = coupl(nGC_15)**2d0*coupl(nGC_90)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4275) = coupl(nGC_15)**2d0*coupl(nGC_72)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4276) = (-coupl(nGC_1732)*coupl(nGC_34)*coupl(nGC_410) - coupl(  &
                      nGC_2324)*coupl(nGC_670)*coupl(nGC_75) - coupl(nGC_29)*  &
                      coupl(nGC_34)*coupl(nGC_77) - coupl(nGC_292)*coupl(nGC_75&
                      )*coupl(nGC_8) - coupl(nGC_52)*coupl(nGC_53)*coupl(nGC_75&
                      ) + 8d0*coupl(nGC_53)*coupl(nGC_670)*coupl(nGC_75))/(32d0&
                      *pi**2d0)
    coupl(nGC_4277) = (-coupl(nGC_1732)*coupl(nGC_34)*coupl(nGC_414) - coupl(  &
                      nGC_2324)*coupl(nGC_670)*coupl(nGC_78) - coupl(nGC_29)*  &
                      coupl(nGC_34)*coupl(nGC_80) - coupl(nGC_292)*coupl(nGC_78&
                      )*coupl(nGC_8) - coupl(nGC_52)*coupl(nGC_53)*coupl(nGC_78&
                      ) + 8d0*coupl(nGC_53)*coupl(nGC_670)*coupl(nGC_78))/(32d0&
                      *pi**2d0)
    coupl(nGC_4278) = (coupl(nGC_1948)*coupl(nGC_34)*coupl(nGC_89) + coupl(    &
                      nGC_2324)*coupl(nGC_53)*coupl(nGC_87) + coupl(nGC_33)*   &
                      coupl(nGC_34)*coupl(nGC_418) + coupl(nGC_52)*coupl(      &
                      nGC_670)*coupl(nGC_87) + 8d0*coupl(nGC_53)*coupl(nGC_670 &
                      )*coupl(nGC_87) + coupl(nGC_8)**2d0*coupl(nGC_87))/(32d0*&
                      pi**2d0)
    coupl(nGC_4279) = (-4d0*Nc*coupl(nGC_34)*coupl(nGC_386)*coupl(nGC_72) - 4d0&
                      *Nc*coupl(nGC_34)*coupl(nGC_390)*coupl(nGC_81) - 4d0*Nc* &
                      coupl(nGC_34)*coupl(nGC_394)*coupl(nGC_66) + 4d0*Nc*coupl&
                      (nGC_34)*coupl(nGC_69)*coupl(nGC_71) + 4d0*Nc*coupl(     &
                      nGC_34)*coupl(nGC_84)*coupl(nGC_86) + 4d0*Nc*coupl(nGC_34&
                      )*coupl(nGC_90)*coupl(nGC_92) + 6d0*coupl(nGC_1732)*coupl&
                      (nGC_2324)*coupl(nGC_310) + 6d0*coupl(nGC_1732)*coupl(   &
                      nGC_292)*coupl(nGC_296) - coupl(nGC_1746)**2d0*coupl(    &
                      nGC_33) + 6d0*coupl(nGC_2312)*coupl(nGC_30)*coupl(nGC_38 &
                      ) - coupl(nGC_30)*coupl(nGC_51)*coupl(nGC_52) - coupl(   &
                      nGC_33)**3d0 - 4d0*coupl(nGC_34)*coupl(nGC_410)*coupl(   &
                      nGC_75) - 4d0*coupl(nGC_34)*coupl(nGC_414)*coupl(nGC_78  &
                      ) - 4d0*coupl(nGC_34)*coupl(nGC_418)*coupl(nGC_87))/(96d0&
                      *pi**2d0)
    coupl(nGC_12198) = -coupl(nGC_4279)
    coupl(nGC_4280) = (-4d0*Nc*coupl(nGC_34)*coupl(nGC_66)*coupl(nGC_68) + 4d0*&
                      Nc*coupl(nGC_34)*coupl(nGC_69)*coupl(nGC_70) - 4d0*Nc*   &
                      coupl(nGC_34)*coupl(nGC_72)*coupl(nGC_74) - 4d0*Nc*coupl(&
                      nGC_34)*coupl(nGC_81)*coupl(nGC_83) + 4d0*Nc*coupl(nGC_34&
                      )*coupl(nGC_84)*coupl(nGC_85) + 4d0*Nc*coupl(nGC_34)*    &
                      coupl(nGC_90)*coupl(nGC_91) - coupl(nGC_1732)*coupl(     &
                      nGC_2312)*coupl(nGC_52) + 6d0*coupl(nGC_1732)*coupl(     &
                      nGC_38)*coupl(nGC_51) - coupl(nGC_1746)**2d0*coupl(      &
                      nGC_1948) - coupl(nGC_1948)*coupl(nGC_33)**2d0 + 6d0*    &
                      coupl(nGC_2324)*coupl(nGC_30)*coupl(nGC_310) + 6d0*coupl(&
                      nGC_292)*coupl(nGC_296)*coupl(nGC_30) - 4d0*coupl(nGC_34 &
                      )*coupl(nGC_75)*coupl(nGC_77) - 4d0*coupl(nGC_34)*coupl( &
                      nGC_78)*coupl(nGC_80) - 4d0*coupl(nGC_34)*coupl(nGC_87)* &
                      coupl(nGC_89))/(96d0*pi**2d0)
    coupl(nGC_12206) = -coupl(nGC_4280)
    coupl(nGC_4281) = (-2d0*Nc*cMB*coupl(nGC_34)*coupl(nGC_634)*coupl(nGC_66   &
                      ) + 2d0*Nc*cMB*coupl(nGC_34)*coupl(nGC_648)*coupl(nGC_66 &
                      ) - 2d0*Nc*cMB*coupl(nGC_34)*coupl(nGC_650)*coupl(nGC_66 &
                      ) + 2d0*Nc*cMC*coupl(nGC_34)*coupl(nGC_632)*coupl(nGC_69 &
                      ) - 2d0*Nc*cMC*coupl(nGC_34)*coupl(nGC_634)*coupl(nGC_69 &
                      ) - 2d0*Nc*cMC*coupl(nGC_34)*coupl(nGC_650)*coupl(nGC_69 &
                      ) - 2d0*Nc*cMD*coupl(nGC_34)*coupl(nGC_634)*coupl(nGC_72 &
                      ) + 2d0*Nc*cMD*coupl(nGC_34)*coupl(nGC_648)*coupl(nGC_72 &
                      ) - 2d0*Nc*cMD*coupl(nGC_34)*coupl(nGC_650)*coupl(nGC_72 &
                      ) - 2d0*Nc*cMS*coupl(nGC_34)*coupl(nGC_634)*coupl(nGC_81 &
                      ) + 2d0*Nc*cMS*coupl(nGC_34)*coupl(nGC_648)*coupl(nGC_81 &
                      ) - 2d0*Nc*cMS*coupl(nGC_34)*coupl(nGC_650)*coupl(nGC_81 &
                      ) + 2d0*Nc*cMT*coupl(nGC_34)*coupl(nGC_632)*coupl(nGC_84 &
                      ) - 2d0*Nc*cMT*coupl(nGC_34)*coupl(nGC_634)*coupl(nGC_84 &
                      ) - 2d0*Nc*cMT*coupl(nGC_34)*coupl(nGC_650)*coupl(nGC_84 &
                      ) + 2d0*Nc*cMU*coupl(nGC_34)*coupl(nGC_632)*coupl(nGC_90 &
                      ) - 2d0*Nc*cMU*coupl(nGC_34)*coupl(nGC_634)*coupl(nGC_90 &
                      ) - 2d0*Nc*cMU*coupl(nGC_34)*coupl(nGC_650)*coupl(nGC_90 &
                      ) - 2d0*cME*coupl(nGC_34)*coupl(nGC_53)*coupl(nGC_75) +  &
                      2d0*cME*coupl(nGC_34)*coupl(nGC_670)*coupl(nGC_75) - 2d0*&
                      cME*coupl(nGC_34)*coupl(nGC_672)*coupl(nGC_75) - 2d0*cMM*&
                      coupl(nGC_34)*coupl(nGC_53)*coupl(nGC_78) + 2d0*cMM*coupl&
                      (nGC_34)*coupl(nGC_670)*coupl(nGC_78) - 2d0*cMM*coupl(   &
                      nGC_34)*coupl(nGC_672)*coupl(nGC_78) - 2d0*cMTA*coupl(   &
                      nGC_34)*coupl(nGC_53)*coupl(nGC_87) + 2d0*cMTA*coupl(    &
                      nGC_34)*coupl(nGC_670)*coupl(nGC_87) - 2d0*cMTA*coupl(   &
                      nGC_34)*coupl(nGC_672)*coupl(nGC_87) + 4d0*cima*coupl(   &
                      nGC_27)*coupl(nGC_60) + 4d0*cima*coupl(nGC_546)*coupl(   &
                      nGC_64) - coupl(nGC_1746)*coupl(nGC_310)*coupl(nGC_65) - &
                      coupl(nGC_30)*coupl(nGC_310)*coupl(nGC_63) + 6d0*coupl(  &
                      nGC_310)*coupl(nGC_38)*coupl(nGC_60) + 6d0*coupl(nGC_310 &
                      )*coupl(nGC_64)*coupl(nGC_7) - coupl(nGC_38)*coupl(nGC_52&
                      )*coupl(nGC_60) - coupl(nGC_60)*coupl(nGC_7)*coupl(nGC_8 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_4282) = (coupl(nGC_1732)*coupl(nGC_34)*coupl(nGC_67) + coupl(    &
                      nGC_2324)*coupl(nGC_634)*coupl(nGC_66) + coupl(nGC_292)* &
                      coupl(nGC_6)*coupl(nGC_66) + coupl(nGC_30)*coupl(nGC_34)*&
                      coupl(nGC_68) + 8d0*coupl(nGC_5)*coupl(nGC_6)*coupl(     &
                      nGC_66) + coupl(nGC_5)*coupl(nGC_66)*coupl(nGC_8) + coupl&
                      (nGC_52)*coupl(nGC_648)*coupl(nGC_66) + 8d0*coupl(nGC_634&
                      )*coupl(nGC_648)*coupl(nGC_66) - coupl(nGC_67)*coupl(    &
                      nGC_84)*coupl(nGC_86) - coupl(nGC_68)*coupl(nGC_84)*coupl&
                      (nGC_85))/(32d0*pi**2d0)
    coupl(nGC_4283) = (coupl(nGC_1746)*coupl(nGC_34)*coupl(nGC_85) + coupl(    &
                      nGC_2324)*coupl(nGC_632)*coupl(nGC_84) + coupl(nGC_292)* &
                      coupl(nGC_6)*coupl(nGC_84) + coupl(nGC_33)*coupl(nGC_34)*&
                      coupl(nGC_448) - coupl(nGC_394)*coupl(nGC_448)*coupl(    &
                      nGC_66) + 8d0*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_84) +  &
                      coupl(nGC_5)*coupl(nGC_8)*coupl(nGC_84) + coupl(nGC_52)* &
                      coupl(nGC_650)*coupl(nGC_84) + 8d0*coupl(nGC_632)*coupl( &
                      nGC_650)*coupl(nGC_84) - coupl(nGC_66)*coupl(nGC_68)*    &
                      coupl(nGC_85))/(32d0*pi**2d0)
    coupl(nGC_4284) = (-coupl(nGC_1746)*coupl(nGC_34)*coupl(nGC_83) - coupl(   &
                      nGC_2324)*coupl(nGC_648)*coupl(nGC_81) - coupl(nGC_292)* &
                      coupl(nGC_5)*coupl(nGC_81) - coupl(nGC_33)*coupl(nGC_34)*&
                      coupl(nGC_82) + 8d0*coupl(nGC_5)*coupl(nGC_6)*coupl(     &
                      nGC_81) - coupl(nGC_52)*coupl(nGC_634)*coupl(nGC_81) -   &
                      coupl(nGC_6)*coupl(nGC_8)*coupl(nGC_81) + 8d0*coupl(     &
                      nGC_634)*coupl(nGC_648)*coupl(nGC_81) - coupl(nGC_69)*   &
                      coupl(nGC_70)*coupl(nGC_83) - coupl(nGC_69)*coupl(nGC_71 &
                      )*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_4285) = (-coupl(nGC_1732)*coupl(nGC_34)*coupl(nGC_444) - coupl(  &
                      nGC_2324)*coupl(nGC_650)*coupl(nGC_69) - coupl(nGC_292)* &
                      coupl(nGC_5)*coupl(nGC_69) - coupl(nGC_30)*coupl(nGC_34)*&
                      coupl(nGC_70) - coupl(nGC_390)*coupl(nGC_444)*coupl(     &
                      nGC_81) + 8d0*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_69) -  &
                      coupl(nGC_52)*coupl(nGC_632)*coupl(nGC_69) - coupl(nGC_6 &
                      )*coupl(nGC_69)*coupl(nGC_8) + 8d0*coupl(nGC_632)*coupl( &
                      nGC_650)*coupl(nGC_69) - coupl(nGC_70)*coupl(nGC_81)*    &
                      coupl(nGC_83))/(32d0*pi**2d0)
    coupl(nGC_4286) = (coupl(nGC_1732)*coupl(nGC_34)*coupl(nGC_73) + coupl(    &
                      nGC_2324)*coupl(nGC_634)*coupl(nGC_72) + coupl(nGC_292)* &
                      coupl(nGC_6)*coupl(nGC_72) + coupl(nGC_30)*coupl(nGC_34)*&
                      coupl(nGC_74) + 8d0*coupl(nGC_5)*coupl(nGC_6)*coupl(     &
                      nGC_72) + coupl(nGC_5)*coupl(nGC_72)*coupl(nGC_8) + coupl&
                      (nGC_52)*coupl(nGC_648)*coupl(nGC_72) + 8d0*coupl(nGC_634&
                      )*coupl(nGC_648)*coupl(nGC_72) - coupl(nGC_73)*coupl(    &
                      nGC_90)*coupl(nGC_92) - coupl(nGC_74)*coupl(nGC_90)*coupl&
                      (nGC_91))/(32d0*pi**2d0)
    coupl(nGC_4287) = (coupl(nGC_1746)*coupl(nGC_34)*coupl(nGC_91) + coupl(    &
                      nGC_2324)*coupl(nGC_632)*coupl(nGC_90) + coupl(nGC_292)* &
                      coupl(nGC_6)*coupl(nGC_90) + coupl(nGC_33)*coupl(nGC_34)*&
                      coupl(nGC_440) - coupl(nGC_386)*coupl(nGC_440)*coupl(    &
                      nGC_72) + 8d0*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_90) +  &
                      coupl(nGC_5)*coupl(nGC_8)*coupl(nGC_90) + coupl(nGC_52)* &
                      coupl(nGC_650)*coupl(nGC_90) + 8d0*coupl(nGC_632)*coupl( &
                      nGC_650)*coupl(nGC_90) - coupl(nGC_72)*coupl(nGC_74)*    &
                      coupl(nGC_91))/(32d0*pi**2d0)
    coupl(nGC_4288) = (coupl(nGC_1732)*coupl(nGC_34)*coupl(nGC_76) + coupl(    &
                      nGC_2324)*coupl(nGC_53)*coupl(nGC_75) + coupl(nGC_30)*   &
                      coupl(nGC_34)*coupl(nGC_77) + coupl(nGC_52)*coupl(nGC_670&
                      )*coupl(nGC_75) + 8d0*coupl(nGC_53)*coupl(nGC_670)*coupl(&
                      nGC_75) + coupl(nGC_75)*coupl(nGC_8)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4289) = (coupl(nGC_1732)*coupl(nGC_34)*coupl(nGC_79) + coupl(    &
                      nGC_2324)*coupl(nGC_53)*coupl(nGC_78) + coupl(nGC_30)*   &
                      coupl(nGC_34)*coupl(nGC_80) + coupl(nGC_52)*coupl(nGC_670&
                      )*coupl(nGC_78) + 8d0*coupl(nGC_53)*coupl(nGC_670)*coupl(&
                      nGC_78) + coupl(nGC_78)*coupl(nGC_8)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4290) = (-coupl(nGC_1746)*coupl(nGC_34)*coupl(nGC_89) - coupl(   &
                      nGC_2324)*coupl(nGC_670)*coupl(nGC_87) - coupl(nGC_292)* &
                      coupl(nGC_8)*coupl(nGC_87) - coupl(nGC_33)*coupl(nGC_34)*&
                      coupl(nGC_88) - coupl(nGC_52)*coupl(nGC_53)*coupl(nGC_87 &
                      ) + 8d0*coupl(nGC_53)*coupl(nGC_670)*coupl(nGC_87))/(32d0&
                      *pi**2d0)
    coupl(nGC_4291) = (4d0*Nc*cMB*coupl(nGC_394)**2d0*coupl(nGC_68) + 16d0*Nc* &
                      cMB*coupl(nGC_394)*coupl(nGC_67)*coupl(nGC_68) + 4d0*Nc* &
                      cMB*coupl(nGC_67)**2d0*coupl(nGC_68) + 4d0*Nc*cMC*coupl( &
                      nGC_444)**2d0*coupl(nGC_70) + 16d0*Nc*cMC*coupl(nGC_444)*&
                      coupl(nGC_70)*coupl(nGC_71) + 4d0*Nc*cMC*coupl(nGC_70)*  &
                      coupl(nGC_71)**2d0 + 4d0*Nc*cMD*coupl(nGC_386)**2d0*coupl&
                      (nGC_74) + 16d0*Nc*cMD*coupl(nGC_386)*coupl(nGC_73)*coupl&
                      (nGC_74) + 4d0*Nc*cMD*coupl(nGC_73)**2d0*coupl(nGC_74) + &
                      4d0*Nc*cMS*coupl(nGC_390)**2d0*coupl(nGC_83) + 16d0*Nc*  &
                      cMS*coupl(nGC_390)*coupl(nGC_82)*coupl(nGC_83) + 4d0*Nc* &
                      cMS*coupl(nGC_82)**2d0*coupl(nGC_83) + 4d0*Nc*cMT*coupl( &
                      nGC_448)**2d0*coupl(nGC_85) + 16d0*Nc*cMT*coupl(nGC_448)*&
                      coupl(nGC_85)*coupl(nGC_86) + 4d0*Nc*cMT*coupl(nGC_85)*  &
                      coupl(nGC_86)**2d0 + 4d0*Nc*cMU*coupl(nGC_440)**2d0*coupl&
                      (nGC_91) + 16d0*Nc*cMU*coupl(nGC_440)*coupl(nGC_91)*coupl&
                      (nGC_92) + 4d0*Nc*cMU*coupl(nGC_91)*coupl(nGC_92)**2d0 + &
                      4d0*cME*coupl(nGC_410)**2d0*coupl(nGC_77) + 16d0*cME*    &
                      coupl(nGC_410)*coupl(nGC_76)*coupl(nGC_77) + 4d0*cME*    &
                      coupl(nGC_76)**2d0*coupl(nGC_77) + 4d0*cMM*coupl(nGC_414 &
                      )**2d0*coupl(nGC_80) + 16d0*cMM*coupl(nGC_414)*coupl(    &
                      nGC_79)*coupl(nGC_80) + 4d0*cMM*coupl(nGC_79)**2d0*coupl(&
                      nGC_80) + 4d0*cMTA*coupl(nGC_418)**2d0*coupl(nGC_89) +   &
                      16d0*cMTA*coupl(nGC_418)*coupl(nGC_88)*coupl(nGC_89) +   &
                      4d0*cMTA*coupl(nGC_88)**2d0*coupl(nGC_89) + 4d0*cima*    &
                      coupl(nGC_21)*coupl(nGC_63) + 2d0*cima*coupl(nGC_58)*    &
                      coupl(nGC_65) + 2d0*coupl(nGC_1732)*coupl(nGC_33)*coupl( &
                      nGC_61) - 2d0*coupl(nGC_1732)*coupl(nGC_33)*coupl(nGC_63 &
                      ) + coupl(nGC_2312)**2d0*coupl(nGC_61) + coupl(nGC_2312)*&
                      coupl(nGC_51)*coupl(nGC_62) - coupl(nGC_2312)*coupl(     &
                      nGC_51)*coupl(nGC_65) + coupl(nGC_51)**2d0*coupl(nGC_61  &
                      ))/(32d0*pi**2d0)
    coupl(nGC_4292) = (-4d0*Nc*coupl(nGC_386)*coupl(nGC_648)*coupl(nGC_74) +   &
                      4d0*Nc*coupl(nGC_386)*coupl(nGC_650)*coupl(nGC_74) - 4d0*&
                      Nc*coupl(nGC_390)*coupl(nGC_648)*coupl(nGC_83) + 4d0*Nc* &
                      coupl(nGC_390)*coupl(nGC_650)*coupl(nGC_83) - 4d0*Nc*    &
                      coupl(nGC_394)*coupl(nGC_648)*coupl(nGC_68) + 4d0*Nc*    &
                      coupl(nGC_394)*coupl(nGC_650)*coupl(nGC_68) - 4d0*Nc*    &
                      coupl(nGC_440)*coupl(nGC_632)*coupl(nGC_91) + 4d0*Nc*    &
                      coupl(nGC_440)*coupl(nGC_634)*coupl(nGC_91) - 4d0*Nc*    &
                      coupl(nGC_444)*coupl(nGC_632)*coupl(nGC_70) + 4d0*Nc*    &
                      coupl(nGC_444)*coupl(nGC_634)*coupl(nGC_70) - 4d0*Nc*    &
                      coupl(nGC_448)*coupl(nGC_632)*coupl(nGC_85) + 4d0*Nc*    &
                      coupl(nGC_448)*coupl(nGC_634)*coupl(nGC_85) + 4d0*Nc*    &
                      coupl(nGC_632)*coupl(nGC_70)*coupl(nGC_71) + 4d0*Nc*coupl&
                      (nGC_632)*coupl(nGC_85)*coupl(nGC_86) + 4d0*Nc*coupl(    &
                      nGC_632)*coupl(nGC_91)*coupl(nGC_92) - 4d0*Nc*coupl(     &
                      nGC_634)*coupl(nGC_70)*coupl(nGC_71) - 4d0*Nc*coupl(     &
                      nGC_634)*coupl(nGC_85)*coupl(nGC_86) - 4d0*Nc*coupl(     &
                      nGC_634)*coupl(nGC_91)*coupl(nGC_92) + 4d0*Nc*coupl(     &
                      nGC_648)*coupl(nGC_67)*coupl(nGC_68) + 4d0*Nc*coupl(     &
                      nGC_648)*coupl(nGC_73)*coupl(nGC_74) + 4d0*Nc*coupl(     &
                      nGC_648)*coupl(nGC_82)*coupl(nGC_83) - 4d0*Nc*coupl(     &
                      nGC_650)*coupl(nGC_67)*coupl(nGC_68) - 4d0*Nc*coupl(     &
                      nGC_650)*coupl(nGC_73)*coupl(nGC_74) - 4d0*Nc*coupl(     &
                      nGC_650)*coupl(nGC_82)*coupl(nGC_83) - coupl(nGC_1732)*  &
                      coupl(nGC_1746)*coupl(nGC_2324) - coupl(nGC_1732)*coupl( &
                      nGC_1948)*coupl(nGC_52) - coupl(nGC_2312)**3d0 + 6d0*    &
                      coupl(nGC_29)*coupl(nGC_310)*coupl(nGC_33) + 6d0*coupl(  &
                      nGC_30)*coupl(nGC_33)*coupl(nGC_38) - 4d0*coupl(nGC_410)*&
                      coupl(nGC_670)*coupl(nGC_77) + 4d0*coupl(nGC_410)*coupl( &
                      nGC_672)*coupl(nGC_77) - 4d0*coupl(nGC_414)*coupl(nGC_670&
                      )*coupl(nGC_80) + 4d0*coupl(nGC_414)*coupl(nGC_672)*coupl&
                      (nGC_80) - 4d0*coupl(nGC_418)*coupl(nGC_670)*coupl(nGC_89&
                      ) + 4d0*coupl(nGC_418)*coupl(nGC_672)*coupl(nGC_89) + 4d0&
                      *coupl(nGC_670)*coupl(nGC_76)*coupl(nGC_77) + 4d0*coupl( &
                      nGC_670)*coupl(nGC_79)*coupl(nGC_80) + 4d0*coupl(nGC_670 &
                      )*coupl(nGC_88)*coupl(nGC_89) - 4d0*coupl(nGC_672)*coupl(&
                      nGC_76)*coupl(nGC_77) - 4d0*coupl(nGC_672)*coupl(nGC_79)*&
                      coupl(nGC_80) - 4d0*coupl(nGC_672)*coupl(nGC_88)*coupl(  &
                      nGC_89))/(96d0*pi**2d0)
    coupl(nGC_12312) = -coupl(nGC_4292)
    coupl(nGC_4293) = (-coupl(nGC_1732)*coupl(nGC_34)*coupl(nGC_66) - coupl(   &
                      nGC_2312)*coupl(nGC_650)*coupl(nGC_68) - coupl(nGC_394)* &
                      coupl(nGC_67)**2d0 - coupl(nGC_394)*coupl(nGC_68)**2d0 - &
                      coupl(nGC_448)*coupl(nGC_66)*coupl(nGC_84) + 8d0*coupl(  &
                      nGC_5)**2d0*coupl(nGC_67) - coupl(nGC_51)*coupl(nGC_648)*&
                      coupl(nGC_68) + 8d0*coupl(nGC_648)*coupl(nGC_650)*coupl( &
                      nGC_67))/(32d0*pi**2d0)
    coupl(nGC_4295) = (-coupl(nGC_2312)*coupl(nGC_648)*coupl(nGC_68) - coupl(  &
                      nGC_33)*coupl(nGC_34)*coupl(nGC_66) - coupl(nGC_394)**2d0&
                      *coupl(nGC_67) + 8d0*coupl(nGC_394)*coupl(nGC_5)**2d0 +  &
                      8d0*coupl(nGC_394)*coupl(nGC_648)*coupl(nGC_650) - coupl(&
                      nGC_51)*coupl(nGC_650)*coupl(nGC_68) - coupl(nGC_66)*    &
                      coupl(nGC_84)*coupl(nGC_86) - coupl(nGC_67)*coupl(nGC_68 &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_4294) = coupl(nGC_15)**2d0*coupl(nGC_67)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4296) = coupl(nGC_15)**2d0*coupl(nGC_394)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4297) = (-coupl(nGC_1732)*coupl(nGC_34)*coupl(nGC_69) - coupl(   &
                      nGC_2312)*coupl(nGC_634)*coupl(nGC_70) - coupl(nGC_390)* &
                      coupl(nGC_69)*coupl(nGC_81) - coupl(nGC_444)*coupl(nGC_70&
                      )**2d0 - coupl(nGC_444)*coupl(nGC_71)**2d0 - coupl(nGC_51&
                      )*coupl(nGC_632)*coupl(nGC_70) + 8d0*coupl(nGC_6)**2d0*  &
                      coupl(nGC_71) + 8d0*coupl(nGC_632)*coupl(nGC_634)*coupl( &
                      nGC_71))/(32d0*pi**2d0)
    coupl(nGC_4299) = (-coupl(nGC_2312)*coupl(nGC_632)*coupl(nGC_70) - coupl(  &
                      nGC_33)*coupl(nGC_34)*coupl(nGC_69) - coupl(nGC_444)**2d0&
                      *coupl(nGC_71) + 8d0*coupl(nGC_444)*coupl(nGC_6)**2d0 +  &
                      8d0*coupl(nGC_444)*coupl(nGC_632)*coupl(nGC_634) - coupl(&
                      nGC_51)*coupl(nGC_634)*coupl(nGC_70) - coupl(nGC_69)*    &
                      coupl(nGC_81)*coupl(nGC_82) - coupl(nGC_70)**2d0*coupl(  &
                      nGC_71))/(32d0*pi**2d0)
    coupl(nGC_4298) = coupl(nGC_15)**2d0*coupl(nGC_71)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4300) = coupl(nGC_15)**2d0*coupl(nGC_444)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4301) = (-coupl(nGC_1732)*coupl(nGC_34)*coupl(nGC_72) - coupl(   &
                      nGC_2312)*coupl(nGC_650)*coupl(nGC_74) - coupl(nGC_386)* &
                      coupl(nGC_73)**2d0 - coupl(nGC_386)*coupl(nGC_74)**2d0 - &
                      coupl(nGC_440)*coupl(nGC_72)*coupl(nGC_90) + 8d0*coupl(  &
                      nGC_5)**2d0*coupl(nGC_73) - coupl(nGC_51)*coupl(nGC_648)*&
                      coupl(nGC_74) + 8d0*coupl(nGC_648)*coupl(nGC_650)*coupl( &
                      nGC_73))/(32d0*pi**2d0)
    coupl(nGC_4303) = (-coupl(nGC_2312)*coupl(nGC_648)*coupl(nGC_74) - coupl(  &
                      nGC_33)*coupl(nGC_34)*coupl(nGC_72) - coupl(nGC_386)**2d0&
                      *coupl(nGC_73) + 8d0*coupl(nGC_386)*coupl(nGC_5)**2d0 +  &
                      8d0*coupl(nGC_386)*coupl(nGC_648)*coupl(nGC_650) - coupl(&
                      nGC_51)*coupl(nGC_650)*coupl(nGC_74) - coupl(nGC_72)*    &
                      coupl(nGC_90)*coupl(nGC_92) - coupl(nGC_73)*coupl(nGC_74 &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_4302) = coupl(nGC_15)**2d0*coupl(nGC_73)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4304) = coupl(nGC_15)**2d0*coupl(nGC_386)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4305) = (coupl(nGC_1732)*coupl(nGC_34)*coupl(nGC_75) + coupl(    &
                      nGC_2312)*coupl(nGC_672)*coupl(nGC_77) - coupl(nGC_410)**&
                      2d0*coupl(nGC_76) + 8d0*coupl(nGC_410)*coupl(nGC_670)*   &
                      coupl(nGC_672) + 8d0*coupl(nGC_410)*coupl(nGC_8)**2d0 +  &
                      coupl(nGC_51)*coupl(nGC_670)*coupl(nGC_77) - coupl(nGC_76&
                      )*coupl(nGC_77)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4306) = (coupl(nGC_2312)*coupl(nGC_670)*coupl(nGC_77) + coupl(   &
                      nGC_33)*coupl(nGC_34)*coupl(nGC_75) - coupl(nGC_410)*    &
                      coupl(nGC_76)**2d0 - coupl(nGC_410)*coupl(nGC_77)**2d0 + &
                      coupl(nGC_51)*coupl(nGC_672)*coupl(nGC_77) + 8d0*coupl(  &
                      nGC_670)*coupl(nGC_672)*coupl(nGC_76) + 8d0*coupl(nGC_76 &
                      )*coupl(nGC_8)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4307) = (coupl(nGC_1732)*coupl(nGC_34)*coupl(nGC_78) + coupl(    &
                      nGC_2312)*coupl(nGC_672)*coupl(nGC_80) - coupl(nGC_414)**&
                      2d0*coupl(nGC_79) + 8d0*coupl(nGC_414)*coupl(nGC_670)*   &
                      coupl(nGC_672) + 8d0*coupl(nGC_414)*coupl(nGC_8)**2d0 +  &
                      coupl(nGC_51)*coupl(nGC_670)*coupl(nGC_80) - coupl(nGC_79&
                      )*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4308) = (coupl(nGC_2312)*coupl(nGC_670)*coupl(nGC_80) + coupl(   &
                      nGC_33)*coupl(nGC_34)*coupl(nGC_78) - coupl(nGC_414)*    &
                      coupl(nGC_79)**2d0 - coupl(nGC_414)*coupl(nGC_80)**2d0 + &
                      coupl(nGC_51)*coupl(nGC_672)*coupl(nGC_80) + 8d0*coupl(  &
                      nGC_670)*coupl(nGC_672)*coupl(nGC_79) + 8d0*coupl(nGC_79 &
                      )*coupl(nGC_8)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4309) = (-coupl(nGC_1732)*coupl(nGC_34)*coupl(nGC_81) - coupl(   &
                      nGC_2312)*coupl(nGC_650)*coupl(nGC_83) - coupl(nGC_390)* &
                      coupl(nGC_82)**2d0 - coupl(nGC_390)*coupl(nGC_83)**2d0 - &
                      coupl(nGC_444)*coupl(nGC_69)*coupl(nGC_81) + 8d0*coupl(  &
                      nGC_5)**2d0*coupl(nGC_82) - coupl(nGC_51)*coupl(nGC_648)*&
                      coupl(nGC_83) + 8d0*coupl(nGC_648)*coupl(nGC_650)*coupl( &
                      nGC_82))/(32d0*pi**2d0)
    coupl(nGC_4311) = (-coupl(nGC_2312)*coupl(nGC_648)*coupl(nGC_83) - coupl(  &
                      nGC_33)*coupl(nGC_34)*coupl(nGC_81) - coupl(nGC_390)**2d0&
                      *coupl(nGC_82) + 8d0*coupl(nGC_390)*coupl(nGC_5)**2d0 +  &
                      8d0*coupl(nGC_390)*coupl(nGC_648)*coupl(nGC_650) - coupl(&
                      nGC_51)*coupl(nGC_650)*coupl(nGC_83) - coupl(nGC_69)*    &
                      coupl(nGC_71)*coupl(nGC_81) - coupl(nGC_82)*coupl(nGC_83 &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_4310) = coupl(nGC_15)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4312) = coupl(nGC_15)**2d0*coupl(nGC_390)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4313) = (-coupl(nGC_1732)*coupl(nGC_34)*coupl(nGC_84) - coupl(   &
                      nGC_2312)*coupl(nGC_634)*coupl(nGC_85) - coupl(nGC_394)* &
                      coupl(nGC_66)*coupl(nGC_84) - coupl(nGC_448)*coupl(nGC_85&
                      )**2d0 - coupl(nGC_448)*coupl(nGC_86)**2d0 - coupl(nGC_51&
                      )*coupl(nGC_632)*coupl(nGC_85) + 8d0*coupl(nGC_6)**2d0*  &
                      coupl(nGC_86) + 8d0*coupl(nGC_632)*coupl(nGC_634)*coupl( &
                      nGC_86))/(32d0*pi**2d0)
    coupl(nGC_4315) = (-coupl(nGC_2312)*coupl(nGC_632)*coupl(nGC_85) - coupl(  &
                      nGC_33)*coupl(nGC_34)*coupl(nGC_84) - coupl(nGC_448)**2d0&
                      *coupl(nGC_86) + 8d0*coupl(nGC_448)*coupl(nGC_6)**2d0 +  &
                      8d0*coupl(nGC_448)*coupl(nGC_632)*coupl(nGC_634) - coupl(&
                      nGC_51)*coupl(nGC_634)*coupl(nGC_85) - coupl(nGC_66)*    &
                      coupl(nGC_67)*coupl(nGC_84) - coupl(nGC_85)**2d0*coupl(  &
                      nGC_86))/(32d0*pi**2d0)
    coupl(nGC_4314) = coupl(nGC_15)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4316) = coupl(nGC_15)**2d0*coupl(nGC_448)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4317) = (coupl(nGC_1732)*coupl(nGC_34)*coupl(nGC_87) + coupl(    &
                      nGC_2312)*coupl(nGC_672)*coupl(nGC_89) - coupl(nGC_418)**&
                      2d0*coupl(nGC_88) + 8d0*coupl(nGC_418)*coupl(nGC_670)*   &
                      coupl(nGC_672) + 8d0*coupl(nGC_418)*coupl(nGC_8)**2d0 +  &
                      coupl(nGC_51)*coupl(nGC_670)*coupl(nGC_89) - coupl(nGC_88&
                      )*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4318) = (coupl(nGC_2312)*coupl(nGC_670)*coupl(nGC_89) + coupl(   &
                      nGC_33)*coupl(nGC_34)*coupl(nGC_87) - coupl(nGC_418)*    &
                      coupl(nGC_88)**2d0 - coupl(nGC_418)*coupl(nGC_89)**2d0 + &
                      coupl(nGC_51)*coupl(nGC_672)*coupl(nGC_89) + 8d0*coupl(  &
                      nGC_670)*coupl(nGC_672)*coupl(nGC_88) + 8d0*coupl(nGC_8  &
                      )**2d0*coupl(nGC_88))/(32d0*pi**2d0)
    coupl(nGC_4319) = (-coupl(nGC_1732)*coupl(nGC_34)*coupl(nGC_90) - coupl(   &
                      nGC_2312)*coupl(nGC_634)*coupl(nGC_91) - coupl(nGC_386)* &
                      coupl(nGC_72)*coupl(nGC_90) - coupl(nGC_440)*coupl(nGC_91&
                      )**2d0 - coupl(nGC_440)*coupl(nGC_92)**2d0 - coupl(nGC_51&
                      )*coupl(nGC_632)*coupl(nGC_91) + 8d0*coupl(nGC_6)**2d0*  &
                      coupl(nGC_92) + 8d0*coupl(nGC_632)*coupl(nGC_634)*coupl( &
                      nGC_92))/(32d0*pi**2d0)
    coupl(nGC_4321) = (-coupl(nGC_2312)*coupl(nGC_632)*coupl(nGC_91) - coupl(  &
                      nGC_33)*coupl(nGC_34)*coupl(nGC_90) - coupl(nGC_440)**2d0&
                      *coupl(nGC_92) + 8d0*coupl(nGC_440)*coupl(nGC_6)**2d0 +  &
                      8d0*coupl(nGC_440)*coupl(nGC_632)*coupl(nGC_634) - coupl(&
                      nGC_51)*coupl(nGC_634)*coupl(nGC_91) - coupl(nGC_72)*    &
                      coupl(nGC_73)*coupl(nGC_90) - coupl(nGC_91)**2d0*coupl(  &
                      nGC_92))/(32d0*pi**2d0)
    coupl(nGC_4320) = coupl(nGC_15)**2d0*coupl(nGC_92)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4322) = coupl(nGC_15)**2d0*coupl(nGC_440)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4323) = (4d0*cima*coupl(nGC_23)*coupl(nGC_63) + 2d0*cima*coupl(  &
                      nGC_28)*coupl(nGC_65) + coupl(nGC_1756)*coupl(nGC_32)*   &
                      coupl(nGC_59) - coupl(nGC_1960)*coupl(nGC_31)*coupl(     &
                      nGC_63) + coupl(nGC_292)**2d0*coupl(nGC_59) + coupl(     &
                      nGC_316)**2d0*coupl(nGC_59) - coupl(nGC_37)**2d0*coupl(  &
                      nGC_65))/(32d0*pi**2d0)
    coupl(nGC_4324) = (6d0*coupl(nGC_1960)*coupl(nGC_31)*coupl(nGC_38) - coupl(&
                      nGC_292)**2d0*coupl(nGC_37) - coupl(nGC_316)**2d0*coupl( &
                      nGC_37))/(96d0*pi**2d0)
    coupl(nGC_12505) = -coupl(nGC_4324)
    coupl(nGC_4325) = (6d0*coupl(nGC_1960)*coupl(nGC_37)*coupl(nGC_38) + 6d0*  &
                      coupl(nGC_1960)*coupl(nGC_7)*coupl(nGC_8) - coupl(nGC_31 &
                      )*coupl(nGC_32)**2d0)/(96d0*pi**2d0)
    coupl(nGC_12512) = -coupl(nGC_4325)
    coupl(nGC_4326) = (6d0*coupl(nGC_1756)*coupl(nGC_292)*coupl(nGC_296) + 6d0*&
                      coupl(nGC_1756)*coupl(nGC_310)*coupl(nGC_316) - coupl(   &
                      nGC_31)**2d0*coupl(nGC_32))/(96d0*pi**2d0)
    coupl(nGC_12518) = -coupl(nGC_4326)
    coupl(nGC_4327) = 3d0*(8d0*Nc*cMB*coupl(nGC_68)**3d0 + 8d0*Nc*cMC*coupl(   &
                      nGC_70)**3d0 + 8d0*Nc*cMD*coupl(nGC_74)**3d0 + 8d0*Nc*cMS&
                      *coupl(nGC_83)**3d0 + 8d0*Nc*cMT*coupl(nGC_85)**3d0 + 8d0&
                      *Nc*cMU*coupl(nGC_91)**3d0 + 8d0*cME*coupl(nGC_77)**3d0  &
                       + 8d0*cMM*coupl(nGC_80)**3d0 + 8d0*cMTA*coupl(nGC_89)** &
                      3d0 + 4d0*cima*coupl(nGC_21)*coupl(nGC_63) + 2d0*cima*   &
                      coupl(nGC_58)*coupl(nGC_65) + coupl(nGC_1746)*coupl(     &
                      nGC_29)*coupl(nGC_61) - coupl(nGC_1746)*coupl(nGC_29)*   &
                      coupl(nGC_63) + coupl(nGC_1948)*coupl(nGC_30)*coupl(     &
                      nGC_61) - coupl(nGC_1948)*coupl(nGC_30)*coupl(nGC_63) +  &
                      coupl(nGC_2312)*coupl(nGC_51)*coupl(nGC_61) - coupl(     &
                      nGC_2312)*coupl(nGC_51)*coupl(nGC_65))/(32d0*pi**2d0)
    coupl(nGC_4328) = (4d0*cima*coupl(nGC_25)*coupl(nGC_63) + coupl(nGC_1756)* &
                      coupl(nGC_32)*coupl(nGC_59) - coupl(nGC_1756)*coupl(     &
                      nGC_32)*coupl(nGC_63) + coupl(nGC_1960)*coupl(nGC_31)*   &
                      coupl(nGC_59) - coupl(nGC_1960)*coupl(nGC_31)*coupl(     &
                      nGC_63))/(32d0*pi**2d0)
    coupl(nGC_4329) = (-4d0*Nc*cMB*coupl(nGC_34)**2d0*coupl(nGC_68) - 4d0*Nc*  &
                      cMC*coupl(nGC_34)**2d0*coupl(nGC_70) - 4d0*Nc*cMD*coupl( &
                      nGC_34)**2d0*coupl(nGC_74) - 4d0*Nc*cMS*coupl(nGC_34)**  &
                      2d0*coupl(nGC_83) - 4d0*Nc*cMT*coupl(nGC_34)**2d0*coupl( &
                      nGC_85) - 4d0*Nc*cMU*coupl(nGC_34)**2d0*coupl(nGC_91) -  &
                      4d0*cME*coupl(nGC_34)**2d0*coupl(nGC_77) - 4d0*cMM*coupl(&
                      nGC_34)**2d0*coupl(nGC_80) - 4d0*cMTA*coupl(nGC_34)**2d0*&
                      coupl(nGC_89) + 4d0*cima*coupl(nGC_22)*coupl(nGC_63) +   &
                      2d0*cima*coupl(nGC_560)*coupl(nGC_65) - coupl(nGC_1948)* &
                      coupl(nGC_296)*coupl(nGC_64) - coupl(nGC_1948)*coupl(    &
                      nGC_310)*coupl(nGC_60) + 6d0*coupl(nGC_296)**2d0*coupl(  &
                      nGC_63) - coupl(nGC_296)*coupl(nGC_30)*coupl(nGC_64) -   &
                      coupl(nGC_30)*coupl(nGC_310)*coupl(nGC_60) + 6d0*coupl(  &
                      nGC_310)**2d0*coupl(nGC_63) + 6d0*coupl(nGC_38)**2d0*    &
                      coupl(nGC_65))/(32d0*pi**2d0)
    coupl(nGC_4330) = (-coupl(nGC_2312)*coupl(nGC_648)*coupl(nGC_67) - coupl(  &
                      nGC_29)*coupl(nGC_34)*coupl(nGC_66) + 8d0*coupl(nGC_5)** &
                      2d0*coupl(nGC_68) - coupl(nGC_51)*coupl(nGC_650)*coupl(  &
                      nGC_67) + 8d0*coupl(nGC_648)*coupl(nGC_650)*coupl(nGC_68 &
                      ) - coupl(nGC_66)*coupl(nGC_84)*coupl(nGC_85) - coupl(   &
                      nGC_67)**2d0*coupl(nGC_68) - coupl(nGC_68)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_4331) = (-coupl(nGC_1746)*coupl(nGC_34)*coupl(nGC_66) - coupl(   &
                      nGC_2312)*coupl(nGC_394)*coupl(nGC_650) - coupl(nGC_394  &
                      )**2d0*coupl(nGC_68) - coupl(nGC_394)*coupl(nGC_51)*coupl&
                      (nGC_648) + 8d0*coupl(nGC_5)**2d0*coupl(nGC_68) + 8d0*   &
                      coupl(nGC_648)*coupl(nGC_650)*coupl(nGC_68) - coupl(     &
                      nGC_66)*coupl(nGC_84)*coupl(nGC_85) - coupl(nGC_68)**3d0 &
                      )/(32d0*pi**2d0)
    coupl(nGC_4332) = coupl(nGC_15)**2d0*coupl(nGC_68)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4333) = (-coupl(nGC_2312)*coupl(nGC_632)*coupl(nGC_71) - coupl(  &
                      nGC_30)*coupl(nGC_34)*coupl(nGC_69) - coupl(nGC_51)*coupl&
                      (nGC_634)*coupl(nGC_71) + 8d0*coupl(nGC_6)**2d0*coupl(   &
                      nGC_70) + 8d0*coupl(nGC_632)*coupl(nGC_634)*coupl(nGC_70 &
                      ) - coupl(nGC_69)*coupl(nGC_81)*coupl(nGC_83) - coupl(   &
                      nGC_70)**3d0 - coupl(nGC_70)*coupl(nGC_71)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_4334) = (-coupl(nGC_1948)*coupl(nGC_34)*coupl(nGC_69) - coupl(   &
                      nGC_2312)*coupl(nGC_444)*coupl(nGC_634) - coupl(nGC_444  &
                      )**2d0*coupl(nGC_70) - coupl(nGC_444)*coupl(nGC_51)*coupl&
                      (nGC_632) + 8d0*coupl(nGC_6)**2d0*coupl(nGC_70) + 8d0*   &
                      coupl(nGC_632)*coupl(nGC_634)*coupl(nGC_70) - coupl(     &
                      nGC_69)*coupl(nGC_81)*coupl(nGC_83) - coupl(nGC_70)**3d0 &
                      )/(32d0*pi**2d0)
    coupl(nGC_4335) = coupl(nGC_15)**2d0*coupl(nGC_70)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4336) = (-8d0*Nc*cMB*coupl(nGC_648)**2d0*coupl(nGC_68) + 8d0*Nc* &
                      cMB*coupl(nGC_648)*coupl(nGC_650)*coupl(nGC_68) - 8d0*Nc*&
                      cMB*coupl(nGC_650)**2d0*coupl(nGC_68) - 8d0*Nc*cMC*coupl(&
                      nGC_632)**2d0*coupl(nGC_70) + 8d0*Nc*cMC*coupl(nGC_632)* &
                      coupl(nGC_634)*coupl(nGC_70) - 8d0*Nc*cMC*coupl(nGC_634  &
                      )**2d0*coupl(nGC_70) - 8d0*Nc*cMD*coupl(nGC_648)**2d0*   &
                      coupl(nGC_74) + 8d0*Nc*cMD*coupl(nGC_648)*coupl(nGC_650)*&
                      coupl(nGC_74) - 8d0*Nc*cMD*coupl(nGC_650)**2d0*coupl(    &
                      nGC_74) - 8d0*Nc*cMS*coupl(nGC_648)**2d0*coupl(nGC_83) + &
                      8d0*Nc*cMS*coupl(nGC_648)*coupl(nGC_650)*coupl(nGC_83) - &
                      8d0*Nc*cMS*coupl(nGC_650)**2d0*coupl(nGC_83) - 8d0*Nc*cMT&
                      *coupl(nGC_632)**2d0*coupl(nGC_85) + 8d0*Nc*cMT*coupl(   &
                      nGC_632)*coupl(nGC_634)*coupl(nGC_85) - 8d0*Nc*cMT*coupl(&
                      nGC_634)**2d0*coupl(nGC_85) - 8d0*Nc*cMU*coupl(nGC_632)**&
                      2d0*coupl(nGC_91) + 8d0*Nc*cMU*coupl(nGC_632)*coupl(     &
                      nGC_634)*coupl(nGC_91) - 8d0*Nc*cMU*coupl(nGC_634)**2d0* &
                      coupl(nGC_91) - 8d0*cME*coupl(nGC_670)**2d0*coupl(nGC_77 &
                      ) + 8d0*cME*coupl(nGC_670)*coupl(nGC_672)*coupl(nGC_77   &
                      ) - 8d0*cME*coupl(nGC_672)**2d0*coupl(nGC_77) - 8d0*cMM* &
                      coupl(nGC_670)**2d0*coupl(nGC_80) + 8d0*cMM*coupl(nGC_670&
                      )*coupl(nGC_672)*coupl(nGC_80) - 8d0*cMM*coupl(nGC_672)**&
                      2d0*coupl(nGC_80) - 8d0*cMTA*coupl(nGC_670)**2d0*coupl(  &
                      nGC_89) + 8d0*cMTA*coupl(nGC_670)*coupl(nGC_672)*coupl(  &
                      nGC_89) - 8d0*cMTA*coupl(nGC_672)**2d0*coupl(nGC_89) +   &
                      4d0*cima*coupl(nGC_560)*coupl(nGC_63) - coupl(nGC_1746)* &
                      coupl(nGC_310)*coupl(nGC_60) - coupl(nGC_1948)*coupl(    &
                      nGC_38)*coupl(nGC_60) - coupl(nGC_29)*coupl(nGC_310)*    &
                      coupl(nGC_60) - coupl(nGC_30)*coupl(nGC_38)*coupl(nGC_60 &
                      ) + 6d0*coupl(nGC_310)**2d0*coupl(nGC_63) + 6d0*coupl(   &
                      nGC_38)**2d0*coupl(nGC_63))/(32d0*pi**2d0)
    coupl(nGC_4337) = (-coupl(nGC_2312)*coupl(nGC_648)*coupl(nGC_73) - coupl(  &
                      nGC_29)*coupl(nGC_34)*coupl(nGC_72) + 8d0*coupl(nGC_5)** &
                      2d0*coupl(nGC_74) - coupl(nGC_51)*coupl(nGC_650)*coupl(  &
                      nGC_73) + 8d0*coupl(nGC_648)*coupl(nGC_650)*coupl(nGC_74 &
                      ) - coupl(nGC_72)*coupl(nGC_90)*coupl(nGC_91) - coupl(   &
                      nGC_73)**2d0*coupl(nGC_74) - coupl(nGC_74)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_4338) = (-coupl(nGC_1746)*coupl(nGC_34)*coupl(nGC_72) - coupl(   &
                      nGC_2312)*coupl(nGC_386)*coupl(nGC_650) - coupl(nGC_386  &
                      )**2d0*coupl(nGC_74) - coupl(nGC_386)*coupl(nGC_51)*coupl&
                      (nGC_648) + 8d0*coupl(nGC_5)**2d0*coupl(nGC_74) + 8d0*   &
                      coupl(nGC_648)*coupl(nGC_650)*coupl(nGC_74) - coupl(     &
                      nGC_72)*coupl(nGC_90)*coupl(nGC_91) - coupl(nGC_74)**3d0 &
                      )/(32d0*pi**2d0)
    coupl(nGC_4339) = coupl(nGC_15)**2d0*coupl(nGC_74)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4340) = (coupl(nGC_2312)*coupl(nGC_410)*coupl(nGC_670) + coupl(  &
                      nGC_30)*coupl(nGC_34)*coupl(nGC_75) - coupl(nGC_410)**2d0&
                      *coupl(nGC_77) + coupl(nGC_410)*coupl(nGC_51)*coupl(     &
                      nGC_672) + 8d0*coupl(nGC_670)*coupl(nGC_672)*coupl(nGC_77&
                      ) - coupl(nGC_77)**3d0 + 8d0*coupl(nGC_77)*coupl(nGC_8)**&
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_4341) = (coupl(nGC_1948)*coupl(nGC_34)*coupl(nGC_75) + coupl(    &
                      nGC_2312)*coupl(nGC_672)*coupl(nGC_76) + coupl(nGC_51)*  &
                      coupl(nGC_670)*coupl(nGC_76) + 8d0*coupl(nGC_670)*coupl( &
                      nGC_672)*coupl(nGC_77) - coupl(nGC_76)**2d0*coupl(nGC_77 &
                      ) - coupl(nGC_77)**3d0 + 8d0*coupl(nGC_77)*coupl(nGC_8)**&
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_4342) = (coupl(nGC_2312)*coupl(nGC_414)*coupl(nGC_670) + coupl(  &
                      nGC_30)*coupl(nGC_34)*coupl(nGC_78) - coupl(nGC_414)**2d0&
                      *coupl(nGC_80) + coupl(nGC_414)*coupl(nGC_51)*coupl(     &
                      nGC_672) + 8d0*coupl(nGC_670)*coupl(nGC_672)*coupl(nGC_80&
                      ) + 8d0*coupl(nGC_8)**2d0*coupl(nGC_80) - coupl(nGC_80)**&
                      3d0)/(32d0*pi**2d0)
    coupl(nGC_4343) = (coupl(nGC_1948)*coupl(nGC_34)*coupl(nGC_78) + coupl(    &
                      nGC_2312)*coupl(nGC_672)*coupl(nGC_79) + coupl(nGC_51)*  &
                      coupl(nGC_670)*coupl(nGC_79) + 8d0*coupl(nGC_670)*coupl( &
                      nGC_672)*coupl(nGC_80) - coupl(nGC_79)**2d0*coupl(nGC_80 &
                      ) + 8d0*coupl(nGC_8)**2d0*coupl(nGC_80) - coupl(nGC_80)**&
                      3d0)/(32d0*pi**2d0)
    coupl(nGC_4344) = coupl(nGC_15)**2d0*sq2**2d0*(-cMB*coupl(nGC_68) - cMC*   &
                      coupl(nGC_70) - cMD*coupl(nGC_74) - cMS*coupl(nGC_83) -  &
                      cMT*coupl(nGC_85) - cMU*coupl(nGC_91))/(16d0*pi**2d0)
    coupl(nGC_4345) = coupl(nGC_15)**2d0*sq2**2d0*(cMB*coupl(nGC_68) + cMC*    &
                      coupl(nGC_70) + cMD*coupl(nGC_74) + cMS*coupl(nGC_83) +  &
                      cMT*coupl(nGC_85) + cMU*coupl(nGC_91))/(16d0*pi**2d0*Nc)
    coupl(nGC_4346) = (-coupl(nGC_2312)*coupl(nGC_648)*coupl(nGC_82) - coupl(  &
                      nGC_29)*coupl(nGC_34)*coupl(nGC_81) + 8d0*coupl(nGC_5)** &
                      2d0*coupl(nGC_83) - coupl(nGC_51)*coupl(nGC_650)*coupl(  &
                      nGC_82) + 8d0*coupl(nGC_648)*coupl(nGC_650)*coupl(nGC_83 &
                      ) - coupl(nGC_69)*coupl(nGC_70)*coupl(nGC_81) - coupl(   &
                      nGC_82)**2d0*coupl(nGC_83) - coupl(nGC_83)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_4347) = (-coupl(nGC_1746)*coupl(nGC_34)*coupl(nGC_81) - coupl(   &
                      nGC_2312)*coupl(nGC_390)*coupl(nGC_650) - coupl(nGC_390  &
                      )**2d0*coupl(nGC_83) - coupl(nGC_390)*coupl(nGC_51)*coupl&
                      (nGC_648) + 8d0*coupl(nGC_5)**2d0*coupl(nGC_83) + 8d0*   &
                      coupl(nGC_648)*coupl(nGC_650)*coupl(nGC_83) - coupl(     &
                      nGC_69)*coupl(nGC_70)*coupl(nGC_81) - coupl(nGC_83)**3d0 &
                      )/(32d0*pi**2d0)
    coupl(nGC_4348) = coupl(nGC_15)**2d0*coupl(nGC_83)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4349) = (-coupl(nGC_2312)*coupl(nGC_632)*coupl(nGC_86) - coupl(  &
                      nGC_30)*coupl(nGC_34)*coupl(nGC_84) - coupl(nGC_51)*coupl&
                      (nGC_634)*coupl(nGC_86) + 8d0*coupl(nGC_6)**2d0*coupl(   &
                      nGC_85) + 8d0*coupl(nGC_632)*coupl(nGC_634)*coupl(nGC_85 &
                      ) - coupl(nGC_66)*coupl(nGC_68)*coupl(nGC_84) - coupl(   &
                      nGC_85)**3d0 - coupl(nGC_85)*coupl(nGC_86)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_4350) = (-coupl(nGC_1948)*coupl(nGC_34)*coupl(nGC_84) - coupl(   &
                      nGC_2312)*coupl(nGC_448)*coupl(nGC_634) - coupl(nGC_448  &
                      )**2d0*coupl(nGC_85) - coupl(nGC_448)*coupl(nGC_51)*coupl&
                      (nGC_632) + 8d0*coupl(nGC_6)**2d0*coupl(nGC_85) + 8d0*   &
                      coupl(nGC_632)*coupl(nGC_634)*coupl(nGC_85) - coupl(     &
                      nGC_66)*coupl(nGC_68)*coupl(nGC_84) - coupl(nGC_85)**3d0 &
                      )/(32d0*pi**2d0)
    coupl(nGC_4351) = coupl(nGC_15)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4352) = (coupl(nGC_2312)*coupl(nGC_418)*coupl(nGC_670) + coupl(  &
                      nGC_30)*coupl(nGC_34)*coupl(nGC_87) - coupl(nGC_418)**2d0&
                      *coupl(nGC_89) + coupl(nGC_418)*coupl(nGC_51)*coupl(     &
                      nGC_672) + 8d0*coupl(nGC_670)*coupl(nGC_672)*coupl(nGC_89&
                      ) + 8d0*coupl(nGC_8)**2d0*coupl(nGC_89) - coupl(nGC_89)**&
                      3d0)/(32d0*pi**2d0)
    coupl(nGC_4353) = (coupl(nGC_1948)*coupl(nGC_34)*coupl(nGC_87) + coupl(    &
                      nGC_2312)*coupl(nGC_672)*coupl(nGC_88) + coupl(nGC_51)*  &
                      coupl(nGC_670)*coupl(nGC_88) + 8d0*coupl(nGC_670)*coupl( &
                      nGC_672)*coupl(nGC_89) + 8d0*coupl(nGC_8)**2d0*coupl(    &
                      nGC_89) - coupl(nGC_88)**2d0*coupl(nGC_89) - coupl(nGC_89&
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_4354) = (-coupl(nGC_2312)*coupl(nGC_632)*coupl(nGC_92) - coupl(  &
                      nGC_30)*coupl(nGC_34)*coupl(nGC_90) - coupl(nGC_51)*coupl&
                      (nGC_634)*coupl(nGC_92) + 8d0*coupl(nGC_6)**2d0*coupl(   &
                      nGC_91) + 8d0*coupl(nGC_632)*coupl(nGC_634)*coupl(nGC_91 &
                      ) - coupl(nGC_72)*coupl(nGC_74)*coupl(nGC_90) - coupl(   &
                      nGC_91)**3d0 - coupl(nGC_91)*coupl(nGC_92)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_4355) = (-coupl(nGC_1948)*coupl(nGC_34)*coupl(nGC_90) - coupl(   &
                      nGC_2312)*coupl(nGC_440)*coupl(nGC_634) - coupl(nGC_440  &
                      )**2d0*coupl(nGC_91) - coupl(nGC_440)*coupl(nGC_51)*coupl&
                      (nGC_632) + 8d0*coupl(nGC_6)**2d0*coupl(nGC_91) + 8d0*   &
                      coupl(nGC_632)*coupl(nGC_634)*coupl(nGC_91) - coupl(     &
                      nGC_72)*coupl(nGC_74)*coupl(nGC_90) - coupl(nGC_91)**3d0 &
                      )/(32d0*pi**2d0)
    coupl(nGC_4356) = coupl(nGC_15)**2d0*coupl(nGC_91)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4357) = (-12d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_634) + 12d0*Nc*   &
                      coupl(nGC_34)**2d0*coupl(nGC_650) - 11d0*coupl(nGC_296)**&
                      2d0*coupl(nGC_38) - 11d0*coupl(nGC_310)**2d0*coupl(nGC_38&
                      ) - 12d0*coupl(nGC_34)**2d0*coupl(nGC_53) + 12d0*coupl(  &
                      nGC_34)**2d0*coupl(nGC_672))/(96d0*pi**2d0)
    coupl(nGC_12689) = -coupl(nGC_4357)
    coupl(nGC_4358) = coupl(nGC_34)*(coupl(nGC_296)*coupl(nGC_5) + coupl(      &
                      nGC_310)*coupl(nGC_650) + coupl(nGC_38)*coupl(nGC_634) + &
                      coupl(nGC_5)*coupl(nGC_6) + coupl(nGC_6)*coupl(nGC_7) +  &
                      coupl(nGC_634)*coupl(nGC_650))/(8d0*pi**2d0)
    coupl(nGC_4359) = coupl(nGC_15)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4360) = coupl(nGC_34)*(-coupl(nGC_296)*coupl(nGC_6) - coupl(     &
                      nGC_310)*coupl(nGC_634) - coupl(nGC_38)*coupl(nGC_650) + &
                      coupl(nGC_5)*coupl(nGC_6) - coupl(nGC_5)*coupl(nGC_7) +  &
                      coupl(nGC_634)*coupl(nGC_650))/(8d0*pi**2d0)
    coupl(nGC_4361) = coupl(nGC_34)*(coupl(nGC_296)*coupl(nGC_8) + coupl(      &
                      nGC_310)*coupl(nGC_672) + coupl(nGC_38)*coupl(nGC_53) +  &
                      coupl(nGC_53)*coupl(nGC_672))/(8d0*pi**2d0)
    coupl(nGC_4362) = coupl(nGC_34)*(-coupl(nGC_310)*coupl(nGC_53) - coupl(    &
                      nGC_38)*coupl(nGC_672) + coupl(nGC_53)*coupl(nGC_672) -  &
                      coupl(nGC_7)*coupl(nGC_8))/(8d0*pi**2d0)
    coupl(nGC_4363) = (coupl(nGC_444)*coupl(nGC_634)*coupl(nGC_71) + 4d0*coupl(&
                      nGC_6)**2d0*coupl(nGC_632) + 4d0*coupl(nGC_632)**3d0 +   &
                      coupl(nGC_634)*coupl(nGC_70)**2d0 + coupl(nGC_650)*coupl(&
                      nGC_69)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4365) = (4d0*coupl(nGC_34)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_34 &
                      )**2d0*coupl(nGC_650) + coupl(nGC_444)*coupl(nGC_632)*   &
                      coupl(nGC_71) + 4d0*coupl(nGC_6)**2d0*coupl(nGC_634) +   &
                      coupl(nGC_632)*coupl(nGC_70)**2d0 + 4d0*coupl(nGC_634)** &
                      3d0 + coupl(nGC_648)*coupl(nGC_81)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4364) = coupl(nGC_15)**2d0*coupl(nGC_632)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4366) = coupl(nGC_15)**2d0*coupl(nGC_634)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4367) = (coupl(nGC_394)*coupl(nGC_650)*coupl(nGC_67) + 4d0*coupl(&
                      nGC_5)**2d0*coupl(nGC_648) + coupl(nGC_634)*coupl(nGC_66 &
                      )**2d0 + 4d0*coupl(nGC_648)**3d0 + coupl(nGC_650)*coupl( &
                      nGC_68)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4369) = (4d0*coupl(nGC_310)*coupl(nGC_34)**2d0 + 4d0*coupl(nGC_34&
                      )**2d0*coupl(nGC_634) + coupl(nGC_394)*coupl(nGC_648)*   &
                      coupl(nGC_67) + 4d0*coupl(nGC_5)**2d0*coupl(nGC_650) +   &
                      coupl(nGC_632)*coupl(nGC_84)**2d0 + coupl(nGC_648)*coupl(&
                      nGC_68)**2d0 + 4d0*coupl(nGC_650)**3d0)/(32d0*pi**2d0)
    coupl(nGC_4368) = coupl(nGC_15)**2d0*coupl(nGC_648)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4370) = coupl(nGC_15)**2d0*coupl(nGC_650)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4371) = (coupl(nGC_410)*coupl(nGC_672)*coupl(nGC_76) + coupl(    &
                      nGC_53)*coupl(nGC_75)**2d0 + 4d0*coupl(nGC_670)**3d0 +   &
                      4d0*coupl(nGC_670)*coupl(nGC_8)**2d0 + coupl(nGC_672)*   &
                      coupl(nGC_77)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4372) = (-4d0*coupl(nGC_34)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_34&
                      )**2d0*coupl(nGC_53) + coupl(nGC_410)*coupl(nGC_670)*    &
                      coupl(nGC_76) + coupl(nGC_670)*coupl(nGC_77)**2d0 + 4d0* &
                      coupl(nGC_672)**3d0 + 4d0*coupl(nGC_672)*coupl(nGC_8)**  &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_4373) = (coupl(nGC_386)*coupl(nGC_650)*coupl(nGC_73) + 4d0*coupl(&
                      nGC_5)**2d0*coupl(nGC_648) + coupl(nGC_634)*coupl(nGC_72 &
                      )**2d0 + 4d0*coupl(nGC_648)**3d0 + coupl(nGC_650)*coupl( &
                      nGC_74)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4374) = (4d0*coupl(nGC_310)*coupl(nGC_34)**2d0 + 4d0*coupl(nGC_34&
                      )**2d0*coupl(nGC_634) + coupl(nGC_386)*coupl(nGC_648)*   &
                      coupl(nGC_73) + 4d0*coupl(nGC_5)**2d0*coupl(nGC_650) +   &
                      coupl(nGC_632)*coupl(nGC_90)**2d0 + coupl(nGC_648)*coupl(&
                      nGC_74)**2d0 + 4d0*coupl(nGC_650)**3d0)/(32d0*pi**2d0)
    coupl(nGC_4375) = (coupl(nGC_414)*coupl(nGC_672)*coupl(nGC_79) + coupl(    &
                      nGC_53)*coupl(nGC_78)**2d0 + 4d0*coupl(nGC_670)**3d0 +   &
                      4d0*coupl(nGC_670)*coupl(nGC_8)**2d0 + coupl(nGC_672)*   &
                      coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4376) = (-4d0*coupl(nGC_34)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_34&
                      )**2d0*coupl(nGC_53) + coupl(nGC_414)*coupl(nGC_670)*    &
                      coupl(nGC_79) + coupl(nGC_670)*coupl(nGC_80)**2d0 + 4d0* &
                      coupl(nGC_672)**3d0 + 4d0*coupl(nGC_672)*coupl(nGC_8)**  &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_4377) = (4d0*coupl(nGC_34)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_34 &
                      )**2d0*coupl(nGC_672) + 4d0*coupl(nGC_53)**3d0 + coupl(  &
                      nGC_670)*coupl(nGC_78)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4378) = (4d0*coupl(nGC_34)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_34 &
                      )**2d0*coupl(nGC_672) + 4d0*coupl(nGC_53)**3d0 + coupl(  &
                      nGC_670)*coupl(nGC_75)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4379) = (4d0*coupl(nGC_34)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_34 &
                      )**2d0*coupl(nGC_672) + 4d0*coupl(nGC_53)**3d0 + coupl(  &
                      nGC_670)*coupl(nGC_87)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4380) = (coupl(nGC_390)*coupl(nGC_650)*coupl(nGC_82) + 4d0*coupl(&
                      nGC_5)**2d0*coupl(nGC_648) + coupl(nGC_634)*coupl(nGC_81 &
                      )**2d0 + 4d0*coupl(nGC_648)**3d0 + coupl(nGC_650)*coupl( &
                      nGC_83)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4381) = (4d0*coupl(nGC_310)*coupl(nGC_34)**2d0 + 4d0*coupl(nGC_34&
                      )**2d0*coupl(nGC_634) + coupl(nGC_390)*coupl(nGC_648)*   &
                      coupl(nGC_82) + 4d0*coupl(nGC_5)**2d0*coupl(nGC_650) +   &
                      coupl(nGC_632)*coupl(nGC_69)**2d0 + coupl(nGC_648)*coupl(&
                      nGC_83)**2d0 + 4d0*coupl(nGC_650)**3d0)/(32d0*pi**2d0)
    coupl(nGC_4382) = (coupl(nGC_448)*coupl(nGC_634)*coupl(nGC_86) + 4d0*coupl(&
                      nGC_6)**2d0*coupl(nGC_632) + 4d0*coupl(nGC_632)**3d0 +   &
                      coupl(nGC_634)*coupl(nGC_85)**2d0 + coupl(nGC_650)*coupl(&
                      nGC_84)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4383) = (4d0*coupl(nGC_34)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_34 &
                      )**2d0*coupl(nGC_650) + coupl(nGC_448)*coupl(nGC_632)*   &
                      coupl(nGC_86) + 4d0*coupl(nGC_6)**2d0*coupl(nGC_634) +   &
                      coupl(nGC_632)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_634)** &
                      3d0 + coupl(nGC_648)*coupl(nGC_66)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4384) = (coupl(nGC_418)*coupl(nGC_672)*coupl(nGC_88) + coupl(    &
                      nGC_53)*coupl(nGC_87)**2d0 + 4d0*coupl(nGC_670)**3d0 +   &
                      4d0*coupl(nGC_670)*coupl(nGC_8)**2d0 + coupl(nGC_672)*   &
                      coupl(nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4385) = (-4d0*coupl(nGC_34)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_34&
                      )**2d0*coupl(nGC_53) + coupl(nGC_418)*coupl(nGC_670)*    &
                      coupl(nGC_88) + coupl(nGC_670)*coupl(nGC_89)**2d0 + 4d0* &
                      coupl(nGC_672)**3d0 + 4d0*coupl(nGC_672)*coupl(nGC_8)**  &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_4386) = (coupl(nGC_440)*coupl(nGC_634)*coupl(nGC_92) + 4d0*coupl(&
                      nGC_6)**2d0*coupl(nGC_632) + 4d0*coupl(nGC_632)**3d0 +   &
                      coupl(nGC_634)*coupl(nGC_91)**2d0 + coupl(nGC_650)*coupl(&
                      nGC_90)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4387) = (4d0*coupl(nGC_34)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_34 &
                      )**2d0*coupl(nGC_650) + coupl(nGC_440)*coupl(nGC_632)*   &
                      coupl(nGC_92) + 4d0*coupl(nGC_6)**2d0*coupl(nGC_634) +   &
                      coupl(nGC_632)*coupl(nGC_91)**2d0 + 4d0*coupl(nGC_634)** &
                      3d0 + coupl(nGC_648)*coupl(nGC_72)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4388) = -coupl(nGC_15)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_14  &
                      ) + coupl(nGC_15))/(64d0*pi**2d0*Nc)
    coupl(nGC_4389) = -coupl(nGC_15)*sq2*(-4d0*coupl(nGC_34)**2d0 - coupl(     &
                      nGC_394)*coupl(nGC_67) - 4d0*coupl(nGC_5)**2d0 - 4d0*    &
                      coupl(nGC_650)**2d0 - coupl(nGC_68)**2d0 - coupl(nGC_84  &
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_4390) = -coupl(nGC_15)*sq2*(-coupl(nGC_394)*coupl(nGC_67) - 4d0* &
                      coupl(nGC_5)**2d0 - 4d0*coupl(nGC_648)**2d0 - coupl(     &
                      nGC_66)**2d0 - coupl(nGC_68)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4391) = -coupl(nGC_15)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_14 &
                      ) - coupl(nGC_15))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_4392) = -coupl(nGC_15)*sq2*(4d0*coupl(nGC_34)**2d0 + coupl(      &
                      nGC_394)*coupl(nGC_67) + 4d0*coupl(nGC_5)**2d0 + 4d0*    &
                      coupl(nGC_650)**2d0 + coupl(nGC_68)**2d0 + coupl(nGC_84  &
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4393) = -coupl(nGC_15)*sq2*(coupl(nGC_394)*coupl(nGC_67) + 4d0*  &
                      coupl(nGC_5)**2d0 + 4d0*coupl(nGC_648)**2d0 + coupl(     &
                      nGC_66)**2d0 + coupl(nGC_68)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4394) = -coupl(nGC_15)*sq2*(-4d0*coupl(nGC_34)**2d0 - coupl(     &
                      nGC_444)*coupl(nGC_71) - 4d0*coupl(nGC_6)**2d0 - 4d0*    &
                      coupl(nGC_634)**2d0 - coupl(nGC_70)**2d0 - coupl(nGC_81  &
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_4395) = -coupl(nGC_15)*sq2*(-coupl(nGC_444)*coupl(nGC_71) - 4d0* &
                      coupl(nGC_6)**2d0 - 4d0*coupl(nGC_632)**2d0 - coupl(     &
                      nGC_69)**2d0 - coupl(nGC_70)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4396) = -coupl(nGC_15)*sq2*(4d0*coupl(nGC_34)**2d0 + coupl(      &
                      nGC_444)*coupl(nGC_71) + 4d0*coupl(nGC_6)**2d0 + 4d0*    &
                      coupl(nGC_634)**2d0 + coupl(nGC_70)**2d0 + coupl(nGC_81  &
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4397) = -coupl(nGC_15)*sq2*(coupl(nGC_444)*coupl(nGC_71) + 4d0*  &
                      coupl(nGC_6)**2d0 + 4d0*coupl(nGC_632)**2d0 + coupl(     &
                      nGC_69)**2d0 + coupl(nGC_70)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4398) = -coupl(nGC_15)*sq2*(-4d0*coupl(nGC_34)**2d0 - coupl(     &
                      nGC_386)*coupl(nGC_73) - 4d0*coupl(nGC_5)**2d0 - 4d0*    &
                      coupl(nGC_650)**2d0 - coupl(nGC_74)**2d0 - coupl(nGC_90  &
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_4399) = -coupl(nGC_15)*sq2*(-coupl(nGC_386)*coupl(nGC_73) - 4d0* &
                      coupl(nGC_5)**2d0 - 4d0*coupl(nGC_648)**2d0 - coupl(     &
                      nGC_72)**2d0 - coupl(nGC_74)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4400) = -coupl(nGC_15)*sq2*(4d0*coupl(nGC_34)**2d0 + coupl(      &
                      nGC_386)*coupl(nGC_73) + 4d0*coupl(nGC_5)**2d0 + 4d0*    &
                      coupl(nGC_650)**2d0 + coupl(nGC_74)**2d0 + coupl(nGC_90  &
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4401) = -coupl(nGC_15)*sq2*(coupl(nGC_386)*coupl(nGC_73) + 4d0*  &
                      coupl(nGC_5)**2d0 + 4d0*coupl(nGC_648)**2d0 + coupl(     &
                      nGC_72)**2d0 + coupl(nGC_74)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4402) = coupl(nGC_15)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_14  &
                      ) - coupl(nGC_15))/(64d0*pi**2d0*Nc)
    coupl(nGC_4403) = coupl(nGC_15)*sq2*(coupl(nGC_390)*coupl(nGC_82) + 4d0*   &
                      coupl(nGC_5)**2d0 + 4d0*coupl(nGC_648)**2d0 + coupl(     &
                      nGC_81)**2d0 + coupl(nGC_83)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4404) = coupl(nGC_15)*sq2*(4d0*coupl(nGC_34)**2d0 + coupl(nGC_390&
                      )*coupl(nGC_82) + 4d0*coupl(nGC_5)**2d0 + 4d0*coupl(     &
                      nGC_650)**2d0 + coupl(nGC_69)**2d0 + coupl(nGC_83)**2d0  &
                      )/(64d0*pi**2d0)
    coupl(nGC_4405) = coupl(nGC_15)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_14   &
                      ) + coupl(nGC_15))/(64d0*pi**2d0*Nc**2d0)
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
