!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_6371) = coupl(nGC_4542) + coupl(nGC_81)*dZcL_QED2/2d0 + coupl(   &
                      nGC_81)*dZsR_QED2/2d0
    coupl(nGC_6380) = coupl(nGC_4543) + coupl(nGC_84)*dZbL_QCD2/2d0 + coupl(   &
                      nGC_84)*dZtR_QCD2/2d0
    coupl(nGC_6381) = coupl(nGC_4545) + coupl(nGC_66)*dZbR_QCD2/2d0 + coupl(   &
                      nGC_66)*dZtL_QCD2/2d0
    coupl(nGC_6382) = coupl(nGC_4544) + coupl(nGC_84)*dZbL_QED2/2d0 + coupl(   &
                      nGC_84)*dZtR_QED2/2d0
    coupl(nGC_6383) = coupl(nGC_4546) + coupl(nGC_66)*dZbR_QED2/2d0 + coupl(   &
                      nGC_66)*dZtL_QED2/2d0
    coupl(nGC_4547) = coupl(nGC_4093)*dydo_QCD2_QED1
    coupl(nGC_6390) = -coupl(nGC_4547) - coupl(nGC_6386)
    coupl(nGC_6391) = coupl(nGC_4547) + coupl(nGC_6386)
    coupl(nGC_4548) = coupl(nGC_4093)*dydo_QED3
    coupl(nGC_6392) = -coupl(nGC_4548) - coupl(nGC_6387)
    coupl(nGC_6393) = coupl(nGC_4548) + coupl(nGC_6387)
    coupl(nGC_4549) = coupl(nGC_4098)*dys_QCD2_QED1
    coupl(nGC_6400) = -coupl(nGC_4549) - coupl(nGC_6396)
    coupl(nGC_6401) = coupl(nGC_4549) + coupl(nGC_6396)
    coupl(nGC_4550) = coupl(nGC_4098)*dys_QED3
    coupl(nGC_6402) = -coupl(nGC_4550) - coupl(nGC_6397)
    coupl(nGC_6403) = coupl(nGC_4550) + coupl(nGC_6397)
    coupl(nGC_4552) = coupl(nGC_4089)*dyb_QED3
    coupl(nGC_6410) = -coupl(nGC_4552) - coupl(nGC_6407)
    coupl(nGC_6411) = coupl(nGC_4552) + coupl(nGC_6407)
    coupl(nGC_4551) = coupl(nGC_4089)*dyb_QCD2_QED1
    coupl(nGC_6412) = -coupl(nGC_4551) - coupl(nGC_6406)
    coupl(nGC_6413) = coupl(nGC_4551) + coupl(nGC_6406)
    coupl(nGC_4553) = coupl(nGC_4094)*dydo_QCD2_QED1
    coupl(nGC_6421) = coupl(nGC_4553) + coupl(nGC_6416)
    coupl(nGC_6422) = coupl(nGC_4554) + coupl(nGC_74)*dZH1_QED2/2d0
    coupl(nGC_6423) = coupl(nGC_6417) + coupl(nGC_6422)
    coupl(nGC_4555) = coupl(nGC_4102)*dys_QCD2_QED1
    coupl(nGC_6431) = coupl(nGC_4555) + coupl(nGC_6426)
    coupl(nGC_6432) = coupl(nGC_4556) + coupl(nGC_83)*dZH1_QED2/2d0
    coupl(nGC_6433) = coupl(nGC_6427) + coupl(nGC_6432)
    coupl(nGC_4557) = coupl(nGC_4091)*dyb_QCD2_QED1
    coupl(nGC_6441) = coupl(nGC_4557) + coupl(nGC_6436)
    coupl(nGC_6442) = coupl(nGC_4558) + coupl(nGC_68)*dZH1_QED2/2d0
    coupl(nGC_6443) = coupl(nGC_6437) + coupl(nGC_6442)
    coupl(nGC_6456) = -coupl(nGC_4562) - coupl(nGC_6454)
    coupl(nGC_6457) = coupl(nGC_4562) + coupl(nGC_6454)
    coupl(nGC_6461) = -coupl(nGC_4563) - coupl(nGC_6459)
    coupl(nGC_6462) = coupl(nGC_4563) + coupl(nGC_6459)
    coupl(nGC_6466) = -coupl(nGC_4564) - coupl(nGC_6464)
    coupl(nGC_6467) = coupl(nGC_4564) + coupl(nGC_6464)
    coupl(nGC_6472) = coupl(nGC_4565) + coupl(nGC_77)*dZH1_QED2/2d0
    coupl(nGC_6473) = coupl(nGC_6469) + coupl(nGC_6472)
    coupl(nGC_6478) = coupl(nGC_4566) + coupl(nGC_80)*dZH1_QED2/2d0
    coupl(nGC_6479) = coupl(nGC_6475) + coupl(nGC_6478)
    coupl(nGC_6484) = coupl(nGC_4567) + coupl(nGC_89)*dZH1_QED2/2d0
    coupl(nGC_6485) = coupl(nGC_6481) + coupl(nGC_6484)
    coupl(nGC_4568) = coupl(nGC_4107)*dyup_QCD2_QED1
    coupl(nGC_6516) = -coupl(nGC_4568) - coupl(nGC_6512)
    coupl(nGC_6517) = coupl(nGC_4568) + coupl(nGC_6512)
    coupl(nGC_4569) = coupl(nGC_4107)*dyup_QED3
    coupl(nGC_6518) = -coupl(nGC_4569) - coupl(nGC_6513)
    coupl(nGC_6519) = coupl(nGC_4569) + coupl(nGC_6513)
    coupl(nGC_4570) = coupl(nGC_4092)*dyc_QCD2_QED1
    coupl(nGC_6526) = -coupl(nGC_4570) - coupl(nGC_6522)
    coupl(nGC_6527) = coupl(nGC_4570) + coupl(nGC_6522)
    coupl(nGC_4571) = coupl(nGC_4092)*dyc_QED3
    coupl(nGC_6528) = -coupl(nGC_4571) - coupl(nGC_6523)
    coupl(nGC_6529) = coupl(nGC_4571) + coupl(nGC_6523)
    coupl(nGC_4572) = coupl(nGC_4103)*dyt_QCD2_QED1
    coupl(nGC_6536) = -coupl(nGC_4572) - coupl(nGC_6532)
    coupl(nGC_6537) = coupl(nGC_4572) + coupl(nGC_6532)
    coupl(nGC_4573) = coupl(nGC_4103)*dyt_QED3
    coupl(nGC_6538) = -coupl(nGC_4573) - coupl(nGC_6533)
    coupl(nGC_6539) = coupl(nGC_4573) + coupl(nGC_6533)
    coupl(nGC_4574) = coupl(nGC_4111)*dyup_QCD2_QED1
    coupl(nGC_6549) = coupl(nGC_4574) + coupl(nGC_6542)
    coupl(nGC_4576) = coupl(nGC_4090)*dyc_QCD2_QED1
    coupl(nGC_6557) = coupl(nGC_4576) + coupl(nGC_6552)
    coupl(nGC_6558) = coupl(nGC_4577) + coupl(nGC_70)*dZH1_QED2/2d0
    coupl(nGC_6559) = coupl(nGC_6553) + coupl(nGC_6558)
    coupl(nGC_4578) = coupl(nGC_4100)*dyt_QCD2_QED1
    coupl(nGC_6569) = coupl(nGC_4578) + coupl(nGC_6562)
    coupl(nGC_6573) = coupl(nGC_13)*dZZA_QED2/2d0 + coupl(nGC_42)*dZA_QED2/2d0 &
                       + coupl(nGC_42)*dZWMinus_QED2/2d0 + coupl(nGC_4580)
    coupl(nGC_6577) = coupl(nGC_13)*dZWMinus_QED2/2d0 + coupl(nGC_13)*dZZ_QED2/&
                      2d0 + coupl(nGC_42)*dZAZ_QED2/2d0 + coupl(nGC_4601)
    coupl(nGC_6581) = coupl(nGC_12)*dZZA_QED2/2d0 + coupl(nGC_40)*dZA_QED2/2d0 &
                       + coupl(nGC_40)*dZH1_QED2/2d0 + coupl(nGC_40)*          &
                      dZWMinus_QED2/2d0 + coupl(nGC_4581)
    coupl(nGC_6585) = coupl(nGC_12)*dZH1_QED2/2d0 + coupl(nGC_12)*dZWMinus_QED2&
                      /2d0 + coupl(nGC_12)*dZZ_QED2/2d0 + coupl(nGC_40)*       &
                      dZAZ_QED2/2d0 + coupl(nGC_4602)
    coupl(nGC_6589) = coupl(nGC_26)*dZZA_QED2/2d0 + coupl(nGC_41)*dZA_QED2/2d0 &
                       + coupl(nGC_41)*dZH2_QED2/2d0 + coupl(nGC_41)*          &
                      dZHMinus_QED2/2d0 + coupl(nGC_41)*dZWMinus_QED2/2d0 +    &
                      coupl(nGC_4582)
    coupl(nGC_6593) = coupl(nGC_26)*dZH2_QED2/2d0 + coupl(nGC_26)*dZHMinus_QED2&
                      /2d0 + coupl(nGC_26)*dZWMinus_QED2/2d0 + coupl(nGC_26)*  &
                      dZZ_QED2/2d0 + coupl(nGC_41)*dZAZ_QED2/2d0 + coupl(      &
                      nGC_4603)
    coupl(nGC_6598) = coupl(nGC_4583) + coupl(nGC_60)*dZZA_QED2/2d0 + coupl(   &
                      nGC_64)*dZA_QED2/2d0 + coupl(nGC_64)*dZWMinus_QED2/2d0 + &
                      coupl(nGC_TS_GC_40_H1)
    coupl(nGC_6603) = coupl(nGC_4604) + coupl(nGC_60)*dZWMinus_QED2/2d0 + coupl&
                      (nGC_60)*dZZ_QED2/2d0 + coupl(nGC_64)*dZAZ_QED2/2d0 +    &
                      coupl(nGC_TS_GC_12_H1)
    coupl(nGC_6606) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_4584)
    coupl(nGC_6609) = coupl(nGC_30)*dZH1_QED2/2d0 + coupl(nGC_30)*dZWMinus_QED2&
                      /2d0 + coupl(nGC_4585)
    coupl(nGC_6612) = coupl(nGC_31)*dZH2_QED2/2d0 + coupl(nGC_31)*dZHMinus_QED2&
                      /2d0 + coupl(nGC_31)*dZWMinus_QED2/2d0 + coupl(nGC_4586)
    coupl(nGC_6616) = coupl(nGC_38)*dZZA_QED2/2d0 + coupl(nGC_4523) + coupl(   &
                      nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2
    coupl(nGC_6620) = coupl(nGC_38)*dZWMinus_QED2 + coupl(nGC_38)*dZZ_QED2/2d0 &
                       + coupl(nGC_4527) + coupl(nGC_7)*dZAZ_QED2/2d0
    coupl(nGC_6623) = coupl(nGC_24)*dZHMinus_QED2 + coupl(nGC_24)*dZWMinus_QED2&
                       + coupl(nGC_4587)
    coupl(nGC_6627) = coupl(nGC_11)*dZZA_QED2/2d0 + coupl(nGC_39)*dZA_QED2/2d0 &
                       + coupl(nGC_39)*dZWMinus_QED2/2d0 + coupl(nGC_4588)
    coupl(nGC_6631) = coupl(nGC_11)*dZWMinus_QED2/2d0 + coupl(nGC_11)*dZZ_QED2/&
                      2d0 + coupl(nGC_39)*dZAZ_QED2/2d0 + coupl(nGC_4605)
    coupl(nGC_6656) = coupl(nGC_29)*dZH1_QED2/2d0 + coupl(nGC_29)*dZWMinus_QED2&
                      /2d0 + coupl(nGC_4589)
    coupl(nGC_6659) = coupl(nGC_32)*dZH2_QED2/2d0 + coupl(nGC_32)*dZHMinus_QED2&
                      /2d0 + coupl(nGC_32)*dZWMinus_QED2/2d0 + coupl(nGC_4590)
    coupl(nGC_6662) = coupl(nGC_21)*dZWMinus_QED2 + coupl(nGC_4591)
    coupl(nGC_6667) = coupl(nGC_21)*dZH1_QED2 + coupl(nGC_21)*dZWMinus_QED2 +  &
                      coupl(nGC_4591)
    coupl(nGC_6670) = coupl(nGC_25)*dZH2_QED2 + coupl(nGC_25)*dZWMinus_QED2 +  &
                      coupl(nGC_4592)
    coupl(nGC_6673) = coupl(nGC_23)*dZHMinus_QED2 + coupl(nGC_23)*dZWMinus_QED2&
                       + coupl(nGC_4593)
    coupl(nGC_6677) = coupl(nGC_4594) + coupl(nGC_63)*dZH1_QED2/2d0 + coupl(   &
                      nGC_63)*dZWMinus_QED2 + coupl(nGC_TS_GC_21_H1)
    coupl(nGC_6681) = coupl(nGC_4595) + coupl(nGC_9)*dZA_QED2 + coupl(nGC_9)*  &
                      dZWMinus_QED2
    coupl(nGC_6682) = -coupl(nGC_6680)/2d0 + coupl(nGC_6681)
    coupl(nGC_6683) = coupl(nGC_6680) - 2d0*coupl(nGC_6681)
    coupl(nGC_6689) = coupl(nGC_44)*dZA_QED2/2d0 + coupl(nGC_44)*dZWMinus_QED2 &
                       + coupl(nGC_44)*dZZ_QED2/2d0 + coupl(nGC_4606)
    coupl(nGC_6690) = coupl(nGC_6688) - coupl(nGC_6689)/2d0
    coupl(nGC_6691) = -2d0*coupl(nGC_6688) + coupl(nGC_6689)
    coupl(nGC_6702) = 2d0*coupl(nGC_22)*dZWMinus_QED2 + coupl(nGC_4596)
    coupl(nGC_6703) = -2d0*coupl(nGC_6702)
    coupl(nGC_6717) = coupl(nGC_4608) + coupl(nGC_54)*dZAZ_QED2 + coupl(nGC_57 &
                      )*dZZ_QED2
    coupl(nGC_6725) = coupl(nGC_28)*dZHMinus_QED2 + coupl(nGC_28)*dZZ_QED2 +   &
                      coupl(nGC_43)*dZAZ_QED2 + coupl(nGC_4609)
    coupl(nGC_6728) = coupl(nGC_4599) + coupl(nGC_51)*dZH1_QED2/2d0 + coupl(   &
                      nGC_51)*dZZ_QED2/2d0
    coupl(nGC_6789) = coupl(nGC_27)*dZWMinus_QED2 + coupl(nGC_27)*dZZ_QED2 +   &
                      coupl(nGC_4611)
    coupl(nGC_6790) = coupl(nGC_6786) - 2d0*coupl(nGC_6789)
    coupl(nGC_6791) = -coupl(nGC_6786)/2d0 + coupl(nGC_6789)
    coupl(nGC_6797) = coupl(nGC_4607) + coupl(nGC_58)*dZZ_QED2
    coupl(nGC_6801) = coupl(nGC_4607) + coupl(nGC_58)*dZH1_QED2 + coupl(nGC_58 &
                      )*dZZ_QED2
    coupl(nGC_6806) = coupl(nGC_4610) + coupl(nGC_65)*dZH1_QED2/2d0 + coupl(   &
                      nGC_65)*dZZ_QED2 + coupl(nGC_TS_GC_58_H1)
    coupl(nGC_6822) = coupl(nGC_4522) + coupl(nGC_8)*dZA_QED2/2d0
    coupl(nGC_6823) = coupl(nGC_6817) + 2d0*coupl(nGC_6820) + coupl(nGC_6822)
    coupl(nGC_6824) = coupl(nGC_6820) + coupl(nGC_6821) + coupl(nGC_6822)
    coupl(nGC_6832) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*dZeMinusL_QED2&
                       + coupl(nGC_4618) + coupl(nGC_50)*dZeMinusL_QED2
    coupl(nGC_6833) = coupl(nGC_4620) + coupl(nGC_50)*dZZ_QED2/2d0
    coupl(nGC_6834) = coupl(nGC_6825) + 2d0*coupl(nGC_6829) + 2d0*coupl(       &
                      nGC_6833)
    coupl(nGC_6835) = coupl(nGC_6825) + coupl(nGC_6832) + coupl(nGC_6833)
    coupl(nGC_6843) = 2d0*coupl(nGC_6820) + coupl(nGC_6822) + coupl(nGC_6838)
    coupl(nGC_6844) = coupl(nGC_6820) + coupl(nGC_6822) + coupl(nGC_6842)
    coupl(nGC_6852) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*              &
                      dZmuMinusL_QED2 + coupl(nGC_4618) + coupl(nGC_50)*       &
                      dZmuMinusL_QED2
    coupl(nGC_6853) = coupl(nGC_6825) + 2d0*coupl(nGC_6833) + 2d0*coupl(       &
                      nGC_6849)
    coupl(nGC_6854) = coupl(nGC_6825) + coupl(nGC_6833) + coupl(nGC_6852)
    coupl(nGC_6862) = 2d0*coupl(nGC_6820) + coupl(nGC_6822) + coupl(nGC_6857)
    coupl(nGC_6863) = coupl(nGC_6820) + coupl(nGC_6822) + coupl(nGC_6861)
    coupl(nGC_6871) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*              &
                      dZtauMinusL_QED2 + coupl(nGC_4618) + coupl(nGC_50)*      &
                      dZtauMinusL_QED2
    coupl(nGC_6872) = coupl(nGC_6825) + 2d0*coupl(nGC_6833) + 2d0*coupl(       &
                      nGC_6868)
    coupl(nGC_6873) = coupl(nGC_6825) + coupl(nGC_6833) + coupl(nGC_6871)
    coupl(nGC_6883) = coupl(nGC_4612) + coupl(nGC_6)*dZA_QED2/2d0
    coupl(nGC_6884) = coupl(nGC_6878) + 4d0*coupl(nGC_6881) + coupl(nGC_6883)
    coupl(nGC_6885) = coupl(nGC_6881) + coupl(nGC_6882) + coupl(nGC_6883)
    coupl(nGC_6896) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_36)*dZuL_QED2 +   &
                      coupl(nGC_4617) + coupl(nGC_49)*dZuL_QED2
    coupl(nGC_6897) = coupl(nGC_4616) + coupl(nGC_49)*dZZ_QED2/2d0
    coupl(nGC_6898) = coupl(nGC_6886) + 4d0*coupl(nGC_6893) + 4d0*coupl(       &
                      nGC_6897)
    coupl(nGC_6899) = coupl(nGC_6886) + coupl(nGC_6896) + coupl(nGC_6897)
    coupl(nGC_6911) = 4d0*coupl(nGC_6881) + coupl(nGC_6883) + coupl(nGC_6906)
    coupl(nGC_6912) = coupl(nGC_6881) + coupl(nGC_6883) + coupl(nGC_6910)
    coupl(nGC_6923) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_36)*dZcL_QED2 +   &
                      coupl(nGC_4617) + coupl(nGC_49)*dZcL_QED2
    coupl(nGC_6924) = coupl(nGC_6886) + 4d0*coupl(nGC_6897) + 4d0*coupl(       &
                      nGC_6920)
    coupl(nGC_6925) = coupl(nGC_6886) + coupl(nGC_6897) + coupl(nGC_6923)
    coupl(nGC_6937) = 4d0*coupl(nGC_6881) + coupl(nGC_6883) + coupl(nGC_6932)
    coupl(nGC_6938) = coupl(nGC_6881) + coupl(nGC_6883) + coupl(nGC_6936)
    coupl(nGC_6949) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_36)*dZtL_QED2 +   &
                      coupl(nGC_4617) + coupl(nGC_49)*dZtL_QED2
    coupl(nGC_6950) = coupl(nGC_6886) + 4d0*coupl(nGC_6897) + 4d0*coupl(       &
                      nGC_6946)
    coupl(nGC_6951) = coupl(nGC_6886) + coupl(nGC_6897) + coupl(nGC_6949)
    coupl(nGC_6963) = coupl(nGC_4613) + coupl(nGC_5)*dZA_QED2/2d0
    coupl(nGC_6964) = -2d0*coupl(nGC_6881) + coupl(nGC_6958) + coupl(nGC_6963)
    coupl(nGC_6965) = coupl(nGC_6881) + coupl(nGC_6962) + coupl(nGC_6963)
    coupl(nGC_6976) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*dZdL_QED2 +   &
                      coupl(nGC_4618) + coupl(nGC_49)*dZdL_QED2
    coupl(nGC_6977) = -2d0*coupl(nGC_6897) + coupl(nGC_6966) - 2d0*coupl(      &
                      nGC_6973)
    coupl(nGC_6978) = coupl(nGC_6897) + coupl(nGC_6966) + coupl(nGC_6976)
    coupl(nGC_6990) = -2d0*coupl(nGC_6881) + coupl(nGC_6963) + coupl(nGC_6985)
    coupl(nGC_6991) = coupl(nGC_6881) + coupl(nGC_6963) + coupl(nGC_6989)
    coupl(nGC_7002) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*dZsL_QED2 +   &
                      coupl(nGC_4618) + coupl(nGC_49)*dZsL_QED2
    coupl(nGC_7003) = -2d0*coupl(nGC_6897) + coupl(nGC_6966) - 2d0*coupl(      &
                      nGC_6999)
    coupl(nGC_7004) = coupl(nGC_6897) + coupl(nGC_6966) + coupl(nGC_7002)
    coupl(nGC_7016) = -2d0*coupl(nGC_6881) + coupl(nGC_6963) + coupl(nGC_7011)
    coupl(nGC_7017) = coupl(nGC_6881) + coupl(nGC_6963) + coupl(nGC_7015)
    coupl(nGC_7028) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*dZbL_QED2 +   &
                      coupl(nGC_4618) + coupl(nGC_49)*dZbL_QED2
    coupl(nGC_7029) = -2d0*coupl(nGC_6897) + coupl(nGC_6966) - 2d0*coupl(      &
                      nGC_7025)
    coupl(nGC_7030) = coupl(nGC_6897) + coupl(nGC_6966) + coupl(nGC_7028)
    coupl(nGC_7039) = coupl(nGC_15)*dZg_QCD2/2d0 + coupl(nGC_4614)
    coupl(nGC_7040) = coupl(nGC_7035) + coupl(nGC_7039)
    coupl(nGC_7041) = coupl(nGC_7033) + coupl(nGC_7039)
    coupl(nGC_7054) = coupl(nGC_7039) + coupl(nGC_7050)
    coupl(nGC_7055) = coupl(nGC_7039) + coupl(nGC_7048)
    coupl(nGC_7068) = coupl(nGC_7039) + coupl(nGC_7064)
    coupl(nGC_7069) = coupl(nGC_7039) + coupl(nGC_7062)
    coupl(nGC_7082) = coupl(nGC_7039) + coupl(nGC_7078)
    coupl(nGC_7083) = coupl(nGC_7039) + coupl(nGC_7076)
    coupl(nGC_7096) = coupl(nGC_7039) + coupl(nGC_7092)
    coupl(nGC_7097) = coupl(nGC_7039) + coupl(nGC_7090)
    coupl(nGC_7110) = coupl(nGC_7039) + coupl(nGC_7106)
    coupl(nGC_7111) = coupl(nGC_7039) + coupl(nGC_7104)
    coupl(nGC_7121) = coupl(nGC_34)*dZWMinus_QED2/2d0 + coupl(nGC_34)*dZdL_QED2&
                      /2d0 + coupl(nGC_34)*dZuL_QED2/2d0 + coupl(nGC_4615)
    coupl(nGC_7125) = coupl(nGC_34)*dZWMinus_QED2/2d0 + coupl(nGC_34)*dZcL_QED2&
                      /2d0 + coupl(nGC_34)*dZsL_QED2/2d0 + coupl(nGC_4615)
    coupl(nGC_7129) = coupl(nGC_34)*dZWMinus_QED2/2d0 + coupl(nGC_34)*dZbL_QED2&
                      /2d0 + coupl(nGC_34)*dZtL_QED2/2d0 + coupl(nGC_4615)
    coupl(nGC_7141) = coupl(nGC_34)*dZWMinus_QED2/2d0 + coupl(nGC_34)*         &
                      dZeMinusL_QED2/2d0 + coupl(nGC_34)*dZnu_eL_QED2/2d0 +    &
                      coupl(nGC_4615)
    coupl(nGC_7144) = coupl(nGC_34)*dZWMinus_QED2/2d0 + coupl(nGC_34)*         &
                      dZmuMinusL_QED2/2d0 + coupl(nGC_34)*dZnu_muL_QED2/2d0 +  &
                      coupl(nGC_4615)
    coupl(nGC_7147) = coupl(nGC_34)*dZWMinus_QED2/2d0 + coupl(nGC_34)*         &
                      dZnu_tauL_QED2/2d0 + coupl(nGC_34)*dZtauMinusL_QED2/2d0  &
                       + coupl(nGC_4615)
    coupl(nGC_7156) = coupl(nGC_4619) + coupl(nGC_53)*dZZ_QED2/2d0 + coupl(    &
                      nGC_53)*dZnu_eL_QED2
    coupl(nGC_7160) = coupl(nGC_4619) + coupl(nGC_53)*dZZ_QED2/2d0 + coupl(    &
                      nGC_53)*dZnu_muL_QED2
    coupl(nGC_7164) = coupl(nGC_4619) + coupl(nGC_53)*dZZ_QED2/2d0 + coupl(    &
                      nGC_53)*dZnu_tauL_QED2
    coupl(nGC_7169) = coupl(nGC_4668) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
    coupl(nGC_7205) = coupl(nGC_4659) + coupl(nGC_TS_GC_74_H1)
    coupl(nGC_7206) = coupl(nGC_7199) + coupl(nGC_7205)
    coupl(nGC_7219) = coupl(nGC_4661) + coupl(nGC_TS_GC_83_H1)
    coupl(nGC_7220) = coupl(nGC_7213) + coupl(nGC_7219)
    coupl(nGC_7233) = coupl(nGC_4663) + coupl(nGC_TS_GC_68_H1)
    coupl(nGC_7234) = coupl(nGC_7227) + coupl(nGC_7233)
    coupl(nGC_7271) = coupl(nGC_4653) + coupl(nGC_TS_GC_91_H1)
    coupl(nGC_7272) = coupl(nGC_7265) + coupl(nGC_7271)
    coupl(nGC_7285) = coupl(nGC_4655) + coupl(nGC_TS_GC_70_H1)
    coupl(nGC_7286) = coupl(nGC_7279) + coupl(nGC_7285)
    coupl(nGC_7299) = coupl(nGC_4657) + coupl(nGC_TS_GC_85_H1)
    coupl(nGC_7300) = coupl(nGC_7293) + coupl(nGC_7299)
    coupl(nGC_7304) = coupl(nGC_4667) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_7308) = coupl(nGC_4666) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_7840) = -coupl(nGC_6248)
    coupl(nGC_7853) = -coupl(nGC_6252)
    coupl(nGC_7872) = -coupl(nGC_6256)
    coupl(nGC_7885) = -coupl(nGC_6260)
    coupl(nGC_9325) = -coupl(nGC_6606)
    coupl(nGC_9334) = -coupl(nGC_6609)
    coupl(nGC_9347) = -coupl(nGC_6612)
    coupl(nGC_9357) = -coupl(nGC_6616)
    coupl(nGC_9370) = -coupl(nGC_6620)
    coupl(nGC_9832) = -coupl(nGC_6656)
    coupl(nGC_9843) = -coupl(nGC_6659)
    coupl(nGC_10257) = -coupl(nGC_6728)
    coupl(nGC_4575) = coupl(nGC_4111)*dyup_QED3
    coupl(nGC_4579) = coupl(nGC_4100)*dyt_QED3
    coupl(nGC_6547) = coupl(nGC_4575) + coupl(nGC_91)*dZH1_QED2/2d0
    coupl(nGC_6548) = coupl(nGC_6543) + coupl(nGC_6547)
    coupl(nGC_6567) = coupl(nGC_4579) + coupl(nGC_85)*dZH1_QED2/2d0
    coupl(nGC_6568) = coupl(nGC_6563) + coupl(nGC_6567)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
