!******************************************************************************!
!                                                                              !
!    ctparameter102.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter102.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter102
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter102()
  dZtL_QED2 = (2d0*Ten298*coupl(nGC_6)**2d0 + 2d0*Ten299*coupl(nGC_6)**2d0 +   &
              Ten302*coupl(nGC_85)**2d0 + Ten303*(-2d0*coupl(nGC_36)**2d0 - 4d0&
              *coupl(nGC_36)*coupl(nGC_49) - 2d0*coupl(nGC_49)**2d0 + coupl(   &
              nGC_86)**2d0) + Ten304*(-2d0*coupl(nGC_34)**2d0 - coupl(nGC_66)**&
              2d0) + Ten305*coupl(nGC_85)**2d0 + 2d0*Ten306*cMT*rMT*(-16d0*    &
              coupl(nGC_36)*coupl(nGC_49) - 16d0*coupl(nGC_49)**2d0 + coupl(   &
              nGC_86)**2d0) + 4d0*Ten307*coupl(nGC_6)**2d0*rMT*(-2d0*cMT + rMT &
              ) + 2d0*Ten308*cMB*coupl(nGC_66)*coupl(nGC_84)*rMT + 2d0*Ten309* &
              coupl(nGC_85)**2d0*rMT*(cMT + rMT) + 2d0*Ten310*rMT**2d0*(-coupl(&
              nGC_36)**2d0 - 2d0*coupl(nGC_36)*coupl(nGC_49) - 17d0*coupl(     &
              nGC_49)**2d0 + coupl(nGC_86)**2d0) + 4d0*Ten311*coupl(nGC_6)**2d0&
              *rMT**2d0 + Ten312*rMT**2d0*(-2d0*coupl(nGC_34)**2d0 - coupl(    &
              nGC_66)**2d0 - coupl(nGC_84)**2d0) + 2d0*Ten313*coupl(nGC_85)**  &
              2d0*rMT**2d0 + pi**2d0*(-coupl(nGC_34)**2d0/pi**2d0 - coupl(     &
              nGC_36)**2d0/pi**2d0 - 2d0*coupl(nGC_36)*coupl(nGC_49)/pi**2d0 - &
              coupl(nGC_49)**2d0/pi**2d0 - coupl(nGC_6)**2d0/pi**2d0))/(16d0*pi&
              **2d0)
    if (.not. complex_mass_scheme) then
      dZtL_QED2 = cone*real(dZtL_QED2,kind=dp)
    end if 
end subroutine set_ctparameter102
end module ctparameter102
