!******************************************************************************!
!                                                                              !
!    ctparameter103.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter103.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter103
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter103()
  dMT_QED2 = (2d0*Ten298*cMT*coupl(nGC_6)**2d0 - 2d0*Ten299*cMT*coupl(nGC_6)** &
             2d0 + Ten300*cMT*(16d0*coupl(nGC_36)*coupl(nGC_49) + 16d0*coupl(  &
             nGC_49)**2d0 - coupl(nGC_86)**2d0) - Ten301*cMB*coupl(nGC_66)*    &
             coupl(nGC_84) - 2d0*Ten302*cMT*coupl(nGC_85)**2d0 + Ten303*cMT*(  &
             coupl(nGC_36)**2d0 + 2d0*coupl(nGC_36)*coupl(nGC_49) + 17d0*coupl(&
             nGC_49)**2d0 - coupl(nGC_86)**2d0) + Ten304*cMT*(2d0*coupl(nGC_34 &
             )**2d0 + coupl(nGC_66)**2d0 + coupl(nGC_84)**2d0)/2d0 - Ten305*cMT&
             *coupl(nGC_85)**2d0 + 2d0*Ten306*cMT*rMT*(16d0*cMT*coupl(nGC_36)* &
             coupl(nGC_49) + 16d0*cMT*coupl(nGC_49)**2d0 - cMT*coupl(nGC_86)** &
             2d0 - 16d0*coupl(nGC_36)*coupl(nGC_49)*rMT - 16d0*coupl(nGC_49)** &
             2d0*rMT + coupl(nGC_86)**2d0*rMT) + 4d0*Ten307*coupl(nGC_6)**2d0* &
             rMT*(2d0*cMT**2d0 - 3d0*cMT*rMT + rMT**2d0) + 2d0*Ten308*cMB*coupl&
             (nGC_66)*coupl(nGC_84)*rMT*(-cMT + rMT) + 2d0*Ten309*coupl(nGC_85 &
             )**2d0*rMT*(-cMT**2d0 + rMT**2d0) + 2d0*Ten310*rMT**2d0*(cMT*coupl&
             (nGC_36)**2d0 + 2d0*cMT*coupl(nGC_36)*coupl(nGC_49) + 17d0*cMT*   &
             coupl(nGC_49)**2d0 - cMT*coupl(nGC_86)**2d0 - coupl(nGC_36)**2d0* &
             rMT - 2d0*coupl(nGC_36)*coupl(nGC_49)*rMT - 17d0*coupl(nGC_49)**  &
             2d0*rMT + coupl(nGC_86)**2d0*rMT) + 4d0*Ten311*coupl(nGC_6)**2d0* &
             rMT**2d0*(-cMT + rMT) + Ten312*rMT**2d0*(2d0*cMT*coupl(nGC_34)**  &
             2d0 + cMT*coupl(nGC_66)**2d0 + cMT*coupl(nGC_84)**2d0 - 2d0*coupl(&
             nGC_34)**2d0*rMT - coupl(nGC_66)**2d0*rMT - coupl(nGC_84)**2d0*rMT&
             ) + 2d0*Ten313*coupl(nGC_85)**2d0*rMT**2d0*(-cMT + rMT) + pi**2d0 &
             *(-32d0*aEW*cMT**2d0/(9d0*pi*rMT) + 32d0*aEW*rMT/(9d0*pi) + cMT*  &
             coupl(nGC_34)**2d0/(2d0*pi**2d0) + cMT*coupl(nGC_36)**2d0/(2d0*pi &
             **2d0) - 7d0*cMT*coupl(nGC_36)*coupl(nGC_49)/pi**2d0 + cMT*coupl( &
             nGC_49)**2d0/(2d0*pi**2d0) - cMT*coupl(nGC_6)**2d0/pi**2d0))/(16d0&
             *pi**2d0) + cima*coupl(nGC_85)*dtH1_QED1/cMH1**2d0
    if (.not. complex_mass_scheme) then
      dMT_QED2 = cone*real(dMT_QED2,kind=dp)
    end if 
end subroutine set_ctparameter103
end module ctparameter103
