!******************************************************************************!
!                                                                              !
!    ctparameter109.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter109.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter109
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter109()
  if (dZeMinusL_QED2_scheme .eq. 1) then
    dZeMinusL_QED2 = (2d0*Ten317*coupl(nGC_8)**2d0 + 2d0*Ten318*coupl(nGC_8)** &
                     2d0 + Ten321*(-2d0*coupl(nGC_35)**2d0 - 4d0*coupl(nGC_35)*&
                     coupl(nGC_50) - 2d0*coupl(nGC_50)**2d0) - 2d0*Ten323*coupl&
                     (nGC_34)**2d0 - 4d0*Ten326*cME_reg**2d0*coupl(nGC_8)**2d0 &
                      + 4d0*Ten329*cME_reg**2d0*coupl(nGC_8)**2d0 + pi**2d0*(- &
                     coupl(nGC_34)**2d0/pi**2d0 - coupl(nGC_35)**2d0/pi**2d0 - &
                     2d0*coupl(nGC_35)*coupl(nGC_50)/pi**2d0 - coupl(nGC_50)** &
                     2d0/pi**2d0 - coupl(nGC_8)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZeMinusL_QED2 = cone*real(dZeMinusL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter109
end module ctparameter109
