!******************************************************************************!
!                                                                              !
!    ctparameter116.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter116.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter116
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter116()
  if (dZmuMinusL_QED2_scheme .eq. 2) then
    dZmuMinusL_QED2 = (Ten132*coupl(nGC_8)**2d0 + Ten192*(-2d0*coupl(nGC_35)** &
                      2d0 - 4d0*coupl(nGC_35)*coupl(nGC_50) - 2d0*coupl(nGC_50 &
                      )**2d0 + coupl(nGC_79)**2d0) - Ten193*coupl(nGC_80)**2d0 &
                       - 2d0*Ten331*coupl(nGC_34)**2d0 + pi**2d0*(-coupl(nGC_34&
                      )**2d0/pi**2d0 - coupl(nGC_35)**2d0/pi**2d0 - 2d0*coupl( &
                      nGC_35)*coupl(nGC_50)/pi**2d0 - coupl(nGC_50)**2d0/pi**  &
                      2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZmuMinusL_QED2 = cone*real(dZmuMinusL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter116
end module ctparameter116
