!******************************************************************************!
!                                                                              !
!    ctparameter120.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter120.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter120
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter120()
  if (dZmuMinusR_QED2_scheme .eq. 0) then
    dZmuMinusR_QED2 = (2d0*Ten332*coupl(nGC_8)**2d0 + 2d0*Ten333*coupl(nGC_8)**&
                      2d0 + Ten335*coupl(nGC_80)**2d0 + Ten336*(-8d0*coupl(    &
                      nGC_50)**2d0 + coupl(nGC_79)**2d0) + Ten337*coupl(nGC_80 &
                      )**2d0 - Ten338*coupl(nGC_78)**2d0 + 2d0*Ten339*cMM*rMM  &
                      *(-8d0*coupl(nGC_35)*coupl(nGC_50) - 8d0*coupl(nGC_50)** &
                      2d0 + coupl(nGC_79)**2d0) + 4d0*Ten340*coupl(nGC_8)**2d0*&
                      rMM*(-2d0*cMM + rMM) + 2d0*Ten341*coupl(nGC_80)**2d0*rMM &
                      *(cMM + rMM) + 2d0*Ten342*rMM**2d0*(-coupl(nGC_35)**2d0  &
                       - 2d0*coupl(nGC_35)*coupl(nGC_50) - 5d0*coupl(nGC_50)** &
                      2d0 + coupl(nGC_79)**2d0) + 4d0*Ten343*coupl(nGC_8)**2d0*&
                      rMM**2d0 + Ten344*rMM**2d0*(-2d0*coupl(nGC_34)**2d0 -    &
                      coupl(nGC_78)**2d0) + 2d0*Ten345*coupl(nGC_80)**2d0*rMM**&
                      2d0 + pi**2d0*(-4d0*coupl(nGC_50)**2d0/pi**2d0 - coupl(  &
                      nGC_8)**2d0/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZmuMinusR_QED2 = cone*real(dZmuMinusR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter120
end module ctparameter120
