!******************************************************************************!
!                                                                              !
!    ctparameter126.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter126.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter126
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter126()
  if (dMTA_QED2_scheme .eq. 0) then
    dMTA_QED2 = (2d0*Ten360*cMTA*coupl(nGC_8)**2d0 - 2d0*Ten361*cMTA*coupl(    &
                nGC_8)**2d0 + Ten362*cMTA*(8d0*coupl(nGC_35)*coupl(nGC_50) +   &
                8d0*coupl(nGC_50)**2d0 - coupl(nGC_88)**2d0) - 2d0*Ten363*cMTA*&
                coupl(nGC_89)**2d0 + Ten364*cMTA*(coupl(nGC_35)**2d0 + 2d0*    &
                coupl(nGC_35)*coupl(nGC_50) + 5d0*coupl(nGC_50)**2d0 - coupl(  &
                nGC_88)**2d0) - Ten365*cMTA*coupl(nGC_89)**2d0 + Ten366*cMTA*( &
                2d0*coupl(nGC_34)**2d0 + coupl(nGC_87)**2d0)/2d0 + 2d0*Ten367* &
                cMTA*rMTA*(8d0*cMTA*coupl(nGC_35)*coupl(nGC_50) + 8d0*cMTA*    &
                coupl(nGC_50)**2d0 - cMTA*coupl(nGC_88)**2d0 - 8d0*coupl(nGC_35&
                )*coupl(nGC_50)*rMTA - 8d0*coupl(nGC_50)**2d0*rMTA + coupl(    &
                nGC_88)**2d0*rMTA) + 4d0*Ten368*coupl(nGC_8)**2d0*rMTA*(2d0*   &
                cMTA**2d0 - 3d0*cMTA*rMTA + rMTA**2d0) + 2d0*Ten369*coupl(     &
                nGC_89)**2d0*rMTA*(-cMTA**2d0 + rMTA**2d0) + 2d0*Ten370*rMTA** &
                2d0*(cMTA*coupl(nGC_35)**2d0 + 2d0*cMTA*coupl(nGC_35)*coupl(   &
                nGC_50) + 5d0*cMTA*coupl(nGC_50)**2d0 - cMTA*coupl(nGC_88)**2d0&
                 - coupl(nGC_35)**2d0*rMTA - 2d0*coupl(nGC_35)*coupl(nGC_50)*  &
                rMTA - 5d0*coupl(nGC_50)**2d0*rMTA + coupl(nGC_88)**2d0*rMTA   &
                ) + 4d0*Ten371*coupl(nGC_8)**2d0*rMTA**2d0*(-cMTA + rMTA) +    &
                Ten372*rMTA**2d0*(2d0*cMTA*coupl(nGC_34)**2d0 + cMTA*coupl(    &
                nGC_87)**2d0 - 2d0*coupl(nGC_34)**2d0*rMTA - coupl(nGC_87)**2d0&
                *rMTA) + 2d0*Ten373*coupl(nGC_89)**2d0*rMTA**2d0*(-cMTA + rMTA &
                ) + pi**2d0*(-8d0*aEW*cMTA**2d0/(pi*rMTA) + 8d0*aEW*rMTA/pi +  &
                cMTA*coupl(nGC_34)**2d0/(2d0*pi**2d0) + cMTA*coupl(nGC_35)**2d0&
                /(2d0*pi**2d0) - 3d0*cMTA*coupl(nGC_35)*coupl(nGC_50)/pi**2d0  &
                 - 3d0*cMTA*coupl(nGC_50)**2d0/(2d0*pi**2d0) - cMTA*coupl(nGC_8&
                )**2d0/pi**2d0))/(16d0*pi**2d0) + cima*coupl(nGC_89)*dtH1_QED1/&
                cMH1**2d0
    if (.not. complex_mass_scheme) then
      dMTA_QED2 = cone*real(dMTA_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter126
end module ctparameter126
