!******************************************************************************!
!                                                                              !
!    ctparameter136.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter136.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter136
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter136()
  dZAZ_QED2 = (4d0*Nc*Ten145*cMU**2d0*coupl(nGC_6)*(-cMZ**2d0*coupl(nGC_36) -  &
              5d0*cMZ**2d0*coupl(nGC_49) + coupl(nGC_36)*rMZ**2d0 + 5d0*coupl( &
              nGC_49)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten146*cMC**2d0*  &
              coupl(nGC_6)*(-cMZ**2d0*coupl(nGC_36) - 5d0*cMZ**2d0*coupl(nGC_49&
              ) + coupl(nGC_36)*rMZ**2d0 + 5d0*coupl(nGC_49)*rMZ**2d0)/(cMZ**  &
              2d0*rMZ**2d0) + 4d0*Nc*Ten147*cMT**2d0*coupl(nGC_6)*(-cMZ**2d0*  &
              coupl(nGC_36) - 5d0*cMZ**2d0*coupl(nGC_49) + coupl(nGC_36)*rMZ** &
              2d0 + 5d0*coupl(nGC_49)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*  &
              Ten148*cMD**2d0*coupl(nGC_5)*(-cMZ**2d0*coupl(nGC_35) + cMZ**2d0*&
              coupl(nGC_49) + coupl(nGC_35)*rMZ**2d0 - coupl(nGC_49)*rMZ**2d0  &
              )/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten149*cMS**2d0*coupl(nGC_5)*(-cMZ&
              **2d0*coupl(nGC_35) + cMZ**2d0*coupl(nGC_49) + coupl(nGC_35)*rMZ &
              **2d0 - coupl(nGC_49)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*    &
              Ten150*cMB**2d0*coupl(nGC_5)*(-cMZ**2d0*coupl(nGC_35) + cMZ**2d0*&
              coupl(nGC_49) + coupl(nGC_35)*rMZ**2d0 - coupl(nGC_49)*rMZ**2d0  &
              )/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten151*coupl(nGC_6)*(cMZ**2d0*    &
              coupl(nGC_36) + 5d0*cMZ**2d0*coupl(nGC_49) - coupl(nGC_36)*rMZ** &
              2d0 - 5d0*coupl(nGC_49)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*  &
              Ten152*coupl(nGC_6)*(cMZ**2d0*coupl(nGC_36) + 5d0*cMZ**2d0*coupl(&
              nGC_49) - coupl(nGC_36)*rMZ**2d0 - 5d0*coupl(nGC_49)*rMZ**2d0)/( &
              cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten153*coupl(nGC_6)*(cMZ**2d0*coupl( &
              nGC_36) + 5d0*cMZ**2d0*coupl(nGC_49) - coupl(nGC_36)*rMZ**2d0 -  &
              5d0*coupl(nGC_49)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten154* &
              coupl(nGC_5)*(cMZ**2d0*coupl(nGC_35) - cMZ**2d0*coupl(nGC_49) -  &
              coupl(nGC_35)*rMZ**2d0 + coupl(nGC_49)*rMZ**2d0)/(cMZ**2d0*rMZ** &
              2d0) + 8d0*Nc*Ten155*coupl(nGC_5)*(cMZ**2d0*coupl(nGC_35) - cMZ**&
              2d0*coupl(nGC_49) - coupl(nGC_35)*rMZ**2d0 + coupl(nGC_49)*rMZ** &
              2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten156*coupl(nGC_5)*(cMZ**2d0* &
              coupl(nGC_35) - cMZ**2d0*coupl(nGC_49) - coupl(nGC_35)*rMZ**2d0  &
               + coupl(nGC_49)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten428*  &
              cMU**2d0*coupl(nGC_6)*(coupl(nGC_36) + 5d0*coupl(nGC_49))/rMZ**  &
              2d0 + 4d0*Nc*Ten429*cMC**2d0*coupl(nGC_6)*(coupl(nGC_36) + 5d0*  &
              coupl(nGC_49))/rMZ**2d0 + 4d0*Nc*Ten430*cMT**2d0*coupl(nGC_6)*(  &
              coupl(nGC_36) + 5d0*coupl(nGC_49))/rMZ**2d0 + 4d0*Nc*Ten431*cMD**&
              2d0*coupl(nGC_5)*(coupl(nGC_35) - coupl(nGC_49))/rMZ**2d0 + 4d0* &
              Nc*Ten432*cMS**2d0*coupl(nGC_5)*(coupl(nGC_35) - coupl(nGC_49))/ &
              rMZ**2d0 + 4d0*Nc*Ten433*cMB**2d0*coupl(nGC_5)*(coupl(nGC_35) -  &
              coupl(nGC_49))/rMZ**2d0 + 4d0*Nc*Ten446*coupl(nGC_6)*(-coupl(    &
              nGC_36) - 5d0*coupl(nGC_49)) + 4d0*Nc*Ten447*coupl(nGC_6)*(-coupl&
              (nGC_36) - 5d0*coupl(nGC_49)) + 4d0*Nc*Ten448*coupl(nGC_6)*(-    &
              coupl(nGC_36) - 5d0*coupl(nGC_49)) + 8d0*Nc*Ten449*coupl(nGC_6   &
              )*(-coupl(nGC_36) - 5d0*coupl(nGC_49))/rMZ**2d0 + 8d0*Nc*Ten450* &
              coupl(nGC_6)*(-coupl(nGC_36) - 5d0*coupl(nGC_49))/rMZ**2d0 + 8d0*&
              Nc*Ten451*coupl(nGC_6)*(-coupl(nGC_36) - 5d0*coupl(nGC_49))/rMZ**&
              2d0 + 4d0*Nc*Ten452*coupl(nGC_6)*(-coupl(nGC_36) - 5d0*coupl(    &
              nGC_49)) + 4d0*Nc*Ten453*coupl(nGC_6)*(-coupl(nGC_36) - 5d0*coupl&
              (nGC_49)) + 4d0*Nc*Ten454*coupl(nGC_6)*(-coupl(nGC_36) - 5d0*    &
              coupl(nGC_49)) + 4d0*Nc*Ten455*coupl(nGC_5)*(-coupl(nGC_35) +    &
              coupl(nGC_49)) + 4d0*Nc*Ten456*coupl(nGC_5)*(-coupl(nGC_35) +    &
              coupl(nGC_49)) + 4d0*Nc*Ten457*coupl(nGC_5)*(-coupl(nGC_35) +    &
              coupl(nGC_49)) + 8d0*Nc*Ten458*coupl(nGC_5)*(-coupl(nGC_35) +    &
              coupl(nGC_49))/rMZ**2d0 + 8d0*Nc*Ten459*coupl(nGC_5)*(-coupl(    &
              nGC_35) + coupl(nGC_49))/rMZ**2d0 + 8d0*Nc*Ten460*coupl(nGC_5)*(-&
              coupl(nGC_35) + coupl(nGC_49))/rMZ**2d0 + 4d0*Nc*Ten461*coupl(   &
              nGC_5)*(-coupl(nGC_35) + coupl(nGC_49)) + 4d0*Nc*Ten462*coupl(   &
              nGC_5)*(-coupl(nGC_35) + coupl(nGC_49)) + 4d0*Nc*Ten463*coupl(   &
              nGC_5)*(-coupl(nGC_35) + coupl(nGC_49)) + 2d0*cima*Ten12*coupl(  &
              nGC_43)/cMZ**2d0 + 2d0*cima*Ten2*(-3d0*coupl(nGC_44) + coupl(    &
              nGC_54))/cMZ**2d0 + 4d0*Ten391*coupl(nGC_60)*coupl(nGC_64)*(-cMZ &
              **2d0 + rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 2d0*Ten394*(-cMZ**2d0*   &
              coupl(nGC_37)*coupl(nGC_8) + 17d0*cMZ**2d0*coupl(nGC_38)*coupl(  &
              nGC_7) + 4d0*cMZ**2d0*coupl(nGC_52)*coupl(nGC_8) + coupl(nGC_37)*&
              coupl(nGC_8)*rMZ**2d0 - 17d0*coupl(nGC_38)*coupl(nGC_7)*rMZ**2d0 &
               - 4d0*coupl(nGC_52)*coupl(nGC_8)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0   &
              ) + 4d0*Ten401*cME**2d0*coupl(nGC_8)*(-cMZ**2d0*coupl(nGC_35) -  &
              3d0*cMZ**2d0*coupl(nGC_50) + coupl(nGC_35)*rMZ**2d0 + 3d0*coupl( &
              nGC_50)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Ten402*cMM**2d0*coupl&
              (nGC_8)*(-cMZ**2d0*coupl(nGC_35) - 3d0*cMZ**2d0*coupl(nGC_50) +  &
              coupl(nGC_35)*rMZ**2d0 + 3d0*coupl(nGC_50)*rMZ**2d0)/(cMZ**2d0*  &
              rMZ**2d0) + 4d0*Ten403*cMTA**2d0*coupl(nGC_8)*(-cMZ**2d0*coupl(  &
              nGC_35) - 3d0*cMZ**2d0*coupl(nGC_50) + coupl(nGC_35)*rMZ**2d0 +  &
              3d0*coupl(nGC_50)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Ten404*    &
              coupl(nGC_8)*(cMZ**2d0*coupl(nGC_35) + 3d0*cMZ**2d0*coupl(nGC_50 &
              ) - coupl(nGC_35)*rMZ**2d0 - 3d0*coupl(nGC_50)*rMZ**2d0)/(cMZ**  &
              2d0*rMZ**2d0) + 8d0*Ten405*coupl(nGC_8)*(cMZ**2d0*coupl(nGC_35   &
              ) + 3d0*cMZ**2d0*coupl(nGC_50) - coupl(nGC_35)*rMZ**2d0 - 3d0*   &
              coupl(nGC_50)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Ten406*coupl(  &
              nGC_8)*(cMZ**2d0*coupl(nGC_35) + 3d0*cMZ**2d0*coupl(nGC_50) -    &
              coupl(nGC_35)*rMZ**2d0 - 3d0*coupl(nGC_50)*rMZ**2d0)/(cMZ**2d0*  &
              rMZ**2d0) + 8d0*Ten407*coupl(nGC_37)*coupl(nGC_8)*(cMZ**2d0 - rMZ&
              **2d0)/(cMZ**2d0*rMZ**2d0) + 2d0*Ten424*(-5d0*coupl(nGC_38)*coupl&
              (nGC_7)*rMZ**2d0 + 2d0*coupl(nGC_60)*coupl(nGC_64))/rMZ**2d0 +   &
              4d0*Ten425*cME**2d0*coupl(nGC_8)*(coupl(nGC_35) + 3d0*coupl(     &
              nGC_50))/rMZ**2d0 + 4d0*Ten426*cMM**2d0*coupl(nGC_8)*(coupl(     &
              nGC_35) + 3d0*coupl(nGC_50))/rMZ**2d0 + 4d0*Ten427*cMTA**2d0*    &
              coupl(nGC_8)*(coupl(nGC_35) + 3d0*coupl(nGC_50))/rMZ**2d0 - 4d0* &
              Ten434*coupl(nGC_38)*coupl(nGC_7) + 2d0*Ten435*(coupl(nGC_37)*   &
              coupl(nGC_8) - 17d0*coupl(nGC_38)*coupl(nGC_7) - 4d0*coupl(nGC_52&
              )*coupl(nGC_8))/rMZ**2d0 - 4d0*Ten436*coupl(nGC_38)*coupl(nGC_7  &
              ) + 4d0*Ten437*coupl(nGC_8)*(-coupl(nGC_35) - 3d0*coupl(nGC_50   &
              )) + 4d0*Ten438*coupl(nGC_8)*(-coupl(nGC_35) - 3d0*coupl(nGC_50  &
              )) + 4d0*Ten439*coupl(nGC_8)*(-coupl(nGC_35) - 3d0*coupl(nGC_50  &
              )) + 8d0*Ten440*coupl(nGC_8)*(-coupl(nGC_35) - 3d0*coupl(nGC_50  &
              ))/rMZ**2d0 + 8d0*Ten441*coupl(nGC_8)*(-coupl(nGC_35) - 3d0*coupl&
              (nGC_50))/rMZ**2d0 + 8d0*Ten442*coupl(nGC_8)*(-coupl(nGC_35) -   &
              3d0*coupl(nGC_50))/rMZ**2d0 + 4d0*Ten443*coupl(nGC_8)*(-coupl(   &
              nGC_35) - 3d0*coupl(nGC_50)) + 4d0*Ten444*coupl(nGC_8)*(-coupl(  &
              nGC_35) - 3d0*coupl(nGC_50)) + 4d0*Ten445*coupl(nGC_8)*(-coupl(  &
              nGC_35) - 3d0*coupl(nGC_50)) - 8d0*Ten467*coupl(nGC_37)*coupl(   &
              nGC_8)/rMZ**2d0 + pi**2d0*(4d0*Nc*cMB**2d0*coupl(nGC_35)*coupl(  &
              nGC_5)/(pi**2d0*cMZ**2d0) - 4d0*Nc*cMB**2d0*coupl(nGC_49)*coupl( &
              nGC_5)/(pi**2d0*cMZ**2d0) + 4d0*Nc*cMC**2d0*coupl(nGC_36)*coupl( &
              nGC_6)/(pi**2d0*cMZ**2d0) + 20d0*Nc*cMC**2d0*coupl(nGC_49)*coupl(&
              nGC_6)/(pi**2d0*cMZ**2d0) + 4d0*Nc*cMD**2d0*coupl(nGC_35)*coupl( &
              nGC_5)/(pi**2d0*cMZ**2d0) - 4d0*Nc*cMD**2d0*coupl(nGC_49)*coupl( &
              nGC_5)/(pi**2d0*cMZ**2d0) + 4d0*Nc*cMS**2d0*coupl(nGC_35)*coupl( &
              nGC_5)/(pi**2d0*cMZ**2d0) - 4d0*Nc*cMS**2d0*coupl(nGC_49)*coupl( &
              nGC_5)/(pi**2d0*cMZ**2d0) + 4d0*Nc*cMT**2d0*coupl(nGC_36)*coupl( &
              nGC_6)/(pi**2d0*cMZ**2d0) + 20d0*Nc*cMT**2d0*coupl(nGC_49)*coupl(&
              nGC_6)/(pi**2d0*cMZ**2d0) + 4d0*Nc*cMU**2d0*coupl(nGC_36)*coupl( &
              nGC_6)/(pi**2d0*cMZ**2d0) + 20d0*Nc*cMU**2d0*coupl(nGC_49)*coupl(&
              nGC_6)/(pi**2d0*cMZ**2d0) - 2d0*Nc*coupl(nGC_35)*coupl(nGC_5)/pi &
              **2d0 - 2d0*Nc*coupl(nGC_36)*coupl(nGC_6)/pi**2d0 + 2d0*Nc*coupl(&
              nGC_49)*coupl(nGC_5)/pi**2d0 - 10d0*Nc*coupl(nGC_49)*coupl(nGC_6 &
              )/pi**2d0 + 4d0*cME**2d0*coupl(nGC_35)*coupl(nGC_8)/(pi**2d0*cMZ &
              **2d0) + 12d0*cME**2d0*coupl(nGC_50)*coupl(nGC_8)/(pi**2d0*cMZ** &
              2d0) + 4d0*cMM**2d0*coupl(nGC_35)*coupl(nGC_8)/(pi**2d0*cMZ**2d0 &
              ) + 12d0*cMM**2d0*coupl(nGC_50)*coupl(nGC_8)/(pi**2d0*cMZ**2d0   &
              ) + 4d0*cMTA**2d0*coupl(nGC_35)*coupl(nGC_8)/(pi**2d0*cMZ**2d0   &
              ) + 12d0*cMTA**2d0*coupl(nGC_50)*coupl(nGC_8)/(pi**2d0*cMZ**2d0  &
              ) + 12d0*cMW**2d0*coupl(nGC_38)*coupl(nGC_7)/(pi**2d0*cMZ**2d0   &
              ) + 4d0*cima*cMW**2d0*coupl(nGC_44)/(pi**2d0*cMZ**2d0) - 2d0*    &
              coupl(nGC_35)*coupl(nGC_8)/pi**2d0 - 2d0*coupl(nGC_38)*coupl(    &
              nGC_7)/pi**2d0 - 6d0*coupl(nGC_50)*coupl(nGC_8)/pi**2d0))/(16d0* &
              pi**2d0)
    if (.not. complex_mass_scheme) then
      dZAZ_QED2 = cone*real(dZAZ_QED2,kind=dp)
    end if 
end subroutine set_ctparameter136
end module ctparameter136
