!******************************************************************************!
!                                                                              !
!    ctparameter137.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter137.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter137
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter137()
  dMZ2_QED2 = (2d0*Nc*Ten428*(-24d0*cMU**2d0*coupl(nGC_36)*coupl(nGC_49) - 24d0&
              *cMU**2d0*coupl(nGC_49)**2d0 - cMZ**2d0*coupl(nGC_36)**2d0 - 2d0*&
              cMZ**2d0*coupl(nGC_36)*coupl(nGC_49) - 17d0*cMZ**2d0*coupl(nGC_49&
              )**2d0 + coupl(nGC_36)**2d0*rMZ**2d0 + 2d0*coupl(nGC_36)*coupl(  &
              nGC_49)*rMZ**2d0 + 17d0*coupl(nGC_49)**2d0*rMZ**2d0)/3d0 + 2d0*Nc&
              *Ten429*(-24d0*cMC**2d0*coupl(nGC_36)*coupl(nGC_49) - 24d0*cMC** &
              2d0*coupl(nGC_49)**2d0 - cMZ**2d0*coupl(nGC_36)**2d0 - 2d0*cMZ** &
              2d0*coupl(nGC_36)*coupl(nGC_49) - 17d0*cMZ**2d0*coupl(nGC_49)**  &
              2d0 + coupl(nGC_36)**2d0*rMZ**2d0 + 2d0*coupl(nGC_36)*coupl(     &
              nGC_49)*rMZ**2d0 + 17d0*coupl(nGC_49)**2d0*rMZ**2d0)/3d0 + 2d0*Nc&
              *Ten430*(-24d0*cMT**2d0*coupl(nGC_36)*coupl(nGC_49) - 24d0*cMT** &
              2d0*coupl(nGC_49)**2d0 - cMZ**2d0*coupl(nGC_36)**2d0 - 2d0*cMZ** &
              2d0*coupl(nGC_36)*coupl(nGC_49) - 17d0*cMZ**2d0*coupl(nGC_49)**  &
              2d0 + coupl(nGC_36)**2d0*rMZ**2d0 + 2d0*coupl(nGC_36)*coupl(     &
              nGC_49)*rMZ**2d0 + 17d0*coupl(nGC_49)**2d0*rMZ**2d0)/3d0 + 2d0*Nc&
              *Ten431*(12d0*cMD**2d0*coupl(nGC_35)*coupl(nGC_49) + 12d0*cMD**  &
              2d0*coupl(nGC_49)**2d0 - cMZ**2d0*coupl(nGC_35)**2d0 - 2d0*cMZ** &
              2d0*coupl(nGC_35)*coupl(nGC_49) - 5d0*cMZ**2d0*coupl(nGC_49)**2d0&
               + coupl(nGC_35)**2d0*rMZ**2d0 + 2d0*coupl(nGC_35)*coupl(nGC_49)*&
              rMZ**2d0 + 5d0*coupl(nGC_49)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten432*(&
              12d0*cMS**2d0*coupl(nGC_35)*coupl(nGC_49) + 12d0*cMS**2d0*coupl( &
              nGC_49)**2d0 - cMZ**2d0*coupl(nGC_35)**2d0 - 2d0*cMZ**2d0*coupl( &
              nGC_35)*coupl(nGC_49) - 5d0*cMZ**2d0*coupl(nGC_49)**2d0 + coupl( &
              nGC_35)**2d0*rMZ**2d0 + 2d0*coupl(nGC_35)*coupl(nGC_49)*rMZ**2d0 &
               + 5d0*coupl(nGC_49)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten433*(12d0*cMB&
              **2d0*coupl(nGC_35)*coupl(nGC_49) + 12d0*cMB**2d0*coupl(nGC_49)**&
              2d0 - cMZ**2d0*coupl(nGC_35)**2d0 - 2d0*cMZ**2d0*coupl(nGC_35)*  &
              coupl(nGC_49) - 5d0*cMZ**2d0*coupl(nGC_49)**2d0 + coupl(nGC_35)**&
              2d0*rMZ**2d0 + 2d0*coupl(nGC_35)*coupl(nGC_49)*rMZ**2d0 + 5d0*   &
              coupl(nGC_49)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten446*rMZ**2d0*(coupl(&
              nGC_36)**2d0 + 2d0*coupl(nGC_36)*coupl(nGC_49) + 17d0*coupl(     &
              nGC_49)**2d0) + 2d0*Nc*Ten447*rMZ**2d0*(coupl(nGC_36)**2d0 + 2d0*&
              coupl(nGC_36)*coupl(nGC_49) + 17d0*coupl(nGC_49)**2d0) + 2d0*Nc* &
              Ten448*rMZ**2d0*(coupl(nGC_36)**2d0 + 2d0*coupl(nGC_36)*coupl(   &
              nGC_49) + 17d0*coupl(nGC_49)**2d0) + 4d0*Nc*Ten449*(coupl(nGC_36 &
              )**2d0 + 2d0*coupl(nGC_36)*coupl(nGC_49) + 17d0*coupl(nGC_49)**  &
              2d0) + 4d0*Nc*Ten450*(coupl(nGC_36)**2d0 + 2d0*coupl(nGC_36)*    &
              coupl(nGC_49) + 17d0*coupl(nGC_49)**2d0) + 4d0*Nc*Ten451*(coupl( &
              nGC_36)**2d0 + 2d0*coupl(nGC_36)*coupl(nGC_49) + 17d0*coupl(     &
              nGC_49)**2d0) + 2d0*Nc*Ten452*rMZ**2d0*(coupl(nGC_36)**2d0 + 2d0*&
              coupl(nGC_36)*coupl(nGC_49) + 17d0*coupl(nGC_49)**2d0) + 2d0*Nc* &
              Ten453*rMZ**2d0*(coupl(nGC_36)**2d0 + 2d0*coupl(nGC_36)*coupl(   &
              nGC_49) + 17d0*coupl(nGC_49)**2d0) + 2d0*Nc*Ten454*rMZ**2d0*(    &
              coupl(nGC_36)**2d0 + 2d0*coupl(nGC_36)*coupl(nGC_49) + 17d0*coupl&
              (nGC_49)**2d0) + 2d0*Nc*Ten455*rMZ**2d0*(coupl(nGC_35)**2d0 + 2d0&
              *coupl(nGC_35)*coupl(nGC_49) + 5d0*coupl(nGC_49)**2d0) + 2d0*Nc* &
              Ten456*rMZ**2d0*(coupl(nGC_35)**2d0 + 2d0*coupl(nGC_35)*coupl(   &
              nGC_49) + 5d0*coupl(nGC_49)**2d0) + 2d0*Nc*Ten457*rMZ**2d0*(coupl&
              (nGC_35)**2d0 + 2d0*coupl(nGC_35)*coupl(nGC_49) + 5d0*coupl(     &
              nGC_49)**2d0) + 4d0*Nc*Ten458*(coupl(nGC_35)**2d0 + 2d0*coupl(   &
              nGC_35)*coupl(nGC_49) + 5d0*coupl(nGC_49)**2d0) + 4d0*Nc*Ten459*(&
              coupl(nGC_35)**2d0 + 2d0*coupl(nGC_35)*coupl(nGC_49) + 5d0*coupl(&
              nGC_49)**2d0) + 4d0*Nc*Ten460*(coupl(nGC_35)**2d0 + 2d0*coupl(   &
              nGC_35)*coupl(nGC_49) + 5d0*coupl(nGC_49)**2d0) + 2d0*Nc*Ten461* &
              rMZ**2d0*(coupl(nGC_35)**2d0 + 2d0*coupl(nGC_35)*coupl(nGC_49) + &
              5d0*coupl(nGC_49)**2d0) + 2d0*Nc*Ten462*rMZ**2d0*(coupl(nGC_35)**&
              2d0 + 2d0*coupl(nGC_35)*coupl(nGC_49) + 5d0*coupl(nGC_49)**2d0   &
              ) + 2d0*Nc*Ten463*rMZ**2d0*(coupl(nGC_35)**2d0 + 2d0*coupl(nGC_35&
              )*coupl(nGC_49) + 5d0*coupl(nGC_49)**2d0) + 2d0*Nc*Ten476*(cMU** &
              2d0*cMZ**2d0*coupl(nGC_36)**2d0 - 22d0*cMU**2d0*cMZ**2d0*coupl(  &
              nGC_36)*coupl(nGC_49) - 7d0*cMU**2d0*cMZ**2d0*coupl(nGC_49)**2d0 &
               - cMU**2d0*coupl(nGC_36)**2d0*rMZ**2d0 + 22d0*cMU**2d0*coupl(   &
              nGC_36)*coupl(nGC_49)*rMZ**2d0 + 7d0*cMU**2d0*coupl(nGC_49)**2d0*&
              rMZ**2d0 - cMZ**2d0*coupl(nGC_36)**2d0*rMZ**2d0 - 2d0*cMZ**2d0*  &
              coupl(nGC_36)*coupl(nGC_49)*rMZ**2d0 - 17d0*cMZ**2d0*coupl(nGC_49&
              )**2d0*rMZ**2d0 + coupl(nGC_36)**2d0*rMZ**4d0 + 2d0*coupl(nGC_36 &
              )*coupl(nGC_49)*rMZ**4d0 + 17d0*coupl(nGC_49)**2d0*rMZ**4d0)/3d0 &
               + 2d0*Nc*Ten477*(cMC**2d0*cMZ**2d0*coupl(nGC_36)**2d0 - 22d0*cMC&
              **2d0*cMZ**2d0*coupl(nGC_36)*coupl(nGC_49) - 7d0*cMC**2d0*cMZ**  &
              2d0*coupl(nGC_49)**2d0 - cMC**2d0*coupl(nGC_36)**2d0*rMZ**2d0 +  &
              22d0*cMC**2d0*coupl(nGC_36)*coupl(nGC_49)*rMZ**2d0 + 7d0*cMC**2d0&
              *coupl(nGC_49)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_36)**2d0*rMZ** &
              2d0 - 2d0*cMZ**2d0*coupl(nGC_36)*coupl(nGC_49)*rMZ**2d0 - 17d0*  &
              cMZ**2d0*coupl(nGC_49)**2d0*rMZ**2d0 + coupl(nGC_36)**2d0*rMZ**  &
              4d0 + 2d0*coupl(nGC_36)*coupl(nGC_49)*rMZ**4d0 + 17d0*coupl(     &
              nGC_49)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten478*(cMT**2d0*cMZ**2d0*   &
              coupl(nGC_36)**2d0 - 22d0*cMT**2d0*cMZ**2d0*coupl(nGC_36)*coupl( &
              nGC_49) - 7d0*cMT**2d0*cMZ**2d0*coupl(nGC_49)**2d0 - cMT**2d0*   &
              coupl(nGC_36)**2d0*rMZ**2d0 + 22d0*cMT**2d0*coupl(nGC_36)*coupl( &
              nGC_49)*rMZ**2d0 + 7d0*cMT**2d0*coupl(nGC_49)**2d0*rMZ**2d0 - cMZ&
              **2d0*coupl(nGC_36)**2d0*rMZ**2d0 - 2d0*cMZ**2d0*coupl(nGC_36)*  &
              coupl(nGC_49)*rMZ**2d0 - 17d0*cMZ**2d0*coupl(nGC_49)**2d0*rMZ**  &
              2d0 + coupl(nGC_36)**2d0*rMZ**4d0 + 2d0*coupl(nGC_36)*coupl(     &
              nGC_49)*rMZ**4d0 + 17d0*coupl(nGC_49)**2d0*rMZ**4d0)/3d0 + 2d0*Nc&
              *Ten479*(cMD**2d0*cMZ**2d0*coupl(nGC_35)**2d0 + 14d0*cMD**2d0*cMZ&
              **2d0*coupl(nGC_35)*coupl(nGC_49) + 17d0*cMD**2d0*cMZ**2d0*coupl(&
              nGC_49)**2d0 - cMD**2d0*coupl(nGC_35)**2d0*rMZ**2d0 - 14d0*cMD** &
              2d0*coupl(nGC_35)*coupl(nGC_49)*rMZ**2d0 - 17d0*cMD**2d0*coupl(  &
              nGC_49)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_35)**2d0*rMZ**2d0 -   &
              2d0*cMZ**2d0*coupl(nGC_35)*coupl(nGC_49)*rMZ**2d0 - 5d0*cMZ**2d0*&
              coupl(nGC_49)**2d0*rMZ**2d0 + coupl(nGC_35)**2d0*rMZ**4d0 + 2d0* &
              coupl(nGC_35)*coupl(nGC_49)*rMZ**4d0 + 5d0*coupl(nGC_49)**2d0*rMZ&
              **4d0)/3d0 + 2d0*Nc*Ten480*(cMS**2d0*cMZ**2d0*coupl(nGC_35)**2d0 &
               + 14d0*cMS**2d0*cMZ**2d0*coupl(nGC_35)*coupl(nGC_49) + 17d0*cMS &
              **2d0*cMZ**2d0*coupl(nGC_49)**2d0 - cMS**2d0*coupl(nGC_35)**2d0* &
              rMZ**2d0 - 14d0*cMS**2d0*coupl(nGC_35)*coupl(nGC_49)*rMZ**2d0 -  &
              17d0*cMS**2d0*coupl(nGC_49)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_35&
              )**2d0*rMZ**2d0 - 2d0*cMZ**2d0*coupl(nGC_35)*coupl(nGC_49)*rMZ** &
              2d0 - 5d0*cMZ**2d0*coupl(nGC_49)**2d0*rMZ**2d0 + coupl(nGC_35)** &
              2d0*rMZ**4d0 + 2d0*coupl(nGC_35)*coupl(nGC_49)*rMZ**4d0 + 5d0*   &
              coupl(nGC_49)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten481*(cMB**2d0*cMZ** &
              2d0*coupl(nGC_35)**2d0 + 14d0*cMB**2d0*cMZ**2d0*coupl(nGC_35)*   &
              coupl(nGC_49) + 17d0*cMB**2d0*cMZ**2d0*coupl(nGC_49)**2d0 - cMB**&
              2d0*coupl(nGC_35)**2d0*rMZ**2d0 - 14d0*cMB**2d0*coupl(nGC_35)*   &
              coupl(nGC_49)*rMZ**2d0 - 17d0*cMB**2d0*coupl(nGC_49)**2d0*rMZ**  &
              2d0 - cMZ**2d0*coupl(nGC_35)**2d0*rMZ**2d0 - 2d0*cMZ**2d0*coupl( &
              nGC_35)*coupl(nGC_49)*rMZ**2d0 - 5d0*cMZ**2d0*coupl(nGC_49)**2d0*&
              rMZ**2d0 + coupl(nGC_35)**2d0*rMZ**4d0 + 2d0*coupl(nGC_35)*coupl(&
              nGC_49)*rMZ**4d0 + 5d0*coupl(nGC_49)**2d0*rMZ**4d0)/3d0 + Ten0*( &
              2d0*cMH1**2d0*cMZ**2d0*coupl(nGC_51)**2d0 - 2d0*cMH1**2d0*coupl( &
              nGC_51)**2d0*rMZ**2d0 - 2d0*cMZ**4d0*coupl(nGC_51)**2d0 + 2d0*cMZ&
              **2d0*coupl(nGC_51)**2d0*rMZ**2d0 - 3d0*cima*coupl(nGC_58)*rMZ** &
              4d0)/(6d0*rMZ**4d0) + Ten1*(-2d0*cMH1**2d0*cMZ**2d0*coupl(nGC_51 &
              )**2d0 + 2d0*cMH1**2d0*coupl(nGC_51)**2d0*rMZ**2d0 + 2d0*cMZ**4d0&
              *coupl(nGC_51)**2d0 - 2d0*cMZ**2d0*coupl(nGC_51)**2d0*rMZ**2d0 - &
              3d0*cima*coupl(nGC_58)*rMZ**4d0)/(6d0*rMZ**4d0) - cima*Ten12*    &
              coupl(nGC_28) + cima*Ten2*(-6d0*coupl(nGC_27) - coupl(nGC_57)) + &
              Ten423*(-cMH1**4d0*cMZ**2d0*coupl(nGC_51)**2d0 + cMH1**4d0*coupl(&
              nGC_51)**2d0*rMZ**2d0 + 2d0*cMH1**2d0*cMZ**4d0*coupl(nGC_51)**2d0&
               - 2d0*cMH1**2d0*cMZ**2d0*coupl(nGC_51)**2d0*rMZ**2d0 - cMZ**6d0*&
              coupl(nGC_51)**2d0 + cMZ**4d0*coupl(nGC_51)**2d0*rMZ**2d0 + cMZ**&
              2d0*coupl(nGC_51)**2d0*rMZ**4d0 - coupl(nGC_51)**2d0*rMZ**6d0 -  &
              3d0*coupl(nGC_65)**2d0*rMZ**4d0)/(3d0*rMZ**4d0) + Ten424*(cMZ**  &
              2d0*coupl(nGC_37)**2d0/12d0 + 13d0*cMZ**2d0*coupl(nGC_38)**2d0/  &
              4d0 - cMZ**2d0*coupl(nGC_52)**2d0/3d0 - coupl(nGC_37)**2d0*rMZ** &
              2d0/12d0 + 7d0*coupl(nGC_38)**2d0*rMZ**2d0/4d0 + coupl(nGC_52)** &
              2d0*rMZ**2d0/3d0 - 2d0*coupl(nGC_60)**2d0) + Ten425*(-8d0*cME**  &
              2d0*coupl(nGC_35)*coupl(nGC_50) - 8d0*cME**2d0*coupl(nGC_50)**2d0&
               - 2d0*cMZ**2d0*coupl(nGC_35)**2d0/3d0 - 4d0*cMZ**2d0*coupl(     &
              nGC_35)*coupl(nGC_50)/3d0 - 10d0*cMZ**2d0*coupl(nGC_50)**2d0/3d0 &
               + 2d0*coupl(nGC_35)**2d0*rMZ**2d0/3d0 + 4d0*coupl(nGC_35)*coupl(&
              nGC_50)*rMZ**2d0/3d0 + 10d0*coupl(nGC_50)**2d0*rMZ**2d0/3d0) +   &
              Ten426*(-8d0*cMM**2d0*coupl(nGC_35)*coupl(nGC_50) - 8d0*cMM**2d0*&
              coupl(nGC_50)**2d0 - 2d0*cMZ**2d0*coupl(nGC_35)**2d0/3d0 - 4d0*  &
              cMZ**2d0*coupl(nGC_35)*coupl(nGC_50)/3d0 - 10d0*cMZ**2d0*coupl(  &
              nGC_50)**2d0/3d0 + 2d0*coupl(nGC_35)**2d0*rMZ**2d0/3d0 + 4d0*    &
              coupl(nGC_35)*coupl(nGC_50)*rMZ**2d0/3d0 + 10d0*coupl(nGC_50)**  &
              2d0*rMZ**2d0/3d0) + Ten427*(-8d0*cMTA**2d0*coupl(nGC_35)*coupl(  &
              nGC_50) - 8d0*cMTA**2d0*coupl(nGC_50)**2d0 - 2d0*cMZ**2d0*coupl( &
              nGC_35)**2d0/3d0 - 4d0*cMZ**2d0*coupl(nGC_35)*coupl(nGC_50)/3d0  &
               - 10d0*cMZ**2d0*coupl(nGC_50)**2d0/3d0 + 2d0*coupl(nGC_35)**2d0*&
              rMZ**2d0/3d0 + 4d0*coupl(nGC_35)*coupl(nGC_50)*rMZ**2d0/3d0 +    &
              10d0*coupl(nGC_50)**2d0*rMZ**2d0/3d0) + 2d0*Ten434*coupl(nGC_38  &
              )**2d0*rMZ**2d0 + Ten435*(-coupl(nGC_37)**2d0 + 17d0*coupl(nGC_38&
              )**2d0 + 4d0*coupl(nGC_52)**2d0) + 2d0*Ten436*coupl(nGC_38)**2d0*&
              rMZ**2d0 + 2d0*Ten437*rMZ**2d0*(coupl(nGC_35)**2d0 + 2d0*coupl(  &
              nGC_35)*coupl(nGC_50) + 5d0*coupl(nGC_50)**2d0) + 2d0*Ten438*rMZ &
              **2d0*(coupl(nGC_35)**2d0 + 2d0*coupl(nGC_35)*coupl(nGC_50) + 5d0&
              *coupl(nGC_50)**2d0) + 2d0*Ten439*rMZ**2d0*(coupl(nGC_35)**2d0 + &
              2d0*coupl(nGC_35)*coupl(nGC_50) + 5d0*coupl(nGC_50)**2d0) +      &
              Ten440*(4d0*coupl(nGC_35)**2d0 + 8d0*coupl(nGC_35)*coupl(nGC_50  &
              ) + 20d0*coupl(nGC_50)**2d0) + Ten441*(4d0*coupl(nGC_35)**2d0 +  &
              8d0*coupl(nGC_35)*coupl(nGC_50) + 20d0*coupl(nGC_50)**2d0) +     &
              Ten442*(4d0*coupl(nGC_35)**2d0 + 8d0*coupl(nGC_35)*coupl(nGC_50  &
              ) + 20d0*coupl(nGC_50)**2d0) + 2d0*Ten443*rMZ**2d0*(coupl(nGC_35 &
              )**2d0 + 2d0*coupl(nGC_35)*coupl(nGC_50) + 5d0*coupl(nGC_50)**2d0&
              ) + 2d0*Ten444*rMZ**2d0*(coupl(nGC_35)**2d0 + 2d0*coupl(nGC_35)* &
              coupl(nGC_50) + 5d0*coupl(nGC_50)**2d0) + 2d0*Ten445*rMZ**2d0*(  &
              coupl(nGC_35)**2d0 + 2d0*coupl(nGC_35)*coupl(nGC_50) + 5d0*coupl(&
              nGC_50)**2d0) + 6d0*Ten464*coupl(nGC_53)**2d0*rMZ**2d0 - 4d0*    &
              Ten465*coupl(nGC_51)**2d0 + 12d0*Ten466*coupl(nGC_53)**2d0 + 4d0*&
              Ten467*coupl(nGC_37)**2d0 + 6d0*Ten468*coupl(nGC_53)**2d0*rMZ**  &
              2d0 + 2d0*Ten469*coupl(nGC_53)**2d0*(-cMZ**2d0 + rMZ**2d0) +     &
              Ten470*coupl(nGC_37)**2d0*(-cMZ**2d0 + rMZ**2d0)/3d0 + Ten471*(- &
              cMW**2d0*cMZ**2d0*coupl(nGC_37)**2d0/3d0 + 5d0*cMW**2d0*cMZ**2d0*&
              coupl(nGC_38)**2d0 + 4d0*cMW**2d0*cMZ**2d0*coupl(nGC_52)**2d0/3d0&
               + cMW**2d0*coupl(nGC_37)**2d0*rMZ**2d0/3d0 - 5d0*cMW**2d0*coupl(&
              nGC_38)**2d0*rMZ**2d0 - 4d0*cMW**2d0*coupl(nGC_52)**2d0*rMZ**2d0/&
              3d0 + cMZ**2d0*coupl(nGC_37)**2d0*rMZ**2d0/12d0 + 13d0*cMZ**2d0* &
              coupl(nGC_38)**2d0*rMZ**2d0/4d0 - cMZ**2d0*coupl(nGC_52)**2d0*rMZ&
              **2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_60)**2d0 - coupl(nGC_37)**2d0*&
              rMZ**4d0/12d0 - 13d0*coupl(nGC_38)**2d0*rMZ**4d0/4d0 + coupl(    &
              nGC_52)**2d0*rMZ**4d0/3d0 + 2d0*coupl(nGC_60)**2d0*rMZ**2d0) +   &
              Ten472*coupl(nGC_37)**2d0*(4d0*cMHP**2d0*cMZ**2d0 - 4d0*cMHP**2d0&
              *rMZ**2d0 - cMZ**2d0*rMZ**2d0 + rMZ**4d0)/3d0 + Ten473*(2d0*cME**&
              2d0*cMZ**2d0*coupl(nGC_35)**2d0/3d0 - 20d0*cME**2d0*cMZ**2d0*    &
              coupl(nGC_35)*coupl(nGC_50)/3d0 - 14d0*cME**2d0*cMZ**2d0*coupl(  &
              nGC_50)**2d0/3d0 - 2d0*cME**2d0*coupl(nGC_35)**2d0*rMZ**2d0/3d0  &
               + 20d0*cME**2d0*coupl(nGC_35)*coupl(nGC_50)*rMZ**2d0/3d0 + 14d0*&
              cME**2d0*coupl(nGC_50)**2d0*rMZ**2d0/3d0 - 2d0*cMZ**2d0*coupl(   &
              nGC_35)**2d0*rMZ**2d0/3d0 - 4d0*cMZ**2d0*coupl(nGC_35)*coupl(    &
              nGC_50)*rMZ**2d0/3d0 - 10d0*cMZ**2d0*coupl(nGC_50)**2d0*rMZ**2d0/&
              3d0 + 2d0*coupl(nGC_35)**2d0*rMZ**4d0/3d0 + 4d0*coupl(nGC_35)*   &
              coupl(nGC_50)*rMZ**4d0/3d0 + 10d0*coupl(nGC_50)**2d0*rMZ**4d0/3d0&
              ) + Ten474*(2d0*cMM**2d0*cMZ**2d0*coupl(nGC_35)**2d0/3d0 - 20d0* &
              cMM**2d0*cMZ**2d0*coupl(nGC_35)*coupl(nGC_50)/3d0 - 14d0*cMM**2d0&
              *cMZ**2d0*coupl(nGC_50)**2d0/3d0 - 2d0*cMM**2d0*coupl(nGC_35)**  &
              2d0*rMZ**2d0/3d0 + 20d0*cMM**2d0*coupl(nGC_35)*coupl(nGC_50)*rMZ &
              **2d0/3d0 + 14d0*cMM**2d0*coupl(nGC_50)**2d0*rMZ**2d0/3d0 - 2d0* &
              cMZ**2d0*coupl(nGC_35)**2d0*rMZ**2d0/3d0 - 4d0*cMZ**2d0*coupl(   &
              nGC_35)*coupl(nGC_50)*rMZ**2d0/3d0 - 10d0*cMZ**2d0*coupl(nGC_50  &
              )**2d0*rMZ**2d0/3d0 + 2d0*coupl(nGC_35)**2d0*rMZ**4d0/3d0 + 4d0* &
              coupl(nGC_35)*coupl(nGC_50)*rMZ**4d0/3d0 + 10d0*coupl(nGC_50)**  &
              2d0*rMZ**4d0/3d0) + Ten475*(2d0*cMTA**2d0*cMZ**2d0*coupl(nGC_35  &
              )**2d0/3d0 - 20d0*cMTA**2d0*cMZ**2d0*coupl(nGC_35)*coupl(nGC_50)/&
              3d0 - 14d0*cMTA**2d0*cMZ**2d0*coupl(nGC_50)**2d0/3d0 - 2d0*cMTA**&
              2d0*coupl(nGC_35)**2d0*rMZ**2d0/3d0 + 20d0*cMTA**2d0*coupl(nGC_35&
              )*coupl(nGC_50)*rMZ**2d0/3d0 + 14d0*cMTA**2d0*coupl(nGC_50)**2d0*&
              rMZ**2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_35)**2d0*rMZ**2d0/3d0 - 4d0&
              *cMZ**2d0*coupl(nGC_35)*coupl(nGC_50)*rMZ**2d0/3d0 - 10d0*cMZ**  &
              2d0*coupl(nGC_50)**2d0*rMZ**2d0/3d0 + 2d0*coupl(nGC_35)**2d0*rMZ &
              **4d0/3d0 + 4d0*coupl(nGC_35)*coupl(nGC_50)*rMZ**4d0/3d0 + 10d0* &
              coupl(nGC_50)**2d0*rMZ**4d0/3d0) + 2d0*Ten482*coupl(nGC_53)**2d0*&
              rMZ**2d0*(-cMZ**2d0 + rMZ**2d0) + Ten483*(cMH1**4d0*cMZ**2d0*    &
              coupl(nGC_51)**2d0 - cMH1**4d0*coupl(nGC_51)**2d0*rMZ**2d0 - 2d0*&
              cMH1**2d0*cMZ**4d0*coupl(nGC_51)**2d0 + 2d0*cMH1**2d0*coupl(     &
              nGC_51)**2d0*rMZ**4d0 + cMZ**6d0*coupl(nGC_51)**2d0 - 3d0*cMZ**  &
              4d0*coupl(nGC_51)**2d0*rMZ**2d0 + 3d0*cMZ**2d0*coupl(nGC_51)**2d0&
              *rMZ**4d0 - 3d0*cMZ**2d0*coupl(nGC_65)**2d0*rMZ**2d0 - coupl(    &
              nGC_51)**2d0*rMZ**6d0 + 3d0*coupl(nGC_65)**2d0*rMZ**4d0)/(3d0*rMZ&
              **2d0) + pi**2d0*(-2d0*Nc*cMB**2d0*coupl(nGC_35)**2d0/pi**2d0 -  &
              4d0*Nc*cMB**2d0*coupl(nGC_35)*coupl(nGC_49)/pi**2d0 - 10d0*Nc*cMB&
              **2d0*coupl(nGC_49)**2d0/pi**2d0 - 2d0*Nc*cMC**2d0*coupl(nGC_36  &
              )**2d0/pi**2d0 - 4d0*Nc*cMC**2d0*coupl(nGC_36)*coupl(nGC_49)/pi**&
              2d0 - 34d0*Nc*cMC**2d0*coupl(nGC_49)**2d0/pi**2d0 - 2d0*Nc*cMD** &
              2d0*coupl(nGC_35)**2d0/pi**2d0 - 4d0*Nc*cMD**2d0*coupl(nGC_35)*  &
              coupl(nGC_49)/pi**2d0 - 10d0*Nc*cMD**2d0*coupl(nGC_49)**2d0/pi** &
              2d0 - 2d0*Nc*cMS**2d0*coupl(nGC_35)**2d0/pi**2d0 - 4d0*Nc*cMS**  &
              2d0*coupl(nGC_35)*coupl(nGC_49)/pi**2d0 - 10d0*Nc*cMS**2d0*coupl(&
              nGC_49)**2d0/pi**2d0 - 2d0*Nc*cMT**2d0*coupl(nGC_36)**2d0/pi**2d0&
               - 4d0*Nc*cMT**2d0*coupl(nGC_36)*coupl(nGC_49)/pi**2d0 - 34d0*Nc*&
              cMT**2d0*coupl(nGC_49)**2d0/pi**2d0 - 2d0*Nc*cMU**2d0*coupl(     &
              nGC_36)**2d0/pi**2d0 - 4d0*Nc*cMU**2d0*coupl(nGC_36)*coupl(nGC_49&
              )/pi**2d0 - 34d0*Nc*cMU**2d0*coupl(nGC_49)**2d0/pi**2d0 + 2d0*Nc*&
              cMZ**2d0*coupl(nGC_35)**2d0/(3d0*pi**2d0) + 4d0*Nc*cMZ**2d0*coupl&
              (nGC_35)*coupl(nGC_49)/(3d0*pi**2d0) + 2d0*Nc*cMZ**2d0*coupl(    &
              nGC_36)**2d0/(3d0*pi**2d0) + 4d0*Nc*cMZ**2d0*coupl(nGC_36)*coupl(&
              nGC_49)/(3d0*pi**2d0) + 44d0*Nc*cMZ**2d0*coupl(nGC_49)**2d0/(3d0*&
              pi**2d0) + Nc*coupl(nGC_35)**2d0*rMZ**2d0/(3d0*pi**2d0) + 2d0*Nc*&
              coupl(nGC_35)*coupl(nGC_49)*rMZ**2d0/(3d0*pi**2d0) + Nc*coupl(   &
              nGC_36)**2d0*rMZ**2d0/(3d0*pi**2d0) + 2d0*Nc*coupl(nGC_36)*coupl(&
              nGC_49)*rMZ**2d0/(3d0*pi**2d0) + 22d0*Nc*coupl(nGC_49)**2d0*rMZ**&
              2d0/(3d0*pi**2d0) - 2d0*cME**2d0*coupl(nGC_35)**2d0/pi**2d0 - 4d0&
              *cME**2d0*coupl(nGC_35)*coupl(nGC_50)/pi**2d0 - 10d0*cME**2d0*   &
              coupl(nGC_50)**2d0/pi**2d0 - 2d0*cMM**2d0*coupl(nGC_35)**2d0/pi**&
              2d0 - 4d0*cMM**2d0*coupl(nGC_35)*coupl(nGC_50)/pi**2d0 - 10d0*cMM&
              **2d0*coupl(nGC_50)**2d0/pi**2d0 - 2d0*cMTA**2d0*coupl(nGC_35)** &
              2d0/pi**2d0 - 4d0*cMTA**2d0*coupl(nGC_35)*coupl(nGC_50)/pi**2d0  &
               - 10d0*cMTA**2d0*coupl(nGC_50)**2d0/pi**2d0 + 4d0*cima*cMW**2d0*&
              coupl(nGC_27)/pi**2d0 - 6d0*cMW**2d0*coupl(nGC_38)**2d0/pi**2d0  &
               + 2d0*cMZ**2d0*coupl(nGC_35)**2d0/(3d0*pi**2d0) + 4d0*cMZ**2d0* &
              coupl(nGC_35)*coupl(nGC_50)/(3d0*pi**2d0) - cMZ**2d0*coupl(nGC_37&
              )**2d0/(6d0*pi**2d0) + cMZ**2d0*coupl(nGC_38)**2d0/(6d0*pi**2d0  &
              ) + 10d0*cMZ**2d0*coupl(nGC_50)**2d0/(3d0*pi**2d0) + 2d0*cMZ**2d0&
              *coupl(nGC_51)**2d0/(9d0*pi**2d0) - 2d0*cMZ**2d0*coupl(nGC_52)** &
              2d0/(9d0*pi**2d0) + 2d0*cMZ**2d0*coupl(nGC_53)**2d0/(3d0*pi**2d0 &
              ) + coupl(nGC_35)**2d0*rMZ**2d0/(3d0*pi**2d0) + 2d0*coupl(nGC_35 &
              )*coupl(nGC_50)*rMZ**2d0/(3d0*pi**2d0) + coupl(nGC_37)**2d0*rMZ**&
              2d0/(6d0*pi**2d0) + 5d0*coupl(nGC_38)**2d0*rMZ**2d0/(6d0*pi**2d0 &
              ) + 5d0*coupl(nGC_50)**2d0*rMZ**2d0/(3d0*pi**2d0) - 2d0*coupl(   &
              nGC_51)**2d0*rMZ**2d0/(9d0*pi**2d0) + 2d0*coupl(nGC_52)**2d0*rMZ &
              **2d0/(9d0*pi**2d0) + coupl(nGC_53)**2d0*rMZ**2d0/(3d0*pi**2d0   &
              )))/(16d0*pi**2d0) - cima*coupl(nGC_65)*dtH1_QED1/cMH1**2d0
    if (.not. complex_mass_scheme) then
      dMZ2_QED2 = cone*real(dMZ2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter137
end module ctparameter137
