!******************************************************************************!
!                                                                              !
!    ctparameter141.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter141.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter141
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter141()
  dZWMinus_QED2 = (Nc*Ten10*coupl(nGC_34)**2d0*(cMC**2d0 - cMS**2d0)/(3d0*rMW**&
                  4d0) + Nc*Ten11*coupl(nGC_34)**2d0*(-cMB**2d0 + cMT**2d0)/(  &
                  3d0*rMW**4d0) + Nc*Ten516*coupl(nGC_34)**2d0*(cMD**4d0 - 2d0*&
                  cMD**2d0*cMU**2d0 + cMU**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0   &
                  ) + Nc*Ten517*coupl(nGC_34)**2d0*(cMC**4d0 - 2d0*cMC**2d0*cMS&
                  **2d0 + cMS**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Nc*Ten518* &
                  coupl(nGC_34)**2d0*(cMB**4d0 - 2d0*cMB**2d0*cMT**2d0 + cMT** &
                  4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Nc*Ten525*coupl(nGC_34  &
                  )**2d0*(-cMD**4d0 + 2d0*cMD**2d0*cMU**2d0 - cMD**2d0*rMW**2d0&
                   - cMU**4d0 - cMU**2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0&
                  ) + Nc*Ten526*coupl(nGC_34)**2d0*(-cMC**4d0 + 2d0*cMC**2d0*  &
                  cMS**2d0 - cMC**2d0*rMW**2d0 - cMS**4d0 - cMS**2d0*rMW**2d0  &
                   + 2d0*rMW**4d0)/(3d0*rMW**2d0) + Nc*Ten527*coupl(nGC_34)**  &
                  2d0*(-cMB**4d0 + 2d0*cMB**2d0*cMT**2d0 - cMB**2d0*rMW**2d0 - &
                  cMT**4d0 - cMT**2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0   &
                  ) + Nc*Ten6*coupl(nGC_34)**2d0*(cMD**2d0 - cMU**2d0)/(3d0*rMW&
                  **4d0) + Nc*Ten7*coupl(nGC_34)**2d0*(-cMC**2d0 + cMS**2d0)/( &
                  3d0*rMW**4d0) + Nc*Ten8*coupl(nGC_34)**2d0*(cMB**2d0 - cMT** &
                  2d0)/(3d0*rMW**4d0) + Nc*Ten9*coupl(nGC_34)**2d0*(-cMD**2d0  &
                   + cMU**2d0)/(3d0*rMW**4d0) + Ten0*coupl(nGC_29)*coupl(nGC_30&
                  )*(-cMH1**2d0 + cMW**2d0)/(3d0*rMW**4d0) + Ten1*(4d0*cMW**2d0&
                  *coupl(nGC_33)**2d0 + cMW**2d0*coupl(nGC_37)**2d0 - 9d0*cMW**&
                  2d0*coupl(nGC_38)**2d0 - 4d0*cMZ**2d0*coupl(nGC_33)**2d0 -   &
                  cMZ**2d0*coupl(nGC_37)**2d0 + 9d0*cMZ**2d0*coupl(nGC_38)**2d0&
                  )/(12d0*rMW**4d0) + Ten105*(4d0*cME**2d0*coupl(nGC_34)**2d0  &
                   + 4d0*cMM**2d0*coupl(nGC_34)**2d0 + 4d0*cMTA**2d0*coupl(    &
                  nGC_34)**2d0 - 9d0*cMW**2d0*coupl(nGC_7)**2d0 + cMW**2d0*    &
                  coupl(nGC_8)**2d0)/(12d0*rMW**4d0) + Ten2*(4d0*cMH1**2d0*    &
                  coupl(nGC_29)*coupl(nGC_30) - 4d0*cMW**2d0*coupl(nGC_29)*    &
                  coupl(nGC_30) - 4d0*cMW**2d0*coupl(nGC_33)**2d0 - cMW**2d0*  &
                  coupl(nGC_37)**2d0 + 9d0*cMW**2d0*coupl(nGC_38)**2d0 + 9d0*  &
                  cMW**2d0*coupl(nGC_7)**2d0 - cMW**2d0*coupl(nGC_8)**2d0 + 4d0&
                  *cMZ**2d0*coupl(nGC_33)**2d0 + cMZ**2d0*coupl(nGC_37)**2d0 - &
                  9d0*cMZ**2d0*coupl(nGC_38)**2d0)/(12d0*rMW**4d0) - Ten3*cME**&
                  2d0*coupl(nGC_34)**2d0/(3d0*rMW**4d0) - Ten4*cMM**2d0*coupl( &
                  nGC_34)**2d0/(3d0*rMW**4d0) + Ten484*(-9d0*cMW**4d0*coupl(   &
                  nGC_7)**2d0 + cMW**4d0*coupl(nGC_8)**2d0 - 39d0*coupl(nGC_7  &
                  )**2d0*rMW**4d0 - coupl(nGC_8)**2d0*rMW**4d0)/(12d0*rMW**4d0 &
                  ) + Ten488*(4d0*cMW**4d0*coupl(nGC_33)**2d0 + cMW**4d0*coupl(&
                  nGC_37)**2d0 - 9d0*cMW**4d0*coupl(nGC_38)**2d0 - 8d0*cMW**2d0&
                  *cMZ**2d0*coupl(nGC_33)**2d0 - 2d0*cMW**2d0*cMZ**2d0*coupl(  &
                  nGC_37)**2d0 + 18d0*cMW**2d0*cMZ**2d0*coupl(nGC_38)**2d0 +   &
                  4d0*cMZ**4d0*coupl(nGC_33)**2d0 + cMZ**4d0*coupl(nGC_37)**2d0&
                   - 9d0*cMZ**4d0*coupl(nGC_38)**2d0 - 4d0*coupl(nGC_33)**2d0* &
                  rMW**4d0 - coupl(nGC_37)**2d0*rMW**4d0 - 39d0*coupl(nGC_38)**&
                  2d0*rMW**4d0)/(12d0*rMW**4d0) + Ten489*coupl(nGC_29)*coupl(  &
                  nGC_30)*(cMH1**4d0 - 2d0*cMH1**2d0*cMW**2d0 + cMW**4d0 - rMW &
                  **4d0)/(3d0*rMW**4d0) - Ten5*cMTA**2d0*coupl(nGC_34)**2d0/(  &
                  3d0*rMW**4d0) + Ten513*coupl(nGC_34)**2d0*(cME**4d0 + 2d0*rMW&
                  **4d0)/(3d0*rMW**4d0) + Ten514*coupl(nGC_34)**2d0*(cMM**4d0  &
                   + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Ten515*coupl(nGC_34)**2d0*(&
                  cMTA**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) - Ten519*coupl(     &
                  nGC_31)*coupl(nGC_32)/3d0 + Ten520*(-4d0*cMW**4d0*coupl(     &
                  nGC_33)**2d0 - cMW**4d0*coupl(nGC_37)**2d0 + 9d0*cMW**4d0*   &
                  coupl(nGC_38)**2d0 + 8d0*cMW**2d0*cMZ**2d0*coupl(nGC_33)**2d0&
                   + 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_37)**2d0 - 18d0*cMW**2d0* &
                  cMZ**2d0*coupl(nGC_38)**2d0 + 8d0*cMW**2d0*coupl(nGC_33)**2d0&
                  *rMW**2d0 + 2d0*cMW**2d0*coupl(nGC_37)**2d0*rMW**2d0 - 30d0* &
                  cMW**2d0*coupl(nGC_38)**2d0*rMW**2d0 - 4d0*cMZ**4d0*coupl(   &
                  nGC_33)**2d0 - cMZ**4d0*coupl(nGC_37)**2d0 + 9d0*cMZ**4d0*   &
                  coupl(nGC_38)**2d0 + 8d0*cMZ**2d0*coupl(nGC_33)**2d0*rMW**2d0&
                   + 2d0*cMZ**2d0*coupl(nGC_37)**2d0*rMW**2d0 - 30d0*cMZ**2d0* &
                  coupl(nGC_38)**2d0*rMW**2d0 - 4d0*coupl(nGC_33)**2d0*rMW**4d0&
                   - coupl(nGC_37)**2d0*rMW**4d0 - 39d0*coupl(nGC_38)**2d0*rMW &
                  **4d0 + 12d0*coupl(nGC_60)**2d0*rMW**2d0)/(12d0*rMW**2d0) +  &
                  Ten521*(9d0*cMW**4d0*coupl(nGC_7)**2d0 - cMW**4d0*coupl(nGC_8&
                  )**2d0 - 30d0*cMW**2d0*coupl(nGC_7)**2d0*rMW**2d0 + 2d0*cMW**&
                  2d0*coupl(nGC_8)**2d0*rMW**2d0 + 12d0*coupl(nGC_64)**2d0*rMW &
                  **2d0 - 39d0*coupl(nGC_7)**2d0*rMW**4d0 - coupl(nGC_8)**2d0* &
                  rMW**4d0)/(12d0*rMW**2d0) + Ten522*coupl(nGC_34)**2d0*(-cME**&
                  4d0 - cME**2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0) +     &
                  Ten523*coupl(nGC_34)**2d0*(-cMM**4d0 - cMM**2d0*rMW**2d0 +   &
                  2d0*rMW**4d0)/(3d0*rMW**2d0) + Ten524*coupl(nGC_34)**2d0*(-  &
                  cMTA**4d0 - cMTA**2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0 &
                  ) + Ten528*(-cMH1**4d0*coupl(nGC_29)*coupl(nGC_30) + 2d0*cMH1&
                  **2d0*cMW**2d0*coupl(nGC_29)*coupl(nGC_30) + 2d0*cMH1**2d0*  &
                  coupl(nGC_29)*coupl(nGC_30)*rMW**2d0 - cMW**4d0*coupl(nGC_29 &
                  )*coupl(nGC_30) + 2d0*cMW**2d0*coupl(nGC_29)*coupl(nGC_30)*  &
                  rMW**2d0 - coupl(nGC_29)*coupl(nGC_30)*rMW**4d0 + 3d0*coupl( &
                  nGC_63)**2d0*rMW**2d0)/(3d0*rMW**2d0) + Ten529*coupl(nGC_31)*&
                  coupl(nGC_32)*(4d0*cMHP**2d0 - rMW**2d0)/3d0 + pi**2d0*(-2d0*&
                  Nc*coupl(nGC_34)**2d0/(3d0*pi**2d0) - 2d0*coupl(nGC_29)*coupl&
                  (nGC_30)/(9d0*pi**2d0) - 2d0*coupl(nGC_31)*coupl(nGC_32)/(9d0&
                  *pi**2d0) - 2d0*coupl(nGC_33)**2d0/(9d0*pi**2d0) - 2d0*coupl(&
                  nGC_34)**2d0/(3d0*pi**2d0) - coupl(nGC_37)**2d0/(18d0*pi**2d0&
                  ) - coupl(nGC_38)**2d0/(6d0*pi**2d0) - coupl(nGC_7)**2d0/(6d0&
                  *pi**2d0) - coupl(nGC_8)**2d0/(18d0*pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZWMinus_QED2 = cone*real(dZWMinus_QED2,kind=dp)
    end if 
end subroutine set_ctparameter141
end module ctparameter141
