!******************************************************************************!
!                                                                              !
!    ctparameter149.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter149.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter149
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter149()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dZH1_MS_QED2 = DeltaUV*(Nc*coupl(nGC_68)**2d0 + Nc*coupl(nGC_70)**2d0 + Nc*  &
                 coupl(nGC_74)**2d0 + Nc*coupl(nGC_83)**2d0 + Nc*coupl(nGC_85  &
                 )**2d0 + Nc*coupl(nGC_91)**2d0 + 2d0*coupl(nGC_29)*coupl(     &
                 nGC_30) + coupl(nGC_51)**2d0 + coupl(nGC_77)**2d0 + coupl(    &
                 nGC_80)**2d0 + coupl(nGC_89)**2d0)/(8d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZH1_MS_QED2 = cone*real(dZH1_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter149
end module ctparameter149
