!******************************************************************************!
!                                                                              !
!    ctparameter18.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter18.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter18
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter18()
  if (dZuL_QCD2_scheme .eq. 0) then
    dZuL_QCD2 = (pi**2d0*(-Nc*coupl(nGC_15)**2d0/(2d0*pi**2d0) + coupl(nGC_15  &
                )**2d0/(2d0*pi**2d0*Nc)) + Ten174*coupl(nGC_15)**2d0*(Nc**2d0  &
                 - 1d0)/Nc + Ten175*coupl(nGC_15)**2d0*(Nc**2d0 - 1d0)/Nc + 2d0&
                *Ten183*cMU**2d0*coupl(nGC_15)**2d0*(1d0 - Nc**2d0)/Nc + 2d0*  &
                Ten187*cMU**2d0*coupl(nGC_15)**2d0*(Nc**2d0 - 1d0)/Nc)/(16d0*pi&
                **2d0)
    dZuL_QCD2 = cone*real(dZuL_QCD2,kind=dp)
  end if 
end subroutine set_ctparameter18
end module ctparameter18
