!******************************************************************************!
!                                                                              !
!    ctparameter21.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter21.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter21
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter21()
  if (dZuR_QED2_scheme .eq. 0) then
    dZuR_QED2 = (2d0*Ten174*coupl(nGC_6)**2d0 + 2d0*Ten175*coupl(nGC_6)**2d0 + &
                Ten178*coupl(nGC_91)**2d0 + Ten179*(-32d0*coupl(nGC_49)**2d0 + &
                coupl(nGC_92)**2d0) - Ten180*coupl(nGC_90)**2d0 + Ten181*coupl(&
                nGC_91)**2d0 + 2d0*Ten182*cMU**2d0*(-16d0*coupl(nGC_36)*coupl( &
                nGC_49) - 16d0*coupl(nGC_49)**2d0 + coupl(nGC_92)**2d0) - 4d0* &
                Ten183*cMU**2d0*coupl(nGC_6)**2d0 + 2d0*Ten184*cMD*cMU*coupl(  &
                nGC_72)*coupl(nGC_90) + 4d0*Ten185*cMU**2d0*coupl(nGC_91)**2d0 &
                 + 2d0*Ten186*cMU**2d0*(-coupl(nGC_36)**2d0 - 2d0*coupl(nGC_36 &
                )*coupl(nGC_49) - 17d0*coupl(nGC_49)**2d0 + coupl(nGC_92)**2d0 &
                ) + 4d0*Ten187*cMU**2d0*coupl(nGC_6)**2d0 + Ten188*cMU**2d0*(- &
                2d0*coupl(nGC_34)**2d0 - coupl(nGC_72)**2d0 - coupl(nGC_90)**  &
                2d0) + 2d0*Ten189*cMU**2d0*coupl(nGC_91)**2d0 + pi**2d0*(-16d0*&
                coupl(nGC_49)**2d0/pi**2d0 - coupl(nGC_6)**2d0/pi**2d0))/(16d0*&
                pi**2d0)
    dZuR_QED2 = cone*real(dZuR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter21
end module ctparameter21
