!******************************************************************************!
!                                                                              !
!    ctparameter37.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter37.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter37
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter37()
  if (dZdR_QED2_scheme .eq. 1) then
    dZdR_QED2 = (2d0*Ten194*coupl(nGC_5)**2d0 + 2d0*Ten195*coupl(nGC_5)**2d0 - &
                8d0*Ten199*coupl(nGC_49)**2d0 - 4d0*Ten204*cMD_reg**2d0*coupl( &
                nGC_5)**2d0 + 4d0*Ten208*cMD_reg**2d0*coupl(nGC_5)**2d0 + pi** &
                2d0*(-4d0*coupl(nGC_49)**2d0/pi**2d0 - coupl(nGC_5)**2d0/pi**  &
                2d0))/(16d0*pi**2d0)
    dZdR_QED2 = cone*real(dZdR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter37
end module ctparameter37
