!******************************************************************************!
!                                                                              !
!    ctparameter43.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter43.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter43
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter43()
  if (dZdL_QCD2_scheme .eq. 1) then
    dZdL_QCD2 = (pi**2d0*(-Nc*coupl(nGC_15)**2d0/(2d0*pi**2d0) + coupl(nGC_15  &
                )**2d0/(2d0*pi**2d0*Nc)) + Ten194*coupl(nGC_15)**2d0*(Nc**2d0  &
                 - 1d0)/Nc + Ten195*coupl(nGC_15)**2d0*(Nc**2d0 - 1d0)/Nc + 2d0&
                *Ten204*cMD_reg**2d0*coupl(nGC_15)**2d0*(1d0 - Nc**2d0)/Nc +   &
                2d0*Ten208*cMD_reg**2d0*coupl(nGC_15)**2d0*(Nc**2d0 - 1d0)/Nc  &
                )/(16d0*pi**2d0)
    dZdL_QCD2 = cone*real(dZdL_QCD2,kind=dp)
  end if 
end subroutine set_ctparameter43
end module ctparameter43
