!******************************************************************************!
!                                                                              !
!    ctparameter54.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter54.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter54
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter54()
  if (dZcL_QED2_scheme .eq. 0) then
    dZcL_QED2 = (2d0*Ten212*coupl(nGC_6)**2d0 + 2d0*Ten213*coupl(nGC_6)**2d0 + &
                Ten217*(-2d0*coupl(nGC_36)**2d0 - 4d0*coupl(nGC_36)*coupl(     &
                nGC_49) - 2d0*coupl(nGC_49)**2d0 + coupl(nGC_71)**2d0) - Ten218&
                *coupl(nGC_70)**2d0 + Ten219*(-2d0*coupl(nGC_34)**2d0 - coupl( &
                nGC_81)**2d0) + 2d0*Ten220*cMC*rMC*(-16d0*coupl(nGC_36)*coupl( &
                nGC_49) - 16d0*coupl(nGC_49)**2d0 + coupl(nGC_71)**2d0) + 2d0* &
                Ten221*cMC*coupl(nGC_70)**2d0*rMC + 4d0*Ten222*coupl(nGC_6)**  &
                2d0*rMC*(-2d0*cMC + rMC) + 2d0*Ten223*cMS*coupl(nGC_69)*coupl( &
                nGC_81)*rMC + 2d0*Ten224*rMC**2d0*(-coupl(nGC_36)**2d0 - 2d0*  &
                coupl(nGC_36)*coupl(nGC_49) - 17d0*coupl(nGC_49)**2d0 + coupl( &
                nGC_71)**2d0) - 2d0*Ten225*coupl(nGC_70)**2d0*rMC**2d0 + 4d0*  &
                Ten226*coupl(nGC_6)**2d0*rMC**2d0 + Ten227*rMC**2d0*(-2d0*coupl&
                (nGC_34)**2d0 - coupl(nGC_69)**2d0 - coupl(nGC_81)**2d0) + pi**&
                2d0*(-coupl(nGC_34)**2d0/pi**2d0 - coupl(nGC_36)**2d0/pi**2d0  &
                 - 2d0*coupl(nGC_36)*coupl(nGC_49)/pi**2d0 - coupl(nGC_49)**2d0&
                /pi**2d0 - coupl(nGC_6)**2d0/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZcL_QED2 = cone*real(dZcL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter54
end module ctparameter54
