!******************************************************************************!
!                                                                              !
!    ctparameter56.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter56.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter56
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter56()
  if (dZcL_QED2_scheme .eq. 2) then
    dZcL_QED2 = (Ten132*coupl(nGC_6)**2d0 + Ten192*(-2d0*coupl(nGC_36)**2d0 -  &
                4d0*coupl(nGC_36)*coupl(nGC_49) - 2d0*coupl(nGC_49)**2d0 +     &
                coupl(nGC_71)**2d0) - Ten193*coupl(nGC_70)**2d0 + Ten245*(-2d0*&
                coupl(nGC_34)**2d0 - coupl(nGC_81)**2d0) + pi**2d0*(-coupl(    &
                nGC_34)**2d0/pi**2d0 - coupl(nGC_36)**2d0/pi**2d0 - 2d0*coupl( &
                nGC_36)*coupl(nGC_49)/pi**2d0 - coupl(nGC_49)**2d0/pi**2d0))/( &
                16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZcL_QED2 = cone*real(dZcL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter56
end module ctparameter56
