!******************************************************************************!
!                                                                              !
!    ctparameter69.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter69.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter69
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter69()
  if (dZsR_QED2_scheme .eq. 0) then
    dZsR_QED2 = (2d0*Ten246*coupl(nGC_5)**2d0 + 2d0*Ten247*coupl(nGC_5)**2d0 + &
                Ten250*coupl(nGC_83)**2d0 + Ten251*(-8d0*coupl(nGC_49)**2d0 +  &
                coupl(nGC_82)**2d0) - Ten252*coupl(nGC_81)**2d0 + Ten253*coupl(&
                nGC_83)**2d0 + 2d0*Ten254*cMS**2d0*(8d0*coupl(nGC_35)*coupl(   &
                nGC_49) + 8d0*coupl(nGC_49)**2d0 + coupl(nGC_82)**2d0) - 4d0*  &
                Ten255*cMS**2d0*coupl(nGC_5)**2d0 + 2d0*Ten256*cMC*cMS*coupl(  &
                nGC_69)*coupl(nGC_81) + 4d0*Ten257*cMS**2d0*coupl(nGC_83)**2d0 &
                 + 2d0*Ten258*cMS**2d0*(-coupl(nGC_35)**2d0 - 2d0*coupl(nGC_35 &
                )*coupl(nGC_49) - 5d0*coupl(nGC_49)**2d0 + coupl(nGC_82)**2d0  &
                ) + 4d0*Ten259*cMS**2d0*coupl(nGC_5)**2d0 + Ten260*cMS**2d0*(- &
                2d0*coupl(nGC_34)**2d0 - coupl(nGC_69)**2d0 - coupl(nGC_81)**  &
                2d0) + 2d0*Ten261*cMS**2d0*coupl(nGC_83)**2d0 + pi**2d0*(-4d0* &
                coupl(nGC_49)**2d0/pi**2d0 - coupl(nGC_5)**2d0/pi**2d0))/(16d0*&
                pi**2d0)
    dZsR_QED2 = cone*real(dZsR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter69
end module ctparameter69
