!******************************************************************************!
!                                                                              !
!    ctparameter75.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter75.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter75
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter75()
  if (dMS_QED2_scheme .eq. 0) then
    dMS_QED2 = (2d0*Ten246*cMS*coupl(nGC_5)**2d0 - 2d0*Ten247*cMS*coupl(nGC_5  &
               )**2d0 + Ten248*cMS*(-8d0*coupl(nGC_35)*coupl(nGC_49) - 8d0*    &
               coupl(nGC_49)**2d0 - coupl(nGC_82)**2d0) - Ten249*cMC*coupl(    &
               nGC_69)*coupl(nGC_81) - 2d0*Ten250*cMS*coupl(nGC_83)**2d0 +     &
               Ten251*cMS*(coupl(nGC_35)**2d0 + 2d0*coupl(nGC_35)*coupl(nGC_49 &
               ) + 5d0*coupl(nGC_49)**2d0 - coupl(nGC_82)**2d0) + Ten252*cMS*( &
               2d0*coupl(nGC_34)**2d0 + coupl(nGC_69)**2d0 + coupl(nGC_81)**2d0&
               )/2d0 - Ten253*cMS*coupl(nGC_83)**2d0 + pi**2d0*(cMS*coupl(     &
               nGC_34)**2d0/(2d0*pi**2d0) + cMS*coupl(nGC_35)**2d0/(2d0*pi**2d0&
               ) + 5d0*cMS*coupl(nGC_35)*coupl(nGC_49)/pi**2d0 + 13d0*cMS*coupl&
               (nGC_49)**2d0/(2d0*pi**2d0) - cMS*coupl(nGC_5)**2d0/pi**2d0))/( &
               16d0*pi**2d0) + cima*coupl(nGC_83)*dtH1_QED1/cMH1**2d0
    dMS_QED2 = cone*real(dMS_QED2,kind=dp)
  end if 
end subroutine set_ctparameter75
end module ctparameter75
