!******************************************************************************!
!                                                                              !
!    ctparameter9.f90                                                          !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter9.f90                               |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter9
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter9()
  if (dMU_QED2_scheme .eq. 0) then
    dMU_QED2 = (2d0*Ten174*cMU*coupl(nGC_6)**2d0 - 2d0*Ten175*cMU*coupl(nGC_6  &
               )**2d0 + Ten176*cMU*(16d0*coupl(nGC_36)*coupl(nGC_49) + 16d0*   &
               coupl(nGC_49)**2d0 - coupl(nGC_92)**2d0) - Ten177*cMD*coupl(    &
               nGC_72)*coupl(nGC_90) - 2d0*Ten178*cMU*coupl(nGC_91)**2d0 +     &
               Ten179*cMU*(coupl(nGC_36)**2d0 + 2d0*coupl(nGC_36)*coupl(nGC_49 &
               ) + 17d0*coupl(nGC_49)**2d0 - coupl(nGC_92)**2d0) + Ten180*cMU*(&
               2d0*coupl(nGC_34)**2d0 + coupl(nGC_72)**2d0 + coupl(nGC_90)**2d0&
               )/2d0 - Ten181*cMU*coupl(nGC_91)**2d0 + pi**2d0*(cMU*coupl(     &
               nGC_34)**2d0/(2d0*pi**2d0) + cMU*coupl(nGC_36)**2d0/(2d0*pi**2d0&
               ) - 7d0*cMU*coupl(nGC_36)*coupl(nGC_49)/pi**2d0 + cMU*coupl(    &
               nGC_49)**2d0/(2d0*pi**2d0) - cMU*coupl(nGC_6)**2d0/pi**2d0))/(  &
               16d0*pi**2d0) + cima*coupl(nGC_91)*dtH1_QED1/cMH1**2d0
    dMU_QED2 = cone*real(dMU_QED2,kind=dp)
  end if 
end subroutine set_ctparameter9
end module ctparameter9
