!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_G0, P_G0, P_H2, P_H2, 0, check)
    call createCurrent(P_GPlus, P_GMinus, P_H2, P_H2, 1, check)
    call createCurrent(P_H1, P_H1, P_H2, P_H2, 2, check)
    call createCurrent(P_H2, P_H2, P_H2, P_H2, 3, check)
    call createCurrent(P_G0, P_G0, P_HPlus, P_HMinus, 4, check)
    call createCurrent(P_GPlus, P_GMinus, P_HPlus, P_HMinus, 5, check)
    call createCurrent(P_H1, P_H1, P_HPlus, P_HMinus, 6, check)
    call createCurrent(P_H2, P_H2, P_HPlus, P_HMinus, 7, check)
    call createCurrent(P_HPlus, P_HPlus, P_HMinus, P_HMinus, 8, check)
    call createCurrent(P_G0, P_G0, P_G0, P_G0, 9, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 10, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 11, check)
    call createCurrent(P_G0, P_G0, P_H1, P_H1, 12, check)
    call createCurrent(P_GPlus, P_GMinus, P_H1, P_H1, 13, check)
    call createCurrent(P_H1, P_H1, P_H1, P_H1, 14, check)
    call createCurrent(P_H1, P_H2, P_H2, 15, check)
    call createCurrent(P_H1, P_HPlus, P_HMinus, 16, check)
    call createCurrent(P_G0, P_G0, P_H1, 17, check)
    call createCurrent(P_GPlus, P_GMinus, P_H1, 18, check)
    call createCurrent(P_H1, P_H1, P_H1, 19, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 20, check)
    call createCurrent(P_A, P_A, P_HPlus, P_HMinus, 21, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 22, check)
    call createCurrent(P_A, P_HPlus, P_HMinus, 23, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, 24, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, 25, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 26, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, 27, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, 28, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H1, 29, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 30, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 31, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, 32, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 33, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 34, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, 35, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, 36, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_H1, 37, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, 38, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, 39, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, 40, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 41, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, 42, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 43, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, 44, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 45, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_H1, 46, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 47, check)
    call createCurrent(P_g, P_g, P_g, 48, check)
    call createCurrent(P_g, P_g, P_g, P_g, 49, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 50, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 51, check)
    call createCurrent(P_t, P_bAnti, P_GMinus, 52, check)
    call createCurrent(P_d, P_dAnti, P_G0, 53, check)
    call createCurrent(P_s, P_sAnti, P_G0, 54, check)
    call createCurrent(P_b, P_bAnti, P_G0, 55, check)
    call createCurrent(P_d, P_dAnti, P_H1, 56, check)
    call createCurrent(P_s, P_sAnti, P_H1, 57, check)
    call createCurrent(P_b, P_bAnti, P_H1, 58, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 59, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 60, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 61, check)
    call createCurrent(P_eMinus, P_ePlus, P_G0, 62, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 63, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_G0, 64, check)
    call createCurrent(P_eMinus, P_ePlus, P_H1, 65, check)
    call createCurrent(P_muMinus, P_muPlus, P_H1, 66, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_H1, 67, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 68, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 69, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 70, check)
    call createCurrent(P_u, P_uAnti, P_G0, 71, check)
    call createCurrent(P_c, P_cAnti, P_G0, 72, check)
    call createCurrent(P_t, P_tAnti, P_G0, 73, check)
    call createCurrent(P_u, P_uAnti, P_H1, 74, check)
    call createCurrent(P_c, P_cAnti, P_H1, 75, check)
    call createCurrent(P_t, P_tAnti, P_H1, 76, check)
    call createCurrent(P_A, P_WPlus, P_G0, P_GMinus, 77, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_H1, 78, check)
    call createCurrent(P_A, P_WPlus, P_H2, P_HMinus, 79, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, 80, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, 81, check)
    call createCurrent(P_WPlus, P_GMinus, P_H1, 82, check)
    call createCurrent(P_WPlus, P_H2, P_HMinus, 83, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, 84, check)
    call createCurrent(P_WPlus, P_WPlus, P_HMinus, P_HMinus, 85, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_GPlus, 86, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_H1, 87, check)
    call createCurrent(P_A, P_WMinus, P_H2, P_HPlus, 88, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 89, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, 90, check)
    call createCurrent(P_WMinus, P_GPlus, P_H1, 91, check)
    call createCurrent(P_WMinus, P_H2, P_HPlus, 92, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 93, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_GMinus, 94, check)
    call createCurrent(P_WPlus, P_WMinus, P_H1, P_H1, 95, check)
    call createCurrent(P_WPlus, P_WMinus, P_H2, P_H2, 96, check)
    call createCurrent(P_WPlus, P_WMinus, P_HPlus, P_HMinus, 97, check)
    call createCurrent(P_WPlus, P_WMinus, P_H1, 98, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 99, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 100, check)
    call createCurrent(P_WMinus, P_WMinus, P_HPlus, P_HPlus, 101, check)
    call createCurrent(P_WPlus, P_WPlus, P_WMinus, P_WMinus, 102, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 103, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GPlus, 104, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 105, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_GMinus, 106, check)
    call createCurrent(P_A, P_Z, P_HPlus, P_HMinus, 107, check)
    call createCurrent(P_Z, P_G0, P_H1, 108, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 109, check)
    call createCurrent(P_Z, P_HPlus, P_HMinus, 110, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_GMinus, 111, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_H1, 112, check)
    call createCurrent(P_WPlus, P_Z, P_H2, P_HMinus, 113, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 114, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 115, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_H1, 116, check)
    call createCurrent(P_WMinus, P_Z, P_H2, P_HPlus, 117, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, 118, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_Z, 119, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 120, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 121, check)
    call createCurrent(P_Z, P_Z, P_H1, P_H1, 122, check)
    call createCurrent(P_Z, P_Z, P_HPlus, P_HMinus, 123, check)
    call createCurrent(P_Z, P_Z, P_H1, 124, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 125, check)
    call createCurrent(P_eMinus, P_ePlus, P_A, 126, check)
    call createCurrent(P_muMinus, P_muPlus, P_A, 127, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 128, check)
    call createCurrent(P_u, P_uAnti, P_A, 129, check)
    call createCurrent(P_c, P_cAnti, P_A, 130, check)
    call createCurrent(P_t, P_tAnti, P_A, 131, check)
    call createCurrent(P_d, P_dAnti, P_A, 132, check)
    call createCurrent(P_s, P_sAnti, P_A, 133, check)
    call createCurrent(P_b, P_bAnti, P_A, 134, check)
    call createCurrent(P_u, P_uAnti, P_g, 135, check)
    call createCurrent(P_c, P_cAnti, P_g, 136, check)
    call createCurrent(P_t, P_tAnti, P_g, 137, check)
    call createCurrent(P_d, P_dAnti, P_g, 138, check)
    call createCurrent(P_s, P_sAnti, P_g, 139, check)
    call createCurrent(P_b, P_bAnti, P_g, 140, check)
    call createCurrent(P_d, P_uAnti, P_WPlus, 141, check)
    call createCurrent(P_s, P_cAnti, P_WPlus, 142, check)
    call createCurrent(P_b, P_tAnti, P_WPlus, 143, check)
    call createCurrent(P_u, P_dAnti, P_WMinus, 144, check)
    call createCurrent(P_c, P_sAnti, P_WMinus, 145, check)
    call createCurrent(P_t, P_bAnti, P_WMinus, 146, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 147, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WPlus, 148, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 149, check)
    call createCurrent(P_nu_e, P_ePlus, P_WMinus, 150, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 151, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 152, check)
    call createCurrent(P_u, P_uAnti, P_Z, 153, check)
    call createCurrent(P_c, P_cAnti, P_Z, 154, check)
    call createCurrent(P_t, P_tAnti, P_Z, 155, check)
    call createCurrent(P_d, P_dAnti, P_Z, 156, check)
    call createCurrent(P_s, P_sAnti, P_Z, 157, check)
    call createCurrent(P_b, P_bAnti, P_Z, 158, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_Z, 159, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_Z, 160, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_Z, 161, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 162, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 163, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 164, check)
    call createCurrent(P_G0, P_H2, P_G0, P_H2, 165, check)
    call createCurrent(P_G0, P_H2, P_H2, P_G0, 166, check)
    call createCurrent(P_H2, P_G0, P_G0, P_H2, 167, check)
    call createCurrent(P_H2, P_G0, P_H2, P_G0, 168, check)
    call createCurrent(P_H2, P_H2, P_G0, P_G0, 169, check)
    call createCurrent(P_GPlus, P_H2, P_GMinus, P_H2, 170, check)
    call createCurrent(P_GPlus, P_H2, P_H2, P_GMinus, 171, check)
    call createCurrent(P_GMinus, P_GPlus, P_H2, P_H2, 172, check)
    call createCurrent(P_GMinus, P_H2, P_GPlus, P_H2, 173, check)
    call createCurrent(P_GMinus, P_H2, P_H2, P_GPlus, 174, check)
    call createCurrent(P_H2, P_GPlus, P_GMinus, P_H2, 175, check)
    call createCurrent(P_H2, P_GPlus, P_H2, P_GMinus, 176, check)
    call createCurrent(P_H2, P_GMinus, P_GPlus, P_H2, 177, check)
    call createCurrent(P_H2, P_GMinus, P_H2, P_GPlus, 178, check)
    call createCurrent(P_H2, P_H2, P_GPlus, P_GMinus, 179, check)
    call createCurrent(P_H2, P_H2, P_GMinus, P_GPlus, 180, check)
    call createCurrent(P_H1, P_H2, P_H1, P_H2, 181, check)
    call createCurrent(P_H1, P_H2, P_H2, P_H1, 182, check)
    call createCurrent(P_H2, P_H1, P_H1, P_H2, 183, check)
    call createCurrent(P_H2, P_H1, P_H2, P_H1, 184, check)
    call createCurrent(P_H2, P_H2, P_H1, P_H1, 185, check)
    call createCurrent(P_G0, P_G0, P_HMinus, P_HPlus, 186, check)
    call createCurrent(P_G0, P_HPlus, P_G0, P_HMinus, 187, check)
    call createCurrent(P_G0, P_HPlus, P_HMinus, P_G0, 188, check)
    call createCurrent(P_G0, P_HMinus, P_G0, P_HPlus, 189, check)
    call createCurrent(P_G0, P_HMinus, P_HPlus, P_G0, 190, check)
    call createCurrent(P_HPlus, P_G0, P_G0, P_HMinus, 191, check)
    call createCurrent(P_HPlus, P_G0, P_HMinus, P_G0, 192, check)
    call createCurrent(P_HPlus, P_HMinus, P_G0, P_G0, 193, check)
    call createCurrent(P_HMinus, P_G0, P_G0, P_HPlus, 194, check)
    call createCurrent(P_HMinus, P_G0, P_HPlus, P_G0, 195, check)
    call createCurrent(P_HMinus, P_HPlus, P_G0, P_G0, 196, check)
    call createCurrent(P_HPlus, P_GPlus, P_HMinus, P_GMinus, 197, check)
    call createCurrent(P_HPlus, P_GPlus, P_GMinus, P_HMinus, 198, check)
    call createCurrent(P_HPlus, P_HMinus, P_GPlus, P_GMinus, 199, check)
    call createCurrent(P_HPlus, P_HMinus, P_GMinus, P_GPlus, 200, check)
    call createCurrent(P_HPlus, P_GMinus, P_GPlus, P_HMinus, 201, check)
    call createCurrent(P_HPlus, P_GMinus, P_HMinus, P_GPlus, 202, check)
    call createCurrent(P_GPlus, P_HPlus, P_HMinus, P_GMinus, 203, check)
    call createCurrent(P_GPlus, P_HPlus, P_GMinus, P_HMinus, 204, check)
    call createCurrent(P_GPlus, P_HMinus, P_HPlus, P_GMinus, 205, check)
    call createCurrent(P_GPlus, P_HMinus, P_GMinus, P_HPlus, 206, check)
    call createCurrent(P_GPlus, P_GMinus, P_HMinus, P_HPlus, 207, check)
    call createCurrent(P_HMinus, P_HPlus, P_GPlus, P_GMinus, 208, check)
    call createCurrent(P_HMinus, P_HPlus, P_GMinus, P_GPlus, 209, check)
    call createCurrent(P_HMinus, P_GPlus, P_HPlus, P_GMinus, 210, check)
    call createCurrent(P_HMinus, P_GPlus, P_GMinus, P_HPlus, 211, check)
    call createCurrent(P_HMinus, P_GMinus, P_HPlus, P_GPlus, 212, check)
    call createCurrent(P_HMinus, P_GMinus, P_GPlus, P_HPlus, 213, check)
    call createCurrent(P_GMinus, P_HPlus, P_GPlus, P_HMinus, 214, check)
    call createCurrent(P_GMinus, P_HPlus, P_HMinus, P_GPlus, 215, check)
    call createCurrent(P_GMinus, P_GPlus, P_HPlus, P_HMinus, 216, check)
    call createCurrent(P_GMinus, P_GPlus, P_HMinus, P_HPlus, 217, check)
    call createCurrent(P_GMinus, P_HMinus, P_HPlus, P_GPlus, 218, check)
    call createCurrent(P_GMinus, P_HMinus, P_GPlus, P_HPlus, 219, check)
    call createCurrent(P_HPlus, P_H1, P_H1, P_HMinus, 220, check)
    call createCurrent(P_HPlus, P_H1, P_HMinus, P_H1, 221, check)
    call createCurrent(P_HPlus, P_HMinus, P_H1, P_H1, 222, check)
    call createCurrent(P_H1, P_HPlus, P_H1, P_HMinus, 223, check)
    call createCurrent(P_H1, P_HPlus, P_HMinus, P_H1, 224, check)
    call createCurrent(P_H1, P_H1, P_HMinus, P_HPlus, 225, check)
    call createCurrent(P_H1, P_HMinus, P_HPlus, P_H1, 226, check)
    call createCurrent(P_H1, P_HMinus, P_H1, P_HPlus, 227, check)
    call createCurrent(P_HMinus, P_HPlus, P_H1, P_H1, 228, check)
    call createCurrent(P_HMinus, P_H1, P_HPlus, P_H1, 229, check)
    call createCurrent(P_HMinus, P_H1, P_H1, P_HPlus, 230, check)
    call createCurrent(P_HPlus, P_HMinus, P_H2, P_H2, 231, check)
    call createCurrent(P_HPlus, P_H2, P_HMinus, P_H2, 232, check)
    call createCurrent(P_HPlus, P_H2, P_H2, P_HMinus, 233, check)
    call createCurrent(P_HMinus, P_HPlus, P_H2, P_H2, 234, check)
    call createCurrent(P_HMinus, P_H2, P_HPlus, P_H2, 235, check)
    call createCurrent(P_HMinus, P_H2, P_H2, P_HPlus, 236, check)
    call createCurrent(P_H2, P_HPlus, P_HMinus, P_H2, 237, check)
    call createCurrent(P_H2, P_HPlus, P_H2, P_HMinus, 238, check)
    call createCurrent(P_H2, P_HMinus, P_HPlus, P_H2, 239, check)
    call createCurrent(P_H2, P_HMinus, P_H2, P_HPlus, 240, check)
    call createCurrent(P_H2, P_H2, P_HMinus, P_HPlus, 241, check)
    call createCurrent(P_HPlus, P_HMinus, P_HPlus, P_HMinus, 242, check)
    call createCurrent(P_HPlus, P_HMinus, P_HMinus, P_HPlus, 243, check)
    call createCurrent(P_HMinus, P_HPlus, P_HPlus, P_HMinus, 244, check)
    call createCurrent(P_HMinus, P_HPlus, P_HMinus, P_HPlus, 245, check)
    call createCurrent(P_HMinus, P_HMinus, P_HPlus, P_HPlus, 246, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 247, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_GMinus, 248, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 249, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 250, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 251, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 252, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_G0, 253, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 254, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 255, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_G0, 256, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 257, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_GMinus, 258, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 259, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_GMinus, 260, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 261, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_GPlus, 262, check)
    call createCurrent(P_G0, P_H1, P_G0, P_H1, 263, check)
    call createCurrent(P_G0, P_H1, P_H1, P_G0, 264, check)
    call createCurrent(P_H1, P_G0, P_G0, P_H1, 265, check)
    call createCurrent(P_H1, P_G0, P_H1, P_G0, 266, check)
    call createCurrent(P_H1, P_H1, P_G0, P_G0, 267, check)
    call createCurrent(P_GPlus, P_H1, P_H1, P_GMinus, 268, check)
    call createCurrent(P_GPlus, P_H1, P_GMinus, P_H1, 269, check)
    call createCurrent(P_H1, P_GPlus, P_H1, P_GMinus, 270, check)
    call createCurrent(P_H1, P_GPlus, P_GMinus, P_H1, 271, check)
    call createCurrent(P_H1, P_H1, P_GPlus, P_GMinus, 272, check)
    call createCurrent(P_H1, P_H1, P_GMinus, P_GPlus, 273, check)
    call createCurrent(P_H1, P_GMinus, P_GPlus, P_H1, 274, check)
    call createCurrent(P_H1, P_GMinus, P_H1, P_GPlus, 275, check)
    call createCurrent(P_GMinus, P_GPlus, P_H1, P_H1, 276, check)
    call createCurrent(P_GMinus, P_H1, P_GPlus, P_H1, 277, check)
    call createCurrent(P_GMinus, P_H1, P_H1, P_GPlus, 278, check)
    call createCurrent(P_H2, P_H1, P_H2, 279, check)
    call createCurrent(P_H2, P_H2, P_H1, 280, check)
    call createCurrent(P_HPlus, P_H1, P_HMinus, 281, check)
    call createCurrent(P_HPlus, P_HMinus, P_H1, 282, check)
    call createCurrent(P_H1, P_HMinus, P_HPlus, 283, check)
    call createCurrent(P_HMinus, P_HPlus, P_H1, 284, check)
    call createCurrent(P_HMinus, P_H1, P_HPlus, 285, check)
    call createCurrent(P_G0, P_H1, P_G0, 286, check)
    call createCurrent(P_H1, P_G0, P_G0, 287, check)
    call createCurrent(P_GPlus, P_H1, P_GMinus, 288, check)
    call createCurrent(P_H1, P_GPlus, P_GMinus, 289, check)
    call createCurrent(P_H1, P_GMinus, P_GPlus, 290, check)
    call createCurrent(P_GMinus, P_GPlus, P_H1, 291, check)
    call createCurrent(P_GMinus, P_H1, P_GPlus, 292, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 293, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 294, check)
    call createCurrent(P_GPlus, P_A, P_A, P_GMinus, 295, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_A, 296, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 297, check)
    call createCurrent(P_GMinus, P_A, P_A, P_GPlus, 298, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 299, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 300, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_A, 301, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 302, check)
    call createCurrent(P_A, P_A, P_GMinus, P_GPlus, 303, check)
    call createCurrent(P_HPlus, P_HMinus, P_A, P_A, 304, check)
    call createCurrent(P_HPlus, P_A, P_HMinus, P_A, 305, check)
    call createCurrent(P_HPlus, P_A, P_A, P_HMinus, 306, check)
    call createCurrent(P_HMinus, P_HPlus, P_A, P_A, 307, check)
    call createCurrent(P_HMinus, P_A, P_HPlus, P_A, 308, check)
    call createCurrent(P_HMinus, P_A, P_A, P_HPlus, 309, check)
    call createCurrent(P_A, P_HPlus, P_HMinus, P_A, 310, check)
    call createCurrent(P_A, P_HPlus, P_A, P_HMinus, 311, check)
    call createCurrent(P_A, P_HMinus, P_HPlus, P_A, 312, check)
    call createCurrent(P_A, P_HMinus, P_A, P_HPlus, 313, check)
    call createCurrent(P_A, P_A, P_HMinus, P_HPlus, 314, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 315, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, 316, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 317, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 318, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 319, check)
    call createCurrent(P_HPlus, P_HMinus, P_A, 320, check)
    call createCurrent(P_HPlus, P_A, P_HMinus, 321, check)
    call createCurrent(P_HMinus, P_HPlus, P_A, 322, check)
    call createCurrent(P_HMinus, P_A, P_HPlus, 323, check)
    call createCurrent(P_A, P_HMinus, P_HPlus, 324, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, 325, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 326, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 327, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 328, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 329, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, 330, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 331, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, 332, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, 333, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 334, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 335, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, 336, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 337, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 338, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 339, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, 340, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 341, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, 342, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 343, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 344, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, 345, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, 346, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, 347, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, 348, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, 349, check)
    call createCurrent(P_ghWm, P_H1, P_ghWmAnti, 350, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_H1, 351, check)
    call createCurrent(P_H1, P_ghWm, P_ghWmAnti, 352, check)
    call createCurrent(P_H1, P_ghWmAnti, P_ghWm, 353, check)
    call createCurrent(P_ghWmAnti, P_H1, P_ghWm, 354, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 355, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 356, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 357, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, 358, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 359, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, 360, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 361, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 362, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 363, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, 364, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, 365, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 366, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 367, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, 368, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 369, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 370, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 371, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 372, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 373, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 374, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, 375, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 376, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 377, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, 378, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 379, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 380, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 381, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 382, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, 383, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 384, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, 385, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, 386, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, 387, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, 388, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, 389, check)
    call createCurrent(P_H1, P_ghWp, P_ghWpAnti, 390, check)
    call createCurrent(P_H1, P_ghWpAnti, P_ghWp, 391, check)
    call createCurrent(P_ghWp, P_H1, P_ghWpAnti, 392, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_H1, 393, check)
    call createCurrent(P_ghWpAnti, P_H1, P_ghWp, 394, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 395, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, 396, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 397, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, 398, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, 399, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 400, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 401, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, 402, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, 403, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, 404, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, 405, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 406, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 407, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 408, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, 409, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, 410, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 411, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 412, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 413, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, 414, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 415, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 416, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, 417, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, 418, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 419, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 420, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, 421, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, 422, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 423, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, 424, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 425, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 426, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, 427, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 428, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, 429, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 430, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, 431, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 432, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, 433, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 434, check)
    call createCurrent(P_ghZAnti, P_H1, P_ghZ, 435, check)
    call createCurrent(P_H1, P_ghZAnti, P_ghZ, 436, check)
    call createCurrent(P_H1, P_ghZ, P_ghZAnti, 437, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_H1, 438, check)
    call createCurrent(P_ghZ, P_H1, P_ghZAnti, 439, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 440, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 441, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, 442, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 443, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 444, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 445, check)
    call createCurrent(P_dAnti, P_u, P_GMinus, 446, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 447, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 448, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 449, check)
    call createCurrent(P_sAnti, P_c, P_GMinus, 450, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 451, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 452, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 453, check)
    call createCurrent(P_GMinus, P_c, P_sAnti, 454, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 455, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 456, check)
    call createCurrent(P_GMinus, P_bAnti, P_t, 457, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 458, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 459, check)
    call createCurrent(P_d, P_G0, P_dAnti, 460, check)
    call createCurrent(P_G0, P_d, P_dAnti, 461, check)
    call createCurrent(P_G0, P_dAnti, P_d, 462, check)
    call createCurrent(P_dAnti, P_d, P_G0, 463, check)
    call createCurrent(P_dAnti, P_G0, P_d, 464, check)
    call createCurrent(P_G0, P_sAnti, P_s, 465, check)
    call createCurrent(P_G0, P_s, P_sAnti, 466, check)
    call createCurrent(P_sAnti, P_G0, P_s, 467, check)
    call createCurrent(P_sAnti, P_s, P_G0, 468, check)
    call createCurrent(P_s, P_G0, P_sAnti, 469, check)
    call createCurrent(P_G0, P_b, P_bAnti, 470, check)
    call createCurrent(P_G0, P_bAnti, P_b, 471, check)
    call createCurrent(P_b, P_G0, P_bAnti, 472, check)
    call createCurrent(P_bAnti, P_G0, P_b, 473, check)
    call createCurrent(P_bAnti, P_b, P_G0, 474, check)
    call createCurrent(P_d, P_H1, P_dAnti, 475, check)
    call createCurrent(P_H1, P_d, P_dAnti, 476, check)
    call createCurrent(P_H1, P_dAnti, P_d, 477, check)
    call createCurrent(P_dAnti, P_d, P_H1, 478, check)
    call createCurrent(P_dAnti, P_H1, P_d, 479, check)
    call createCurrent(P_sAnti, P_H1, P_s, 480, check)
    call createCurrent(P_sAnti, P_s, P_H1, 481, check)
    call createCurrent(P_H1, P_sAnti, P_s, 482, check)
    call createCurrent(P_H1, P_s, P_sAnti, 483, check)
    call createCurrent(P_s, P_H1, P_sAnti, 484, check)
    call createCurrent(P_H1, P_b, P_bAnti, 485, check)
    call createCurrent(P_H1, P_bAnti, P_b, 486, check)
    call createCurrent(P_b, P_H1, P_bAnti, 487, check)
    call createCurrent(P_bAnti, P_H1, P_b, 488, check)
    call createCurrent(P_bAnti, P_b, P_H1, 489, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 490, check)
    call createCurrent(P_ePlus, P_nu_e, P_GMinus, 491, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 492, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 493, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 494, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 495, check)
    call createCurrent(P_muPlus, P_GMinus, P_nu_mu, 496, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 497, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 498, check)
    call createCurrent(P_GMinus, P_nu_mu, P_muPlus, 499, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 500, check)
    call createCurrent(P_GMinus, P_nu_tau, P_tauPlus, 501, check)
    call createCurrent(P_GMinus, P_tauPlus, P_nu_tau, 502, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 503, check)
    call createCurrent(P_tauPlus, P_GMinus, P_nu_tau, 504, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 505, check)
    call createCurrent(P_G0, P_eMinus, P_ePlus, 506, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 507, check)
    call createCurrent(P_ePlus, P_eMinus, P_G0, 508, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 509, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 510, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 511, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 512, check)
    call createCurrent(P_muPlus, P_muMinus, P_G0, 513, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 514, check)
    call createCurrent(P_G0, P_tauMinus, P_tauPlus, 515, check)
    call createCurrent(P_G0, P_tauPlus, P_tauMinus, 516, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 517, check)
    call createCurrent(P_tauPlus, P_G0, P_tauMinus, 518, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 519, check)
    call createCurrent(P_eMinus, P_H1, P_ePlus, 520, check)
    call createCurrent(P_H1, P_eMinus, P_ePlus, 521, check)
    call createCurrent(P_H1, P_ePlus, P_eMinus, 522, check)
    call createCurrent(P_ePlus, P_eMinus, P_H1, 523, check)
    call createCurrent(P_ePlus, P_H1, P_eMinus, 524, check)
    call createCurrent(P_muPlus, P_H1, P_muMinus, 525, check)
    call createCurrent(P_muPlus, P_muMinus, P_H1, 526, check)
    call createCurrent(P_H1, P_muPlus, P_muMinus, 527, check)
    call createCurrent(P_H1, P_muMinus, P_muPlus, 528, check)
    call createCurrent(P_muMinus, P_H1, P_muPlus, 529, check)
    call createCurrent(P_H1, P_tauMinus, P_tauPlus, 530, check)
    call createCurrent(P_H1, P_tauPlus, P_tauMinus, 531, check)
    call createCurrent(P_tauMinus, P_H1, P_tauPlus, 532, check)
    call createCurrent(P_tauPlus, P_H1, P_tauMinus, 533, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_H1, 534, check)
    call createCurrent(P_d, P_GPlus, P_uAnti, 535, check)
    call createCurrent(P_GPlus, P_d, P_uAnti, 536, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 537, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 538, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 539, check)
    call createCurrent(P_GPlus, P_s, P_cAnti, 540, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 541, check)
    call createCurrent(P_s, P_GPlus, P_cAnti, 542, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 543, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 544, check)
    call createCurrent(P_GPlus, P_b, P_tAnti, 545, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 546, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 547, check)
    call createCurrent(P_tAnti, P_GPlus, P_b, 548, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 549, check)
    call createCurrent(P_G0, P_u, P_uAnti, 550, check)
    call createCurrent(P_G0, P_uAnti, P_u, 551, check)
    call createCurrent(P_u, P_G0, P_uAnti, 552, check)
    call createCurrent(P_uAnti, P_G0, P_u, 553, check)
    call createCurrent(P_uAnti, P_u, P_G0, 554, check)
    call createCurrent(P_G0, P_c, P_cAnti, 555, check)
    call createCurrent(P_G0, P_cAnti, P_c, 556, check)
    call createCurrent(P_c, P_G0, P_cAnti, 557, check)
    call createCurrent(P_cAnti, P_G0, P_c, 558, check)
    call createCurrent(P_cAnti, P_c, P_G0, 559, check)
    call createCurrent(P_G0, P_t, P_tAnti, 560, check)
    call createCurrent(P_G0, P_tAnti, P_t, 561, check)
    call createCurrent(P_t, P_G0, P_tAnti, 562, check)
    call createCurrent(P_tAnti, P_G0, P_t, 563, check)
    call createCurrent(P_tAnti, P_t, P_G0, 564, check)
    call createCurrent(P_u, P_H1, P_uAnti, 565, check)
    call createCurrent(P_H1, P_u, P_uAnti, 566, check)
    call createCurrent(P_H1, P_uAnti, P_u, 567, check)
    call createCurrent(P_uAnti, P_u, P_H1, 568, check)
    call createCurrent(P_uAnti, P_H1, P_u, 569, check)
    call createCurrent(P_H1, P_c, P_cAnti, 570, check)
    call createCurrent(P_H1, P_cAnti, P_c, 571, check)
    call createCurrent(P_c, P_H1, P_cAnti, 572, check)
    call createCurrent(P_cAnti, P_H1, P_c, 573, check)
    call createCurrent(P_cAnti, P_c, P_H1, 574, check)
    call createCurrent(P_t, P_H1, P_tAnti, 575, check)
    call createCurrent(P_H1, P_t, P_tAnti, 576, check)
    call createCurrent(P_H1, P_tAnti, P_t, 577, check)
    call createCurrent(P_tAnti, P_t, P_H1, 578, check)
    call createCurrent(P_tAnti, P_H1, P_t, 579, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 580, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 581, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_A, 582, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 583, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 584, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 585, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 586, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 587, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 588, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_G0, 589, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_GMinus, 590, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 591, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_A, 592, check)
    call createCurrent(P_GMinus, P_G0, P_A, P_WPlus, 593, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 594, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_G0, 595, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 596, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 597, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 598, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_GMinus, 599, check)
    call createCurrent(P_A, P_GMinus, P_G0, P_WPlus, 600, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_G0, 601, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 602, check)
    call createCurrent(P_H1, P_WPlus, P_GMinus, P_A, 603, check)
    call createCurrent(P_H1, P_WPlus, P_A, P_GMinus, 604, check)
    call createCurrent(P_H1, P_GMinus, P_WPlus, P_A, 605, check)
    call createCurrent(P_H1, P_GMinus, P_A, P_WPlus, 606, check)
    call createCurrent(P_H1, P_A, P_GMinus, P_WPlus, 607, check)
    call createCurrent(P_H1, P_A, P_WPlus, P_GMinus, 608, check)
    call createCurrent(P_WPlus, P_H1, P_GMinus, P_A, 609, check)
    call createCurrent(P_WPlus, P_H1, P_A, P_GMinus, 610, check)
    call createCurrent(P_WPlus, P_GMinus, P_H1, P_A, 611, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_H1, 612, check)
    call createCurrent(P_WPlus, P_A, P_H1, P_GMinus, 613, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_H1, 614, check)
    call createCurrent(P_GMinus, P_H1, P_WPlus, P_A, 615, check)
    call createCurrent(P_GMinus, P_H1, P_A, P_WPlus, 616, check)
    call createCurrent(P_GMinus, P_WPlus, P_H1, P_A, 617, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_H1, 618, check)
    call createCurrent(P_GMinus, P_A, P_H1, P_WPlus, 619, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_H1, 620, check)
    call createCurrent(P_A, P_H1, P_GMinus, P_WPlus, 621, check)
    call createCurrent(P_A, P_H1, P_WPlus, P_GMinus, 622, check)
    call createCurrent(P_A, P_GMinus, P_H1, P_WPlus, 623, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_H1, 624, check)
    call createCurrent(P_A, P_WPlus, P_H1, P_GMinus, 625, check)
    call createCurrent(P_H2, P_WPlus, P_HMinus, P_A, 626, check)
    call createCurrent(P_H2, P_WPlus, P_A, P_HMinus, 627, check)
    call createCurrent(P_H2, P_HMinus, P_WPlus, P_A, 628, check)
    call createCurrent(P_H2, P_HMinus, P_A, P_WPlus, 629, check)
    call createCurrent(P_H2, P_A, P_HMinus, P_WPlus, 630, check)
    call createCurrent(P_H2, P_A, P_WPlus, P_HMinus, 631, check)
    call createCurrent(P_WPlus, P_H2, P_HMinus, P_A, 632, check)
    call createCurrent(P_WPlus, P_H2, P_A, P_HMinus, 633, check)
    call createCurrent(P_WPlus, P_HMinus, P_H2, P_A, 634, check)
    call createCurrent(P_WPlus, P_HMinus, P_A, P_H2, 635, check)
    call createCurrent(P_WPlus, P_A, P_HMinus, P_H2, 636, check)
    call createCurrent(P_WPlus, P_A, P_H2, P_HMinus, 637, check)
    call createCurrent(P_HMinus, P_H2, P_WPlus, P_A, 638, check)
    call createCurrent(P_HMinus, P_H2, P_A, P_WPlus, 639, check)
    call createCurrent(P_HMinus, P_WPlus, P_H2, P_A, 640, check)
    call createCurrent(P_HMinus, P_WPlus, P_A, P_H2, 641, check)
    call createCurrent(P_HMinus, P_A, P_WPlus, P_H2, 642, check)
    call createCurrent(P_HMinus, P_A, P_H2, P_WPlus, 643, check)
    call createCurrent(P_A, P_WPlus, P_HMinus, P_H2, 644, check)
    call createCurrent(P_A, P_HMinus, P_WPlus, P_H2, 645, check)
    call createCurrent(P_A, P_HMinus, P_H2, P_WPlus, 646, check)
    call createCurrent(P_A, P_H2, P_HMinus, P_WPlus, 647, check)
    call createCurrent(P_A, P_H2, P_WPlus, P_HMinus, 648, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, 649, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 650, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, 651, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, 652, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 653, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 654, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 655, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 656, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, 657, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, 658, check)
    call createCurrent(P_H1, P_GMinus, P_WPlus, 659, check)
    call createCurrent(P_H1, P_WPlus, P_GMinus, 660, check)
    call createCurrent(P_GMinus, P_H1, P_WPlus, 661, check)
    call createCurrent(P_GMinus, P_WPlus, P_H1, 662, check)
    call createCurrent(P_WPlus, P_H1, P_GMinus, 663, check)
    call createCurrent(P_H2, P_HMinus, P_WPlus, 664, check)
    call createCurrent(P_H2, P_WPlus, P_HMinus, 665, check)
    call createCurrent(P_HMinus, P_H2, P_WPlus, 666, check)
    call createCurrent(P_HMinus, P_WPlus, P_H2, 667, check)
    call createCurrent(P_WPlus, P_HMinus, P_H2, 668, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 669, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, 670, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 671, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 672, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, 673, check)
    call createCurrent(P_HMinus, P_HMinus, P_WPlus, P_WPlus, 674, check)
    call createCurrent(P_HMinus, P_WPlus, P_HMinus, P_WPlus, 675, check)
    call createCurrent(P_HMinus, P_WPlus, P_WPlus, P_HMinus, 676, check)
    call createCurrent(P_WPlus, P_HMinus, P_HMinus, P_WPlus, 677, check)
    call createCurrent(P_WPlus, P_HMinus, P_WPlus, P_HMinus, 678, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_A, 679, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 680, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 681, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_GPlus, 682, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 683, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_GPlus, 684, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 685, check)
    call createCurrent(P_GPlus, P_G0, P_A, P_WMinus, 686, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 687, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_G0, 688, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 689, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_G0, 690, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 691, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_GPlus, 692, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_A, 693, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 694, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_GPlus, 695, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_G0, 696, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 697, check)
    call createCurrent(P_A, P_G0, P_WMinus, P_GPlus, 698, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 699, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_G0, 700, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_G0, 701, check)
    call createCurrent(P_GPlus, P_H1, P_WMinus, P_A, 702, check)
    call createCurrent(P_GPlus, P_H1, P_A, P_WMinus, 703, check)
    call createCurrent(P_GPlus, P_WMinus, P_H1, P_A, 704, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_H1, 705, check)
    call createCurrent(P_GPlus, P_A, P_H1, P_WMinus, 706, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_H1, 707, check)
    call createCurrent(P_H1, P_GPlus, P_WMinus, P_A, 708, check)
    call createCurrent(P_H1, P_GPlus, P_A, P_WMinus, 709, check)
    call createCurrent(P_H1, P_WMinus, P_GPlus, P_A, 710, check)
    call createCurrent(P_H1, P_WMinus, P_A, P_GPlus, 711, check)
    call createCurrent(P_H1, P_A, P_GPlus, P_WMinus, 712, check)
    call createCurrent(P_H1, P_A, P_WMinus, P_GPlus, 713, check)
    call createCurrent(P_WMinus, P_GPlus, P_H1, P_A, 714, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_H1, 715, check)
    call createCurrent(P_WMinus, P_H1, P_GPlus, P_A, 716, check)
    call createCurrent(P_WMinus, P_H1, P_A, P_GPlus, 717, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_H1, 718, check)
    call createCurrent(P_WMinus, P_A, P_H1, P_GPlus, 719, check)
    call createCurrent(P_A, P_GPlus, P_H1, P_WMinus, 720, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_H1, 721, check)
    call createCurrent(P_A, P_H1, P_GPlus, P_WMinus, 722, check)
    call createCurrent(P_A, P_H1, P_WMinus, P_GPlus, 723, check)
    call createCurrent(P_A, P_WMinus, P_H1, P_GPlus, 724, check)
    call createCurrent(P_H2, P_HPlus, P_WMinus, P_A, 725, check)
    call createCurrent(P_H2, P_HPlus, P_A, P_WMinus, 726, check)
    call createCurrent(P_H2, P_WMinus, P_HPlus, P_A, 727, check)
    call createCurrent(P_H2, P_WMinus, P_A, P_HPlus, 728, check)
    call createCurrent(P_H2, P_A, P_HPlus, P_WMinus, 729, check)
    call createCurrent(P_H2, P_A, P_WMinus, P_HPlus, 730, check)
    call createCurrent(P_HPlus, P_H2, P_WMinus, P_A, 731, check)
    call createCurrent(P_HPlus, P_H2, P_A, P_WMinus, 732, check)
    call createCurrent(P_HPlus, P_WMinus, P_H2, P_A, 733, check)
    call createCurrent(P_HPlus, P_WMinus, P_A, P_H2, 734, check)
    call createCurrent(P_HPlus, P_A, P_WMinus, P_H2, 735, check)
    call createCurrent(P_HPlus, P_A, P_H2, P_WMinus, 736, check)
    call createCurrent(P_WMinus, P_H2, P_HPlus, P_A, 737, check)
    call createCurrent(P_WMinus, P_H2, P_A, P_HPlus, 738, check)
    call createCurrent(P_WMinus, P_HPlus, P_H2, P_A, 739, check)
    call createCurrent(P_WMinus, P_HPlus, P_A, P_H2, 740, check)
    call createCurrent(P_WMinus, P_A, P_HPlus, P_H2, 741, check)
    call createCurrent(P_WMinus, P_A, P_H2, P_HPlus, 742, check)
    call createCurrent(P_A, P_HPlus, P_WMinus, P_H2, 743, check)
    call createCurrent(P_A, P_HPlus, P_H2, P_WMinus, 744, check)
    call createCurrent(P_A, P_WMinus, P_HPlus, P_H2, 745, check)
    call createCurrent(P_A, P_H2, P_HPlus, P_WMinus, 746, check)
    call createCurrent(P_A, P_H2, P_WMinus, P_HPlus, 747, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, 748, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 749, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, 750, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, 751, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, 752, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, 753, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 754, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, 755, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 756, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 757, check)
    call createCurrent(P_GPlus, P_H1, P_WMinus, 758, check)
    call createCurrent(P_GPlus, P_WMinus, P_H1, 759, check)
    call createCurrent(P_H1, P_GPlus, P_WMinus, 760, check)
    call createCurrent(P_H1, P_WMinus, P_GPlus, 761, check)
    call createCurrent(P_WMinus, P_H1, P_GPlus, 762, check)
    call createCurrent(P_HPlus, P_WMinus, P_H2, 763, check)
    call createCurrent(P_HPlus, P_H2, P_WMinus, 764, check)
    call createCurrent(P_WMinus, P_HPlus, P_H2, 765, check)
    call createCurrent(P_H2, P_HPlus, P_WMinus, 766, check)
    call createCurrent(P_H2, P_WMinus, P_HPlus, 767, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 768, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 769, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 770, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_G0, 771, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 772, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 773, check)
    call createCurrent(P_WMinus, P_G0, P_G0, P_WPlus, 774, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 775, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 776, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 777, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 778, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 779, check)
    call createCurrent(P_GPlus, P_GMinus, P_WPlus, P_WMinus, 780, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 781, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 782, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 783, check)
    call createCurrent(P_GPlus, P_WPlus, P_GMinus, P_WMinus, 784, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 785, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 786, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 787, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 788, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 789, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 790, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 791, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_GMinus, 792, check)
    call createCurrent(P_WMinus, P_GMinus, P_GPlus, P_WPlus, 793, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 794, check)
    call createCurrent(P_WMinus, P_WPlus, P_GPlus, P_GMinus, 795, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 796, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 797, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_GMinus, 798, check)
    call createCurrent(P_WPlus, P_GPlus, P_GMinus, P_WMinus, 799, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 800, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 801, check)
    call createCurrent(P_H1, P_H1, P_WMinus, P_WPlus, 802, check)
    call createCurrent(P_H1, P_H1, P_WPlus, P_WMinus, 803, check)
    call createCurrent(P_H1, P_WMinus, P_H1, P_WPlus, 804, check)
    call createCurrent(P_H1, P_WMinus, P_WPlus, P_H1, 805, check)
    call createCurrent(P_H1, P_WPlus, P_H1, P_WMinus, 806, check)
    call createCurrent(P_H1, P_WPlus, P_WMinus, P_H1, 807, check)
    call createCurrent(P_WMinus, P_H1, P_H1, P_WPlus, 808, check)
    call createCurrent(P_WMinus, P_H1, P_WPlus, P_H1, 809, check)
    call createCurrent(P_WMinus, P_WPlus, P_H1, P_H1, 810, check)
    call createCurrent(P_WPlus, P_H1, P_H1, P_WMinus, 811, check)
    call createCurrent(P_WPlus, P_H1, P_WMinus, P_H1, 812, check)
    call createCurrent(P_H2, P_H2, P_WMinus, P_WPlus, 813, check)
    call createCurrent(P_H2, P_H2, P_WPlus, P_WMinus, 814, check)
    call createCurrent(P_H2, P_WMinus, P_H2, P_WPlus, 815, check)
    call createCurrent(P_H2, P_WMinus, P_WPlus, P_H2, 816, check)
    call createCurrent(P_H2, P_WPlus, P_WMinus, P_H2, 817, check)
    call createCurrent(P_H2, P_WPlus, P_H2, P_WMinus, 818, check)
    call createCurrent(P_WMinus, P_H2, P_H2, P_WPlus, 819, check)
    call createCurrent(P_WMinus, P_H2, P_WPlus, P_H2, 820, check)
    call createCurrent(P_WMinus, P_WPlus, P_H2, P_H2, 821, check)
    call createCurrent(P_WPlus, P_H2, P_WMinus, P_H2, 822, check)
    call createCurrent(P_WPlus, P_H2, P_H2, P_WMinus, 823, check)
    call createCurrent(P_HPlus, P_HMinus, P_WMinus, P_WPlus, 824, check)
    call createCurrent(P_HPlus, P_HMinus, P_WPlus, P_WMinus, 825, check)
    call createCurrent(P_HPlus, P_WMinus, P_HMinus, P_WPlus, 826, check)
    call createCurrent(P_HPlus, P_WMinus, P_WPlus, P_HMinus, 827, check)
    call createCurrent(P_HPlus, P_WPlus, P_HMinus, P_WMinus, 828, check)
    call createCurrent(P_HPlus, P_WPlus, P_WMinus, P_HMinus, 829, check)
    call createCurrent(P_HMinus, P_HPlus, P_WMinus, P_WPlus, 830, check)
    call createCurrent(P_HMinus, P_HPlus, P_WPlus, P_WMinus, 831, check)
    call createCurrent(P_HMinus, P_WMinus, P_HPlus, P_WPlus, 832, check)
    call createCurrent(P_HMinus, P_WMinus, P_WPlus, P_HPlus, 833, check)
    call createCurrent(P_HMinus, P_WPlus, P_HPlus, P_WMinus, 834, check)
    call createCurrent(P_HMinus, P_WPlus, P_WMinus, P_HPlus, 835, check)
    call createCurrent(P_WMinus, P_HPlus, P_HMinus, P_WPlus, 836, check)
    call createCurrent(P_WMinus, P_HPlus, P_WPlus, P_HMinus, 837, check)
    call createCurrent(P_WMinus, P_HMinus, P_HPlus, P_WPlus, 838, check)
    call createCurrent(P_WMinus, P_HMinus, P_WPlus, P_HPlus, 839, check)
    call createCurrent(P_WMinus, P_WPlus, P_HPlus, P_HMinus, 840, check)
    call createCurrent(P_WMinus, P_WPlus, P_HMinus, P_HPlus, 841, check)
    call createCurrent(P_WPlus, P_HPlus, P_HMinus, P_WMinus, 842, check)
    call createCurrent(P_WPlus, P_HPlus, P_WMinus, P_HMinus, 843, check)
    call createCurrent(P_WPlus, P_HMinus, P_HPlus, P_WMinus, 844, check)
    call createCurrent(P_WPlus, P_HMinus, P_WMinus, P_HPlus, 845, check)
    call createCurrent(P_WPlus, P_WMinus, P_HMinus, P_HPlus, 846, check)
    call createCurrent(P_H1, P_WMinus, P_WPlus, 847, check)
    call createCurrent(P_H1, P_WPlus, P_WMinus, 848, check)
    call createCurrent(P_WMinus, P_H1, P_WPlus, 849, check)
    call createCurrent(P_WMinus, P_WPlus, P_H1, 850, check)
    call createCurrent(P_WPlus, P_H1, P_WMinus, 851, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_A, 852, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_A, 853, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 854, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_A, 855, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 856, check)
    call createCurrent(P_WMinus, P_A, P_A, P_WPlus, 857, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_A, 858, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 859, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 860, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 861, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 862, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, 863, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, 864, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 865, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, 866, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 867, check)
    call createCurrent(P_HPlus, P_HPlus, P_WMinus, P_WMinus, 868, check)
    call createCurrent(P_HPlus, P_WMinus, P_HPlus, P_WMinus, 869, check)
    call createCurrent(P_HPlus, P_WMinus, P_WMinus, P_HPlus, 870, check)
    call createCurrent(P_WMinus, P_HPlus, P_HPlus, P_WMinus, 871, check)
    call createCurrent(P_WMinus, P_HPlus, P_WMinus, P_HPlus, 872, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 873, check)
    call createCurrent(P_WMinus, P_WPlus, P_WMinus, P_WPlus, 874, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 875, check)
    call createCurrent(P_WPlus, P_WMinus, P_WMinus, P_WPlus, 876, check)
    call createCurrent(P_WPlus, P_WMinus, P_WPlus, P_WMinus, 877, check)
    call createCurrent(P_eMinus, P_GPlus, P_nu_eAnti, 878, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GPlus, 879, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 880, check)
    call createCurrent(P_GPlus, P_eMinus, P_nu_eAnti, 881, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 882, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 883, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 884, check)
    call createCurrent(P_muMinus, P_GPlus, P_nu_muAnti, 885, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 886, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 887, check)
    call createCurrent(P_GPlus, P_tauMinus, P_nu_tauAnti, 888, check)
    call createCurrent(P_GPlus, P_nu_tauAnti, P_tauMinus, 889, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 890, check)
    call createCurrent(P_nu_tauAnti, P_GPlus, P_tauMinus, 891, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GPlus, 892, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_A, 893, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 894, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 895, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_Z, 896, check)
    call createCurrent(P_GPlus, P_A, P_Z, P_GMinus, 897, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 898, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_A, 899, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 900, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 901, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 902, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 903, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_GPlus, 904, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 905, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 906, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_A, 907, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 908, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_Z, 909, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 910, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 911, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 912, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 913, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_Z, 914, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 915, check)
    call createCurrent(P_HPlus, P_Z, P_HMinus, P_A, 916, check)
    call createCurrent(P_HPlus, P_Z, P_A, P_HMinus, 917, check)
    call createCurrent(P_HPlus, P_HMinus, P_Z, P_A, 918, check)
    call createCurrent(P_HPlus, P_HMinus, P_A, P_Z, 919, check)
    call createCurrent(P_HPlus, P_A, P_Z, P_HMinus, 920, check)
    call createCurrent(P_HPlus, P_A, P_HMinus, P_Z, 921, check)
    call createCurrent(P_Z, P_HPlus, P_HMinus, P_A, 922, check)
    call createCurrent(P_Z, P_HPlus, P_A, P_HMinus, 923, check)
    call createCurrent(P_Z, P_HMinus, P_HPlus, P_A, 924, check)
    call createCurrent(P_Z, P_HMinus, P_A, P_HPlus, 925, check)
    call createCurrent(P_Z, P_A, P_HPlus, P_HMinus, 926, check)
    call createCurrent(P_Z, P_A, P_HMinus, P_HPlus, 927, check)
    call createCurrent(P_HMinus, P_HPlus, P_Z, P_A, 928, check)
    call createCurrent(P_HMinus, P_HPlus, P_A, P_Z, 929, check)
    call createCurrent(P_HMinus, P_Z, P_HPlus, P_A, 930, check)
    call createCurrent(P_HMinus, P_Z, P_A, P_HPlus, 931, check)
    call createCurrent(P_HMinus, P_A, P_HPlus, P_Z, 932, check)
    call createCurrent(P_HMinus, P_A, P_Z, P_HPlus, 933, check)
    call createCurrent(P_A, P_HPlus, P_Z, P_HMinus, 934, check)
    call createCurrent(P_A, P_HPlus, P_HMinus, P_Z, 935, check)
    call createCurrent(P_A, P_Z, P_HMinus, P_HPlus, 936, check)
    call createCurrent(P_A, P_HMinus, P_HPlus, P_Z, 937, check)
    call createCurrent(P_A, P_HMinus, P_Z, P_HPlus, 938, check)
    call createCurrent(P_G0, P_H1, P_Z, 939, check)
    call createCurrent(P_G0, P_Z, P_H1, 940, check)
    call createCurrent(P_H1, P_G0, P_Z, 941, check)
    call createCurrent(P_H1, P_Z, P_G0, 942, check)
    call createCurrent(P_Z, P_H1, P_G0, 943, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 944, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 945, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 946, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, 947, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 948, check)
    call createCurrent(P_HPlus, P_Z, P_HMinus, 949, check)
    call createCurrent(P_HPlus, P_HMinus, P_Z, 950, check)
    call createCurrent(P_Z, P_HMinus, P_HPlus, 951, check)
    call createCurrent(P_HMinus, P_HPlus, P_Z, 952, check)
    call createCurrent(P_HMinus, P_Z, P_HPlus, 953, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 954, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_GMinus, 955, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 956, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_Z, 957, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 958, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 959, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 960, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 961, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 962, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_G0, 963, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_GMinus, 964, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 965, check)
    call createCurrent(P_GMinus, P_G0, P_Z, P_WPlus, 966, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 967, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 968, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 969, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 970, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 971, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 972, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_Z, 973, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_G0, 974, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_Z, 975, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 976, check)
    call createCurrent(P_H1, P_Z, P_GMinus, P_WPlus, 977, check)
    call createCurrent(P_H1, P_Z, P_WPlus, P_GMinus, 978, check)
    call createCurrent(P_H1, P_GMinus, P_Z, P_WPlus, 979, check)
    call createCurrent(P_H1, P_GMinus, P_WPlus, P_Z, 980, check)
    call createCurrent(P_H1, P_WPlus, P_Z, P_GMinus, 981, check)
    call createCurrent(P_H1, P_WPlus, P_GMinus, P_Z, 982, check)
    call createCurrent(P_Z, P_H1, P_GMinus, P_WPlus, 983, check)
    call createCurrent(P_Z, P_H1, P_WPlus, P_GMinus, 984, check)
    call createCurrent(P_Z, P_GMinus, P_H1, P_WPlus, 985, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_H1, 986, check)
    call createCurrent(P_Z, P_WPlus, P_H1, P_GMinus, 987, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_H1, 988, check)
    call createCurrent(P_GMinus, P_H1, P_Z, P_WPlus, 989, check)
    call createCurrent(P_GMinus, P_H1, P_WPlus, P_Z, 990, check)
    call createCurrent(P_GMinus, P_Z, P_H1, P_WPlus, 991, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_H1, 992, check)
    call createCurrent(P_GMinus, P_WPlus, P_H1, P_Z, 993, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_H1, 994, check)
    call createCurrent(P_WPlus, P_H1, P_Z, P_GMinus, 995, check)
    call createCurrent(P_WPlus, P_H1, P_GMinus, P_Z, 996, check)
    call createCurrent(P_WPlus, P_Z, P_H1, P_GMinus, 997, check)
    call createCurrent(P_WPlus, P_GMinus, P_H1, P_Z, 998, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_H1, 999, check)
    call createCurrent(P_H2, P_Z, P_HMinus, P_WPlus, 1000, check)
    call createCurrent(P_H2, P_Z, P_WPlus, P_HMinus, 1001, check)
    call createCurrent(P_H2, P_HMinus, P_Z, P_WPlus, 1002, check)
    call createCurrent(P_H2, P_HMinus, P_WPlus, P_Z, 1003, check)
    call createCurrent(P_H2, P_WPlus, P_Z, P_HMinus, 1004, check)
    call createCurrent(P_H2, P_WPlus, P_HMinus, P_Z, 1005, check)
    call createCurrent(P_Z, P_H2, P_HMinus, P_WPlus, 1006, check)
    call createCurrent(P_Z, P_H2, P_WPlus, P_HMinus, 1007, check)
    call createCurrent(P_Z, P_HMinus, P_H2, P_WPlus, 1008, check)
    call createCurrent(P_Z, P_HMinus, P_WPlus, P_H2, 1009, check)
    call createCurrent(P_Z, P_WPlus, P_HMinus, P_H2, 1010, check)
    call createCurrent(P_Z, P_WPlus, P_H2, P_HMinus, 1011, check)
    call createCurrent(P_HMinus, P_H2, P_Z, P_WPlus, 1012, check)
    call createCurrent(P_HMinus, P_H2, P_WPlus, P_Z, 1013, check)
    call createCurrent(P_HMinus, P_Z, P_H2, P_WPlus, 1014, check)
    call createCurrent(P_HMinus, P_Z, P_WPlus, P_H2, 1015, check)
    call createCurrent(P_HMinus, P_WPlus, P_Z, P_H2, 1016, check)
    call createCurrent(P_HMinus, P_WPlus, P_H2, P_Z, 1017, check)
    call createCurrent(P_WPlus, P_Z, P_HMinus, P_H2, 1018, check)
    call createCurrent(P_WPlus, P_HMinus, P_Z, P_H2, 1019, check)
    call createCurrent(P_WPlus, P_HMinus, P_H2, P_Z, 1020, check)
    call createCurrent(P_WPlus, P_H2, P_Z, P_HMinus, 1021, check)
    call createCurrent(P_WPlus, P_H2, P_HMinus, P_Z, 1022, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 1023, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, 1024, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, 1025, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 1026, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, 1027, check)
    call createCurrent(P_G0, P_GPlus, P_Z, P_WMinus, 1028, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_Z, 1029, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 1030, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_GPlus, 1031, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_Z, 1032, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_GPlus, 1033, check)
    call createCurrent(P_GPlus, P_G0, P_Z, P_WMinus, 1034, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_Z, 1035, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 1036, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 1037, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 1038, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 1039, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 1040, check)
    call createCurrent(P_Z, P_G0, P_WMinus, P_GPlus, 1041, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 1042, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_G0, 1043, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_GPlus, 1044, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_G0, 1045, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 1046, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 1047, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 1048, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 1049, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_G0, 1050, check)
    call createCurrent(P_GPlus, P_H1, P_Z, P_WMinus, 1051, check)
    call createCurrent(P_GPlus, P_H1, P_WMinus, P_Z, 1052, check)
    call createCurrent(P_GPlus, P_Z, P_H1, P_WMinus, 1053, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_H1, 1054, check)
    call createCurrent(P_GPlus, P_WMinus, P_H1, P_Z, 1055, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_H1, 1056, check)
    call createCurrent(P_H1, P_GPlus, P_Z, P_WMinus, 1057, check)
    call createCurrent(P_H1, P_GPlus, P_WMinus, P_Z, 1058, check)
    call createCurrent(P_H1, P_Z, P_GPlus, P_WMinus, 1059, check)
    call createCurrent(P_H1, P_Z, P_WMinus, P_GPlus, 1060, check)
    call createCurrent(P_H1, P_WMinus, P_GPlus, P_Z, 1061, check)
    call createCurrent(P_H1, P_WMinus, P_Z, P_GPlus, 1062, check)
    call createCurrent(P_Z, P_GPlus, P_H1, P_WMinus, 1063, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_H1, 1064, check)
    call createCurrent(P_Z, P_H1, P_GPlus, P_WMinus, 1065, check)
    call createCurrent(P_Z, P_H1, P_WMinus, P_GPlus, 1066, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_H1, 1067, check)
    call createCurrent(P_Z, P_WMinus, P_H1, P_GPlus, 1068, check)
    call createCurrent(P_WMinus, P_GPlus, P_H1, P_Z, 1069, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_H1, 1070, check)
    call createCurrent(P_WMinus, P_H1, P_GPlus, P_Z, 1071, check)
    call createCurrent(P_WMinus, P_H1, P_Z, P_GPlus, 1072, check)
    call createCurrent(P_WMinus, P_Z, P_H1, P_GPlus, 1073, check)
    call createCurrent(P_HPlus, P_Z, P_WMinus, P_H2, 1074, check)
    call createCurrent(P_HPlus, P_Z, P_H2, P_WMinus, 1075, check)
    call createCurrent(P_HPlus, P_WMinus, P_Z, P_H2, 1076, check)
    call createCurrent(P_HPlus, P_WMinus, P_H2, P_Z, 1077, check)
    call createCurrent(P_HPlus, P_H2, P_Z, P_WMinus, 1078, check)
    call createCurrent(P_HPlus, P_H2, P_WMinus, P_Z, 1079, check)
    call createCurrent(P_Z, P_HPlus, P_WMinus, P_H2, 1080, check)
    call createCurrent(P_Z, P_HPlus, P_H2, P_WMinus, 1081, check)
    call createCurrent(P_Z, P_WMinus, P_HPlus, P_H2, 1082, check)
    call createCurrent(P_Z, P_WMinus, P_H2, P_HPlus, 1083, check)
    call createCurrent(P_Z, P_H2, P_HPlus, P_WMinus, 1084, check)
    call createCurrent(P_Z, P_H2, P_WMinus, P_HPlus, 1085, check)
    call createCurrent(P_WMinus, P_HPlus, P_Z, P_H2, 1086, check)
    call createCurrent(P_WMinus, P_HPlus, P_H2, P_Z, 1087, check)
    call createCurrent(P_WMinus, P_Z, P_HPlus, P_H2, 1088, check)
    call createCurrent(P_WMinus, P_H2, P_HPlus, P_Z, 1089, check)
    call createCurrent(P_WMinus, P_H2, P_Z, P_HPlus, 1090, check)
    call createCurrent(P_H2, P_HPlus, P_Z, P_WMinus, 1091, check)
    call createCurrent(P_H2, P_HPlus, P_WMinus, P_Z, 1092, check)
    call createCurrent(P_H2, P_Z, P_HPlus, P_WMinus, 1093, check)
    call createCurrent(P_H2, P_Z, P_WMinus, P_HPlus, 1094, check)
    call createCurrent(P_H2, P_WMinus, P_HPlus, P_Z, 1095, check)
    call createCurrent(P_H2, P_WMinus, P_Z, P_HPlus, 1096, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 1097, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 1098, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 1099, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, 1100, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 1101, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_A, 1102, check)
    call createCurrent(P_Z, P_WPlus, P_A, P_WMinus, 1103, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 1104, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 1105, check)
    call createCurrent(P_Z, P_A, P_WMinus, P_WPlus, 1106, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 1107, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_A, 1108, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 1109, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_A, 1110, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_Z, 1111, check)
    call createCurrent(P_WPlus, P_A, P_Z, P_WMinus, 1112, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 1113, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 1114, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 1115, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 1116, check)
    call createCurrent(P_WMinus, P_Z, P_A, P_WPlus, 1117, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 1118, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_Z, 1119, check)
    call createCurrent(P_A, P_Z, P_WMinus, P_WPlus, 1120, check)
    call createCurrent(P_A, P_Z, P_WPlus, P_WMinus, 1121, check)
    call createCurrent(P_A, P_WMinus, P_Z, P_WPlus, 1122, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_Z, 1123, check)
    call createCurrent(P_A, P_WPlus, P_Z, P_WMinus, 1124, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 1125, check)
    call createCurrent(P_G0, P_Z, P_G0, P_Z, 1126, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 1127, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 1128, check)
    call createCurrent(P_Z, P_G0, P_Z, P_G0, 1129, check)
    call createCurrent(P_GPlus, P_Z, P_Z, P_GMinus, 1130, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 1131, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_Z, 1132, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_GMinus, 1133, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 1134, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_GPlus, 1135, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_Z, 1136, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_GPlus, 1137, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 1138, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 1139, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 1140, check)
    call createCurrent(P_H1, P_H1, P_Z, P_Z, 1141, check)
    call createCurrent(P_H1, P_Z, P_H1, P_Z, 1142, check)
    call createCurrent(P_H1, P_Z, P_Z, P_H1, 1143, check)
    call createCurrent(P_Z, P_H1, P_H1, P_Z, 1144, check)
    call createCurrent(P_Z, P_H1, P_Z, P_H1, 1145, check)
    call createCurrent(P_HPlus, P_Z, P_Z, P_HMinus, 1146, check)
    call createCurrent(P_HPlus, P_Z, P_HMinus, P_Z, 1147, check)
    call createCurrent(P_HPlus, P_HMinus, P_Z, P_Z, 1148, check)
    call createCurrent(P_Z, P_HPlus, P_Z, P_HMinus, 1149, check)
    call createCurrent(P_Z, P_HPlus, P_HMinus, P_Z, 1150, check)
    call createCurrent(P_Z, P_Z, P_HMinus, P_HPlus, 1151, check)
    call createCurrent(P_Z, P_HMinus, P_HPlus, P_Z, 1152, check)
    call createCurrent(P_Z, P_HMinus, P_Z, P_HPlus, 1153, check)
    call createCurrent(P_HMinus, P_HPlus, P_Z, P_Z, 1154, check)
    call createCurrent(P_HMinus, P_Z, P_HPlus, P_Z, 1155, check)
    call createCurrent(P_HMinus, P_Z, P_Z, P_HPlus, 1156, check)
    call createCurrent(P_H1, P_Z, P_Z, 1157, check)
    call createCurrent(P_Z, P_H1, P_Z, 1158, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 1159, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 1160, check)
    call createCurrent(P_Z, P_WMinus, P_Z, P_WPlus, 1161, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_Z, 1162, check)
    call createCurrent(P_Z, P_WPlus, P_Z, P_WMinus, 1163, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_Z, 1164, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 1165, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 1166, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 1167, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 1168, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 1169, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 1170, check)
    call createCurrent(P_ePlus, P_eMinus, P_A, 1171, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 1172, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 1173, check)
    call createCurrent(P_A, P_ePlus, P_eMinus, 1174, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 1175, check)
    call createCurrent(P_muPlus, P_A, P_muMinus, 1176, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 1177, check)
    call createCurrent(P_A, P_muPlus, P_muMinus, 1178, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 1179, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 1180, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 1181, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 1182, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 1183, check)
    call createCurrent(P_tauPlus, P_A, P_tauMinus, 1184, check)
    call createCurrent(P_u, P_A, P_uAnti, 1185, check)
    call createCurrent(P_uAnti, P_u, P_A, 1186, check)
    call createCurrent(P_uAnti, P_A, P_u, 1187, check)
    call createCurrent(P_A, P_u, P_uAnti, 1188, check)
    call createCurrent(P_A, P_uAnti, P_u, 1189, check)
    call createCurrent(P_c, P_A, P_cAnti, 1190, check)
    call createCurrent(P_A, P_c, P_cAnti, 1191, check)
    call createCurrent(P_A, P_cAnti, P_c, 1192, check)
    call createCurrent(P_cAnti, P_c, P_A, 1193, check)
    call createCurrent(P_cAnti, P_A, P_c, 1194, check)
    call createCurrent(P_t, P_A, P_tAnti, 1195, check)
    call createCurrent(P_tAnti, P_t, P_A, 1196, check)
    call createCurrent(P_tAnti, P_A, P_t, 1197, check)
    call createCurrent(P_A, P_t, P_tAnti, 1198, check)
    call createCurrent(P_A, P_tAnti, P_t, 1199, check)
    call createCurrent(P_d, P_A, P_dAnti, 1200, check)
    call createCurrent(P_dAnti, P_d, P_A, 1201, check)
    call createCurrent(P_dAnti, P_A, P_d, 1202, check)
    call createCurrent(P_A, P_d, P_dAnti, 1203, check)
    call createCurrent(P_A, P_dAnti, P_d, 1204, check)
    call createCurrent(P_sAnti, P_s, P_A, 1205, check)
    call createCurrent(P_sAnti, P_A, P_s, 1206, check)
    call createCurrent(P_s, P_A, P_sAnti, 1207, check)
    call createCurrent(P_A, P_sAnti, P_s, 1208, check)
    call createCurrent(P_A, P_s, P_sAnti, 1209, check)
    call createCurrent(P_b, P_A, P_bAnti, 1210, check)
    call createCurrent(P_A, P_b, P_bAnti, 1211, check)
    call createCurrent(P_A, P_bAnti, P_b, 1212, check)
    call createCurrent(P_bAnti, P_b, P_A, 1213, check)
    call createCurrent(P_bAnti, P_A, P_b, 1214, check)
    call createCurrent(P_u, P_g, P_uAnti, 1215, check)
    call createCurrent(P_g, P_u, P_uAnti, 1216, check)
    call createCurrent(P_g, P_uAnti, P_u, 1217, check)
    call createCurrent(P_uAnti, P_u, P_g, 1218, check)
    call createCurrent(P_uAnti, P_g, P_u, 1219, check)
    call createCurrent(P_g, P_c, P_cAnti, 1220, check)
    call createCurrent(P_g, P_cAnti, P_c, 1221, check)
    call createCurrent(P_c, P_g, P_cAnti, 1222, check)
    call createCurrent(P_cAnti, P_g, P_c, 1223, check)
    call createCurrent(P_cAnti, P_c, P_g, 1224, check)
    call createCurrent(P_t, P_g, P_tAnti, 1225, check)
    call createCurrent(P_g, P_t, P_tAnti, 1226, check)
    call createCurrent(P_g, P_tAnti, P_t, 1227, check)
    call createCurrent(P_tAnti, P_t, P_g, 1228, check)
    call createCurrent(P_tAnti, P_g, P_t, 1229, check)
    call createCurrent(P_d, P_g, P_dAnti, 1230, check)
    call createCurrent(P_dAnti, P_d, P_g, 1231, check)
    call createCurrent(P_dAnti, P_g, P_d, 1232, check)
    call createCurrent(P_g, P_d, P_dAnti, 1233, check)
    call createCurrent(P_g, P_dAnti, P_d, 1234, check)
    call createCurrent(P_sAnti, P_g, P_s, 1235, check)
    call createCurrent(P_sAnti, P_s, P_g, 1236, check)
    call createCurrent(P_g, P_sAnti, P_s, 1237, check)
    call createCurrent(P_g, P_s, P_sAnti, 1238, check)
    call createCurrent(P_s, P_g, P_sAnti, 1239, check)
    call createCurrent(P_g, P_b, P_bAnti, 1240, check)
    call createCurrent(P_g, P_bAnti, P_b, 1241, check)
    call createCurrent(P_b, P_g, P_bAnti, 1242, check)
    call createCurrent(P_bAnti, P_g, P_b, 1243, check)
    call createCurrent(P_bAnti, P_b, P_g, 1244, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 1245, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 1246, check)
    call createCurrent(P_uAnti, P_WPlus, P_d, 1247, check)
    call createCurrent(P_WPlus, P_d, P_uAnti, 1248, check)
    call createCurrent(P_WPlus, P_uAnti, P_d, 1249, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 1250, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 1251, check)
    call createCurrent(P_s, P_WPlus, P_cAnti, 1252, check)
    call createCurrent(P_cAnti, P_WPlus, P_s, 1253, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 1254, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 1255, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 1256, check)
    call createCurrent(P_tAnti, P_WPlus, P_b, 1257, check)
    call createCurrent(P_WPlus, P_b, P_tAnti, 1258, check)
    call createCurrent(P_WPlus, P_tAnti, P_b, 1259, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 1260, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 1261, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 1262, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 1263, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 1264, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 1265, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 1266, check)
    call createCurrent(P_c, P_WMinus, P_sAnti, 1267, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 1268, check)
    call createCurrent(P_WMinus, P_c, P_sAnti, 1269, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 1270, check)
    call createCurrent(P_WMinus, P_t, P_bAnti, 1271, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 1272, check)
    call createCurrent(P_bAnti, P_t, P_WMinus, 1273, check)
    call createCurrent(P_bAnti, P_WMinus, P_t, 1274, check)
    call createCurrent(P_eMinus, P_WPlus, P_nu_eAnti, 1275, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 1276, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 1277, check)
    call createCurrent(P_WPlus, P_eMinus, P_nu_eAnti, 1278, check)
    call createCurrent(P_WPlus, P_nu_eAnti, P_eMinus, 1279, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 1280, check)
    call createCurrent(P_WPlus, P_nu_muAnti, P_muMinus, 1281, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 1282, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 1283, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 1284, check)
    call createCurrent(P_tauMinus, P_WPlus, P_nu_tauAnti, 1285, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WPlus, 1286, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 1287, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 1288, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 1289, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 1290, check)
    call createCurrent(P_ePlus, P_nu_e, P_WMinus, 1291, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 1292, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 1293, check)
    call createCurrent(P_nu_e, P_WMinus, P_ePlus, 1294, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WMinus, 1295, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 1296, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 1297, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 1298, check)
    call createCurrent(P_WMinus, P_nu_mu, P_muPlus, 1299, check)
    call createCurrent(P_nu_tau, P_WMinus, P_tauPlus, 1300, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 1301, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 1302, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 1303, check)
    call createCurrent(P_tauPlus, P_WMinus, P_nu_tau, 1304, check)
    call createCurrent(P_u, P_Z, P_uAnti, 1305, check)
    call createCurrent(P_Z, P_u, P_uAnti, 1306, check)
    call createCurrent(P_Z, P_uAnti, P_u, 1307, check)
    call createCurrent(P_uAnti, P_u, P_Z, 1308, check)
    call createCurrent(P_uAnti, P_Z, P_u, 1309, check)
    call createCurrent(P_Z, P_c, P_cAnti, 1310, check)
    call createCurrent(P_Z, P_cAnti, P_c, 1311, check)
    call createCurrent(P_c, P_Z, P_cAnti, 1312, check)
    call createCurrent(P_cAnti, P_Z, P_c, 1313, check)
    call createCurrent(P_cAnti, P_c, P_Z, 1314, check)
    call createCurrent(P_t, P_Z, P_tAnti, 1315, check)
    call createCurrent(P_Z, P_t, P_tAnti, 1316, check)
    call createCurrent(P_Z, P_tAnti, P_t, 1317, check)
    call createCurrent(P_tAnti, P_t, P_Z, 1318, check)
    call createCurrent(P_tAnti, P_Z, P_t, 1319, check)
    call createCurrent(P_d, P_Z, P_dAnti, 1320, check)
    call createCurrent(P_dAnti, P_d, P_Z, 1321, check)
    call createCurrent(P_dAnti, P_Z, P_d, 1322, check)
    call createCurrent(P_Z, P_d, P_dAnti, 1323, check)
    call createCurrent(P_Z, P_dAnti, P_d, 1324, check)
    call createCurrent(P_sAnti, P_Z, P_s, 1325, check)
    call createCurrent(P_sAnti, P_s, P_Z, 1326, check)
    call createCurrent(P_Z, P_sAnti, P_s, 1327, check)
    call createCurrent(P_Z, P_s, P_sAnti, 1328, check)
    call createCurrent(P_s, P_Z, P_sAnti, 1329, check)
    call createCurrent(P_Z, P_b, P_bAnti, 1330, check)
    call createCurrent(P_Z, P_bAnti, P_b, 1331, check)
    call createCurrent(P_b, P_Z, P_bAnti, 1332, check)
    call createCurrent(P_bAnti, P_Z, P_b, 1333, check)
    call createCurrent(P_bAnti, P_b, P_Z, 1334, check)
    call createCurrent(P_nu_eAnti, P_Z, P_nu_e, 1335, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_Z, 1336, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 1337, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 1338, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 1339, check)
    call createCurrent(P_Z, P_nu_mu, P_nu_muAnti, 1340, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 1341, check)
    call createCurrent(P_nu_mu, P_Z, P_nu_muAnti, 1342, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 1343, check)
    call createCurrent(P_nu_muAnti, P_Z, P_nu_mu, 1344, check)
    call createCurrent(P_nu_tau, P_Z, P_nu_tauAnti, 1345, check)
    call createCurrent(P_Z, P_nu_tau, P_nu_tauAnti, 1346, check)
    call createCurrent(P_Z, P_nu_tauAnti, P_nu_tau, 1347, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_Z, 1348, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 1349, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 1350, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 1351, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 1352, check)
    call createCurrent(P_Z, P_eMinus, P_ePlus, 1353, check)
    call createCurrent(P_Z, P_ePlus, P_eMinus, 1354, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 1355, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 1356, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 1357, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 1358, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 1359, check)
    call createCurrent(P_Z, P_tauMinus, P_tauPlus, 1360, check)
    call createCurrent(P_Z, P_tauPlus, P_tauMinus, 1361, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 1362, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 1363, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 1364, check)
    call createCurrent(P_A, P_G0, P_H1, 1365, check)
    call createCurrent(P_A, P_Z, P_G0, P_G0, 1366, check)
    call createCurrent(P_A, P_Z, P_H1, P_H1, 1367, check)
    call createCurrent(P_A, P_Z, P_H1, 1368, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_A, 1369, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_A, 1370, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_A, 1371, check)
    call createCurrent(P_Z, P_G0, 1372, check)
    call createCurrent(P_Z, P_Z, 1373, check)
    call createCurrent(P_H2, P_H2, 1374, check)
    call createCurrent(P_HPlus, P_HMinus, 1375, check)
    call createCurrent(P_G0, P_G0, 1376, check)
    call createCurrent(P_GPlus, P_GMinus, 1377, check)
    call createCurrent(P_H1, P_H1, 1378, check)
    call createCurrent(P_d, P_dAnti, 1379, check)
    call createCurrent(P_s, P_sAnti, 1380, check)
    call createCurrent(P_b, P_bAnti, 1381, check)
    call createCurrent(P_eMinus, P_ePlus, 1382, check)
    call createCurrent(P_muMinus, P_muPlus, 1383, check)
    call createCurrent(P_tauMinus, P_tauPlus, 1384, check)
    call createCurrent(P_u, P_uAnti, 1385, check)
    call createCurrent(P_c, P_cAnti, 1386, check)
    call createCurrent(P_t, P_tAnti, 1387, check)
    call createCurrent(P_WPlus, P_GMinus, 1388, check)
    call createCurrent(P_WMinus, P_GPlus, 1389, check)
    call createCurrent(P_WPlus, P_WMinus, 1390, check)
    call createCurrent(P_HMinus, P_HPlus, 1391, check)
    call createCurrent(P_nu_e, P_nu_eAnti, 1392, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 1393, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, 1394, check)
    call createCurrent(P_A, P_A, 1395, check)
    call createCurrent(P_Z, P_A, 1396, check)
    call createCurrent(P_A, P_Z, 1397, check)
    call createCurrent(P_WMinus, P_WPlus, 1398, check)
    call createCurrent(P_g, P_g, 1399, check)
    call createCurrent(P_A, P_G0, 1400, check)
    call createCurrent(P_G0, P_H1, P_A, 1401, check)
    call createCurrent(P_G0, P_A, P_H1, 1402, check)
    call createCurrent(P_H1, P_G0, P_A, 1403, check)
    call createCurrent(P_H1, P_A, P_G0, 1404, check)
    call createCurrent(P_A, P_H1, P_G0, 1405, check)
    call createCurrent(P_G0, P_G0, P_Z, P_A, 1406, check)
    call createCurrent(P_G0, P_G0, P_A, P_Z, 1407, check)
    call createCurrent(P_G0, P_Z, P_G0, P_A, 1408, check)
    call createCurrent(P_G0, P_Z, P_A, P_G0, 1409, check)
    call createCurrent(P_G0, P_A, P_G0, P_Z, 1410, check)
    call createCurrent(P_G0, P_A, P_Z, P_G0, 1411, check)
    call createCurrent(P_Z, P_G0, P_G0, P_A, 1412, check)
    call createCurrent(P_Z, P_G0, P_A, P_G0, 1413, check)
    call createCurrent(P_Z, P_A, P_G0, P_G0, 1414, check)
    call createCurrent(P_A, P_G0, P_G0, P_Z, 1415, check)
    call createCurrent(P_A, P_G0, P_Z, P_G0, 1416, check)
    call createCurrent(P_H1, P_H1, P_Z, P_A, 1417, check)
    call createCurrent(P_H1, P_H1, P_A, P_Z, 1418, check)
    call createCurrent(P_H1, P_Z, P_H1, P_A, 1419, check)
    call createCurrent(P_H1, P_Z, P_A, P_H1, 1420, check)
    call createCurrent(P_H1, P_A, P_H1, P_Z, 1421, check)
    call createCurrent(P_H1, P_A, P_Z, P_H1, 1422, check)
    call createCurrent(P_Z, P_H1, P_H1, P_A, 1423, check)
    call createCurrent(P_Z, P_H1, P_A, P_H1, 1424, check)
    call createCurrent(P_Z, P_A, P_H1, P_H1, 1425, check)
    call createCurrent(P_A, P_H1, P_H1, P_Z, 1426, check)
    call createCurrent(P_A, P_H1, P_Z, P_H1, 1427, check)
    call createCurrent(P_H1, P_Z, P_A, 1428, check)
    call createCurrent(P_H1, P_A, P_Z, 1429, check)
    call createCurrent(P_Z, P_H1, P_A, 1430, check)
    call createCurrent(P_Z, P_A, P_H1, 1431, check)
    call createCurrent(P_A, P_H1, P_Z, 1432, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_A, 1433, check)
    call createCurrent(P_nu_eAnti, P_A, P_nu_e, 1434, check)
    call createCurrent(P_nu_e, P_A, P_nu_eAnti, 1435, check)
    call createCurrent(P_A, P_nu_eAnti, P_nu_e, 1436, check)
    call createCurrent(P_A, P_nu_e, P_nu_eAnti, 1437, check)
    call createCurrent(P_nu_mu, P_A, P_nu_muAnti, 1438, check)
    call createCurrent(P_A, P_nu_mu, P_nu_muAnti, 1439, check)
    call createCurrent(P_A, P_nu_muAnti, P_nu_mu, 1440, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_A, 1441, check)
    call createCurrent(P_nu_muAnti, P_A, P_nu_mu, 1442, check)
    call createCurrent(P_nu_tau, P_A, P_nu_tauAnti, 1443, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_A, 1444, check)
    call createCurrent(P_nu_tauAnti, P_A, P_nu_tau, 1445, check)
    call createCurrent(P_A, P_nu_tau, P_nu_tauAnti, 1446, check)
    call createCurrent(P_A, P_nu_tauAnti, P_nu_tau, 1447, check)
    call createCurrent(P_G0, P_Z, 1448, check)
    call createCurrent(P_GMinus, P_GPlus, 1449, check)
    call createCurrent(P_dAnti, P_d, 1450, check)
    call createCurrent(P_sAnti, P_s, 1451, check)
    call createCurrent(P_bAnti, P_b, 1452, check)
    call createCurrent(P_ePlus, P_eMinus, 1453, check)
    call createCurrent(P_muPlus, P_muMinus, 1454, check)
    call createCurrent(P_tauPlus, P_tauMinus, 1455, check)
    call createCurrent(P_uAnti, P_u, 1456, check)
    call createCurrent(P_cAnti, P_c, 1457, check)
    call createCurrent(P_tAnti, P_t, 1458, check)
    call createCurrent(P_GMinus, P_WPlus, 1459, check)
    call createCurrent(P_GPlus, P_WMinus, 1460, check)
    call createCurrent(P_nu_eAnti, P_nu_e, 1461, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, 1462, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, 1463, check)
    call createCurrent(P_G0, P_A, 1464, check)
    call createCurrent(P_A, P_A, P_H1, 1465, check)
    call createCurrent(P_A, P_H1, P_A, 1466, check)
    call createCurrent(P_H1, P_A, P_A, 1467, check)
    call createCurrent(P_g, P_g, P_H1, 1468, check)
    call createCurrent(P_g, P_H1, P_g, 1469, check)
    call createCurrent(P_H1, P_g, P_g, 1470, check)
    call createCurrent(P_H2, P_H2, P_A, P_A, 1471, check)
    call createCurrent(P_H2, P_A, P_H2, P_A, 1472, check)
    call createCurrent(P_H2, P_A, P_A, P_H2, 1473, check)
    call createCurrent(P_A, P_H2, P_H2, P_A, 1474, check)
    call createCurrent(P_A, P_H2, P_A, P_H2, 1475, check)
    call createCurrent(P_A, P_A, P_H2, P_H2, 1476, check)
    call createCurrent(P_A, P_A, P_G0, P_G0, 1477, check)
    call createCurrent(P_A, P_G0, P_A, P_G0, 1478, check)
    call createCurrent(P_A, P_G0, P_G0, P_A, 1479, check)
    call createCurrent(P_G0, P_A, P_A, P_G0, 1480, check)
    call createCurrent(P_G0, P_A, P_G0, P_A, 1481, check)
    call createCurrent(P_G0, P_G0, P_A, P_A, 1482, check)
    call createCurrent(P_A, P_A, P_H1, P_H1, 1483, check)
    call createCurrent(P_A, P_H1, P_A, P_H1, 1484, check)
    call createCurrent(P_A, P_H1, P_H1, P_A, 1485, check)
    call createCurrent(P_H1, P_A, P_A, P_H1, 1486, check)
    call createCurrent(P_H1, P_A, P_H1, P_A, 1487, check)
    call createCurrent(P_H1, P_H1, P_A, P_A, 1488, check)
    call createCurrent(P_H2, P_H2, P_A, P_Z, 1489, check)
    call createCurrent(P_H2, P_H2, P_Z, P_A, 1490, check)
    call createCurrent(P_H2, P_A, P_H2, P_Z, 1491, check)
    call createCurrent(P_H2, P_A, P_Z, P_H2, 1492, check)
    call createCurrent(P_H2, P_Z, P_H2, P_A, 1493, check)
    call createCurrent(P_H2, P_Z, P_A, P_H2, 1494, check)
    call createCurrent(P_A, P_H2, P_H2, P_Z, 1495, check)
    call createCurrent(P_A, P_H2, P_Z, P_H2, 1496, check)
    call createCurrent(P_A, P_Z, P_H2, P_H2, 1497, check)
    call createCurrent(P_Z, P_H2, P_H2, P_A, 1498, check)
    call createCurrent(P_Z, P_H2, P_A, P_H2, 1499, check)
    call createCurrent(P_Z, P_A, P_H2, P_H2, 1500, check)
    call createCurrent(P_A, P_A, P_A, P_A, 1501, check)
    call createCurrent(P_A, P_A, P_A, P_Z, 1502, check)
    call createCurrent(P_A, P_A, P_Z, P_A, 1503, check)
    call createCurrent(P_A, P_Z, P_A, P_A, 1504, check)
    call createCurrent(P_Z, P_A, P_A, P_A, 1505, check)
    call createCurrent(P_A, P_A, P_Z, P_Z, 1506, check)
    call createCurrent(P_A, P_Z, P_A, P_Z, 1507, check)
    call createCurrent(P_A, P_Z, P_Z, P_A, 1508, check)
    call createCurrent(P_Z, P_A, P_A, P_Z, 1509, check)
    call createCurrent(P_Z, P_A, P_Z, P_A, 1510, check)
    call createCurrent(P_Z, P_Z, P_A, P_A, 1511, check)
    call createCurrent(P_A, P_Z, P_Z, P_Z, 1512, check)
    call createCurrent(P_Z, P_A, P_Z, P_Z, 1513, check)
    call createCurrent(P_Z, P_Z, P_A, P_Z, 1514, check)
    call createCurrent(P_Z, P_Z, P_Z, P_A, 1515, check)
    call createCurrent(P_A, P_A, P_g, P_g, 1516, check)
    call createCurrent(P_A, P_g, P_A, P_g, 1517, check)
    call createCurrent(P_A, P_g, P_g, P_A, 1518, check)
    call createCurrent(P_g, P_A, P_A, P_g, 1519, check)
    call createCurrent(P_g, P_A, P_g, P_A, 1520, check)
    call createCurrent(P_g, P_g, P_A, P_A, 1521, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 1522, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 1523, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 1524, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 1525, check)
    call createCurrent(P_g, P_GMinus, P_GPlus, P_g, 1526, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 1527, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 1528, check)
    call createCurrent(P_g, P_GPlus, P_GMinus, P_g, 1529, check)
    call createCurrent(P_g, P_GPlus, P_g, P_GMinus, 1530, check)
    call createCurrent(P_GPlus, P_GMinus, P_g, P_g, 1531, check)
    call createCurrent(P_GPlus, P_g, P_GMinus, P_g, 1532, check)
    call createCurrent(P_GPlus, P_g, P_g, P_GMinus, 1533, check)
    call createCurrent(P_H2, P_H2, P_Z, P_Z, 1534, check)
    call createCurrent(P_H2, P_Z, P_H2, P_Z, 1535, check)
    call createCurrent(P_H2, P_Z, P_Z, P_H2, 1536, check)
    call createCurrent(P_Z, P_H2, P_H2, P_Z, 1537, check)
    call createCurrent(P_Z, P_H2, P_Z, P_H2, 1538, check)
    call createCurrent(P_Z, P_Z, P_H2, P_H2, 1539, check)
    call createCurrent(P_A, P_g, P_g, P_Z, 1540, check)
    call createCurrent(P_A, P_g, P_Z, P_g, 1541, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 1542, check)
    call createCurrent(P_g, P_A, P_g, P_Z, 1543, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 1544, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 1545, check)
    call createCurrent(P_g, P_g, P_Z, P_A, 1546, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 1547, check)
    call createCurrent(P_g, P_Z, P_g, P_A, 1548, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 1549, check)
    call createCurrent(P_Z, P_g, P_A, P_g, 1550, check)
    call createCurrent(P_Z, P_g, P_g, P_A, 1551, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WMinus, 1552, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 1553, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 1554, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 1555, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 1556, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 1557, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 1558, check)
    call createCurrent(P_WPlus, P_g, P_WMinus, P_g, 1559, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 1560, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 1561, check)
    call createCurrent(P_WMinus, P_g, P_WPlus, P_g, 1562, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 1563, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 1564, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 1565, check)
    call createCurrent(P_G0, P_g, P_G0, P_g, 1566, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 1567, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 1568, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 1569, check)
    call createCurrent(P_g, P_g, P_H1, P_H1, 1570, check)
    call createCurrent(P_g, P_H1, P_g, P_H1, 1571, check)
    call createCurrent(P_g, P_H1, P_H1, P_g, 1572, check)
    call createCurrent(P_H1, P_g, P_g, P_H1, 1573, check)
    call createCurrent(P_H1, P_g, P_H1, P_g, 1574, check)
    call createCurrent(P_H1, P_H1, P_g, P_g, 1575, check)
    call createCurrent(P_Z, P_Z, P_Z, P_Z, 1576, check)
    call createCurrent(P_A, P_g, P_g, P_g, 1577, check)
    call createCurrent(P_g, P_A, P_g, P_g, 1578, check)
    call createCurrent(P_g, P_g, P_A, P_g, 1579, check)
    call createCurrent(P_g, P_g, P_g, P_A, 1580, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 1581, check)
    call createCurrent(P_g, P_Z, P_g, P_Z, 1582, check)
    call createCurrent(P_g, P_Z, P_Z, P_g, 1583, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 1584, check)
    call createCurrent(P_Z, P_g, P_Z, P_g, 1585, check)
    call createCurrent(P_Z, P_Z, P_g, P_g, 1586, check)
    call createCurrent(P_g, P_g, P_g, P_Z, 1587, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 1588, check)
    call createCurrent(P_g, P_Z, P_g, P_g, 1589, check)
    call createCurrent(P_Z, P_g, P_g, P_g, 1590, check)
  end subroutine fill_current_1
end module currents_info1
