!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_4406) = coupl(nGC_15)*sq2*(-coupl(nGC_390)*coupl(nGC_82) - 4d0*  &
                      coupl(nGC_5)**2d0 - 4d0*coupl(nGC_648)**2d0 - coupl(     &
                      nGC_81)**2d0 - coupl(nGC_83)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4407) = coupl(nGC_15)*sq2*(-4d0*coupl(nGC_34)**2d0 - coupl(      &
                      nGC_390)*coupl(nGC_82) - 4d0*coupl(nGC_5)**2d0 - 4d0*    &
                      coupl(nGC_650)**2d0 - coupl(nGC_69)**2d0 - coupl(nGC_83  &
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4408) = coupl(nGC_15)*sq2*(coupl(nGC_448)*coupl(nGC_86) + 4d0*   &
                      coupl(nGC_6)**2d0 + 4d0*coupl(nGC_632)**2d0 + coupl(     &
                      nGC_84)**2d0 + coupl(nGC_85)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4409) = coupl(nGC_15)*sq2*(4d0*coupl(nGC_34)**2d0 + coupl(nGC_448&
                      )*coupl(nGC_86) + 4d0*coupl(nGC_6)**2d0 + 4d0*coupl(     &
                      nGC_634)**2d0 + coupl(nGC_66)**2d0 + coupl(nGC_85)**2d0  &
                      )/(64d0*pi**2d0)
    coupl(nGC_4410) = coupl(nGC_15)*sq2*(-coupl(nGC_448)*coupl(nGC_86) - 4d0*  &
                      coupl(nGC_6)**2d0 - 4d0*coupl(nGC_632)**2d0 - coupl(     &
                      nGC_84)**2d0 - coupl(nGC_85)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4411) = coupl(nGC_15)*sq2*(-4d0*coupl(nGC_34)**2d0 - coupl(      &
                      nGC_448)*coupl(nGC_86) - 4d0*coupl(nGC_6)**2d0 - 4d0*    &
                      coupl(nGC_634)**2d0 - coupl(nGC_66)**2d0 - coupl(nGC_85  &
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4412) = coupl(nGC_15)*sq2*(coupl(nGC_440)*coupl(nGC_92) + 4d0*   &
                      coupl(nGC_6)**2d0 + 4d0*coupl(nGC_632)**2d0 + coupl(     &
                      nGC_90)**2d0 + coupl(nGC_91)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4413) = coupl(nGC_15)*sq2*(4d0*coupl(nGC_34)**2d0 + coupl(nGC_440&
                      )*coupl(nGC_92) + 4d0*coupl(nGC_6)**2d0 + 4d0*coupl(     &
                      nGC_634)**2d0 + coupl(nGC_72)**2d0 + coupl(nGC_91)**2d0  &
                      )/(64d0*pi**2d0)
    coupl(nGC_4414) = coupl(nGC_15)*sq2*(-coupl(nGC_440)*coupl(nGC_92) - 4d0*  &
                      coupl(nGC_6)**2d0 - 4d0*coupl(nGC_632)**2d0 - coupl(     &
                      nGC_90)**2d0 - coupl(nGC_91)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4415) = coupl(nGC_15)*sq2*(-4d0*coupl(nGC_34)**2d0 - coupl(      &
                      nGC_440)*coupl(nGC_92) - 4d0*coupl(nGC_6)**2d0 - 4d0*    &
                      coupl(nGC_634)**2d0 - coupl(nGC_72)**2d0 - coupl(nGC_91  &
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4416) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_14)**3d0 - 48d0*coupl( &
                      nGC_15)**3d0)/(768d0*pi**2d0)
    coupl(nGC_13217) = -coupl(nGC_4416)
    coupl(nGC_4417) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_14)**3d0 + 48d0*coupl(  &
                      nGC_15)**3d0)/(768d0*pi**2d0)
    coupl(nGC_13219) = -coupl(nGC_4417)
    coupl(nGC_4418) = (9d0*cima*coupl(nGC_1756)*coupl(nGC_296)**2d0*coupl(     &
                      nGC_32) + 9d0*cima*coupl(nGC_1960)*coupl(nGC_31)*coupl(  &
                      nGC_7)**2d0 + 24d0*cima*coupl(nGC_23)*coupl(nGC_502) +   &
                      4d0*cima*coupl(nGC_292)**2d0*coupl(nGC_37)**2d0 + 8d0*   &
                      cima*coupl(nGC_292)**2d0*coupl(nGC_8)**2d0 + 4d0*cima*   &
                      coupl(nGC_316)**2d0*coupl(nGC_8)**2d0 + 6d0*coupl(nGC_10 &
                      )*coupl(nGC_292)**2d0 + 6d0*coupl(nGC_10)*coupl(nGC_316  &
                      )**2d0 - 6d0*coupl(nGC_1756)*coupl(nGC_296)*coupl(nGC_41 &
                      ) - 6d0*coupl(nGC_1960)*coupl(nGC_31)*coupl(nGC_502) -   &
                      6d0*coupl(nGC_1960)*coupl(nGC_41)*coupl(nGC_7) + 36d0*   &
                      coupl(nGC_23)*coupl(nGC_296)**2d0 + 36d0*coupl(nGC_23)*  &
                      coupl(nGC_7)**2d0 - 6d0*coupl(nGC_296)*coupl(nGC_32)*    &
                      coupl(nGC_41) - 6d0*coupl(nGC_31)*coupl(nGC_41)*coupl(   &
                      nGC_7))/(192d0*pi**2d0)
    coupl(nGC_4419) = (9d0*cima*coupl(nGC_1756)*coupl(nGC_32)*coupl(nGC_7)**2d0&
                       + 4d0*cima*coupl(nGC_1756)*coupl(nGC_32)*coupl(nGC_8)** &
                      2d0 + 4d0*cima*coupl(nGC_1960)*coupl(nGC_292)**2d0*coupl(&
                      nGC_31) + 9d0*cima*coupl(nGC_1960)*coupl(nGC_296)**2d0*  &
                      coupl(nGC_31) + 12d0*cima*coupl(nGC_25)*coupl(nGC_502) + &
                      3d0*coupl(nGC_10)*coupl(nGC_1756)*coupl(nGC_32) + 3d0*   &
                      coupl(nGC_10)*coupl(nGC_1960)*coupl(nGC_31) - 3d0*coupl( &
                      nGC_1756)*coupl(nGC_32)*coupl(nGC_502) - 6d0*coupl(      &
                      nGC_1756)*coupl(nGC_41)*coupl(nGC_7) - 6d0*coupl(nGC_1960&
                      )*coupl(nGC_296)*coupl(nGC_41) - 3d0*coupl(nGC_1960)*    &
                      coupl(nGC_31)*coupl(nGC_502) + 18d0*coupl(nGC_25)*coupl( &
                      nGC_296)**2d0 + 18d0*coupl(nGC_25)*coupl(nGC_7)**2d0 -   &
                      6d0*coupl(nGC_296)*coupl(nGC_31)*coupl(nGC_41) - 6d0*    &
                      coupl(nGC_32)*coupl(nGC_41)*coupl(nGC_7))/(96d0*pi**2d0)
    coupl(nGC_4420) = (-32d0*Nc*cima*coupl(nGC_5)**2d0*coupl(nGC_66)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_5)**2d0*coupl(nGC_69)**2d0 - 32d0*&
                      Nc*cima*coupl(nGC_5)**2d0*coupl(nGC_72)**2d0 - 32d0*Nc*  &
                      cima*coupl(nGC_5)**2d0*coupl(nGC_81)**2d0 - 32d0*Nc*cima*&
                      coupl(nGC_5)**2d0*coupl(nGC_84)**2d0 - 32d0*Nc*cima*coupl&
                      (nGC_5)**2d0*coupl(nGC_90)**2d0 + 40d0*Nc*cima*coupl(    &
                      nGC_5)*coupl(nGC_6)*coupl(nGC_66)**2d0 + 40d0*Nc*cima*   &
                      coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_69)**2d0 + 40d0*Nc*  &
                      cima*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_72)**2d0 + 40d0*&
                      Nc*cima*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_81)**2d0 +   &
                      40d0*Nc*cima*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_84)**2d0&
                       + 40d0*Nc*cima*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_90)**&
                      2d0 - 32d0*Nc*cima*coupl(nGC_6)**2d0*coupl(nGC_66)**2d0  &
                       - 32d0*Nc*cima*coupl(nGC_6)**2d0*coupl(nGC_69)**2d0 -   &
                      32d0*Nc*cima*coupl(nGC_6)**2d0*coupl(nGC_72)**2d0 - 32d0*&
                      Nc*cima*coupl(nGC_6)**2d0*coupl(nGC_81)**2d0 - 32d0*Nc*  &
                      cima*coupl(nGC_6)**2d0*coupl(nGC_84)**2d0 - 32d0*Nc*cima*&
                      coupl(nGC_6)**2d0*coupl(nGC_90)**2d0 + 9d0*cima*coupl(   &
                      nGC_1732)*coupl(nGC_296)**2d0*coupl(nGC_33) + 9d0*cima*  &
                      coupl(nGC_1732)*coupl(nGC_33)*coupl(nGC_7)**2d0 + 9d0*   &
                      cima*coupl(nGC_1746)*coupl(nGC_29)*coupl(nGC_7)**2d0 +   &
                      9d0*cima*coupl(nGC_1948)*coupl(nGC_296)**2d0*coupl(nGC_30&
                      ) + 24d0*cima*coupl(nGC_21)*coupl(nGC_502) + 4d0*cima*   &
                      coupl(nGC_2324)**2d0*coupl(nGC_8)**2d0 + 4d0*cima*coupl( &
                      nGC_292)**2d0*coupl(nGC_52)**2d0 + 8d0*cima*coupl(nGC_292&
                      )**2d0*coupl(nGC_8)**2d0 - 32d0*cima*coupl(nGC_75)**2d0* &
                      coupl(nGC_8)**2d0 - 32d0*cima*coupl(nGC_78)**2d0*coupl(  &
                      nGC_8)**2d0 - 32d0*cima*coupl(nGC_8)**2d0*coupl(nGC_87)**&
                      2d0 + 6d0*coupl(nGC_10)*coupl(nGC_2324)**2d0 + 6d0*coupl(&
                      nGC_10)*coupl(nGC_292)**2d0 - 6d0*coupl(nGC_1732)*coupl( &
                      nGC_296)*coupl(nGC_39) - 6d0*coupl(nGC_1732)*coupl(nGC_33&
                      )*coupl(nGC_502) - 6d0*coupl(nGC_1732)*coupl(nGC_42)*    &
                      coupl(nGC_7) - 6d0*coupl(nGC_1746)*coupl(nGC_29)*coupl(  &
                      nGC_502) - 6d0*coupl(nGC_1746)*coupl(nGC_40)*coupl(nGC_7 &
                      ) - 6d0*coupl(nGC_1948)*coupl(nGC_296)*coupl(nGC_40) +   &
                      36d0*coupl(nGC_21)*coupl(nGC_296)**2d0 + 36d0*coupl(     &
                      nGC_21)*coupl(nGC_7)**2d0 - 6d0*coupl(nGC_29)*coupl(     &
                      nGC_40)*coupl(nGC_7) - 6d0*coupl(nGC_296)*coupl(nGC_30)* &
                      coupl(nGC_40) - 6d0*coupl(nGC_296)*coupl(nGC_33)*coupl(  &
                      nGC_42) - 6d0*coupl(nGC_33)*coupl(nGC_39)*coupl(nGC_7))/(&
                      192d0*pi**2d0)
    coupl(nGC_4421) = (-12d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_5)**2d0 +    &
                      36d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_5)*coupl(nGC_6 &
                      ) - 12d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_6)**2d0 -  &
                      8d0*cima*coupl(nGC_296)**2d0*coupl(nGC_38)**2d0 - 24d0*  &
                      cima*coupl(nGC_296)**2d0*coupl(nGC_7)**2d0 - 16d0*cima*  &
                      coupl(nGC_310)**2d0*coupl(nGC_7)**2d0 - 12d0*cima*coupl( &
                      nGC_34)**2d0*coupl(nGC_8)**2d0 + 12d0*cima*coupl(nGC_546 &
                      )**2d0 + 12d0*cima*coupl(nGC_9)**2d0 + 3d0*coupl(nGC_22)*&
                      coupl(nGC_7)**2d0 + 3d0*coupl(nGC_296)**2d0*coupl(nGC_510&
                      ) + 3d0*coupl(nGC_296)**2d0*coupl(nGC_9) + 6d0*coupl(    &
                      nGC_296)*coupl(nGC_38)*coupl(nGC_44) + 6d0*coupl(nGC_296 &
                      )*coupl(nGC_502)*coupl(nGC_7) + 36d0*coupl(nGC_296)*coupl&
                      (nGC_7)*coupl(nGC_9) + 3d0*coupl(nGC_310)**2d0*coupl(    &
                      nGC_9) + 36d0*coupl(nGC_310)*coupl(nGC_546)*coupl(nGC_7  &
                      ))/(96d0*pi**2d0)
    coupl(nGC_4422) = (18d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_5)**2d0 - 30d0&
                      *Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_5)*coupl(nGC_6) +  &
                      18d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_6)**2d0 + 6d0* &
                      cima*coupl(nGC_22)*coupl(nGC_502) - 8d0*cima*coupl(      &
                      nGC_296)**2d0*coupl(nGC_38)**2d0 - 16d0*cima*coupl(      &
                      nGC_296)**2d0*coupl(nGC_7)**2d0 - 8d0*cima*coupl(nGC_310 &
                      )**2d0*coupl(nGC_7)**2d0 + 18d0*cima*coupl(nGC_34)**2d0* &
                      coupl(nGC_8)**2d0 + 9d0*coupl(nGC_22)*coupl(nGC_296)**2d0&
                       + 9d0*coupl(nGC_22)*coupl(nGC_7)**2d0 + 9d0*coupl(      &
                      nGC_296)**2d0*coupl(nGC_502) + 3d0*coupl(nGC_296)*coupl( &
                      nGC_38)*coupl(nGC_546) + 6d0*coupl(nGC_296)*coupl(nGC_7)*&
                      coupl(nGC_9) + 9d0*coupl(nGC_310)**2d0*coupl(nGC_502) +  &
                      3d0*coupl(nGC_310)*coupl(nGC_546)*coupl(nGC_7))/(48d0*pi &
                      **2d0)
    coupl(nGC_4423) = (-12d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_5)**2d0 +    &
                      36d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_5)*coupl(nGC_6 &
                      ) - 12d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_6)**2d0 -  &
                      16d0*cima*coupl(nGC_296)**2d0*coupl(nGC_38)**2d0 - 24d0* &
                      cima*coupl(nGC_296)**2d0*coupl(nGC_7)**2d0 - 8d0*cima*   &
                      coupl(nGC_310)**2d0*coupl(nGC_7)**2d0 - 12d0*cima*coupl( &
                      nGC_34)**2d0*coupl(nGC_8)**2d0 + 12d0*cima*coupl(nGC_546 &
                      )**2d0 + 12d0*cima*coupl(nGC_9)**2d0 + 3d0*coupl(nGC_22)*&
                      coupl(nGC_296)**2d0 + 3d0*coupl(nGC_296)**2d0*coupl(nGC_9&
                      ) + 36d0*coupl(nGC_296)*coupl(nGC_38)*coupl(nGC_546) +   &
                      6d0*coupl(nGC_296)*coupl(nGC_502)*coupl(nGC_7) + 36d0*   &
                      coupl(nGC_296)*coupl(nGC_7)*coupl(nGC_9) + 3d0*coupl(    &
                      nGC_310)**2d0*coupl(nGC_9) + 6d0*coupl(nGC_310)*coupl(   &
                      nGC_44)*coupl(nGC_7) + 3d0*coupl(nGC_510)*coupl(nGC_7)** &
                      2d0)/(96d0*pi**2d0)
    coupl(nGC_4424) = (-24d0*Nc*cima*coupl(nGC_386)*coupl(nGC_5)**2d0*coupl(   &
                      nGC_73) - 24d0*Nc*cima*coupl(nGC_390)*coupl(nGC_5)**2d0* &
                      coupl(nGC_82) - 24d0*Nc*cima*coupl(nGC_394)*coupl(nGC_5  &
                      )**2d0*coupl(nGC_67) - 24d0*Nc*cima*coupl(nGC_440)*coupl(&
                      nGC_6)**2d0*coupl(nGC_92) - 24d0*Nc*cima*coupl(nGC_444)* &
                      coupl(nGC_6)**2d0*coupl(nGC_71) - 24d0*Nc*cima*coupl(    &
                      nGC_448)*coupl(nGC_6)**2d0*coupl(nGC_86) + 4d0*cima*coupl&
                      (nGC_1732)*coupl(nGC_292)**2d0*coupl(nGC_33) + 9d0*cima* &
                      coupl(nGC_1732)*coupl(nGC_296)**2d0*coupl(nGC_33) + 9d0* &
                      cima*coupl(nGC_1732)*coupl(nGC_33)*coupl(nGC_7)**2d0 +   &
                      4d0*cima*coupl(nGC_1732)*coupl(nGC_33)*coupl(nGC_8)**2d0 &
                       + 12d0*cima*coupl(nGC_21)*coupl(nGC_502) - 24d0*cima*   &
                      coupl(nGC_410)*coupl(nGC_76)*coupl(nGC_8)**2d0 - 24d0*   &
                      cima*coupl(nGC_414)*coupl(nGC_79)*coupl(nGC_8)**2d0 -    &
                      24d0*cima*coupl(nGC_418)*coupl(nGC_8)**2d0*coupl(nGC_88  &
                      ) + 6d0*coupl(nGC_10)*coupl(nGC_1732)*coupl(nGC_33) - 6d0&
                      *coupl(nGC_1732)*coupl(nGC_296)*coupl(nGC_42) - 6d0*coupl&
                      (nGC_1732)*coupl(nGC_33)*coupl(nGC_502) - 6d0*coupl(     &
                      nGC_1732)*coupl(nGC_39)*coupl(nGC_7) + 18d0*coupl(nGC_21 &
                      )*coupl(nGC_296)**2d0 + 18d0*coupl(nGC_21)*coupl(nGC_7)**&
                      2d0 - 6d0*coupl(nGC_296)*coupl(nGC_33)*coupl(nGC_39) -   &
                      6d0*coupl(nGC_33)*coupl(nGC_42)*coupl(nGC_7))/(96d0*pi** &
                      2d0)
    coupl(nGC_4425) = (-24d0*Nc*cima*coupl(nGC_5)**2d0*coupl(nGC_68)**2d0 -    &
                      24d0*Nc*cima*coupl(nGC_5)**2d0*coupl(nGC_74)**2d0 - 24d0*&
                      Nc*cima*coupl(nGC_5)**2d0*coupl(nGC_83)**2d0 - 24d0*Nc*  &
                      cima*coupl(nGC_6)**2d0*coupl(nGC_70)**2d0 - 24d0*Nc*cima*&
                      coupl(nGC_6)**2d0*coupl(nGC_85)**2d0 - 24d0*Nc*cima*coupl&
                      (nGC_6)**2d0*coupl(nGC_91)**2d0 + 4d0*cima*coupl(nGC_1746&
                      )*coupl(nGC_29)*coupl(nGC_292)**2d0 + 9d0*cima*coupl(    &
                      nGC_1746)*coupl(nGC_29)*coupl(nGC_296)**2d0 + 9d0*cima*  &
                      coupl(nGC_1948)*coupl(nGC_30)*coupl(nGC_7)**2d0 + 4d0*   &
                      cima*coupl(nGC_1948)*coupl(nGC_30)*coupl(nGC_8)**2d0 +   &
                      12d0*cima*coupl(nGC_21)*coupl(nGC_502) - 24d0*cima*coupl(&
                      nGC_77)**2d0*coupl(nGC_8)**2d0 - 24d0*cima*coupl(nGC_8)**&
                      2d0*coupl(nGC_80)**2d0 - 24d0*cima*coupl(nGC_8)**2d0*    &
                      coupl(nGC_89)**2d0 + 3d0*coupl(nGC_10)*coupl(nGC_1746)*  &
                      coupl(nGC_29) + 3d0*coupl(nGC_10)*coupl(nGC_1948)*coupl( &
                      nGC_30) - 3d0*coupl(nGC_1746)*coupl(nGC_29)*coupl(nGC_502&
                      ) - 6d0*coupl(nGC_1746)*coupl(nGC_296)*coupl(nGC_40) -   &
                      3d0*coupl(nGC_1948)*coupl(nGC_30)*coupl(nGC_502) - 6d0*  &
                      coupl(nGC_1948)*coupl(nGC_40)*coupl(nGC_7) + 18d0*coupl( &
                      nGC_21)*coupl(nGC_296)**2d0 + 18d0*coupl(nGC_21)*coupl(  &
                      nGC_7)**2d0 - 6d0*coupl(nGC_29)*coupl(nGC_296)*coupl(    &
                      nGC_40) - 6d0*coupl(nGC_30)*coupl(nGC_40)*coupl(nGC_7))/(&
                      96d0*pi**2d0)
    coupl(nGC_4426) = (10d0*Nc*cima*coupl(nGC_5)*coupl(nGC_632)*coupl(nGC_69)**&
                      2d0 + 10d0*Nc*cima*coupl(nGC_5)*coupl(nGC_632)*coupl(    &
                      nGC_84)**2d0 + 10d0*Nc*cima*coupl(nGC_5)*coupl(nGC_632)* &
                      coupl(nGC_90)**2d0 + 10d0*Nc*cima*coupl(nGC_5)*coupl(    &
                      nGC_634)*coupl(nGC_66)**2d0 + 10d0*Nc*cima*coupl(nGC_5)* &
                      coupl(nGC_634)*coupl(nGC_72)**2d0 + 10d0*Nc*cima*coupl(  &
                      nGC_5)*coupl(nGC_634)*coupl(nGC_81)**2d0 - 16d0*Nc*cima* &
                      coupl(nGC_5)*coupl(nGC_648)*coupl(nGC_66)**2d0 - 16d0*Nc*&
                      cima*coupl(nGC_5)*coupl(nGC_648)*coupl(nGC_72)**2d0 -    &
                      16d0*Nc*cima*coupl(nGC_5)*coupl(nGC_648)*coupl(nGC_81)** &
                      2d0 - 16d0*Nc*cima*coupl(nGC_5)*coupl(nGC_650)*coupl(    &
                      nGC_69)**2d0 - 16d0*Nc*cima*coupl(nGC_5)*coupl(nGC_650)* &
                      coupl(nGC_84)**2d0 - 16d0*Nc*cima*coupl(nGC_5)*coupl(    &
                      nGC_650)*coupl(nGC_90)**2d0 - 16d0*Nc*cima*coupl(nGC_6)* &
                      coupl(nGC_632)*coupl(nGC_69)**2d0 - 16d0*Nc*cima*coupl(  &
                      nGC_6)*coupl(nGC_632)*coupl(nGC_84)**2d0 - 16d0*Nc*cima* &
                      coupl(nGC_6)*coupl(nGC_632)*coupl(nGC_90)**2d0 - 16d0*Nc*&
                      cima*coupl(nGC_6)*coupl(nGC_634)*coupl(nGC_66)**2d0 -    &
                      16d0*Nc*cima*coupl(nGC_6)*coupl(nGC_634)*coupl(nGC_72)** &
                      2d0 - 16d0*Nc*cima*coupl(nGC_6)*coupl(nGC_634)*coupl(    &
                      nGC_81)**2d0 + 10d0*Nc*cima*coupl(nGC_6)*coupl(nGC_648)* &
                      coupl(nGC_66)**2d0 + 10d0*Nc*cima*coupl(nGC_6)*coupl(    &
                      nGC_648)*coupl(nGC_72)**2d0 + 10d0*Nc*cima*coupl(nGC_6)* &
                      coupl(nGC_648)*coupl(nGC_81)**2d0 + 10d0*Nc*cima*coupl(  &
                      nGC_6)*coupl(nGC_650)*coupl(nGC_69)**2d0 + 10d0*Nc*cima* &
                      coupl(nGC_6)*coupl(nGC_650)*coupl(nGC_84)**2d0 + 10d0*Nc*&
                      cima*coupl(nGC_6)*coupl(nGC_650)*coupl(nGC_90)**2d0 + 9d0&
                      *cima*coupl(nGC_1732)*coupl(nGC_33)*coupl(nGC_38)*coupl( &
                      nGC_7) + 9d0*cima*coupl(nGC_1746)*coupl(nGC_29)*coupl(   &
                      nGC_38)*coupl(nGC_7) + 12d0*cima*coupl(nGC_21)*coupl(    &
                      nGC_44) + 4d0*cima*coupl(nGC_2324)**2d0*coupl(nGC_52)*   &
                      coupl(nGC_8) + 4d0*cima*coupl(nGC_292)**2d0*coupl(nGC_52 &
                      )*coupl(nGC_8) + 10d0*cima*coupl(nGC_53)*coupl(nGC_75)** &
                      2d0*coupl(nGC_8) + 10d0*cima*coupl(nGC_53)*coupl(nGC_78  &
                      )**2d0*coupl(nGC_8) + 10d0*cima*coupl(nGC_53)*coupl(nGC_8&
                      )*coupl(nGC_87)**2d0 - 16d0*cima*coupl(nGC_670)*coupl(   &
                      nGC_75)**2d0*coupl(nGC_8) - 16d0*cima*coupl(nGC_670)*    &
                      coupl(nGC_78)**2d0*coupl(nGC_8) - 16d0*cima*coupl(nGC_670&
                      )*coupl(nGC_8)*coupl(nGC_87)**2d0 - 3d0*coupl(nGC_11)*   &
                      coupl(nGC_33)*coupl(nGC_7) - 3d0*coupl(nGC_12)*coupl(    &
                      nGC_1746)*coupl(nGC_7) - 3d0*coupl(nGC_12)*coupl(nGC_29)*&
                      coupl(nGC_7) - 3d0*coupl(nGC_13)*coupl(nGC_1732)*coupl(  &
                      nGC_7) - 3d0*coupl(nGC_1732)*coupl(nGC_33)*coupl(nGC_44  &
                      ) - 3d0*coupl(nGC_1746)*coupl(nGC_29)*coupl(nGC_44) - 3d0&
                      *coupl(nGC_1746)*coupl(nGC_38)*coupl(nGC_40) - 3d0*coupl(&
                      nGC_1948)*coupl(nGC_310)*coupl(nGC_40) + 18d0*coupl(     &
                      nGC_21)*coupl(nGC_296)*coupl(nGC_310) + 18d0*coupl(nGC_21&
                      )*coupl(nGC_38)*coupl(nGC_7) + 3d0*coupl(nGC_2324)**2d0* &
                      coupl(nGC_54) + 3d0*coupl(nGC_292)**2d0*coupl(nGC_54) -  &
                      3d0*coupl(nGC_310)*coupl(nGC_33)*coupl(nGC_42) - 3d0*    &
                      coupl(nGC_33)*coupl(nGC_38)*coupl(nGC_39))/(96d0*pi**2d0)
    coupl(nGC_4427) = (-16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_440)*coupl(nGC_5)*&
                      coupl(nGC_90) + 4d0*Nc*cima*coupl(nGC_34)*coupl(nGC_440)*&
                      coupl(nGC_6)*coupl(nGC_90) - 16d0*Nc*cima*coupl(nGC_34)* &
                      coupl(nGC_444)*coupl(nGC_5)*coupl(nGC_69) + 4d0*Nc*cima* &
                      coupl(nGC_34)*coupl(nGC_444)*coupl(nGC_6)*coupl(nGC_69   &
                      ) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_448)*coupl(nGC_5&
                      )*coupl(nGC_84) + 4d0*Nc*cima*coupl(nGC_34)*coupl(nGC_448&
                      )*coupl(nGC_6)*coupl(nGC_84) + 4d0*Nc*cima*coupl(nGC_34)*&
                      coupl(nGC_5)*coupl(nGC_66)*coupl(nGC_67) + 4d0*Nc*cima*  &
                      coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_72)*coupl(nGC_73) + &
                      4d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_81)*    &
                      coupl(nGC_82) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_6)* &
                      coupl(nGC_66)*coupl(nGC_67) - 16d0*Nc*cima*coupl(nGC_34)*&
                      coupl(nGC_6)*coupl(nGC_72)*coupl(nGC_73) - 16d0*Nc*cima* &
                      coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_81)*coupl(nGC_82) + &
                      24d0*cima*coupl(nGC_11)*coupl(nGC_546) + 9d0*cima*coupl( &
                      nGC_1732)*coupl(nGC_296)*coupl(nGC_38)*coupl(nGC_52) +   &
                      9d0*cima*coupl(nGC_1732)*coupl(nGC_296)*coupl(nGC_7)*    &
                      coupl(nGC_8) + 4d0*cima*coupl(nGC_1948)**2d0*coupl(      &
                      nGC_292)*coupl(nGC_33) + 9d0*cima*coupl(nGC_2312)*coupl( &
                      nGC_29)*coupl(nGC_310)*coupl(nGC_7) + 4d0*cima*coupl(    &
                      nGC_2324)*coupl(nGC_29)*coupl(nGC_51)*coupl(nGC_8) + 4d0*&
                      cima*coupl(nGC_292)*coupl(nGC_33)**3d0 + 4d0*cima*coupl( &
                      nGC_34)*coupl(nGC_75)*coupl(nGC_76)*coupl(nGC_8) + 4d0*  &
                      cima*coupl(nGC_34)*coupl(nGC_78)*coupl(nGC_79)*coupl(    &
                      nGC_8) + 4d0*cima*coupl(nGC_34)*coupl(nGC_8)*coupl(nGC_87&
                      )*coupl(nGC_88) + 24d0*cima*coupl(nGC_39)*coupl(nGC_9) - &
                      6d0*coupl(nGC_10)*coupl(nGC_1732)*coupl(nGC_7) + 36d0*   &
                      coupl(nGC_11)*coupl(nGC_310)*coupl(nGC_7) - 6d0*coupl(   &
                      nGC_1732)*coupl(nGC_21)*coupl(nGC_296) - 6d0*coupl(      &
                      nGC_1732)*coupl(nGC_21)*coupl(nGC_7) - 6d0*coupl(nGC_1732&
                      )*coupl(nGC_38)*coupl(nGC_54) - 6d0*coupl(nGC_1732)*coupl&
                      (nGC_52)*coupl(nGC_546) - 6d0*coupl(nGC_1732)*coupl(nGC_8&
                      )*coupl(nGC_9) + 6d0*coupl(nGC_1948)*coupl(nGC_33)*coupl(&
                      nGC_40) - 6d0*coupl(nGC_2312)*coupl(nGC_29)*coupl(nGC_546&
                      ) - 6d0*coupl(nGC_2312)*coupl(nGC_310)*coupl(nGC_40) -   &
                      6d0*coupl(nGC_2324)*coupl(nGC_310)*coupl(nGC_39) + 6d0*  &
                      coupl(nGC_2324)*coupl(nGC_40)*coupl(nGC_51) - 6d0*coupl( &
                      nGC_292)*coupl(nGC_296)*coupl(nGC_39) + 36d0*coupl(      &
                      nGC_296)*coupl(nGC_39)*coupl(nGC_7) + 6d0*coupl(nGC_33)**&
                      2d0*coupl(nGC_39))/(192d0*pi**2d0)
    coupl(nGC_4428) = (4d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_66)*   &
                      coupl(nGC_68) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)* &
                      coupl(nGC_69)*coupl(nGC_70) + 4d0*Nc*cima*coupl(nGC_34)* &
                      coupl(nGC_5)*coupl(nGC_72)*coupl(nGC_74) + 4d0*Nc*cima*  &
                      coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_81)*coupl(nGC_83) - &
                      16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_84)*   &
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)* &
                      coupl(nGC_90)*coupl(nGC_91) - 16d0*Nc*cima*coupl(nGC_34)*&
                      coupl(nGC_6)*coupl(nGC_66)*coupl(nGC_68) + 4d0*Nc*cima*  &
                      coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_69)*coupl(nGC_70) - &
                      16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_72)*   &
                      coupl(nGC_74) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_6)* &
                      coupl(nGC_81)*coupl(nGC_83) + 4d0*Nc*cima*coupl(nGC_34)* &
                      coupl(nGC_6)*coupl(nGC_84)*coupl(nGC_85) + 4d0*Nc*cima*  &
                      coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_90)*coupl(nGC_91) + &
                      24d0*cima*coupl(nGC_12)*coupl(nGC_546) + 4d0*cima*coupl( &
                      nGC_1732)*coupl(nGC_2312)*coupl(nGC_2324)*coupl(nGC_8) + &
                      9d0*cima*coupl(nGC_1732)*coupl(nGC_310)*coupl(nGC_51)*   &
                      coupl(nGC_7) + 4d0*cima*coupl(nGC_1746)*coupl(nGC_1948)**&
                      2d0*coupl(nGC_292) + 4d0*cima*coupl(nGC_1746)*coupl(     &
                      nGC_292)*coupl(nGC_33)**2d0 + 9d0*cima*coupl(nGC_29)*    &
                      coupl(nGC_296)*coupl(nGC_38)*coupl(nGC_52) + 9d0*cima*   &
                      coupl(nGC_29)*coupl(nGC_296)*coupl(nGC_7)*coupl(nGC_8) + &
                      4d0*cima*coupl(nGC_34)*coupl(nGC_75)*coupl(nGC_77)*coupl(&
                      nGC_8) + 4d0*cima*coupl(nGC_34)*coupl(nGC_78)*coupl(nGC_8&
                      )*coupl(nGC_80) + 4d0*cima*coupl(nGC_34)*coupl(nGC_8)*   &
                      coupl(nGC_87)*coupl(nGC_89) + 24d0*cima*coupl(nGC_40)*   &
                      coupl(nGC_9) - 6d0*coupl(nGC_10)*coupl(nGC_29)*coupl(    &
                      nGC_7) + 36d0*coupl(nGC_12)*coupl(nGC_310)*coupl(nGC_7   &
                      ) - 6d0*coupl(nGC_1732)*coupl(nGC_51)*coupl(nGC_546) +   &
                      6d0*coupl(nGC_1746)*coupl(nGC_1948)*coupl(nGC_40) + 6d0* &
                      coupl(nGC_1746)*coupl(nGC_33)*coupl(nGC_39) - 6d0*coupl( &
                      nGC_21)*coupl(nGC_29)*coupl(nGC_296) - 6d0*coupl(nGC_21)*&
                      coupl(nGC_29)*coupl(nGC_7) + 6d0*coupl(nGC_2312)*coupl(  &
                      nGC_2324)*coupl(nGC_39) - 6d0*coupl(nGC_2324)*coupl(     &
                      nGC_310)*coupl(nGC_40) - 6d0*coupl(nGC_29)*coupl(nGC_38)*&
                      coupl(nGC_54) - 6d0*coupl(nGC_29)*coupl(nGC_52)*coupl(   &
                      nGC_546) - 6d0*coupl(nGC_29)*coupl(nGC_8)*coupl(nGC_9) - &
                      6d0*coupl(nGC_292)*coupl(nGC_296)*coupl(nGC_40) + 36d0*  &
                      coupl(nGC_296)*coupl(nGC_40)*coupl(nGC_7) - 6d0*coupl(   &
                      nGC_310)*coupl(nGC_39)*coupl(nGC_51))/(192d0*pi**2d0)
    coupl(nGC_4429) = (4d0*Nc*cima*coupl(nGC_34)*coupl(nGC_386)*coupl(nGC_5)*  &
                      coupl(nGC_72) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_386 &
                      )*coupl(nGC_6)*coupl(nGC_72) + 4d0*Nc*cima*coupl(nGC_34)*&
                      coupl(nGC_390)*coupl(nGC_5)*coupl(nGC_81) - 16d0*Nc*cima*&
                      coupl(nGC_34)*coupl(nGC_390)*coupl(nGC_6)*coupl(nGC_81   &
                      ) + 4d0*Nc*cima*coupl(nGC_34)*coupl(nGC_394)*coupl(nGC_5 &
                      )*coupl(nGC_66) - 16d0*Nc*cima*coupl(nGC_34)*coupl(      &
                      nGC_394)*coupl(nGC_6)*coupl(nGC_66) - 16d0*Nc*cima*coupl(&
                      nGC_34)*coupl(nGC_5)*coupl(nGC_69)*coupl(nGC_71) - 16d0* &
                      Nc*cima*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_84)*coupl(  &
                      nGC_86) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)*coupl( &
                      nGC_90)*coupl(nGC_92) + 4d0*Nc*cima*coupl(nGC_34)*coupl( &
                      nGC_6)*coupl(nGC_69)*coupl(nGC_71) + 4d0*Nc*cima*coupl(  &
                      nGC_34)*coupl(nGC_6)*coupl(nGC_84)*coupl(nGC_86) + 4d0*Nc&
                      *cima*coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_90)*coupl(    &
                      nGC_92) + 24d0*cima*coupl(nGC_13)*coupl(nGC_546) + 9d0*  &
                      cima*coupl(nGC_1732)*coupl(nGC_2324)*coupl(nGC_310)*coupl&
                      (nGC_7) + 9d0*cima*coupl(nGC_1732)*coupl(nGC_292)*coupl( &
                      nGC_296)*coupl(nGC_7) + 4d0*cima*coupl(nGC_1746)**2d0*   &
                      coupl(nGC_33)*coupl(nGC_8) + 9d0*cima*coupl(nGC_2312)*   &
                      coupl(nGC_296)*coupl(nGC_30)*coupl(nGC_38) + 4d0*cima*   &
                      coupl(nGC_292)*coupl(nGC_30)*coupl(nGC_51)*coupl(nGC_52  &
                      ) + 4d0*cima*coupl(nGC_33)**3d0*coupl(nGC_8) + 4d0*cima* &
                      coupl(nGC_34)*coupl(nGC_410)*coupl(nGC_75)*coupl(nGC_8   &
                      ) + 4d0*cima*coupl(nGC_34)*coupl(nGC_414)*coupl(nGC_78)* &
                      coupl(nGC_8) + 4d0*cima*coupl(nGC_34)*coupl(nGC_418)*    &
                      coupl(nGC_8)*coupl(nGC_87) + 24d0*cima*coupl(nGC_42)*    &
                      coupl(nGC_9) - 6d0*coupl(nGC_10)*coupl(nGC_1732)*coupl(  &
                      nGC_296) + 36d0*coupl(nGC_13)*coupl(nGC_296)*coupl(nGC_38&
                      ) - 6d0*coupl(nGC_1732)*coupl(nGC_21)*coupl(nGC_296) -   &
                      6d0*coupl(nGC_1732)*coupl(nGC_21)*coupl(nGC_7) - 6d0*    &
                      coupl(nGC_1732)*coupl(nGC_2324)*coupl(nGC_546) - 6d0*    &
                      coupl(nGC_1732)*coupl(nGC_292)*coupl(nGC_9) - 6d0*coupl( &
                      nGC_1732)*coupl(nGC_310)*coupl(nGC_54) + 6d0*coupl(      &
                      nGC_1746)*coupl(nGC_33)*coupl(nGC_40) - 6d0*coupl(       &
                      nGC_2312)*coupl(nGC_30)*coupl(nGC_546) - 6d0*coupl(      &
                      nGC_2312)*coupl(nGC_38)*coupl(nGC_40) + 36d0*coupl(      &
                      nGC_296)*coupl(nGC_42)*coupl(nGC_7) + 6d0*coupl(nGC_33)**&
                      2d0*coupl(nGC_42) - 6d0*coupl(nGC_38)*coupl(nGC_42)*coupl&
                      (nGC_52) + 6d0*coupl(nGC_40)*coupl(nGC_51)*coupl(nGC_52  &
                      ) - 6d0*coupl(nGC_42)*coupl(nGC_7)*coupl(nGC_8))/(192d0* &
                      pi**2d0)
    coupl(nGC_4430) = (9d0*cima*coupl(nGC_1960)*coupl(nGC_31)*coupl(nGC_38)*   &
                      coupl(nGC_7) + 12d0*cima*coupl(nGC_23)*coupl(nGC_44) +   &
                      4d0*cima*coupl(nGC_292)**2d0*coupl(nGC_37)*coupl(nGC_8   &
                      ) + 4d0*cima*coupl(nGC_316)**2d0*coupl(nGC_37)*coupl(    &
                      nGC_8) - 3d0*coupl(nGC_1960)*coupl(nGC_26)*coupl(nGC_7   &
                      ) - 3d0*coupl(nGC_1960)*coupl(nGC_31)*coupl(nGC_44) +    &
                      18d0*coupl(nGC_23)*coupl(nGC_296)*coupl(nGC_310) + 18d0* &
                      coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_7) - 3d0*coupl(    &
                      nGC_26)*coupl(nGC_31)*coupl(nGC_7) + 3d0*coupl(nGC_292)**&
                      2d0*coupl(nGC_43) - 3d0*coupl(nGC_31)*coupl(nGC_38)*coupl&
                      (nGC_41) - 3d0*coupl(nGC_310)*coupl(nGC_32)*coupl(nGC_41 &
                      ) + 3d0*coupl(nGC_316)**2d0*coupl(nGC_43))/(96d0*pi**2d0)
    coupl(nGC_4431) = (4d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_66)*   &
                      coupl(nGC_68) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)* &
                      coupl(nGC_69)*coupl(nGC_70) + 4d0*Nc*cima*coupl(nGC_34)* &
                      coupl(nGC_5)*coupl(nGC_72)*coupl(nGC_74) + 4d0*Nc*cima*  &
                      coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_81)*coupl(nGC_83) - &
                      16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)*coupl(nGC_84)*   &
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_5)* &
                      coupl(nGC_90)*coupl(nGC_91) - 16d0*Nc*cima*coupl(nGC_34)*&
                      coupl(nGC_6)*coupl(nGC_66)*coupl(nGC_68) + 4d0*Nc*cima*  &
                      coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_69)*coupl(nGC_70) - &
                      16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_72)*   &
                      coupl(nGC_74) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_6)* &
                      coupl(nGC_81)*coupl(nGC_83) + 4d0*Nc*cima*coupl(nGC_34)* &
                      coupl(nGC_6)*coupl(nGC_84)*coupl(nGC_85) + 4d0*Nc*cima*  &
                      coupl(nGC_34)*coupl(nGC_6)*coupl(nGC_90)*coupl(nGC_91) + &
                      24d0*cima*coupl(nGC_12)*coupl(nGC_546) + 4d0*cima*coupl( &
                      nGC_1732)*coupl(nGC_2312)*coupl(nGC_292)*coupl(nGC_52) + &
                      9d0*cima*coupl(nGC_1732)*coupl(nGC_296)*coupl(nGC_38)*   &
                      coupl(nGC_51) + 4d0*cima*coupl(nGC_1746)**2d0*coupl(     &
                      nGC_1948)*coupl(nGC_8) + 4d0*cima*coupl(nGC_1948)*coupl( &
                      nGC_33)**2d0*coupl(nGC_8) + 9d0*cima*coupl(nGC_2324)*    &
                      coupl(nGC_30)*coupl(nGC_310)*coupl(nGC_7) + 9d0*cima*    &
                      coupl(nGC_292)*coupl(nGC_296)*coupl(nGC_30)*coupl(nGC_7  &
                      ) + 4d0*cima*coupl(nGC_34)*coupl(nGC_75)*coupl(nGC_77)*  &
                      coupl(nGC_8) + 4d0*cima*coupl(nGC_34)*coupl(nGC_78)*coupl&
                      (nGC_8)*coupl(nGC_80) + 4d0*cima*coupl(nGC_34)*coupl(    &
                      nGC_8)*coupl(nGC_87)*coupl(nGC_89) + 24d0*cima*coupl(    &
                      nGC_40)*coupl(nGC_9) - 6d0*coupl(nGC_10)*coupl(nGC_296)* &
                      coupl(nGC_30) + 36d0*coupl(nGC_12)*coupl(nGC_296)*coupl( &
                      nGC_38) - 6d0*coupl(nGC_1732)*coupl(nGC_51)*coupl(nGC_546&
                      ) + 6d0*coupl(nGC_1746)*coupl(nGC_1948)*coupl(nGC_40) +  &
                      6d0*coupl(nGC_1948)*coupl(nGC_33)*coupl(nGC_42) - 6d0*   &
                      coupl(nGC_21)*coupl(nGC_296)*coupl(nGC_30) - 6d0*coupl(  &
                      nGC_21)*coupl(nGC_30)*coupl(nGC_7) + 6d0*coupl(nGC_2312)*&
                      coupl(nGC_42)*coupl(nGC_52) - 6d0*coupl(nGC_2324)*coupl( &
                      nGC_30)*coupl(nGC_546) - 6d0*coupl(nGC_292)*coupl(nGC_30 &
                      )*coupl(nGC_9) + 36d0*coupl(nGC_296)*coupl(nGC_40)*coupl(&
                      nGC_7) - 6d0*coupl(nGC_30)*coupl(nGC_310)*coupl(nGC_54   &
                      ) - 6d0*coupl(nGC_38)*coupl(nGC_40)*coupl(nGC_52) - 6d0* &
                      coupl(nGC_38)*coupl(nGC_42)*coupl(nGC_51) - 6d0*coupl(   &
                      nGC_40)*coupl(nGC_7)*coupl(nGC_8))/(192d0*pi**2d0)
    coupl(nGC_4432) = (9d0*cima*coupl(nGC_1960)*coupl(nGC_296)*coupl(nGC_37)*  &
                      coupl(nGC_38) + 9d0*cima*coupl(nGC_1960)*coupl(nGC_296)* &
                      coupl(nGC_7)*coupl(nGC_8) + 24d0*cima*coupl(nGC_26)*coupl&
                      (nGC_546) + 4d0*cima*coupl(nGC_292)*coupl(nGC_31)*coupl( &
                      nGC_32)**2d0 + 24d0*cima*coupl(nGC_41)*coupl(nGC_9) - 6d0&
                      *coupl(nGC_10)*coupl(nGC_1960)*coupl(nGC_7) - 6d0*coupl( &
                      nGC_1756)*coupl(nGC_24)*coupl(nGC_7) - 6d0*coupl(nGC_1960&
                      )*coupl(nGC_23)*coupl(nGC_296) - 6d0*coupl(nGC_1960)*    &
                      coupl(nGC_25)*coupl(nGC_7) - 6d0*coupl(nGC_1960)*coupl(  &
                      nGC_37)*coupl(nGC_546) - 6d0*coupl(nGC_1960)*coupl(nGC_38&
                      )*coupl(nGC_43) - 6d0*coupl(nGC_1960)*coupl(nGC_8)*coupl(&
                      nGC_9) + 36d0*coupl(nGC_26)*coupl(nGC_310)*coupl(nGC_7   &
                      ) - 6d0*coupl(nGC_292)*coupl(nGC_296)*coupl(nGC_41) +    &
                      36d0*coupl(nGC_296)*coupl(nGC_41)*coupl(nGC_7) + 6d0*    &
                      coupl(nGC_31)*coupl(nGC_32)*coupl(nGC_41) - 6d0*coupl(   &
                      nGC_310)*coupl(nGC_316)*coupl(nGC_41))/(192d0*pi**2d0)
    coupl(nGC_4433) = (9d0*cima*coupl(nGC_1756)*coupl(nGC_292)*coupl(nGC_296)* &
                      coupl(nGC_7) + 9d0*cima*coupl(nGC_1756)*coupl(nGC_310)*  &
                      coupl(nGC_316)*coupl(nGC_7) + 24d0*cima*coupl(nGC_26)*   &
                      coupl(nGC_546) + 4d0*cima*coupl(nGC_31)**2d0*coupl(nGC_32&
                      )*coupl(nGC_8) + 24d0*cima*coupl(nGC_41)*coupl(nGC_9) -  &
                      6d0*coupl(nGC_10)*coupl(nGC_1756)*coupl(nGC_296) - 6d0*  &
                      coupl(nGC_1756)*coupl(nGC_23)*coupl(nGC_7) - 6d0*coupl(  &
                      nGC_1756)*coupl(nGC_25)*coupl(nGC_296) - 6d0*coupl(      &
                      nGC_1756)*coupl(nGC_292)*coupl(nGC_9) - 6d0*coupl(       &
                      nGC_1756)*coupl(nGC_310)*coupl(nGC_43) - 6d0*coupl(      &
                      nGC_1756)*coupl(nGC_316)*coupl(nGC_546) - 6d0*coupl(     &
                      nGC_1960)*coupl(nGC_24)*coupl(nGC_296) + 36d0*coupl(     &
                      nGC_26)*coupl(nGC_296)*coupl(nGC_38) + 36d0*coupl(nGC_296&
                      )*coupl(nGC_41)*coupl(nGC_7) + 6d0*coupl(nGC_31)*coupl(  &
                      nGC_32)*coupl(nGC_41) - 6d0*coupl(nGC_37)*coupl(nGC_38)* &
                      coupl(nGC_41) - 6d0*coupl(nGC_41)*coupl(nGC_7)*coupl(    &
                      nGC_8))/(192d0*pi**2d0)
    coupl(nGC_4434) = (4d0*cima*coupl(nGC_1756)*coupl(nGC_32)*coupl(nGC_37)*   &
                      coupl(nGC_8) + 9d0*cima*coupl(nGC_1756)*coupl(nGC_32)*   &
                      coupl(nGC_38)*coupl(nGC_7) + 4d0*cima*coupl(nGC_1960)*   &
                      coupl(nGC_292)*coupl(nGC_31)*coupl(nGC_316) + 9d0*cima*  &
                      coupl(nGC_1960)*coupl(nGC_296)*coupl(nGC_31)*coupl(      &
                      nGC_310) + 12d0*cima*coupl(nGC_25)*coupl(nGC_44) - 3d0*  &
                      coupl(nGC_1756)*coupl(nGC_26)*coupl(nGC_7) + 3d0*coupl(  &
                      nGC_1756)*coupl(nGC_32)*coupl(nGC_43) - 3d0*coupl(       &
                      nGC_1756)*coupl(nGC_32)*coupl(nGC_44) - 6d0*coupl(       &
                      nGC_1756)*coupl(nGC_38)*coupl(nGC_41) - 3d0*coupl(       &
                      nGC_1960)*coupl(nGC_26)*coupl(nGC_296) + 3d0*coupl(      &
                      nGC_1960)*coupl(nGC_31)*coupl(nGC_43) - 3d0*coupl(       &
                      nGC_1960)*coupl(nGC_31)*coupl(nGC_44) - 6d0*coupl(       &
                      nGC_1960)*coupl(nGC_310)*coupl(nGC_41) + 18d0*coupl(     &
                      nGC_25)*coupl(nGC_296)*coupl(nGC_310) + 18d0*coupl(nGC_25&
                      )*coupl(nGC_38)*coupl(nGC_7) - 3d0*coupl(nGC_26)*coupl(  &
                      nGC_296)*coupl(nGC_31) - 3d0*coupl(nGC_26)*coupl(nGC_32)*&
                      coupl(nGC_7))/(96d0*pi**2d0)
    coupl(nGC_4435) = (6d0*Nc*cima*coupl(nGC_5)**4d0 + 6d0*Nc*cima*coupl(nGC_6 &
                      )**4d0 - 10d0*cima*coupl(nGC_296)**4d0 + 3d0*cima*coupl( &
                      nGC_502)**2d0 - 10d0*cima*coupl(nGC_7)**4d0 + 6d0*cima*  &
                      coupl(nGC_8)**4d0 + 9d0*coupl(nGC_296)**2d0*coupl(nGC_502&
                      ) + 3d0*coupl(nGC_296)**2d0*coupl(nGC_9) + 9d0*coupl(    &
                      nGC_502)*coupl(nGC_7)**2d0 + 3d0*coupl(nGC_7)**2d0*coupl(&
                      nGC_9))/(24d0*pi**2d0)
    coupl(nGC_4436) = (6d0*Nc*cima*coupl(nGC_5)**3d0*coupl(nGC_648) + 6d0*Nc*  &
                      cima*coupl(nGC_5)**3d0*coupl(nGC_650) + 6d0*Nc*cima*coupl&
                      (nGC_6)**3d0*coupl(nGC_632) + 6d0*Nc*cima*coupl(nGC_6)** &
                      3d0*coupl(nGC_634) - 20d0*cima*coupl(nGC_296)**3d0*coupl(&
                      nGC_310) - 20d0*cima*coupl(nGC_38)*coupl(nGC_7)**3d0 +   &
                      6d0*cima*coupl(nGC_44)*coupl(nGC_502) + 6d0*cima*coupl(  &
                      nGC_670)*coupl(nGC_8)**3d0 + 6d0*cima*coupl(nGC_672)*    &
                      coupl(nGC_8)**3d0 + 9d0*coupl(nGC_296)**2d0*coupl(nGC_44 &
                      ) + 3d0*coupl(nGC_296)**2d0*coupl(nGC_546) + 9d0*coupl(  &
                      nGC_296)*coupl(nGC_310)*coupl(nGC_502) + 3d0*coupl(      &
                      nGC_296)*coupl(nGC_310)*coupl(nGC_9) + 9d0*coupl(nGC_38)*&
                      coupl(nGC_502)*coupl(nGC_7) + 3d0*coupl(nGC_38)*coupl(   &
                      nGC_7)*coupl(nGC_9) + 9d0*coupl(nGC_44)*coupl(nGC_7)**2d0&
                       + 3d0*coupl(nGC_546)*coupl(nGC_7)**2d0)/(48d0*pi**2d0)
    coupl(nGC_4437) = (12d0*Nc*cima*coupl(nGC_5)**2d0*coupl(nGC_648)**2d0 +    &
                      12d0*Nc*cima*coupl(nGC_5)**2d0*coupl(nGC_650)**2d0 + 12d0&
                      *Nc*cima*coupl(nGC_6)**2d0*coupl(nGC_632)**2d0 + 12d0*Nc*&
                      cima*coupl(nGC_6)**2d0*coupl(nGC_634)**2d0 - 40d0*cima*  &
                      coupl(nGC_296)**2d0*coupl(nGC_310)**2d0 - 40d0*cima*coupl&
                      (nGC_38)**2d0*coupl(nGC_7)**2d0 + 12d0*cima*coupl(nGC_44 &
                      )**2d0 + 12d0*cima*coupl(nGC_670)**2d0*coupl(nGC_8)**2d0 &
                       + 12d0*cima*coupl(nGC_672)**2d0*coupl(nGC_8)**2d0 + 3d0*&
                      coupl(nGC_27)*coupl(nGC_296)**2d0 + 3d0*coupl(nGC_27)*   &
                      coupl(nGC_7)**2d0 + 36d0*coupl(nGC_296)*coupl(nGC_310)*  &
                      coupl(nGC_44) + 6d0*coupl(nGC_296)*coupl(nGC_310)*coupl( &
                      nGC_546) + 3d0*coupl(nGC_310)**2d0*coupl(nGC_9) + 3d0*   &
                      coupl(nGC_38)**2d0*coupl(nGC_9) + 36d0*coupl(nGC_38)*    &
                      coupl(nGC_44)*coupl(nGC_7) + 6d0*coupl(nGC_38)*coupl(    &
                      nGC_546)*coupl(nGC_7))/(96d0*pi**2d0)
    coupl(nGC_4438) = (6d0*Nc*cima*coupl(nGC_5)**2d0*coupl(nGC_648)**2d0 + 6d0*&
                      Nc*cima*coupl(nGC_5)**2d0*coupl(nGC_650)**2d0 + 6d0*Nc*  &
                      cima*coupl(nGC_6)**2d0*coupl(nGC_632)**2d0 + 6d0*Nc*cima*&
                      coupl(nGC_6)**2d0*coupl(nGC_634)**2d0 - 20d0*cima*coupl( &
                      nGC_296)**2d0*coupl(nGC_310)**2d0 - 20d0*cima*coupl(     &
                      nGC_38)**2d0*coupl(nGC_7)**2d0 + 6d0*cima*coupl(nGC_502)*&
                      coupl(nGC_560) + 6d0*cima*coupl(nGC_670)**2d0*coupl(nGC_8&
                      )**2d0 + 6d0*cima*coupl(nGC_672)**2d0*coupl(nGC_8)**2d0  &
                       + 9d0*coupl(nGC_296)**2d0*coupl(nGC_560) + 6d0*coupl(   &
                      nGC_296)*coupl(nGC_310)*coupl(nGC_546) + 9d0*coupl(      &
                      nGC_310)**2d0*coupl(nGC_502) + 9d0*coupl(nGC_38)**2d0*   &
                      coupl(nGC_502) + 6d0*coupl(nGC_38)*coupl(nGC_546)*coupl( &
                      nGC_7) + 9d0*coupl(nGC_560)*coupl(nGC_7)**2d0)/(48d0*pi**&
                      2d0)
    coupl(nGC_4439) = (-12d0*Nc*cima*coupl(nGC_386)*coupl(nGC_5)*coupl(nGC_648 &
                      )*coupl(nGC_73) - 12d0*Nc*cima*coupl(nGC_386)*coupl(nGC_5&
                      )*coupl(nGC_650)*coupl(nGC_73) - 12d0*Nc*cima*coupl(     &
                      nGC_390)*coupl(nGC_5)*coupl(nGC_648)*coupl(nGC_82) - 12d0&
                      *Nc*cima*coupl(nGC_390)*coupl(nGC_5)*coupl(nGC_650)*coupl&
                      (nGC_82) - 12d0*Nc*cima*coupl(nGC_394)*coupl(nGC_5)*coupl&
                      (nGC_648)*coupl(nGC_67) - 12d0*Nc*cima*coupl(nGC_394)*   &
                      coupl(nGC_5)*coupl(nGC_650)*coupl(nGC_67) - 12d0*Nc*cima*&
                      coupl(nGC_440)*coupl(nGC_6)*coupl(nGC_632)*coupl(nGC_92  &
                      ) - 12d0*Nc*cima*coupl(nGC_440)*coupl(nGC_6)*coupl(      &
                      nGC_634)*coupl(nGC_92) - 12d0*Nc*cima*coupl(nGC_444)*    &
                      coupl(nGC_6)*coupl(nGC_632)*coupl(nGC_71) - 12d0*Nc*cima*&
                      coupl(nGC_444)*coupl(nGC_6)*coupl(nGC_634)*coupl(nGC_71  &
                      ) - 12d0*Nc*cima*coupl(nGC_448)*coupl(nGC_6)*coupl(      &
                      nGC_632)*coupl(nGC_86) - 12d0*Nc*cima*coupl(nGC_448)*    &
                      coupl(nGC_6)*coupl(nGC_634)*coupl(nGC_86) + 4d0*cima*    &
                      coupl(nGC_1732)*coupl(nGC_2324)*coupl(nGC_292)*coupl(    &
                      nGC_33) + 9d0*cima*coupl(nGC_1732)*coupl(nGC_296)*coupl( &
                      nGC_310)*coupl(nGC_33) + 9d0*cima*coupl(nGC_1732)*coupl( &
                      nGC_33)*coupl(nGC_38)*coupl(nGC_7) + 4d0*cima*coupl(     &
                      nGC_1732)*coupl(nGC_33)*coupl(nGC_52)*coupl(nGC_8) + 12d0&
                      *cima*coupl(nGC_21)*coupl(nGC_44) - 12d0*cima*coupl(     &
                      nGC_410)*coupl(nGC_670)*coupl(nGC_76)*coupl(nGC_8) - 12d0&
                      *cima*coupl(nGC_410)*coupl(nGC_672)*coupl(nGC_76)*coupl( &
                      nGC_8) - 12d0*cima*coupl(nGC_414)*coupl(nGC_670)*coupl(  &
                      nGC_79)*coupl(nGC_8) - 12d0*cima*coupl(nGC_414)*coupl(   &
                      nGC_672)*coupl(nGC_79)*coupl(nGC_8) - 12d0*cima*coupl(   &
                      nGC_418)*coupl(nGC_670)*coupl(nGC_8)*coupl(nGC_88) - 12d0&
                      *cima*coupl(nGC_418)*coupl(nGC_672)*coupl(nGC_8)*coupl(  &
                      nGC_88) - 3d0*coupl(nGC_11)*coupl(nGC_1732)*coupl(nGC_7  &
                      ) - 3d0*coupl(nGC_11)*coupl(nGC_296)*coupl(nGC_33) - 3d0*&
                      coupl(nGC_13)*coupl(nGC_1732)*coupl(nGC_296) - 3d0*coupl(&
                      nGC_13)*coupl(nGC_33)*coupl(nGC_7) - 6d0*coupl(nGC_1732)*&
                      coupl(nGC_310)*coupl(nGC_42) - 6d0*coupl(nGC_1732)*coupl(&
                      nGC_33)*coupl(nGC_44) + 6d0*coupl(nGC_1732)*coupl(nGC_33 &
                      )*coupl(nGC_54) - 6d0*coupl(nGC_1732)*coupl(nGC_38)*coupl&
                      (nGC_39) + 18d0*coupl(nGC_21)*coupl(nGC_296)*coupl(      &
                      nGC_310) + 18d0*coupl(nGC_21)*coupl(nGC_38)*coupl(nGC_7  &
                      ))/(96d0*pi**2d0)
    coupl(nGC_4440) = (-30d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_5)*coupl(    &
                      nGC_634) + 36d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_5)* &
                      coupl(nGC_650) + 36d0*Nc*cima*coupl(nGC_34)**2d0*coupl(  &
                      nGC_6)*coupl(nGC_634) - 30d0*Nc*cima*coupl(nGC_34)**2d0* &
                      coupl(nGC_6)*coupl(nGC_650) + 12d0*cima*coupl(nGC_22)*   &
                      coupl(nGC_44) - 32d0*cima*coupl(nGC_296)**2d0*coupl(     &
                      nGC_38)*coupl(nGC_7) - 32d0*cima*coupl(nGC_310)**2d0*    &
                      coupl(nGC_38)*coupl(nGC_7) - 30d0*cima*coupl(nGC_34)**2d0&
                      *coupl(nGC_53)*coupl(nGC_8) + 36d0*cima*coupl(nGC_34)**  &
                      2d0*coupl(nGC_672)*coupl(nGC_8) + 18d0*coupl(nGC_22)*    &
                      coupl(nGC_296)*coupl(nGC_310) + 18d0*coupl(nGC_22)*coupl(&
                      nGC_38)*coupl(nGC_7) + 6d0*coupl(nGC_27)*coupl(nGC_310)* &
                      coupl(nGC_7) + 18d0*coupl(nGC_296)**2d0*coupl(nGC_44) +  &
                      3d0*coupl(nGC_296)*coupl(nGC_38)*coupl(nGC_9) + 6d0*coupl&
                      (nGC_296)*coupl(nGC_546)*coupl(nGC_7) + 18d0*coupl(      &
                      nGC_310)**2d0*coupl(nGC_44) + 6d0*coupl(nGC_310)*coupl(  &
                      nGC_38)*coupl(nGC_546) + 3d0*coupl(nGC_310)*coupl(nGC_7)*&
                      coupl(nGC_9))/(96d0*pi**2d0)
    coupl(nGC_4441) = (6d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_5)*coupl(      &
                      nGC_634) - 4d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_5)*  &
                      coupl(nGC_650) - 4d0*Nc*cima*coupl(nGC_34)**2d0*coupl(   &
                      nGC_6)*coupl(nGC_634) + 6d0*Nc*cima*coupl(nGC_34)**2d0*  &
                      coupl(nGC_6)*coupl(nGC_650) + 4d0*cima*coupl(nGC_27)*    &
                      coupl(nGC_546) - 8d0*cima*coupl(nGC_296)**2d0*coupl(     &
                      nGC_38)*coupl(nGC_7) - 8d0*cima*coupl(nGC_310)**2d0*coupl&
                      (nGC_38)*coupl(nGC_7) + 6d0*cima*coupl(nGC_34)**2d0*coupl&
                      (nGC_53)*coupl(nGC_8) - 4d0*cima*coupl(nGC_34)**2d0*coupl&
                      (nGC_672)*coupl(nGC_8) + 4d0*cima*coupl(nGC_546)*coupl(  &
                      nGC_9) + coupl(nGC_22)*coupl(nGC_38)*coupl(nGC_7) + 6d0* &
                      coupl(nGC_27)*coupl(nGC_310)*coupl(nGC_7) + coupl(nGC_296&
                      )**2d0*coupl(nGC_546) + coupl(nGC_296)*coupl(nGC_310)*   &
                      coupl(nGC_510) + 6d0*coupl(nGC_296)*coupl(nGC_38)*coupl( &
                      nGC_9) + coupl(nGC_296)*coupl(nGC_44)*coupl(nGC_7) + 6d0*&
                      coupl(nGC_296)*coupl(nGC_546)*coupl(nGC_7) + coupl(      &
                      nGC_310)**2d0*coupl(nGC_546) + coupl(nGC_310)*coupl(     &
                      nGC_38)*coupl(nGC_44) + 6d0*coupl(nGC_310)*coupl(nGC_38)*&
                      coupl(nGC_546) + coupl(nGC_310)*coupl(nGC_502)*coupl(    &
                      nGC_7) + coupl(nGC_310)*coupl(nGC_560)*coupl(nGC_7))/(   &
                      32d0*pi**2d0)
    coupl(nGC_4442) = (6d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_5)*coupl(      &
                      nGC_634) - 4d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_5)*  &
                      coupl(nGC_650) - 4d0*Nc*cima*coupl(nGC_34)**2d0*coupl(   &
                      nGC_6)*coupl(nGC_634) + 6d0*Nc*cima*coupl(nGC_34)**2d0*  &
                      coupl(nGC_6)*coupl(nGC_650) + 4d0*cima*coupl(nGC_27)*    &
                      coupl(nGC_546) - 8d0*cima*coupl(nGC_296)**2d0*coupl(     &
                      nGC_38)*coupl(nGC_7) - 8d0*cima*coupl(nGC_310)**2d0*coupl&
                      (nGC_38)*coupl(nGC_7) + 6d0*cima*coupl(nGC_34)**2d0*coupl&
                      (nGC_53)*coupl(nGC_8) - 4d0*cima*coupl(nGC_34)**2d0*coupl&
                      (nGC_672)*coupl(nGC_8) + 4d0*cima*coupl(nGC_546)*coupl(  &
                      nGC_9) + coupl(nGC_22)*coupl(nGC_296)*coupl(nGC_310) +   &
                      6d0*coupl(nGC_27)*coupl(nGC_310)*coupl(nGC_7) + coupl(   &
                      nGC_296)**2d0*coupl(nGC_546) + coupl(nGC_296)*coupl(     &
                      nGC_38)*coupl(nGC_502) + coupl(nGC_296)*coupl(nGC_44)*   &
                      coupl(nGC_7) + 6d0*coupl(nGC_296)*coupl(nGC_546)*coupl(  &
                      nGC_7) + coupl(nGC_310)**2d0*coupl(nGC_546) + coupl(     &
                      nGC_310)*coupl(nGC_38)*coupl(nGC_44) + 6d0*coupl(nGC_310 &
                      )*coupl(nGC_38)*coupl(nGC_546) + coupl(nGC_310)*coupl(   &
                      nGC_560)*coupl(nGC_7) + 6d0*coupl(nGC_310)*coupl(nGC_7)* &
                      coupl(nGC_9) + coupl(nGC_38)*coupl(nGC_510)*coupl(nGC_7  &
                      ))/(32d0*pi**2d0)
    coupl(nGC_4443) = (20d0*Nc*cima*coupl(nGC_66)**4d0 + 20d0*Nc*cima*coupl(   &
                      nGC_69)**4d0 + 20d0*Nc*cima*coupl(nGC_72)**4d0 + 20d0*Nc*&
                      cima*coupl(nGC_81)**4d0 + 20d0*Nc*cima*coupl(nGC_84)**4d0&
                       + 20d0*Nc*cima*coupl(nGC_90)**4d0 + 12d0*cima*coupl(    &
                      nGC_10)**2d0 - 20d0*cima*coupl(nGC_1732)**2d0*coupl(     &
                      nGC_33)**2d0 - 10d0*cima*coupl(nGC_1732)*coupl(nGC_1746)*&
                      coupl(nGC_29)*coupl(nGC_33) - 10d0*cima*coupl(nGC_1732)* &
                      coupl(nGC_1746)*coupl(nGC_30)*coupl(nGC_33) - 10d0*cima* &
                      coupl(nGC_1732)*coupl(nGC_1948)*coupl(nGC_29)*coupl(     &
                      nGC_33) - 10d0*cima*coupl(nGC_1732)*coupl(nGC_1948)*coupl&
                      (nGC_30)*coupl(nGC_33) - 5d0*cima*coupl(nGC_1746)**2d0*  &
                      coupl(nGC_29)**2d0 - 10d0*cima*coupl(nGC_1746)*coupl(    &
                      nGC_1948)*coupl(nGC_29)*coupl(nGC_30) - 5d0*cima*coupl(  &
                      nGC_1948)**2d0*coupl(nGC_30)**2d0 + 24d0*cima*coupl(     &
                      nGC_21)**2d0 - 5d0*cima*coupl(nGC_2324)**4d0 - 10d0*cima*&
                      coupl(nGC_2324)**2d0*coupl(nGC_292)**2d0 - 10d0*cima*    &
                      coupl(nGC_2324)**2d0*coupl(nGC_52)**2d0 - 20d0*cima*coupl&
                      (nGC_2324)*coupl(nGC_292)*coupl(nGC_52)*coupl(nGC_8) -   &
                      5d0*cima*coupl(nGC_292)**4d0 - 10d0*cima*coupl(nGC_292)**&
                      2d0*coupl(nGC_8)**2d0 - 5d0*cima*coupl(nGC_52)**4d0 -    &
                      10d0*cima*coupl(nGC_52)**2d0*coupl(nGC_8)**2d0 + 24d0*   &
                      cima*coupl(nGC_54)**2d0 + 12d0*cima*coupl(nGC_57)**2d0 + &
                      20d0*cima*coupl(nGC_75)**4d0 + 20d0*cima*coupl(nGC_78)** &
                      4d0 - 5d0*cima*coupl(nGC_8)**4d0 + 20d0*cima*coupl(nGC_87&
                      )**4d0 - 6d0*coupl(nGC_10)*coupl(nGC_292)**2d0 - 6d0*    &
                      coupl(nGC_10)*coupl(nGC_8)**2d0 + 12d0*coupl(nGC_17)*    &
                      coupl(nGC_1732)*coupl(nGC_33) + 6d0*coupl(nGC_17)*coupl( &
                      nGC_1746)*coupl(nGC_29) + 6d0*coupl(nGC_17)*coupl(       &
                      nGC_1948)*coupl(nGC_30) - 12d0*coupl(nGC_1732)*coupl(    &
                      nGC_21)*coupl(nGC_33) - 6d0*coupl(nGC_1746)*coupl(nGC_21 &
                      )*coupl(nGC_29) + 6d0*coupl(nGC_18)*coupl(nGC_2324)**2d0 &
                       + 6d0*coupl(nGC_18)*coupl(nGC_2324)*coupl(nGC_52) + 6d0*&
                      coupl(nGC_18)*coupl(nGC_292)**2d0 + 6d0*coupl(nGC_18)*   &
                      coupl(nGC_292)*coupl(nGC_8) + 6d0*coupl(nGC_18)*coupl(   &
                      nGC_52)**2d0 + 6d0*coupl(nGC_18)*coupl(nGC_8)**2d0 - 6d0*&
                      coupl(nGC_1948)*coupl(nGC_21)*coupl(nGC_30) - 6d0*coupl( &
                      nGC_2324)**2d0*coupl(nGC_57) - 12d0*coupl(nGC_2324)*coupl&
                      (nGC_292)*coupl(nGC_54) - 6d0*coupl(nGC_52)**2d0*coupl(  &
                      nGC_57) - 12d0*coupl(nGC_52)*coupl(nGC_54)*coupl(nGC_8   &
                      ))/(96d0*pi**2d0)
    coupl(nGC_4444) = (20d0*Nc*cima*coupl(nGC_386)*coupl(nGC_440)*coupl(nGC_72 &
                      )*coupl(nGC_90) + 20d0*Nc*cima*coupl(nGC_386)*coupl(     &
                      nGC_72)**2d0*coupl(nGC_73) + 20d0*Nc*cima*coupl(nGC_386)*&
                      coupl(nGC_73)*coupl(nGC_90)**2d0 + 20d0*Nc*cima*coupl(   &
                      nGC_390)*coupl(nGC_444)*coupl(nGC_69)*coupl(nGC_81) +    &
                      20d0*Nc*cima*coupl(nGC_390)*coupl(nGC_69)**2d0*coupl(    &
                      nGC_82) + 20d0*Nc*cima*coupl(nGC_390)*coupl(nGC_81)**2d0*&
                      coupl(nGC_82) + 20d0*Nc*cima*coupl(nGC_394)*coupl(nGC_448&
                      )*coupl(nGC_66)*coupl(nGC_84) + 20d0*Nc*cima*coupl(      &
                      nGC_394)*coupl(nGC_66)**2d0*coupl(nGC_67) + 20d0*Nc*cima*&
                      coupl(nGC_394)*coupl(nGC_67)*coupl(nGC_84)**2d0 + 20d0*Nc&
                      *cima*coupl(nGC_440)*coupl(nGC_72)**2d0*coupl(nGC_92) +  &
                      20d0*Nc*cima*coupl(nGC_440)*coupl(nGC_90)**2d0*coupl(    &
                      nGC_92) + 20d0*Nc*cima*coupl(nGC_444)*coupl(nGC_69)**2d0*&
                      coupl(nGC_71) + 20d0*Nc*cima*coupl(nGC_444)*coupl(nGC_71 &
                      )*coupl(nGC_81)**2d0 + 20d0*Nc*cima*coupl(nGC_448)*coupl(&
                      nGC_66)**2d0*coupl(nGC_86) + 20d0*Nc*cima*coupl(nGC_448)*&
                      coupl(nGC_84)**2d0*coupl(nGC_86) + 20d0*Nc*cima*coupl(   &
                      nGC_66)*coupl(nGC_67)*coupl(nGC_84)*coupl(nGC_86) + 20d0*&
                      Nc*cima*coupl(nGC_69)*coupl(nGC_71)*coupl(nGC_81)*coupl( &
                      nGC_82) + 20d0*Nc*cima*coupl(nGC_72)*coupl(nGC_73)*coupl(&
                      nGC_90)*coupl(nGC_92) + 24d0*cima*coupl(nGC_11)*coupl(   &
                      nGC_13) - 10d0*cima*coupl(nGC_1732)**2d0*coupl(nGC_33)** &
                      2d0 - 10d0*cima*coupl(nGC_1732)*coupl(nGC_1746)*coupl(   &
                      nGC_29)*coupl(nGC_33) - 5d0*cima*coupl(nGC_1732)*coupl(  &
                      nGC_2312)*coupl(nGC_2324)*coupl(nGC_29) - 5d0*cima*coupl(&
                      nGC_1732)*coupl(nGC_2312)*coupl(nGC_30)*coupl(nGC_52) -  &
                      10d0*cima*coupl(nGC_1732)*coupl(nGC_2324)**2d0*coupl(    &
                      nGC_33) - 10d0*cima*coupl(nGC_1732)*coupl(nGC_292)**2d0* &
                      coupl(nGC_33) - 5d0*cima*coupl(nGC_1746)*coupl(nGC_2324)*&
                      coupl(nGC_33)*coupl(nGC_51) - 10d0*cima*coupl(nGC_1948)* &
                      coupl(nGC_2312)*coupl(nGC_30)*coupl(nGC_51) - 5d0*cima*  &
                      coupl(nGC_1948)*coupl(nGC_33)*coupl(nGC_51)*coupl(nGC_52 &
                      ) + 12d0*cima*coupl(nGC_21)**2d0 - 10d0*cima*coupl(      &
                      nGC_2312)*coupl(nGC_51)*coupl(nGC_52)**2d0 + 24d0*cima*  &
                      coupl(nGC_39)*coupl(nGC_42) + 20d0*cima*coupl(nGC_410)*  &
                      coupl(nGC_75)**2d0*coupl(nGC_76) + 20d0*cima*coupl(      &
                      nGC_414)*coupl(nGC_78)**2d0*coupl(nGC_79) + 20d0*cima*   &
                      coupl(nGC_418)*coupl(nGC_87)**2d0*coupl(nGC_88) + 6d0*   &
                      cima*coupl(nGC_57)*coupl(nGC_58) - 6d0*coupl(nGC_11)*    &
                      coupl(nGC_1732)*coupl(nGC_2324) - 6d0*coupl(nGC_11)*coupl&
                      (nGC_2312)*coupl(nGC_30) - 6d0*coupl(nGC_13)*coupl(      &
                      nGC_1948)*coupl(nGC_51) - 6d0*coupl(nGC_13)*coupl(       &
                      nGC_2324)*coupl(nGC_33) + 6d0*coupl(nGC_17)*coupl(       &
                      nGC_1732)**2d0 + 3d0*coupl(nGC_17)*coupl(nGC_1948)*coupl(&
                      nGC_30) + 3d0*coupl(nGC_17)*coupl(nGC_2312)*coupl(nGC_51 &
                      ) + 3d0*coupl(nGC_17)*coupl(nGC_2324)**2d0 + 3d0*coupl(  &
                      nGC_17)*coupl(nGC_292)**2d0 + 6d0*coupl(nGC_17)*coupl(   &
                      nGC_33)**2d0 + 6d0*coupl(nGC_1732)*coupl(nGC_18)*coupl(  &
                      nGC_33) + 3d0*coupl(nGC_1732)*coupl(nGC_19)*coupl(nGC_33 &
                      ) - 9d0*coupl(nGC_1732)*coupl(nGC_21)*coupl(nGC_33) - 6d0&
                      *coupl(nGC_1732)*coupl(nGC_292)*coupl(nGC_39) - 3d0*coupl&
                      (nGC_1746)*coupl(nGC_21)*coupl(nGC_29) - 3d0*coupl(      &
                      nGC_2312)*coupl(nGC_51)*coupl(nGC_57) - 6d0*coupl(nGC_292&
                      )*coupl(nGC_33)*coupl(nGC_42) - 3d0*coupl(nGC_52)**2d0*  &
                      coupl(nGC_58))/(96d0*pi**2d0)
    coupl(nGC_4445) = (-12d0*Nc*cima*coupl(nGC_5)*coupl(nGC_648)*coupl(nGC_68  &
                      )**2d0 - 12d0*Nc*cima*coupl(nGC_5)*coupl(nGC_648)*coupl( &
                      nGC_74)**2d0 - 12d0*Nc*cima*coupl(nGC_5)*coupl(nGC_648)* &
                      coupl(nGC_83)**2d0 - 12d0*Nc*cima*coupl(nGC_5)*coupl(    &
                      nGC_650)*coupl(nGC_68)**2d0 - 12d0*Nc*cima*coupl(nGC_5)* &
                      coupl(nGC_650)*coupl(nGC_74)**2d0 - 12d0*Nc*cima*coupl(  &
                      nGC_5)*coupl(nGC_650)*coupl(nGC_83)**2d0 - 12d0*Nc*cima* &
                      coupl(nGC_6)*coupl(nGC_632)*coupl(nGC_70)**2d0 - 12d0*Nc*&
                      cima*coupl(nGC_6)*coupl(nGC_632)*coupl(nGC_85)**2d0 -    &
                      12d0*Nc*cima*coupl(nGC_6)*coupl(nGC_632)*coupl(nGC_91)** &
                      2d0 - 12d0*Nc*cima*coupl(nGC_6)*coupl(nGC_634)*coupl(    &
                      nGC_70)**2d0 - 12d0*Nc*cima*coupl(nGC_6)*coupl(nGC_634)* &
                      coupl(nGC_85)**2d0 - 12d0*Nc*cima*coupl(nGC_6)*coupl(    &
                      nGC_634)*coupl(nGC_91)**2d0 + 4d0*cima*coupl(nGC_1746)*  &
                      coupl(nGC_2324)*coupl(nGC_29)*coupl(nGC_292) + 9d0*cima* &
                      coupl(nGC_1746)*coupl(nGC_29)*coupl(nGC_296)*coupl(      &
                      nGC_310) + 9d0*cima*coupl(nGC_1948)*coupl(nGC_30)*coupl( &
                      nGC_38)*coupl(nGC_7) + 4d0*cima*coupl(nGC_1948)*coupl(   &
                      nGC_30)*coupl(nGC_52)*coupl(nGC_8) + 12d0*cima*coupl(    &
                      nGC_21)*coupl(nGC_44) - 12d0*cima*coupl(nGC_670)*coupl(  &
                      nGC_77)**2d0*coupl(nGC_8) - 12d0*cima*coupl(nGC_670)*    &
                      coupl(nGC_8)*coupl(nGC_80)**2d0 - 12d0*cima*coupl(nGC_670&
                      )*coupl(nGC_8)*coupl(nGC_89)**2d0 - 12d0*cima*coupl(     &
                      nGC_672)*coupl(nGC_77)**2d0*coupl(nGC_8) - 12d0*cima*    &
                      coupl(nGC_672)*coupl(nGC_8)*coupl(nGC_80)**2d0 - 12d0*   &
                      cima*coupl(nGC_672)*coupl(nGC_8)*coupl(nGC_89)**2d0 - 3d0&
                      *coupl(nGC_12)*coupl(nGC_1746)*coupl(nGC_296) - 3d0*coupl&
                      (nGC_12)*coupl(nGC_1948)*coupl(nGC_7) - 3d0*coupl(nGC_12 &
                      )*coupl(nGC_29)*coupl(nGC_296) - 3d0*coupl(nGC_12)*coupl(&
                      nGC_30)*coupl(nGC_7) - 3d0*coupl(nGC_1746)*coupl(nGC_29)*&
                      coupl(nGC_44) + 3d0*coupl(nGC_1746)*coupl(nGC_29)*coupl( &
                      nGC_54) - 3d0*coupl(nGC_1948)*coupl(nGC_30)*coupl(nGC_44 &
                      ) + 3d0*coupl(nGC_1948)*coupl(nGC_30)*coupl(nGC_54) +    &
                      18d0*coupl(nGC_21)*coupl(nGC_296)*coupl(nGC_310) + 18d0* &
                      coupl(nGC_21)*coupl(nGC_38)*coupl(nGC_7) - 6d0*coupl(    &
                      nGC_29)*coupl(nGC_310)*coupl(nGC_40) - 6d0*coupl(nGC_30)*&
                      coupl(nGC_38)*coupl(nGC_40))/(96d0*pi**2d0)
    coupl(nGC_4446) = (6d0*cima*coupl(nGC_10)**2d0 - 5d0*cima*coupl(nGC_1732)* &
                      coupl(nGC_1960)*coupl(nGC_31)*coupl(nGC_33) - 5d0*cima*  &
                      coupl(nGC_1746)*coupl(nGC_1960)*coupl(nGC_29)*coupl(     &
                      nGC_31) + 12d0*cima*coupl(nGC_21)*coupl(nGC_23) + 6d0*   &
                      cima*coupl(nGC_28)*coupl(nGC_57) - 5d0*cima*coupl(nGC_292&
                      )**2d0*coupl(nGC_8)**2d0 - 10d0*cima*coupl(nGC_292)*coupl&
                      (nGC_316)*coupl(nGC_52)*coupl(nGC_8) - 5d0*cima*coupl(   &
                      nGC_316)**2d0*coupl(nGC_52)**2d0 - 5d0*cima*coupl(nGC_37 &
                      )**2d0*coupl(nGC_52)**2d0 - 10d0*cima*coupl(nGC_37)*coupl&
                      (nGC_52)*coupl(nGC_8)**2d0 + 12d0*cima*coupl(nGC_43)*    &
                      coupl(nGC_54) - 5d0*cima*coupl(nGC_8)**4d0 + 3d0*coupl(  &
                      nGC_1)*coupl(nGC_1732)*coupl(nGC_33) + 3d0*coupl(nGC_1)* &
                      coupl(nGC_1756)*coupl(nGC_32) + 3d0*coupl(nGC_1)*coupl(  &
                      nGC_1948)*coupl(nGC_30) + 3d0*coupl(nGC_1)*coupl(nGC_2324&
                      )**2d0 + 6d0*coupl(nGC_1)*coupl(nGC_292)**2d0 + 6d0*coupl&
                      (nGC_1)*coupl(nGC_292)*coupl(nGC_8) + 3d0*coupl(nGC_1)*  &
                      coupl(nGC_316)**2d0 + 6d0*coupl(nGC_1)*coupl(nGC_316)*   &
                      coupl(nGC_52) + 6d0*coupl(nGC_1)*coupl(nGC_37)*coupl(    &
                      nGC_52) + 6d0*coupl(nGC_1)*coupl(nGC_8)**2d0 - 6d0*coupl(&
                      nGC_10)*coupl(nGC_8)**2d0 - 3d0*coupl(nGC_1732)*coupl(   &
                      nGC_23)*coupl(nGC_33) - 3d0*coupl(nGC_1746)*coupl(nGC_23 &
                      )*coupl(nGC_29) - 3d0*coupl(nGC_1960)*coupl(nGC_21)*coupl&
                      (nGC_31) - 3d0*coupl(nGC_28)*coupl(nGC_52)**2d0 - 3d0*   &
                      coupl(nGC_37)**2d0*coupl(nGC_57) - 6d0*coupl(nGC_37)*    &
                      coupl(nGC_54)*coupl(nGC_8) - 6d0*coupl(nGC_43)*coupl(    &
                      nGC_52)*coupl(nGC_8))/(96d0*pi**2d0)
    coupl(nGC_4447) = (-10d0*cima*coupl(nGC_1732)*coupl(nGC_1756)*coupl(nGC_32 &
                      )*coupl(nGC_33) - 10d0*cima*coupl(nGC_1746)*coupl(       &
                      nGC_1756)*coupl(nGC_29)*coupl(nGC_32) + 12d0*cima*coupl( &
                      nGC_21)*coupl(nGC_25) + 3d0*coupl(nGC_1)*coupl(nGC_1732)*&
                      coupl(nGC_33) + 3d0*coupl(nGC_1)*coupl(nGC_1756)*coupl(  &
                      nGC_32) + 3d0*coupl(nGC_1)*coupl(nGC_1948)*coupl(nGC_30  &
                      ) + 3d0*coupl(nGC_1)*coupl(nGC_1960)*coupl(nGC_31) + 3d0*&
                      coupl(nGC_1)*coupl(nGC_2324)**2d0 + 3d0*coupl(nGC_1)*    &
                      coupl(nGC_292)**2d0 - 3d0*coupl(nGC_1732)*coupl(nGC_25)* &
                      coupl(nGC_33) - 3d0*coupl(nGC_1746)*coupl(nGC_25)*coupl( &
                      nGC_29) - 3d0*coupl(nGC_1756)*coupl(nGC_21)*coupl(nGC_32 &
                      ) - 3d0*coupl(nGC_1960)*coupl(nGC_21)*coupl(nGC_31))/(   &
                      96d0*pi**2d0)
    coupl(nGC_4448) = (20d0*Nc*cima*coupl(nGC_66)**2d0*coupl(nGC_68)**2d0 +    &
                      20d0*Nc*cima*coupl(nGC_66)**2d0*coupl(nGC_85)**2d0 + 40d0&
                      *Nc*cima*coupl(nGC_66)*coupl(nGC_68)*coupl(nGC_84)*coupl(&
                      nGC_85) + 20d0*Nc*cima*coupl(nGC_68)**2d0*coupl(nGC_84)**&
                      2d0 + 20d0*Nc*cima*coupl(nGC_69)**2d0*coupl(nGC_70)**2d0 &
                       + 20d0*Nc*cima*coupl(nGC_69)**2d0*coupl(nGC_83)**2d0 +  &
                      40d0*Nc*cima*coupl(nGC_69)*coupl(nGC_70)*coupl(nGC_81)*  &
                      coupl(nGC_83) + 20d0*Nc*cima*coupl(nGC_70)**2d0*coupl(   &
                      nGC_81)**2d0 + 20d0*Nc*cima*coupl(nGC_72)**2d0*coupl(    &
                      nGC_74)**2d0 + 20d0*Nc*cima*coupl(nGC_72)**2d0*coupl(    &
                      nGC_91)**2d0 + 40d0*Nc*cima*coupl(nGC_72)*coupl(nGC_74)* &
                      coupl(nGC_90)*coupl(nGC_91) + 20d0*Nc*cima*coupl(nGC_74  &
                      )**2d0*coupl(nGC_90)**2d0 + 20d0*Nc*cima*coupl(nGC_81)** &
                      2d0*coupl(nGC_83)**2d0 + 20d0*Nc*cima*coupl(nGC_84)**2d0*&
                      coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_90)**2d0*    &
                      coupl(nGC_91)**2d0 + 24d0*cima*coupl(nGC_12)**2d0 - 10d0*&
                      cima*coupl(nGC_1732)*coupl(nGC_1948)*coupl(nGC_30)*coupl(&
                      nGC_33) - 10d0*cima*coupl(nGC_1732)*coupl(nGC_2312)*coupl&
                      (nGC_33)*coupl(nGC_51) - 5d0*cima*coupl(nGC_1732)*coupl( &
                      nGC_2324)*coupl(nGC_30)*coupl(nGC_51) - 5d0*cima*coupl(  &
                      nGC_1732)*coupl(nGC_29)*coupl(nGC_51)*coupl(nGC_52) -    &
                      10d0*cima*coupl(nGC_1746)*coupl(nGC_1948)*coupl(nGC_29)* &
                      coupl(nGC_30) - 5d0*cima*coupl(nGC_1746)*coupl(nGC_2312)*&
                      coupl(nGC_33)*coupl(nGC_52) - 5d0*cima*coupl(nGC_1948)*  &
                      coupl(nGC_2312)*coupl(nGC_2324)*coupl(nGC_33) - 10d0*cima&
                      *coupl(nGC_1948)*coupl(nGC_2324)**2d0*coupl(nGC_30) -    &
                      10d0*cima*coupl(nGC_1948)*coupl(nGC_292)**2d0*coupl(     &
                      nGC_30) + 12d0*cima*coupl(nGC_21)**2d0 - 10d0*cima*coupl(&
                      nGC_2312)*coupl(nGC_51)*coupl(nGC_52)**2d0 + 24d0*cima*  &
                      coupl(nGC_40)**2d0 + 6d0*cima*coupl(nGC_57)*coupl(nGC_58 &
                      ) + 20d0*cima*coupl(nGC_75)**2d0*coupl(nGC_77)**2d0 +    &
                      20d0*cima*coupl(nGC_78)**2d0*coupl(nGC_80)**2d0 + 20d0*  &
                      cima*coupl(nGC_87)**2d0*coupl(nGC_89)**2d0 - 6d0*coupl(  &
                      nGC_12)*coupl(nGC_1732)*coupl(nGC_51) - 6d0*coupl(nGC_12 &
                      )*coupl(nGC_1948)*coupl(nGC_2324) - 6d0*coupl(nGC_12)*   &
                      coupl(nGC_2312)*coupl(nGC_33) - 6d0*coupl(nGC_12)*coupl( &
                      nGC_2324)*coupl(nGC_30) + 3d0*coupl(nGC_17)*coupl(       &
                      nGC_1732)*coupl(nGC_33) + 6d0*coupl(nGC_17)*coupl(       &
                      nGC_1746)*coupl(nGC_1948) + 3d0*coupl(nGC_17)*coupl(     &
                      nGC_2312)*coupl(nGC_51) + 3d0*coupl(nGC_17)*coupl(       &
                      nGC_2324)**2d0 + 6d0*coupl(nGC_17)*coupl(nGC_29)*coupl(  &
                      nGC_30) + 3d0*coupl(nGC_17)*coupl(nGC_292)**2d0 - 3d0*   &
                      coupl(nGC_1732)*coupl(nGC_21)*coupl(nGC_33) + 3d0*coupl( &
                      nGC_1746)*coupl(nGC_18)*coupl(nGC_29) - 6d0*coupl(       &
                      nGC_1746)*coupl(nGC_21)*coupl(nGC_29) + 3d0*coupl(nGC_18 &
                      )*coupl(nGC_1948)*coupl(nGC_30) + 3d0*coupl(nGC_19)*coupl&
                      (nGC_1948)*coupl(nGC_30) - 3d0*coupl(nGC_1948)*coupl(    &
                      nGC_21)*coupl(nGC_30) - 6d0*coupl(nGC_1948)*coupl(nGC_292&
                      )*coupl(nGC_40) - 3d0*coupl(nGC_2312)*coupl(nGC_51)*coupl&
                      (nGC_57) - 6d0*coupl(nGC_292)*coupl(nGC_30)*coupl(nGC_40 &
                      ) - 3d0*coupl(nGC_52)**2d0*coupl(nGC_58))/(96d0*pi**2d0)
    coupl(nGC_4449) = (-16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_66)**2d0 -   &
                      16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_69)**2d0 - 16d0&
                      *Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_72)**2d0 - 16d0*Nc*&
                      cima*coupl(nGC_34)**2d0*coupl(nGC_81)**2d0 - 16d0*Nc*cima&
                      *coupl(nGC_34)**2d0*coupl(nGC_84)**2d0 - 16d0*Nc*cima*   &
                      coupl(nGC_34)**2d0*coupl(nGC_90)**2d0 + 12d0*cima*coupl( &
                      nGC_10)*coupl(nGC_502) + 4d0*cima*coupl(nGC_1732)**2d0*  &
                      coupl(nGC_1746)*coupl(nGC_1948) + 4d0*cima*coupl(nGC_1732&
                      )**2d0*coupl(nGC_1948)**2d0 + 8d0*cima*coupl(nGC_1732)** &
                      2d0*coupl(nGC_33)**2d0 + 4d0*cima*coupl(nGC_1732)*coupl( &
                      nGC_2324)**2d0*coupl(nGC_33) + 4d0*cima*coupl(nGC_1732)* &
                      coupl(nGC_292)**2d0*coupl(nGC_33) + 9d0*cima*coupl(      &
                      nGC_1732)*coupl(nGC_296)**2d0*coupl(nGC_33) + 9d0*cima*  &
                      coupl(nGC_1732)*coupl(nGC_310)**2d0*coupl(nGC_33) + 4d0* &
                      cima*coupl(nGC_1746)*coupl(nGC_1948)*coupl(nGC_29)*coupl(&
                      nGC_30) + 4d0*cima*coupl(nGC_1746)*coupl(nGC_2324)**2d0* &
                      coupl(nGC_29) + 4d0*cima*coupl(nGC_1746)*coupl(nGC_29)*  &
                      coupl(nGC_292)**2d0 + 9d0*cima*coupl(nGC_1746)*coupl(    &
                      nGC_29)*coupl(nGC_296)**2d0 + 9d0*cima*coupl(nGC_1746)*  &
                      coupl(nGC_29)*coupl(nGC_310)**2d0 + 4d0*cima*coupl(      &
                      nGC_1948)**2d0*coupl(nGC_30)**2d0 + 24d0*cima*coupl(     &
                      nGC_21)*coupl(nGC_22) + 4d0*cima*coupl(nGC_29)*coupl(    &
                      nGC_30)*coupl(nGC_33)**2d0 + 9d0*cima*coupl(nGC_296)**2d0&
                      *coupl(nGC_8)**2d0 + 18d0*cima*coupl(nGC_296)*coupl(     &
                      nGC_310)*coupl(nGC_52)*coupl(nGC_8) + 4d0*cima*coupl(    &
                      nGC_30)**2d0*coupl(nGC_33)**2d0 + 9d0*cima*coupl(nGC_310 &
                      )**2d0*coupl(nGC_52)**2d0 - 16d0*cima*coupl(nGC_34)**2d0*&
                      coupl(nGC_75)**2d0 - 16d0*cima*coupl(nGC_34)**2d0*coupl( &
                      nGC_78)**2d0 - 16d0*cima*coupl(nGC_34)**2d0*coupl(nGC_87 &
                      )**2d0 + 9d0*cima*coupl(nGC_38)**2d0*coupl(nGC_52)**2d0  &
                       + 18d0*cima*coupl(nGC_38)*coupl(nGC_52)*coupl(nGC_7)*   &
                      coupl(nGC_8) + 24d0*cima*coupl(nGC_44)*coupl(nGC_54) +   &
                      12d0*cima*coupl(nGC_560)*coupl(nGC_57) + 9d0*cima*coupl( &
                      nGC_7)**2d0*coupl(nGC_8)**2d0 + 36d0*coupl(nGC_10)*coupl(&
                      nGC_7)**2d0 - 6d0*coupl(nGC_11)*coupl(nGC_310)*coupl(    &
                      nGC_33) - 6d0*coupl(nGC_12)*coupl(nGC_1746)*coupl(nGC_310&
                      ) - 6d0*coupl(nGC_12)*coupl(nGC_29)*coupl(nGC_310) - 6d0*&
                      coupl(nGC_13)*coupl(nGC_1732)*coupl(nGC_310) + 6d0*coupl(&
                      nGC_1732)*coupl(nGC_21)*coupl(nGC_33) - 6d0*coupl(       &
                      nGC_1732)*coupl(nGC_22)*coupl(nGC_33) - 6d0*coupl(       &
                      nGC_1732)*coupl(nGC_296)*coupl(nGC_42) - 6d0*coupl(      &
                      nGC_1746)*coupl(nGC_22)*coupl(nGC_29) - 6d0*coupl(       &
                      nGC_1746)*coupl(nGC_296)*coupl(nGC_40) + 6d0*coupl(      &
                      nGC_1948)*coupl(nGC_21)*coupl(nGC_30) + 6d0*coupl(nGC_21 &
                      )*coupl(nGC_2324)**2d0 + 6d0*coupl(nGC_21)*coupl(nGC_292 &
                      )**2d0 + 36d0*coupl(nGC_21)*coupl(nGC_296)**2d0 - 12d0*  &
                      coupl(nGC_21)*coupl(nGC_296)*coupl(nGC_8) + 36d0*coupl(  &
                      nGC_21)*coupl(nGC_310)**2d0 - 12d0*coupl(nGC_21)*coupl(  &
                      nGC_310)*coupl(nGC_52) - 12d0*coupl(nGC_21)*coupl(nGC_38 &
                      )*coupl(nGC_52) - 12d0*coupl(nGC_21)*coupl(nGC_7)*coupl( &
                      nGC_8) - 6d0*coupl(nGC_29)*coupl(nGC_296)*coupl(nGC_40   &
                      ) - 6d0*coupl(nGC_296)*coupl(nGC_33)*coupl(nGC_39) + 36d0&
                      *coupl(nGC_38)**2d0*coupl(nGC_57) + 72d0*coupl(nGC_38)*  &
                      coupl(nGC_54)*coupl(nGC_7) - 12d0*coupl(nGC_44)*coupl(   &
                      nGC_52)*coupl(nGC_8) - 6d0*coupl(nGC_502)*coupl(nGC_8)** &
                      2d0 - 6d0*coupl(nGC_52)**2d0*coupl(nGC_560))/(192d0*pi** &
                      2d0)
    coupl(nGC_4450) = (20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_440)*coupl(nGC_632 &
                      )*coupl(nGC_90) - 16d0*Nc*cima*coupl(nGC_34)*coupl(      &
                      nGC_440)*coupl(nGC_634)*coupl(nGC_90) - 16d0*Nc*cima*    &
                      coupl(nGC_34)*coupl(nGC_440)*coupl(nGC_650)*coupl(nGC_90 &
                      ) + 20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_444)*coupl(     &
                      nGC_632)*coupl(nGC_69) - 16d0*Nc*cima*coupl(nGC_34)*coupl&
                      (nGC_444)*coupl(nGC_634)*coupl(nGC_69) - 16d0*Nc*cima*   &
                      coupl(nGC_34)*coupl(nGC_444)*coupl(nGC_650)*coupl(nGC_69 &
                      ) + 20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_448)*coupl(     &
                      nGC_632)*coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_34)*coupl&
                      (nGC_448)*coupl(nGC_634)*coupl(nGC_84) - 16d0*Nc*cima*   &
                      coupl(nGC_34)*coupl(nGC_448)*coupl(nGC_650)*coupl(nGC_84 &
                      ) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_634)*coupl(     &
                      nGC_66)*coupl(nGC_67) - 16d0*Nc*cima*coupl(nGC_34)*coupl(&
                      nGC_634)*coupl(nGC_72)*coupl(nGC_73) - 16d0*Nc*cima*coupl&
                      (nGC_34)*coupl(nGC_634)*coupl(nGC_81)*coupl(nGC_82) +    &
                      20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_648)*coupl(nGC_66)* &
                      coupl(nGC_67) + 20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_648 &
                      )*coupl(nGC_72)*coupl(nGC_73) + 20d0*Nc*cima*coupl(nGC_34&
                      )*coupl(nGC_648)*coupl(nGC_81)*coupl(nGC_82) - 16d0*Nc*  &
                      cima*coupl(nGC_34)*coupl(nGC_650)*coupl(nGC_66)*coupl(   &
                      nGC_67) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_650)*coupl&
                      (nGC_72)*coupl(nGC_73) - 16d0*Nc*cima*coupl(nGC_34)*coupl&
                      (nGC_650)*coupl(nGC_81)*coupl(nGC_82) + 24d0*cima*coupl( &
                      nGC_11)*coupl(nGC_27) + 4d0*cima*coupl(nGC_1732)*coupl(  &
                      nGC_2324)*coupl(nGC_51)**2d0 + 9d0*cima*coupl(nGC_1732)* &
                      coupl(nGC_310)*coupl(nGC_38)*coupl(nGC_52) + 9d0*cima*   &
                      coupl(nGC_1732)*coupl(nGC_310)*coupl(nGC_7)*coupl(nGC_8  &
                      ) + 4d0*cima*coupl(nGC_1948)**2d0*coupl(nGC_2324)*coupl( &
                      nGC_33) + 4d0*cima*coupl(nGC_1948)*coupl(nGC_2312)*coupl(&
                      nGC_33)**2d0 + 4d0*cima*coupl(nGC_1948)*coupl(nGC_33)**  &
                      2d0*coupl(nGC_51) + 9d0*cima*coupl(nGC_2312)*coupl(nGC_29&
                      )*coupl(nGC_310)*coupl(nGC_38) + 4d0*cima*coupl(nGC_2324 &
                      )*coupl(nGC_29)*coupl(nGC_51)*coupl(nGC_52) + 4d0*cima*  &
                      coupl(nGC_2324)*coupl(nGC_33)**3d0 - 16d0*cima*coupl(    &
                      nGC_34)*coupl(nGC_53)*coupl(nGC_75)*coupl(nGC_76) - 16d0*&
                      cima*coupl(nGC_34)*coupl(nGC_53)*coupl(nGC_78)*coupl(    &
                      nGC_79) - 16d0*cima*coupl(nGC_34)*coupl(nGC_53)*coupl(   &
                      nGC_87)*coupl(nGC_88) + 20d0*cima*coupl(nGC_34)*coupl(   &
                      nGC_670)*coupl(nGC_75)*coupl(nGC_76) + 20d0*cima*coupl(  &
                      nGC_34)*coupl(nGC_670)*coupl(nGC_78)*coupl(nGC_79) + 20d0&
                      *cima*coupl(nGC_34)*coupl(nGC_670)*coupl(nGC_87)*coupl(  &
                      nGC_88) - 16d0*cima*coupl(nGC_34)*coupl(nGC_672)*coupl(  &
                      nGC_75)*coupl(nGC_76) - 16d0*cima*coupl(nGC_34)*coupl(   &
                      nGC_672)*coupl(nGC_78)*coupl(nGC_79) - 16d0*cima*coupl(  &
                      nGC_34)*coupl(nGC_672)*coupl(nGC_87)*coupl(nGC_88) + 24d0&
                      *cima*coupl(nGC_39)*coupl(nGC_546) + 36d0*coupl(nGC_11)* &
                      coupl(nGC_310)*coupl(nGC_38) + 6d0*coupl(nGC_11)*coupl(  &
                      nGC_33)**2d0 - 6d0*coupl(nGC_11)*coupl(nGC_38)*coupl(    &
                      nGC_52) - 6d0*coupl(nGC_11)*coupl(nGC_7)*coupl(nGC_8) +  &
                      6d0*coupl(nGC_12)*coupl(nGC_1948)*coupl(nGC_33) - 6d0*   &
                      coupl(nGC_12)*coupl(nGC_2312)*coupl(nGC_310) + 6d0*coupl(&
                      nGC_12)*coupl(nGC_2324)*coupl(nGC_51) - 6d0*coupl(       &
                      nGC_1732)*coupl(nGC_21)*coupl(nGC_310) - 6d0*coupl(      &
                      nGC_1732)*coupl(nGC_21)*coupl(nGC_38) - 6d0*coupl(       &
                      nGC_1732)*coupl(nGC_27)*coupl(nGC_52) - 6d0*coupl(       &
                      nGC_1732)*coupl(nGC_310)*coupl(nGC_58) - 6d0*coupl(      &
                      nGC_1732)*coupl(nGC_38)*coupl(nGC_57) - 6d0*coupl(       &
                      nGC_1732)*coupl(nGC_54)*coupl(nGC_7) - 6d0*coupl(nGC_1732&
                      )*coupl(nGC_546)*coupl(nGC_8) - 6d0*coupl(nGC_2312)*coupl&
                      (nGC_27)*coupl(nGC_29) + 36d0*coupl(nGC_296)*coupl(nGC_38&
                      )*coupl(nGC_39))/(192d0*pi**2d0)
    coupl(nGC_4451) = (-16d0*Nc*cima*coupl(nGC_632)**2d0*coupl(nGC_69)**2d0 -  &
                      16d0*Nc*cima*coupl(nGC_632)**2d0*coupl(nGC_84)**2d0 -    &
                      16d0*Nc*cima*coupl(nGC_632)**2d0*coupl(nGC_90)**2d0 +    &
                      20d0*Nc*cima*coupl(nGC_632)*coupl(nGC_650)*coupl(nGC_69  &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_632)*coupl(nGC_650)*coupl&
                      (nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_632)*coupl(nGC_650&
                      )*coupl(nGC_90)**2d0 - 16d0*Nc*cima*coupl(nGC_634)**2d0* &
                      coupl(nGC_66)**2d0 - 16d0*Nc*cima*coupl(nGC_634)**2d0*   &
                      coupl(nGC_72)**2d0 - 16d0*Nc*cima*coupl(nGC_634)**2d0*   &
                      coupl(nGC_81)**2d0 + 20d0*Nc*cima*coupl(nGC_634)*coupl(  &
                      nGC_648)*coupl(nGC_66)**2d0 + 20d0*Nc*cima*coupl(nGC_634 &
                      )*coupl(nGC_648)*coupl(nGC_72)**2d0 + 20d0*Nc*cima*coupl(&
                      nGC_634)*coupl(nGC_648)*coupl(nGC_81)**2d0 - 16d0*Nc*cima&
                      *coupl(nGC_648)**2d0*coupl(nGC_66)**2d0 - 16d0*Nc*cima*  &
                      coupl(nGC_648)**2d0*coupl(nGC_72)**2d0 - 16d0*Nc*cima*   &
                      coupl(nGC_648)**2d0*coupl(nGC_81)**2d0 - 16d0*Nc*cima*   &
                      coupl(nGC_650)**2d0*coupl(nGC_69)**2d0 - 16d0*Nc*cima*   &
                      coupl(nGC_650)**2d0*coupl(nGC_84)**2d0 - 16d0*Nc*cima*   &
                      coupl(nGC_650)**2d0*coupl(nGC_90)**2d0 + 4d0*cima*coupl( &
                      nGC_1732)*coupl(nGC_2312)*coupl(nGC_33)*coupl(nGC_51) +  &
                      9d0*cima*coupl(nGC_1732)*coupl(nGC_33)*coupl(nGC_38)**2d0&
                       + 9d0*cima*coupl(nGC_1746)*coupl(nGC_29)*coupl(nGC_38)**&
                      2d0 + 4d0*cima*coupl(nGC_1948)*coupl(nGC_2312)*coupl(    &
                      nGC_30)*coupl(nGC_51) + 12d0*cima*coupl(nGC_21)*coupl(   &
                      nGC_560) + 4d0*cima*coupl(nGC_2324)**2d0*coupl(nGC_52)** &
                      2d0 + 4d0*cima*coupl(nGC_292)**2d0*coupl(nGC_52)**2d0 -  &
                      16d0*cima*coupl(nGC_53)**2d0*coupl(nGC_75)**2d0 - 16d0*  &
                      cima*coupl(nGC_53)**2d0*coupl(nGC_78)**2d0 - 16d0*cima*  &
                      coupl(nGC_53)**2d0*coupl(nGC_87)**2d0 + 20d0*cima*coupl( &
                      nGC_53)*coupl(nGC_670)*coupl(nGC_75)**2d0 + 20d0*cima*   &
                      coupl(nGC_53)*coupl(nGC_670)*coupl(nGC_78)**2d0 + 20d0*  &
                      cima*coupl(nGC_53)*coupl(nGC_670)*coupl(nGC_87)**2d0 -   &
                      16d0*cima*coupl(nGC_670)**2d0*coupl(nGC_75)**2d0 - 16d0* &
                      cima*coupl(nGC_670)**2d0*coupl(nGC_78)**2d0 - 16d0*cima* &
                      coupl(nGC_670)**2d0*coupl(nGC_87)**2d0 - 6d0*coupl(nGC_11&
                      )*coupl(nGC_33)*coupl(nGC_38) - 6d0*coupl(nGC_12)*coupl( &
                      nGC_1746)*coupl(nGC_38) - 6d0*coupl(nGC_12)*coupl(nGC_29 &
                      )*coupl(nGC_38) - 6d0*coupl(nGC_13)*coupl(nGC_1732)*coupl&
                      (nGC_38) - 3d0*coupl(nGC_1732)*coupl(nGC_33)*coupl(      &
                      nGC_560) + 3d0*coupl(nGC_1732)*coupl(nGC_33)*coupl(nGC_58&
                      ) - 3d0*coupl(nGC_1746)*coupl(nGC_29)*coupl(nGC_560) +   &
                      3d0*coupl(nGC_1948)*coupl(nGC_30)*coupl(nGC_58) + 18d0*  &
                      coupl(nGC_21)*coupl(nGC_310)**2d0 + 18d0*coupl(nGC_21)*  &
                      coupl(nGC_38)**2d0 + 3d0*coupl(nGC_2324)**2d0*coupl(     &
                      nGC_57) + 3d0*coupl(nGC_292)**2d0*coupl(nGC_57))/(96d0*pi&
                      **2d0)
    coupl(nGC_4452) = (20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_632)*coupl(nGC_69)*&
                      coupl(nGC_70) + 20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_632 &
                      )*coupl(nGC_84)*coupl(nGC_85) + 20d0*Nc*cima*coupl(nGC_34&
                      )*coupl(nGC_632)*coupl(nGC_90)*coupl(nGC_91) - 16d0*Nc*  &
                      cima*coupl(nGC_34)*coupl(nGC_634)*coupl(nGC_66)*coupl(   &
                      nGC_68) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_634)*coupl&
                      (nGC_69)*coupl(nGC_70) - 16d0*Nc*cima*coupl(nGC_34)*coupl&
                      (nGC_634)*coupl(nGC_72)*coupl(nGC_74) - 16d0*Nc*cima*    &
                      coupl(nGC_34)*coupl(nGC_634)*coupl(nGC_81)*coupl(nGC_83  &
                      ) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_634)*coupl(     &
                      nGC_84)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_34)*coupl(&
                      nGC_634)*coupl(nGC_90)*coupl(nGC_91) + 20d0*Nc*cima*coupl&
                      (nGC_34)*coupl(nGC_648)*coupl(nGC_66)*coupl(nGC_68) +    &
                      20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_648)*coupl(nGC_72)* &
                      coupl(nGC_74) + 20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_648 &
                      )*coupl(nGC_81)*coupl(nGC_83) - 16d0*Nc*cima*coupl(nGC_34&
                      )*coupl(nGC_650)*coupl(nGC_66)*coupl(nGC_68) - 16d0*Nc*  &
                      cima*coupl(nGC_34)*coupl(nGC_650)*coupl(nGC_69)*coupl(   &
                      nGC_70) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_650)*coupl&
                      (nGC_72)*coupl(nGC_74) - 16d0*Nc*cima*coupl(nGC_34)*coupl&
                      (nGC_650)*coupl(nGC_81)*coupl(nGC_83) - 16d0*Nc*cima*    &
                      coupl(nGC_34)*coupl(nGC_650)*coupl(nGC_84)*coupl(nGC_85  &
                      ) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_650)*coupl(     &
                      nGC_90)*coupl(nGC_91) + 24d0*cima*coupl(nGC_12)*coupl(   &
                      nGC_27) + 4d0*cima*coupl(nGC_1732)*coupl(nGC_2312)*coupl(&
                      nGC_2324)*coupl(nGC_52) + 9d0*cima*coupl(nGC_1732)*coupl(&
                      nGC_310)*coupl(nGC_38)*coupl(nGC_51) + 4d0*cima*coupl(   &
                      nGC_1746)*coupl(nGC_1948)**2d0*coupl(nGC_2324) + 4d0*cima&
                      *coupl(nGC_1746)*coupl(nGC_1948)*coupl(nGC_2312)*coupl(  &
                      nGC_33) + 4d0*cima*coupl(nGC_1746)*coupl(nGC_1948)*coupl(&
                      nGC_33)*coupl(nGC_51) + 4d0*cima*coupl(nGC_1746)*coupl(  &
                      nGC_2324)*coupl(nGC_33)**2d0 + 4d0*cima*coupl(nGC_2312)**&
                      2d0*coupl(nGC_2324)*coupl(nGC_29) + 9d0*cima*coupl(nGC_29&
                      )*coupl(nGC_310)*coupl(nGC_38)*coupl(nGC_52) + 9d0*cima* &
                      coupl(nGC_29)*coupl(nGC_310)*coupl(nGC_7)*coupl(nGC_8) - &
                      16d0*cima*coupl(nGC_34)*coupl(nGC_53)*coupl(nGC_75)*coupl&
                      (nGC_77) - 16d0*cima*coupl(nGC_34)*coupl(nGC_53)*coupl(  &
                      nGC_78)*coupl(nGC_80) - 16d0*cima*coupl(nGC_34)*coupl(   &
                      nGC_53)*coupl(nGC_87)*coupl(nGC_89) + 20d0*cima*coupl(   &
                      nGC_34)*coupl(nGC_670)*coupl(nGC_75)*coupl(nGC_77) + 20d0&
                      *cima*coupl(nGC_34)*coupl(nGC_670)*coupl(nGC_78)*coupl(  &
                      nGC_80) + 20d0*cima*coupl(nGC_34)*coupl(nGC_670)*coupl(  &
                      nGC_87)*coupl(nGC_89) - 16d0*cima*coupl(nGC_34)*coupl(   &
                      nGC_672)*coupl(nGC_75)*coupl(nGC_77) - 16d0*cima*coupl(  &
                      nGC_34)*coupl(nGC_672)*coupl(nGC_78)*coupl(nGC_80) - 16d0&
                      *cima*coupl(nGC_34)*coupl(nGC_672)*coupl(nGC_87)*coupl(  &
                      nGC_89) + 24d0*cima*coupl(nGC_40)*coupl(nGC_546) + 6d0*  &
                      coupl(nGC_11)*coupl(nGC_1746)*coupl(nGC_33) + 6d0*coupl( &
                      nGC_11)*coupl(nGC_2312)*coupl(nGC_2324) - 6d0*coupl(     &
                      nGC_11)*coupl(nGC_310)*coupl(nGC_51) + 6d0*coupl(nGC_12)*&
                      coupl(nGC_1746)*coupl(nGC_1948) + 36d0*coupl(nGC_12)*    &
                      coupl(nGC_310)*coupl(nGC_38) - 6d0*coupl(nGC_12)*coupl(  &
                      nGC_38)*coupl(nGC_52) - 6d0*coupl(nGC_12)*coupl(nGC_7)*  &
                      coupl(nGC_8) - 6d0*coupl(nGC_1732)*coupl(nGC_27)*coupl(  &
                      nGC_51) - 6d0*coupl(nGC_21)*coupl(nGC_29)*coupl(nGC_310  &
                      ) - 6d0*coupl(nGC_21)*coupl(nGC_29)*coupl(nGC_38) - 6d0* &
                      coupl(nGC_27)*coupl(nGC_29)*coupl(nGC_52) - 6d0*coupl(   &
                      nGC_29)*coupl(nGC_310)*coupl(nGC_58) - 6d0*coupl(nGC_29)*&
                      coupl(nGC_38)*coupl(nGC_57) - 6d0*coupl(nGC_29)*coupl(   &
                      nGC_54)*coupl(nGC_7) - 6d0*coupl(nGC_29)*coupl(nGC_546)* &
                      coupl(nGC_8) + 36d0*coupl(nGC_296)*coupl(nGC_38)*coupl(  &
                      nGC_40))/(192d0*pi**2d0)
    coupl(nGC_4453) = (6d0*Nc*cima*coupl(nGC_5)*coupl(nGC_648)**3d0 + 6d0*Nc*  &
                      cima*coupl(nGC_5)*coupl(nGC_650)**3d0 + 6d0*Nc*cima*coupl&
                      (nGC_6)*coupl(nGC_632)**3d0 + 6d0*Nc*cima*coupl(nGC_6)*  &
                      coupl(nGC_634)**3d0 - 20d0*cima*coupl(nGC_296)*coupl(    &
                      nGC_310)**3d0 - 20d0*cima*coupl(nGC_38)**3d0*coupl(nGC_7 &
                      ) + 6d0*cima*coupl(nGC_44)*coupl(nGC_560) + 6d0*cima*    &
                      coupl(nGC_670)**3d0*coupl(nGC_8) + 6d0*cima*coupl(nGC_672&
                      )**3d0*coupl(nGC_8) + 3d0*coupl(nGC_27)*coupl(nGC_296)*  &
                      coupl(nGC_310) + 3d0*coupl(nGC_27)*coupl(nGC_38)*coupl(  &
                      nGC_7) + 9d0*coupl(nGC_296)*coupl(nGC_310)*coupl(nGC_560 &
                      ) + 9d0*coupl(nGC_310)**2d0*coupl(nGC_44) + 3d0*coupl(   &
                      nGC_310)**2d0*coupl(nGC_546) + 9d0*coupl(nGC_38)**2d0*   &
                      coupl(nGC_44) + 3d0*coupl(nGC_38)**2d0*coupl(nGC_546) +  &
                      9d0*coupl(nGC_38)*coupl(nGC_560)*coupl(nGC_7))/(48d0*pi**&
                      2d0)
    coupl(nGC_4454) = cima*coupl(nGC_15)**2d0*sq2**2d0*(coupl(nGC_5)**2d0 +    &
                      coupl(nGC_6)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4455) = cima*coupl(nGC_15)**2d0*sq2**2d0*(-coupl(nGC_5)**2d0 -   &
                      coupl(nGC_6)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_4456) = (-16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_386)*coupl(nGC_634&
                      )*coupl(nGC_72) + 20d0*Nc*cima*coupl(nGC_34)*coupl(      &
                      nGC_386)*coupl(nGC_648)*coupl(nGC_72) - 16d0*Nc*cima*    &
                      coupl(nGC_34)*coupl(nGC_386)*coupl(nGC_650)*coupl(nGC_72 &
                      ) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_390)*coupl(     &
                      nGC_634)*coupl(nGC_81) + 20d0*Nc*cima*coupl(nGC_34)*coupl&
                      (nGC_390)*coupl(nGC_648)*coupl(nGC_81) - 16d0*Nc*cima*   &
                      coupl(nGC_34)*coupl(nGC_390)*coupl(nGC_650)*coupl(nGC_81 &
                      ) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_394)*coupl(     &
                      nGC_634)*coupl(nGC_66) + 20d0*Nc*cima*coupl(nGC_34)*coupl&
                      (nGC_394)*coupl(nGC_648)*coupl(nGC_66) - 16d0*Nc*cima*   &
                      coupl(nGC_34)*coupl(nGC_394)*coupl(nGC_650)*coupl(nGC_66 &
                      ) + 20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_632)*coupl(     &
                      nGC_69)*coupl(nGC_71) + 20d0*Nc*cima*coupl(nGC_34)*coupl(&
                      nGC_632)*coupl(nGC_84)*coupl(nGC_86) + 20d0*Nc*cima*coupl&
                      (nGC_34)*coupl(nGC_632)*coupl(nGC_90)*coupl(nGC_92) -    &
                      16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_634)*coupl(nGC_69)* &
                      coupl(nGC_71) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_634 &
                      )*coupl(nGC_84)*coupl(nGC_86) - 16d0*Nc*cima*coupl(nGC_34&
                      )*coupl(nGC_634)*coupl(nGC_90)*coupl(nGC_92) - 16d0*Nc*  &
                      cima*coupl(nGC_34)*coupl(nGC_650)*coupl(nGC_69)*coupl(   &
                      nGC_71) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_650)*coupl&
                      (nGC_84)*coupl(nGC_86) - 16d0*Nc*cima*coupl(nGC_34)*coupl&
                      (nGC_650)*coupl(nGC_90)*coupl(nGC_92) + 24d0*cima*coupl( &
                      nGC_13)*coupl(nGC_27) + 9d0*cima*coupl(nGC_1732)*coupl(  &
                      nGC_2324)*coupl(nGC_310)*coupl(nGC_38) + 9d0*cima*coupl( &
                      nGC_1732)*coupl(nGC_292)*coupl(nGC_296)*coupl(nGC_38) +  &
                      4d0*cima*coupl(nGC_1732)*coupl(nGC_51)**2d0*coupl(nGC_52 &
                      ) + 4d0*cima*coupl(nGC_1746)**2d0*coupl(nGC_33)*coupl(   &
                      nGC_52) + 4d0*cima*coupl(nGC_1746)*coupl(nGC_2312)*coupl(&
                      nGC_33)**2d0 + 4d0*cima*coupl(nGC_1746)*coupl(nGC_33)**  &
                      2d0*coupl(nGC_51) + 9d0*cima*coupl(nGC_2312)*coupl(nGC_30&
                      )*coupl(nGC_310)*coupl(nGC_38) + 4d0*cima*coupl(nGC_2324 &
                      )*coupl(nGC_30)*coupl(nGC_51)*coupl(nGC_52) + 4d0*cima*  &
                      coupl(nGC_33)**3d0*coupl(nGC_52) - 16d0*cima*coupl(nGC_34&
                      )*coupl(nGC_410)*coupl(nGC_53)*coupl(nGC_75) + 20d0*cima*&
                      coupl(nGC_34)*coupl(nGC_410)*coupl(nGC_670)*coupl(nGC_75 &
                      ) - 16d0*cima*coupl(nGC_34)*coupl(nGC_410)*coupl(nGC_672 &
                      )*coupl(nGC_75) - 16d0*cima*coupl(nGC_34)*coupl(nGC_414)*&
                      coupl(nGC_53)*coupl(nGC_78) + 20d0*cima*coupl(nGC_34)*   &
                      coupl(nGC_414)*coupl(nGC_670)*coupl(nGC_78) - 16d0*cima* &
                      coupl(nGC_34)*coupl(nGC_414)*coupl(nGC_672)*coupl(nGC_78 &
                      ) - 16d0*cima*coupl(nGC_34)*coupl(nGC_418)*coupl(nGC_53)*&
                      coupl(nGC_87) + 20d0*cima*coupl(nGC_34)*coupl(nGC_418)*  &
                      coupl(nGC_670)*coupl(nGC_87) - 16d0*cima*coupl(nGC_34)*  &
                      coupl(nGC_418)*coupl(nGC_672)*coupl(nGC_87) + 24d0*cima* &
                      coupl(nGC_42)*coupl(nGC_546) + 6d0*coupl(nGC_12)*coupl(  &
                      nGC_1746)*coupl(nGC_33) - 6d0*coupl(nGC_12)*coupl(       &
                      nGC_2312)*coupl(nGC_38) + 6d0*coupl(nGC_12)*coupl(nGC_51 &
                      )*coupl(nGC_52) - 6d0*coupl(nGC_13)*coupl(nGC_2324)*coupl&
                      (nGC_310) - 6d0*coupl(nGC_13)*coupl(nGC_292)*coupl(      &
                      nGC_296) + 36d0*coupl(nGC_13)*coupl(nGC_310)*coupl(nGC_38&
                      ) + 6d0*coupl(nGC_13)*coupl(nGC_33)**2d0 - 6d0*coupl(    &
                      nGC_1732)*coupl(nGC_21)*coupl(nGC_310) - 6d0*coupl(      &
                      nGC_1732)*coupl(nGC_21)*coupl(nGC_38) - 6d0*coupl(       &
                      nGC_1732)*coupl(nGC_2324)*coupl(nGC_27) - 6d0*coupl(     &
                      nGC_1732)*coupl(nGC_292)*coupl(nGC_546) - 6d0*coupl(     &
                      nGC_1732)*coupl(nGC_296)*coupl(nGC_54) - 6d0*coupl(      &
                      nGC_1732)*coupl(nGC_310)*coupl(nGC_57) - 6d0*coupl(      &
                      nGC_1732)*coupl(nGC_38)*coupl(nGC_58) - 6d0*coupl(       &
                      nGC_2312)*coupl(nGC_27)*coupl(nGC_30) + 36d0*coupl(      &
                      nGC_310)*coupl(nGC_42)*coupl(nGC_7))/(192d0*pi**2d0)
    coupl(nGC_4457) = (-5d0*cima*coupl(nGC_1732)*coupl(nGC_1756)*coupl(nGC_32)*&
                      coupl(nGC_33) - 5d0*cima*coupl(nGC_1732)*coupl(nGC_1960)*&
                      coupl(nGC_31)*coupl(nGC_33) + 12d0*cima*coupl(nGC_21)*   &
                      coupl(nGC_23) - 5d0*cima*coupl(nGC_2312)*coupl(nGC_316)**&
                      2d0*coupl(nGC_51) - 5d0*cima*coupl(nGC_2312)*coupl(nGC_37&
                      )**2d0*coupl(nGC_51) + 6d0*cima*coupl(nGC_28)*coupl(     &
                      nGC_58) + 6d0*coupl(nGC_1)*coupl(nGC_1732)*coupl(nGC_33  &
                      ) + 3d0*coupl(nGC_1)*coupl(nGC_1756)*coupl(nGC_32) + 3d0*&
                      coupl(nGC_1)*coupl(nGC_2312)*coupl(nGC_51) + 3d0*coupl(  &
                      nGC_1)*coupl(nGC_292)**2d0 + 3d0*coupl(nGC_1)*coupl(     &
                      nGC_316)**2d0 - 6d0*coupl(nGC_1732)*coupl(nGC_23)*coupl( &
                      nGC_33) - 3d0*coupl(nGC_1960)*coupl(nGC_21)*coupl(nGC_31 &
                      ) - 3d0*coupl(nGC_2312)*coupl(nGC_28)*coupl(nGC_51) - 3d0&
                      *coupl(nGC_37)**2d0*coupl(nGC_58))/(96d0*pi**2d0)
    coupl(nGC_4458) = (20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_632)*coupl(nGC_69)*&
                      coupl(nGC_70) + 20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_632 &
                      )*coupl(nGC_84)*coupl(nGC_85) + 20d0*Nc*cima*coupl(nGC_34&
                      )*coupl(nGC_632)*coupl(nGC_90)*coupl(nGC_91) - 16d0*Nc*  &
                      cima*coupl(nGC_34)*coupl(nGC_634)*coupl(nGC_66)*coupl(   &
                      nGC_68) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_634)*coupl&
                      (nGC_69)*coupl(nGC_70) - 16d0*Nc*cima*coupl(nGC_34)*coupl&
                      (nGC_634)*coupl(nGC_72)*coupl(nGC_74) - 16d0*Nc*cima*    &
                      coupl(nGC_34)*coupl(nGC_634)*coupl(nGC_81)*coupl(nGC_83  &
                      ) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_634)*coupl(     &
                      nGC_84)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_34)*coupl(&
                      nGC_634)*coupl(nGC_90)*coupl(nGC_91) + 20d0*Nc*cima*coupl&
                      (nGC_34)*coupl(nGC_648)*coupl(nGC_66)*coupl(nGC_68) +    &
                      20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_648)*coupl(nGC_72)* &
                      coupl(nGC_74) + 20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_648 &
                      )*coupl(nGC_81)*coupl(nGC_83) - 16d0*Nc*cima*coupl(nGC_34&
                      )*coupl(nGC_650)*coupl(nGC_66)*coupl(nGC_68) - 16d0*Nc*  &
                      cima*coupl(nGC_34)*coupl(nGC_650)*coupl(nGC_69)*coupl(   &
                      nGC_70) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_650)*coupl&
                      (nGC_72)*coupl(nGC_74) - 16d0*Nc*cima*coupl(nGC_34)*coupl&
                      (nGC_650)*coupl(nGC_81)*coupl(nGC_83) - 16d0*Nc*cima*    &
                      coupl(nGC_34)*coupl(nGC_650)*coupl(nGC_84)*coupl(nGC_85  &
                      ) - 16d0*Nc*cima*coupl(nGC_34)*coupl(nGC_650)*coupl(     &
                      nGC_90)*coupl(nGC_91) + 24d0*cima*coupl(nGC_12)*coupl(   &
                      nGC_27) + 4d0*cima*coupl(nGC_1732)*coupl(nGC_2312)*coupl(&
                      nGC_2324)*coupl(nGC_52) + 9d0*cima*coupl(nGC_1732)*coupl(&
                      nGC_310)*coupl(nGC_38)*coupl(nGC_51) + 4d0*cima*coupl(   &
                      nGC_1746)**2d0*coupl(nGC_1948)*coupl(nGC_52) + 4d0*cima* &
                      coupl(nGC_1746)*coupl(nGC_1948)*coupl(nGC_2312)*coupl(   &
                      nGC_33) + 4d0*cima*coupl(nGC_1746)*coupl(nGC_1948)*coupl(&
                      nGC_33)*coupl(nGC_51) + 4d0*cima*coupl(nGC_1948)*coupl(  &
                      nGC_33)**2d0*coupl(nGC_52) + 4d0*cima*coupl(nGC_2312)**  &
                      2d0*coupl(nGC_30)*coupl(nGC_52) + 9d0*cima*coupl(nGC_2324&
                      )*coupl(nGC_30)*coupl(nGC_310)*coupl(nGC_38) + 9d0*cima* &
                      coupl(nGC_292)*coupl(nGC_296)*coupl(nGC_30)*coupl(nGC_38 &
                      ) - 16d0*cima*coupl(nGC_34)*coupl(nGC_53)*coupl(nGC_75)* &
                      coupl(nGC_77) - 16d0*cima*coupl(nGC_34)*coupl(nGC_53)*   &
                      coupl(nGC_78)*coupl(nGC_80) - 16d0*cima*coupl(nGC_34)*   &
                      coupl(nGC_53)*coupl(nGC_87)*coupl(nGC_89) + 20d0*cima*   &
                      coupl(nGC_34)*coupl(nGC_670)*coupl(nGC_75)*coupl(nGC_77  &
                      ) + 20d0*cima*coupl(nGC_34)*coupl(nGC_670)*coupl(nGC_78)*&
                      coupl(nGC_80) + 20d0*cima*coupl(nGC_34)*coupl(nGC_670)*  &
                      coupl(nGC_87)*coupl(nGC_89) - 16d0*cima*coupl(nGC_34)*   &
                      coupl(nGC_672)*coupl(nGC_75)*coupl(nGC_77) - 16d0*cima*  &
                      coupl(nGC_34)*coupl(nGC_672)*coupl(nGC_78)*coupl(nGC_80  &
                      ) - 16d0*cima*coupl(nGC_34)*coupl(nGC_672)*coupl(nGC_87)*&
                      coupl(nGC_89) + 24d0*cima*coupl(nGC_40)*coupl(nGC_546) + &
                      6d0*coupl(nGC_12)*coupl(nGC_1746)*coupl(nGC_1948) - 6d0* &
                      coupl(nGC_12)*coupl(nGC_2324)*coupl(nGC_310) - 6d0*coupl(&
                      nGC_12)*coupl(nGC_292)*coupl(nGC_296) + 36d0*coupl(nGC_12&
                      )*coupl(nGC_310)*coupl(nGC_38) + 6d0*coupl(nGC_13)*coupl(&
                      nGC_1948)*coupl(nGC_33) + 6d0*coupl(nGC_13)*coupl(       &
                      nGC_2312)*coupl(nGC_52) - 6d0*coupl(nGC_13)*coupl(nGC_38 &
                      )*coupl(nGC_51) - 6d0*coupl(nGC_1732)*coupl(nGC_27)*coupl&
                      (nGC_51) - 6d0*coupl(nGC_21)*coupl(nGC_30)*coupl(nGC_310 &
                      ) - 6d0*coupl(nGC_21)*coupl(nGC_30)*coupl(nGC_38) - 6d0* &
                      coupl(nGC_2324)*coupl(nGC_27)*coupl(nGC_30) - 6d0*coupl( &
                      nGC_292)*coupl(nGC_30)*coupl(nGC_546) - 6d0*coupl(nGC_296&
                      )*coupl(nGC_30)*coupl(nGC_54) - 6d0*coupl(nGC_30)*coupl( &
                      nGC_310)*coupl(nGC_57) - 6d0*coupl(nGC_30)*coupl(nGC_38)*&
                      coupl(nGC_58) + 36d0*coupl(nGC_310)*coupl(nGC_40)*coupl( &
                      nGC_7))/(192d0*pi**2d0)
    coupl(nGC_4459) = cima*coupl(nGC_15)**2d0*sq2**2d0*(-coupl(nGC_66)**2d0 -  &
                      coupl(nGC_69)**2d0 - coupl(nGC_72)**2d0 - coupl(nGC_81)**&
                      2d0 - coupl(nGC_84)**2d0 - coupl(nGC_90)**2d0)/(32d0*pi**&
                      2d0)
    coupl(nGC_4460) = cima*coupl(nGC_15)**2d0*sq2**2d0*(coupl(nGC_66)**2d0 +   &
                      coupl(nGC_69)**2d0 + coupl(nGC_72)**2d0 + coupl(nGC_81)**&
                      2d0 + coupl(nGC_84)**2d0 + coupl(nGC_90)**2d0)/(32d0*pi**&
                      2d0*Nc)
    coupl(nGC_4461) = (-10d0*cima*coupl(nGC_1732)*coupl(nGC_1756)*coupl(nGC_32 &
                      )*coupl(nGC_33) - 10d0*cima*coupl(nGC_1732)*coupl(       &
                      nGC_1960)*coupl(nGC_31)*coupl(nGC_33) + 12d0*cima*coupl( &
                      nGC_21)*coupl(nGC_25) + 6d0*coupl(nGC_1)*coupl(nGC_1732)*&
                      coupl(nGC_33) + 3d0*coupl(nGC_1)*coupl(nGC_1756)*coupl(  &
                      nGC_32) + 3d0*coupl(nGC_1)*coupl(nGC_1960)*coupl(nGC_31  &
                      ) + 3d0*coupl(nGC_1)*coupl(nGC_2312)*coupl(nGC_51) - 6d0*&
                      coupl(nGC_1732)*coupl(nGC_25)*coupl(nGC_33) - 3d0*coupl( &
                      nGC_1756)*coupl(nGC_21)*coupl(nGC_32) - 3d0*coupl(       &
                      nGC_1960)*coupl(nGC_21)*coupl(nGC_31))/(96d0*pi**2d0)
    coupl(nGC_4462) = (-32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_386)*coupl(  &
                      nGC_73) - 32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_390)*&
                      coupl(nGC_82) - 32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(   &
                      nGC_394)*coupl(nGC_67) - 32d0*Nc*cima*coupl(nGC_34)**2d0*&
                      coupl(nGC_440)*coupl(nGC_92) - 32d0*Nc*cima*coupl(nGC_34 &
                      )**2d0*coupl(nGC_444)*coupl(nGC_71) - 32d0*Nc*cima*coupl(&
                      nGC_34)**2d0*coupl(nGC_448)*coupl(nGC_86) + 8d0*cima*    &
                      coupl(nGC_1732)**2d0*coupl(nGC_33)**2d0 + 4d0*cima*coupl(&
                      nGC_1732)*coupl(nGC_1746)*coupl(nGC_29)*coupl(nGC_33) +  &
                      4d0*cima*coupl(nGC_1732)*coupl(nGC_1948)*coupl(nGC_30)*  &
                      coupl(nGC_33) + 9d0*cima*coupl(nGC_1732)*coupl(nGC_296)**&
                      2d0*coupl(nGC_33) + 9d0*cima*coupl(nGC_1732)*coupl(      &
                      nGC_310)**2d0*coupl(nGC_33) + 9d0*cima*coupl(nGC_1732)*  &
                      coupl(nGC_33)*coupl(nGC_38)**2d0 + 9d0*cima*coupl(       &
                      nGC_1732)*coupl(nGC_33)*coupl(nGC_7)**2d0 + 4d0*cima*    &
                      coupl(nGC_1746)*coupl(nGC_2312)*coupl(nGC_29)*coupl(     &
                      nGC_51) + 4d0*cima*coupl(nGC_1948)*coupl(nGC_2312)*coupl(&
                      nGC_30)*coupl(nGC_51) + 24d0*cima*coupl(nGC_21)*coupl(   &
                      nGC_22) + 9d0*cima*coupl(nGC_2312)*coupl(nGC_310)**2d0*  &
                      coupl(nGC_51) + 9d0*cima*coupl(nGC_2312)*coupl(nGC_38)** &
                      2d0*coupl(nGC_51) - 32d0*cima*coupl(nGC_34)**2d0*coupl(  &
                      nGC_410)*coupl(nGC_76) - 32d0*cima*coupl(nGC_34)**2d0*   &
                      coupl(nGC_414)*coupl(nGC_79) - 32d0*cima*coupl(nGC_34)** &
                      2d0*coupl(nGC_418)*coupl(nGC_88) + 12d0*cima*coupl(      &
                      nGC_560)*coupl(nGC_58) - 6d0*coupl(nGC_11)*coupl(nGC_1732&
                      )*coupl(nGC_310) - 6d0*coupl(nGC_11)*coupl(nGC_33)*coupl(&
                      nGC_38) - 6d0*coupl(nGC_13)*coupl(nGC_1732)*coupl(nGC_38 &
                      ) - 6d0*coupl(nGC_13)*coupl(nGC_310)*coupl(nGC_33) + 12d0&
                      *coupl(nGC_1732)*coupl(nGC_21)*coupl(nGC_33) - 12d0*coupl&
                      (nGC_1732)*coupl(nGC_22)*coupl(nGC_33) - 6d0*coupl(      &
                      nGC_1732)*coupl(nGC_296)*coupl(nGC_39) - 6d0*coupl(      &
                      nGC_1732)*coupl(nGC_42)*coupl(nGC_7) + 6d0*coupl(nGC_21)*&
                      coupl(nGC_2312)*coupl(nGC_51) + 36d0*coupl(nGC_21)*coupl(&
                      nGC_296)**2d0 + 36d0*coupl(nGC_21)*coupl(nGC_310)**2d0 - &
                      6d0*coupl(nGC_2312)*coupl(nGC_51)*coupl(nGC_560) - 6d0*  &
                      coupl(nGC_296)*coupl(nGC_33)*coupl(nGC_42) - 6d0*coupl(  &
                      nGC_33)*coupl(nGC_39)*coupl(nGC_7) + 36d0*coupl(nGC_38)**&
                      2d0*coupl(nGC_58))/(192d0*pi**2d0)
    coupl(nGC_4463) = (20d0*Nc*cima*coupl(nGC_386)**2d0*coupl(nGC_73)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_390)**2d0*coupl(nGC_82)**2d0 +    &
                      20d0*Nc*cima*coupl(nGC_394)**2d0*coupl(nGC_67)**2d0 +    &
                      20d0*Nc*cima*coupl(nGC_440)**2d0*coupl(nGC_92)**2d0 +    &
                      20d0*Nc*cima*coupl(nGC_444)**2d0*coupl(nGC_71)**2d0 +    &
                      20d0*Nc*cima*coupl(nGC_448)**2d0*coupl(nGC_86)**2d0 -    &
                      10d0*cima*coupl(nGC_1732)**2d0*coupl(nGC_33)**2d0 + 6d0* &
                      cima*coupl(nGC_21)**2d0 - 5d0*cima*coupl(nGC_2312)**2d0* &
                      coupl(nGC_51)**2d0 + 20d0*cima*coupl(nGC_410)**2d0*coupl(&
                      nGC_76)**2d0 + 20d0*cima*coupl(nGC_414)**2d0*coupl(nGC_79&
                      )**2d0 + 20d0*cima*coupl(nGC_418)**2d0*coupl(nGC_88)**2d0&
                       + 3d0*cima*coupl(nGC_58)**2d0 + 6d0*coupl(nGC_17)*coupl(&
                      nGC_1732)*coupl(nGC_33) + 3d0*coupl(nGC_17)*coupl(       &
                      nGC_2312)*coupl(nGC_51) - 6d0*coupl(nGC_1732)*coupl(     &
                      nGC_21)*coupl(nGC_33) - 3d0*coupl(nGC_2312)*coupl(nGC_51 &
                      )*coupl(nGC_58))/(16d0*pi**2d0)
    coupl(nGC_4464) = (12d0*cima*coupl(nGC_10)**2d0 - 5d0*cima*coupl(nGC_1756  &
                      )**2d0*coupl(nGC_32)**2d0 - 10d0*cima*coupl(nGC_1756)*   &
                      coupl(nGC_1960)*coupl(nGC_31)*coupl(nGC_32) - 5d0*cima*  &
                      coupl(nGC_1960)**2d0*coupl(nGC_31)**2d0 + 24d0*cima*coupl&
                      (nGC_23)**2d0 + 6d0*cima*coupl(nGC_24)**2d0 + 12d0*cima* &
                      coupl(nGC_28)**2d0 - 5d0*cima*coupl(nGC_292)**4d0 - 10d0*&
                      cima*coupl(nGC_292)**2d0*coupl(nGC_316)**2d0 - 10d0*cima*&
                      coupl(nGC_292)**2d0*coupl(nGC_8)**2d0 - 20d0*cima*coupl( &
                      nGC_292)*coupl(nGC_316)*coupl(nGC_37)*coupl(nGC_8) - 5d0*&
                      cima*coupl(nGC_316)**4d0 - 10d0*cima*coupl(nGC_316)**2d0*&
                      coupl(nGC_37)**2d0 - 5d0*cima*coupl(nGC_37)**4d0 - 10d0* &
                      cima*coupl(nGC_37)**2d0*coupl(nGC_8)**2d0 + 24d0*cima*   &
                      coupl(nGC_43)**2d0 - 5d0*cima*coupl(nGC_8)**4d0 - 6d0*   &
                      coupl(nGC_10)*coupl(nGC_292)**2d0 - 6d0*coupl(nGC_10)*   &
                      coupl(nGC_8)**2d0 + 6d0*coupl(nGC_1756)*coupl(nGC_2)*    &
                      coupl(nGC_32) - 6d0*coupl(nGC_1756)*coupl(nGC_23)*coupl( &
                      nGC_32) - 3d0*coupl(nGC_1756)*coupl(nGC_24)*coupl(nGC_31 &
                      ) + 6d0*coupl(nGC_1960)*coupl(nGC_2)*coupl(nGC_31) - 6d0*&
                      coupl(nGC_1960)*coupl(nGC_23)*coupl(nGC_31) - 3d0*coupl( &
                      nGC_1960)*coupl(nGC_24)*coupl(nGC_32) - 6d0*coupl(nGC_28 &
                      )*coupl(nGC_316)**2d0 - 6d0*coupl(nGC_28)*coupl(nGC_37)**&
                      2d0 + 6d0*coupl(nGC_292)**2d0*coupl(nGC_3) + 6d0*coupl(  &
                      nGC_292)*coupl(nGC_3)*coupl(nGC_8) - 12d0*coupl(nGC_292)*&
                      coupl(nGC_316)*coupl(nGC_43) + 6d0*coupl(nGC_3)*coupl(   &
                      nGC_316)**2d0 + 6d0*coupl(nGC_3)*coupl(nGC_316)*coupl(   &
                      nGC_37) + 6d0*coupl(nGC_3)*coupl(nGC_37)**2d0 + 6d0*coupl&
                      (nGC_3)*coupl(nGC_8)**2d0 - 12d0*coupl(nGC_37)*coupl(    &
                      nGC_43)*coupl(nGC_8))/(96d0*pi**2d0)
    coupl(nGC_4465) = (20d0*Nc*cima*coupl(nGC_386)**2d0*coupl(nGC_74)**2d0 +   &
                      80d0*Nc*cima*coupl(nGC_386)*coupl(nGC_73)*coupl(nGC_74)**&
                      2d0 + 20d0*Nc*cima*coupl(nGC_390)**2d0*coupl(nGC_83)**2d0&
                       + 80d0*Nc*cima*coupl(nGC_390)*coupl(nGC_82)*coupl(nGC_83&
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_394)**2d0*coupl(nGC_68)**&
                      2d0 + 80d0*Nc*cima*coupl(nGC_394)*coupl(nGC_67)*coupl(   &
                      nGC_68)**2d0 + 20d0*Nc*cima*coupl(nGC_440)**2d0*coupl(   &
                      nGC_91)**2d0 + 80d0*Nc*cima*coupl(nGC_440)*coupl(nGC_91  &
                      )**2d0*coupl(nGC_92) + 20d0*Nc*cima*coupl(nGC_444)**2d0* &
                      coupl(nGC_70)**2d0 + 80d0*Nc*cima*coupl(nGC_444)*coupl(  &
                      nGC_70)**2d0*coupl(nGC_71) + 20d0*Nc*cima*coupl(nGC_448  &
                      )**2d0*coupl(nGC_85)**2d0 + 80d0*Nc*cima*coupl(nGC_448)* &
                      coupl(nGC_85)**2d0*coupl(nGC_86) + 20d0*Nc*cima*coupl(   &
                      nGC_67)**2d0*coupl(nGC_68)**2d0 + 20d0*Nc*cima*coupl(    &
                      nGC_70)**2d0*coupl(nGC_71)**2d0 + 20d0*Nc*cima*coupl(    &
                      nGC_73)**2d0*coupl(nGC_74)**2d0 + 20d0*Nc*cima*coupl(    &
                      nGC_82)**2d0*coupl(nGC_83)**2d0 + 20d0*Nc*cima*coupl(    &
                      nGC_85)**2d0*coupl(nGC_86)**2d0 + 20d0*Nc*cima*coupl(    &
                      nGC_91)**2d0*coupl(nGC_92)**2d0 - 5d0*cima*coupl(nGC_1732&
                      )**2d0*coupl(nGC_1746)**2d0 - 5d0*cima*coupl(nGC_1732)** &
                      2d0*coupl(nGC_1948)**2d0 - 20d0*cima*coupl(nGC_1732)*    &
                      coupl(nGC_1746)*coupl(nGC_29)*coupl(nGC_33) - 20d0*cima* &
                      coupl(nGC_1732)*coupl(nGC_1948)*coupl(nGC_30)*coupl(     &
                      nGC_33) + 12d0*cima*coupl(nGC_21)**2d0 - 10d0*cima*coupl(&
                      nGC_2312)**2d0*coupl(nGC_51)**2d0 - 5d0*cima*coupl(nGC_29&
                      )**2d0*coupl(nGC_33)**2d0 - 5d0*cima*coupl(nGC_30)**2d0* &
                      coupl(nGC_33)**2d0 + 20d0*cima*coupl(nGC_410)**2d0*coupl(&
                      nGC_77)**2d0 + 80d0*cima*coupl(nGC_410)*coupl(nGC_76)*   &
                      coupl(nGC_77)**2d0 + 20d0*cima*coupl(nGC_414)**2d0*coupl(&
                      nGC_80)**2d0 + 80d0*cima*coupl(nGC_414)*coupl(nGC_79)*   &
                      coupl(nGC_80)**2d0 + 20d0*cima*coupl(nGC_418)**2d0*coupl(&
                      nGC_89)**2d0 + 80d0*cima*coupl(nGC_418)*coupl(nGC_88)*   &
                      coupl(nGC_89)**2d0 + 6d0*cima*coupl(nGC_58)**2d0 + 20d0* &
                      cima*coupl(nGC_76)**2d0*coupl(nGC_77)**2d0 + 20d0*cima*  &
                      coupl(nGC_79)**2d0*coupl(nGC_80)**2d0 + 20d0*cima*coupl( &
                      nGC_88)**2d0*coupl(nGC_89)**2d0 + 6d0*coupl(nGC_17)*coupl&
                      (nGC_1732)*coupl(nGC_33) + 3d0*coupl(nGC_17)*coupl(      &
                      nGC_1746)*coupl(nGC_29) + 3d0*coupl(nGC_17)*coupl(       &
                      nGC_1948)*coupl(nGC_30) + 6d0*coupl(nGC_17)*coupl(       &
                      nGC_2312)**2d0 + 6d0*coupl(nGC_17)*coupl(nGC_51)**2d0 -  &
                      6d0*coupl(nGC_1732)*coupl(nGC_21)*coupl(nGC_33) - 3d0*   &
                      coupl(nGC_1746)*coupl(nGC_21)*coupl(nGC_29) + 6d0*coupl( &
                      nGC_19)*coupl(nGC_2312)*coupl(nGC_51) - 3d0*coupl(       &
                      nGC_1948)*coupl(nGC_21)*coupl(nGC_30) - 6d0*coupl(       &
                      nGC_2312)*coupl(nGC_51)*coupl(nGC_58))/(96d0*pi**2d0)
    coupl(nGC_4466) = (-10d0*cima*coupl(nGC_1948)*coupl(nGC_1960)*coupl(nGC_30 &
                      )*coupl(nGC_31) + 12d0*cima*coupl(nGC_21)*coupl(nGC_23   &
                      ) - 10d0*cima*coupl(nGC_2312)*coupl(nGC_37)**2d0*coupl(  &
                      nGC_51) + 6d0*cima*coupl(nGC_28)*coupl(nGC_58) + 3d0*    &
                      coupl(nGC_1)*coupl(nGC_1746)*coupl(nGC_29) + 3d0*coupl(  &
                      nGC_1)*coupl(nGC_1756)*coupl(nGC_32) + 3d0*coupl(nGC_1)* &
                      coupl(nGC_1948)*coupl(nGC_30) + 3d0*coupl(nGC_1)*coupl(  &
                      nGC_2312)*coupl(nGC_51) + 3d0*coupl(nGC_1)*coupl(nGC_292 &
                      )**2d0 + 3d0*coupl(nGC_1)*coupl(nGC_316)**2d0 - 3d0*coupl&
                      (nGC_1746)*coupl(nGC_23)*coupl(nGC_29) - 3d0*coupl(      &
                      nGC_1948)*coupl(nGC_23)*coupl(nGC_30) - 3d0*coupl(       &
                      nGC_1960)*coupl(nGC_21)*coupl(nGC_31) - 3d0*coupl(       &
                      nGC_2312)*coupl(nGC_28)*coupl(nGC_51) - 3d0*coupl(nGC_37 &
                      )**2d0*coupl(nGC_58))/(96d0*pi**2d0)
    coupl(nGC_4467) = (4d0*cima*coupl(nGC_1960)*coupl(nGC_292)*coupl(nGC_32)*  &
                      coupl(nGC_8) + 9d0*cima*coupl(nGC_1960)*coupl(nGC_296)*  &
                      coupl(nGC_32)*coupl(nGC_7) + 9d0*cima*coupl(nGC_1960)*   &
                      coupl(nGC_310)*coupl(nGC_32)*coupl(nGC_38) + 4d0*cima*   &
                      coupl(nGC_1960)*coupl(nGC_316)*coupl(nGC_32)*coupl(nGC_37&
                      ) + 6d0*cima*coupl(nGC_24)*coupl(nGC_510) - 6d0*coupl(   &
                      nGC_1960)*coupl(nGC_26)*coupl(nGC_310) - 6d0*coupl(      &
                      nGC_1960)*coupl(nGC_296)*coupl(nGC_41) - 3d0*coupl(      &
                      nGC_1960)*coupl(nGC_32)*coupl(nGC_510) - 6d0*coupl(nGC_24&
                      )*coupl(nGC_292)*coupl(nGC_296) + 3d0*coupl(nGC_24)*coupl&
                      (nGC_292)*coupl(nGC_8) + 18d0*coupl(nGC_24)*coupl(nGC_296&
                      )*coupl(nGC_7) - 6d0*coupl(nGC_24)*coupl(nGC_310)*coupl( &
                      nGC_316) + 18d0*coupl(nGC_24)*coupl(nGC_310)*coupl(nGC_38&
                      ) + 3d0*coupl(nGC_24)*coupl(nGC_316)*coupl(nGC_37) - 6d0*&
                      coupl(nGC_24)*coupl(nGC_37)*coupl(nGC_38) - 6d0*coupl(   &
                      nGC_24)*coupl(nGC_7)*coupl(nGC_8) - 6d0*coupl(nGC_26)*   &
                      coupl(nGC_32)*coupl(nGC_38) - 6d0*coupl(nGC_32)*coupl(   &
                      nGC_41)*coupl(nGC_7))/(96d0*pi**2d0)
    coupl(nGC_4468) = (-10d0*cima*coupl(nGC_1756)*coupl(nGC_1960)*coupl(nGC_31 &
                      )*coupl(nGC_32) - 10d0*cima*coupl(nGC_1756)*coupl(nGC_292&
                      )**2d0*coupl(nGC_32) - 10d0*cima*coupl(nGC_1756)*coupl(  &
                      nGC_316)**2d0*coupl(nGC_32) + 12d0*cima*coupl(nGC_23)*   &
                      coupl(nGC_25) + 24d0*cima*coupl(nGC_26)**2d0 + 24d0*cima*&
                      coupl(nGC_41)**2d0 + 6d0*coupl(nGC_1756)*coupl(nGC_1960)*&
                      coupl(nGC_2) - 3d0*coupl(nGC_1756)*coupl(nGC_23)*coupl(  &
                      nGC_32) - 6d0*coupl(nGC_1756)*coupl(nGC_26)*coupl(nGC_316&
                      ) - 6d0*coupl(nGC_1756)*coupl(nGC_292)*coupl(nGC_41) +   &
                      3d0*coupl(nGC_1756)*coupl(nGC_3)*coupl(nGC_32) + 3d0*    &
                      coupl(nGC_1756)*coupl(nGC_32)*coupl(nGC_4) - 3d0*coupl(  &
                      nGC_1960)*coupl(nGC_23)*coupl(nGC_31) - 3d0*coupl(       &
                      nGC_1960)*coupl(nGC_25)*coupl(nGC_31) + 3d0*coupl(       &
                      nGC_1960)*coupl(nGC_3)*coupl(nGC_31) + 3d0*coupl(nGC_2)* &
                      coupl(nGC_292)**2d0 + 6d0*coupl(nGC_2)*coupl(nGC_31)*    &
                      coupl(nGC_32) + 3d0*coupl(nGC_2)*coupl(nGC_316)**2d0 -   &
                      6d0*coupl(nGC_26)*coupl(nGC_316)*coupl(nGC_32) - 6d0*    &
                      coupl(nGC_292)*coupl(nGC_32)*coupl(nGC_41))/(96d0*pi**2d0&
                      )
    coupl(nGC_4469) = (9d0*cima*coupl(nGC_1960)*coupl(nGC_31)*coupl(nGC_38)**  &
                      2d0 + 12d0*cima*coupl(nGC_23)*coupl(nGC_560) + 4d0*cima* &
                      coupl(nGC_292)**2d0*coupl(nGC_37)**2d0 + 4d0*cima*coupl( &
                      nGC_316)**2d0*coupl(nGC_37)**2d0 - 6d0*coupl(nGC_1960)*  &
                      coupl(nGC_26)*coupl(nGC_38) - 3d0*coupl(nGC_1960)*coupl( &
                      nGC_31)*coupl(nGC_560) + 18d0*coupl(nGC_23)*coupl(nGC_310&
                      )**2d0 + 18d0*coupl(nGC_23)*coupl(nGC_38)**2d0 - 6d0*    &
                      coupl(nGC_26)*coupl(nGC_31)*coupl(nGC_38) + 3d0*coupl(   &
                      nGC_28)*coupl(nGC_292)**2d0 + 3d0*coupl(nGC_28)*coupl(   &
                      nGC_316)**2d0)/(96d0*pi**2d0)
    coupl(nGC_4470) = (12d0*cima*coupl(nGC_10)*coupl(nGC_502) + 4d0*cima*coupl(&
                      nGC_1756)**2d0*coupl(nGC_32)**2d0 + 4d0*cima*coupl(      &
                      nGC_1756)*coupl(nGC_1960)*coupl(nGC_31)*coupl(nGC_32) +  &
                      4d0*cima*coupl(nGC_1960)*coupl(nGC_292)**2d0*coupl(nGC_31&
                      ) + 9d0*cima*coupl(nGC_1960)*coupl(nGC_296)**2d0*coupl(  &
                      nGC_31) + 9d0*cima*coupl(nGC_1960)*coupl(nGC_31)*coupl(  &
                      nGC_310)**2d0 + 4d0*cima*coupl(nGC_1960)*coupl(nGC_31)*  &
                      coupl(nGC_316)**2d0 + 24d0*cima*coupl(nGC_22)*coupl(     &
                      nGC_23) + 12d0*cima*coupl(nGC_28)*coupl(nGC_560) + 9d0*  &
                      cima*coupl(nGC_296)**2d0*coupl(nGC_8)**2d0 + 18d0*cima*  &
                      coupl(nGC_296)*coupl(nGC_310)*coupl(nGC_37)*coupl(nGC_8  &
                      ) + 9d0*cima*coupl(nGC_310)**2d0*coupl(nGC_37)**2d0 + 9d0&
                      *cima*coupl(nGC_37)**2d0*coupl(nGC_38)**2d0 + 18d0*cima* &
                      coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_7)*coupl(nGC_8) +  &
                      24d0*cima*coupl(nGC_43)*coupl(nGC_44) + 9d0*cima*coupl(  &
                      nGC_7)**2d0*coupl(nGC_8)**2d0 + 36d0*coupl(nGC_10)*coupl(&
                      nGC_7)**2d0 + 6d0*coupl(nGC_1756)*coupl(nGC_25)*coupl(   &
                      nGC_32) - 6d0*coupl(nGC_1960)*coupl(nGC_22)*coupl(nGC_31 &
                      ) - 6d0*coupl(nGC_1960)*coupl(nGC_26)*coupl(nGC_310) -   &
                      6d0*coupl(nGC_1960)*coupl(nGC_296)*coupl(nGC_41) + 6d0*  &
                      coupl(nGC_23)*coupl(nGC_292)**2d0 + 36d0*coupl(nGC_23)*  &
                      coupl(nGC_296)**2d0 - 12d0*coupl(nGC_23)*coupl(nGC_296)* &
                      coupl(nGC_8) + 36d0*coupl(nGC_23)*coupl(nGC_310)**2d0 -  &
                      12d0*coupl(nGC_23)*coupl(nGC_310)*coupl(nGC_37) + 6d0*   &
                      coupl(nGC_23)*coupl(nGC_316)**2d0 - 12d0*coupl(nGC_23)*  &
                      coupl(nGC_37)*coupl(nGC_38) - 12d0*coupl(nGC_23)*coupl(  &
                      nGC_7)*coupl(nGC_8) - 6d0*coupl(nGC_26)*coupl(nGC_31)*   &
                      coupl(nGC_310) + 36d0*coupl(nGC_28)*coupl(nGC_38)**2d0 - &
                      6d0*coupl(nGC_296)*coupl(nGC_31)*coupl(nGC_41) - 6d0*    &
                      coupl(nGC_37)**2d0*coupl(nGC_560) - 12d0*coupl(nGC_37)*  &
                      coupl(nGC_44)*coupl(nGC_8) + 72d0*coupl(nGC_38)*coupl(   &
                      nGC_43)*coupl(nGC_7) - 6d0*coupl(nGC_502)*coupl(nGC_8)** &
                      2d0)/(192d0*pi**2d0)
    coupl(nGC_4471) = (9d0*cima*coupl(nGC_1960)*coupl(nGC_310)*coupl(nGC_37)*  &
                      coupl(nGC_38) + 9d0*cima*coupl(nGC_1960)*coupl(nGC_310)* &
                      coupl(nGC_7)*coupl(nGC_8) + 24d0*cima*coupl(nGC_26)*coupl&
                      (nGC_27) + 4d0*cima*coupl(nGC_31)*coupl(nGC_316)*coupl(  &
                      nGC_32)**2d0 + 24d0*cima*coupl(nGC_41)*coupl(nGC_546) -  &
                      6d0*coupl(nGC_1756)*coupl(nGC_24)*coupl(nGC_38) - 6d0*   &
                      coupl(nGC_1960)*coupl(nGC_23)*coupl(nGC_310) - 6d0*coupl(&
                      nGC_1960)*coupl(nGC_25)*coupl(nGC_38) - 6d0*coupl(       &
                      nGC_1960)*coupl(nGC_27)*coupl(nGC_37) - 6d0*coupl(       &
                      nGC_1960)*coupl(nGC_28)*coupl(nGC_38) - 6d0*coupl(       &
                      nGC_1960)*coupl(nGC_43)*coupl(nGC_7) - 6d0*coupl(nGC_1960&
                      )*coupl(nGC_546)*coupl(nGC_8) + 6d0*coupl(nGC_26)*coupl( &
                      nGC_31)*coupl(nGC_32) + 36d0*coupl(nGC_26)*coupl(nGC_310 &
                      )*coupl(nGC_38) - 6d0*coupl(nGC_26)*coupl(nGC_37)*coupl( &
                      nGC_38) - 6d0*coupl(nGC_26)*coupl(nGC_7)*coupl(nGC_8) +  &
                      36d0*coupl(nGC_296)*coupl(nGC_38)*coupl(nGC_41))/(192d0* &
                      pi**2d0)
    coupl(nGC_4472) = (4d0*cima*coupl(nGC_1756)*coupl(nGC_292)*coupl(nGC_31)*  &
                      coupl(nGC_8) + 9d0*cima*coupl(nGC_1756)*coupl(nGC_296)*  &
                      coupl(nGC_31)*coupl(nGC_7) + 9d0*cima*coupl(nGC_1756)*   &
                      coupl(nGC_31)*coupl(nGC_310)*coupl(nGC_38) + 4d0*cima*   &
                      coupl(nGC_1756)*coupl(nGC_31)*coupl(nGC_316)*coupl(nGC_37&
                      ) + 6d0*cima*coupl(nGC_24)*coupl(nGC_510) - 6d0*coupl(   &
                      nGC_1756)*coupl(nGC_26)*coupl(nGC_38) - 3d0*coupl(       &
                      nGC_1756)*coupl(nGC_31)*coupl(nGC_510) - 6d0*coupl(      &
                      nGC_1756)*coupl(nGC_41)*coupl(nGC_7) - 6d0*coupl(nGC_24)*&
                      coupl(nGC_292)*coupl(nGC_296) + 3d0*coupl(nGC_24)*coupl( &
                      nGC_292)*coupl(nGC_8) + 18d0*coupl(nGC_24)*coupl(nGC_296 &
                      )*coupl(nGC_7) - 6d0*coupl(nGC_24)*coupl(nGC_310)*coupl( &
                      nGC_316) + 18d0*coupl(nGC_24)*coupl(nGC_310)*coupl(nGC_38&
                      ) + 3d0*coupl(nGC_24)*coupl(nGC_316)*coupl(nGC_37) - 6d0*&
                      coupl(nGC_24)*coupl(nGC_37)*coupl(nGC_38) - 6d0*coupl(   &
                      nGC_24)*coupl(nGC_7)*coupl(nGC_8) - 6d0*coupl(nGC_26)*   &
                      coupl(nGC_31)*coupl(nGC_310) - 6d0*coupl(nGC_296)*coupl( &
                      nGC_31)*coupl(nGC_41))/(96d0*pi**2d0)
    coupl(nGC_4473) = (9d0*cima*coupl(nGC_1756)*coupl(nGC_292)*coupl(nGC_296)* &
                      coupl(nGC_38) + 9d0*cima*coupl(nGC_1756)*coupl(nGC_310)* &
                      coupl(nGC_316)*coupl(nGC_38) + 24d0*cima*coupl(nGC_26)*  &
                      coupl(nGC_27) + 4d0*cima*coupl(nGC_31)**2d0*coupl(nGC_32 &
                      )*coupl(nGC_37) + 24d0*cima*coupl(nGC_41)*coupl(nGC_546  &
                      ) - 6d0*coupl(nGC_1756)*coupl(nGC_23)*coupl(nGC_38) - 6d0&
                      *coupl(nGC_1756)*coupl(nGC_25)*coupl(nGC_310) - 6d0*coupl&
                      (nGC_1756)*coupl(nGC_27)*coupl(nGC_316) - 6d0*coupl(     &
                      nGC_1756)*coupl(nGC_28)*coupl(nGC_310) - 6d0*coupl(      &
                      nGC_1756)*coupl(nGC_292)*coupl(nGC_546) - 6d0*coupl(     &
                      nGC_1756)*coupl(nGC_296)*coupl(nGC_43) - 6d0*coupl(      &
                      nGC_1960)*coupl(nGC_24)*coupl(nGC_310) - 6d0*coupl(nGC_26&
                      )*coupl(nGC_292)*coupl(nGC_296) + 6d0*coupl(nGC_26)*coupl&
                      (nGC_31)*coupl(nGC_32) - 6d0*coupl(nGC_26)*coupl(nGC_310 &
                      )*coupl(nGC_316) + 36d0*coupl(nGC_26)*coupl(nGC_310)*    &
                      coupl(nGC_38) + 36d0*coupl(nGC_310)*coupl(nGC_41)*coupl( &
                      nGC_7))/(192d0*pi**2d0)
    coupl(nGC_4474) = (-10d0*cima*coupl(nGC_1746)*coupl(nGC_1960)*coupl(nGC_29 &
                      )*coupl(nGC_31) - 10d0*cima*coupl(nGC_1756)*coupl(       &
                      nGC_1948)*coupl(nGC_30)*coupl(nGC_32) + 12d0*cima*coupl( &
                      nGC_21)*coupl(nGC_25) + 3d0*coupl(nGC_1)*coupl(nGC_1746)*&
                      coupl(nGC_29) + 3d0*coupl(nGC_1)*coupl(nGC_1756)*coupl(  &
                      nGC_32) + 3d0*coupl(nGC_1)*coupl(nGC_1948)*coupl(nGC_30  &
                      ) + 3d0*coupl(nGC_1)*coupl(nGC_1960)*coupl(nGC_31) + 3d0*&
                      coupl(nGC_1)*coupl(nGC_2312)*coupl(nGC_51) - 3d0*coupl(  &
                      nGC_1746)*coupl(nGC_25)*coupl(nGC_29) - 3d0*coupl(       &
                      nGC_1756)*coupl(nGC_21)*coupl(nGC_32) - 3d0*coupl(       &
                      nGC_1948)*coupl(nGC_25)*coupl(nGC_30) - 3d0*coupl(       &
                      nGC_1960)*coupl(nGC_21)*coupl(nGC_31))/(96d0*pi**2d0)
    coupl(nGC_4475) = (-32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_68)**2d0 -   &
                      32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_70)**2d0 - 32d0&
                      *Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_74)**2d0 - 32d0*Nc*&
                      cima*coupl(nGC_34)**2d0*coupl(nGC_83)**2d0 - 32d0*Nc*cima&
                      *coupl(nGC_34)**2d0*coupl(nGC_85)**2d0 - 32d0*Nc*cima*   &
                      coupl(nGC_34)**2d0*coupl(nGC_91)**2d0 + 4d0*cima*coupl(  &
                      nGC_1732)*coupl(nGC_1746)*coupl(nGC_29)*coupl(nGC_33) +  &
                      4d0*cima*coupl(nGC_1732)*coupl(nGC_1948)*coupl(nGC_30)*  &
                      coupl(nGC_33) + 8d0*cima*coupl(nGC_1732)*coupl(nGC_2312)*&
                      coupl(nGC_33)*coupl(nGC_51) + 8d0*cima*coupl(nGC_1746)*  &
                      coupl(nGC_1948)*coupl(nGC_29)*coupl(nGC_30) + 9d0*cima*  &
                      coupl(nGC_1746)*coupl(nGC_29)*coupl(nGC_38)**2d0 + 9d0*  &
                      cima*coupl(nGC_1746)*coupl(nGC_29)*coupl(nGC_7)**2d0 +   &
                      9d0*cima*coupl(nGC_1948)*coupl(nGC_296)**2d0*coupl(nGC_30&
                      ) + 9d0*cima*coupl(nGC_1948)*coupl(nGC_30)*coupl(nGC_310 &
                      )**2d0 + 24d0*cima*coupl(nGC_21)*coupl(nGC_22) + 9d0*cima&
                      *coupl(nGC_2312)*coupl(nGC_310)**2d0*coupl(nGC_51) + 9d0*&
                      cima*coupl(nGC_2312)*coupl(nGC_38)**2d0*coupl(nGC_51) -  &
                      32d0*cima*coupl(nGC_34)**2d0*coupl(nGC_77)**2d0 - 32d0*  &
                      cima*coupl(nGC_34)**2d0*coupl(nGC_80)**2d0 - 32d0*cima*  &
                      coupl(nGC_34)**2d0*coupl(nGC_89)**2d0 + 12d0*cima*coupl( &
                      nGC_560)*coupl(nGC_58) - 6d0*coupl(nGC_12)*coupl(nGC_1746&
                      )*coupl(nGC_38) - 6d0*coupl(nGC_12)*coupl(nGC_1948)*coupl&
                      (nGC_310) - 6d0*coupl(nGC_12)*coupl(nGC_29)*coupl(nGC_38 &
                      ) - 6d0*coupl(nGC_12)*coupl(nGC_30)*coupl(nGC_310) + 6d0*&
                      coupl(nGC_1746)*coupl(nGC_21)*coupl(nGC_29) - 6d0*coupl( &
                      nGC_1746)*coupl(nGC_22)*coupl(nGC_29) - 6d0*coupl(       &
                      nGC_1746)*coupl(nGC_40)*coupl(nGC_7) + 6d0*coupl(nGC_1948&
                      )*coupl(nGC_21)*coupl(nGC_30) - 6d0*coupl(nGC_1948)*coupl&
                      (nGC_22)*coupl(nGC_30) - 6d0*coupl(nGC_1948)*coupl(      &
                      nGC_296)*coupl(nGC_40) + 6d0*coupl(nGC_21)*coupl(nGC_2312&
                      )*coupl(nGC_51) + 36d0*coupl(nGC_21)*coupl(nGC_296)**2d0 &
                       + 36d0*coupl(nGC_21)*coupl(nGC_310)**2d0 - 6d0*coupl(   &
                      nGC_2312)*coupl(nGC_51)*coupl(nGC_560) - 6d0*coupl(nGC_29&
                      )*coupl(nGC_40)*coupl(nGC_7) - 6d0*coupl(nGC_296)*coupl( &
                      nGC_30)*coupl(nGC_40) + 36d0*coupl(nGC_38)**2d0*coupl(   &
                      nGC_58))/(192d0*pi**2d0)
    coupl(nGC_4476) = (-32d0*Nc*cima*coupl(nGC_386)*coupl(nGC_648)**2d0*coupl( &
                      nGC_73) + 40d0*Nc*cima*coupl(nGC_386)*coupl(nGC_648)*    &
                      coupl(nGC_650)*coupl(nGC_73) - 32d0*Nc*cima*coupl(nGC_386&
                      )*coupl(nGC_650)**2d0*coupl(nGC_73) - 32d0*Nc*cima*coupl(&
                      nGC_390)*coupl(nGC_648)**2d0*coupl(nGC_82) + 40d0*Nc*cima&
                      *coupl(nGC_390)*coupl(nGC_648)*coupl(nGC_650)*coupl(     &
                      nGC_82) - 32d0*Nc*cima*coupl(nGC_390)*coupl(nGC_650)**2d0&
                      *coupl(nGC_82) - 32d0*Nc*cima*coupl(nGC_394)*coupl(      &
                      nGC_648)**2d0*coupl(nGC_67) + 40d0*Nc*cima*coupl(nGC_394 &
                      )*coupl(nGC_648)*coupl(nGC_650)*coupl(nGC_67) - 32d0*Nc* &
                      cima*coupl(nGC_394)*coupl(nGC_650)**2d0*coupl(nGC_67) -  &
                      32d0*Nc*cima*coupl(nGC_440)*coupl(nGC_632)**2d0*coupl(   &
                      nGC_92) + 40d0*Nc*cima*coupl(nGC_440)*coupl(nGC_632)*    &
                      coupl(nGC_634)*coupl(nGC_92) - 32d0*Nc*cima*coupl(nGC_440&
                      )*coupl(nGC_634)**2d0*coupl(nGC_92) - 32d0*Nc*cima*coupl(&
                      nGC_444)*coupl(nGC_632)**2d0*coupl(nGC_71) + 40d0*Nc*cima&
                      *coupl(nGC_444)*coupl(nGC_632)*coupl(nGC_634)*coupl(     &
                      nGC_71) - 32d0*Nc*cima*coupl(nGC_444)*coupl(nGC_634)**2d0&
                      *coupl(nGC_71) - 32d0*Nc*cima*coupl(nGC_448)*coupl(      &
                      nGC_632)**2d0*coupl(nGC_86) + 40d0*Nc*cima*coupl(nGC_448 &
                      )*coupl(nGC_632)*coupl(nGC_634)*coupl(nGC_86) - 32d0*Nc* &
                      cima*coupl(nGC_448)*coupl(nGC_634)**2d0*coupl(nGC_86) +  &
                      4d0*cima*coupl(nGC_1732)*coupl(nGC_2324)**2d0*coupl(     &
                      nGC_33) + 9d0*cima*coupl(nGC_1732)*coupl(nGC_310)**2d0*  &
                      coupl(nGC_33) + 9d0*cima*coupl(nGC_1732)*coupl(nGC_33)*  &
                      coupl(nGC_38)**2d0 + 4d0*cima*coupl(nGC_1732)*coupl(     &
                      nGC_33)*coupl(nGC_52)**2d0 + 12d0*cima*coupl(nGC_21)*    &
                      coupl(nGC_560) + 4d0*cima*coupl(nGC_2312)**2d0*coupl(    &
                      nGC_51)**2d0 - 32d0*cima*coupl(nGC_410)*coupl(nGC_670)** &
                      2d0*coupl(nGC_76) + 40d0*cima*coupl(nGC_410)*coupl(      &
                      nGC_670)*coupl(nGC_672)*coupl(nGC_76) - 32d0*cima*coupl( &
                      nGC_410)*coupl(nGC_672)**2d0*coupl(nGC_76) - 32d0*cima*  &
                      coupl(nGC_414)*coupl(nGC_670)**2d0*coupl(nGC_79) + 40d0* &
                      cima*coupl(nGC_414)*coupl(nGC_670)*coupl(nGC_672)*coupl( &
                      nGC_79) - 32d0*cima*coupl(nGC_414)*coupl(nGC_672)**2d0*  &
                      coupl(nGC_79) - 32d0*cima*coupl(nGC_418)*coupl(nGC_670)**&
                      2d0*coupl(nGC_88) + 40d0*cima*coupl(nGC_418)*coupl(      &
                      nGC_670)*coupl(nGC_672)*coupl(nGC_88) - 32d0*cima*coupl( &
                      nGC_418)*coupl(nGC_672)**2d0*coupl(nGC_88) - 6d0*coupl(  &
                      nGC_11)*coupl(nGC_1732)*coupl(nGC_38) - 6d0*coupl(nGC_11 &
                      )*coupl(nGC_310)*coupl(nGC_33) - 6d0*coupl(nGC_13)*coupl(&
                      nGC_1732)*coupl(nGC_310) - 6d0*coupl(nGC_13)*coupl(nGC_33&
                      )*coupl(nGC_38) - 6d0*coupl(nGC_1732)*coupl(nGC_33)*coupl&
                      (nGC_560) + 6d0*coupl(nGC_1732)*coupl(nGC_33)*coupl(     &
                      nGC_57) + 18d0*coupl(nGC_21)*coupl(nGC_310)**2d0 + 18d0* &
                      coupl(nGC_21)*coupl(nGC_38)**2d0 + 3d0*coupl(nGC_2312)*  &
                      coupl(nGC_51)*coupl(nGC_58))/(96d0*pi**2d0)
    coupl(nGC_4477) = (-5d0*cima*coupl(nGC_1756)**2d0*coupl(nGC_32)**2d0 - 5d0*&
                      cima*coupl(nGC_1960)**2d0*coupl(nGC_31)**2d0 + 6d0*cima* &
                      coupl(nGC_25)**2d0 + 3d0*coupl(nGC_1756)*coupl(nGC_2)*   &
                      coupl(nGC_32) - 3d0*coupl(nGC_1756)*coupl(nGC_25)*coupl( &
                      nGC_32) + 3d0*coupl(nGC_1960)*coupl(nGC_2)*coupl(nGC_31  &
                      ) - 3d0*coupl(nGC_1960)*coupl(nGC_25)*coupl(nGC_31))/(   &
                      16d0*pi**2d0)
    coupl(nGC_4478) = (20d0*Nc*cima*coupl(nGC_68)**4d0 + 20d0*Nc*cima*coupl(   &
                      nGC_70)**4d0 + 20d0*Nc*cima*coupl(nGC_74)**4d0 + 20d0*Nc*&
                      cima*coupl(nGC_83)**4d0 + 20d0*Nc*cima*coupl(nGC_85)**4d0&
                       + 20d0*Nc*cima*coupl(nGC_91)**4d0 - 5d0*cima*coupl(     &
                      nGC_1746)**2d0*coupl(nGC_29)**2d0 - 5d0*cima*coupl(      &
                      nGC_1948)**2d0*coupl(nGC_30)**2d0 + 6d0*cima*coupl(nGC_21&
                      )**2d0 - 5d0*cima*coupl(nGC_2312)**2d0*coupl(nGC_51)**2d0&
                       + 3d0*cima*coupl(nGC_58)**2d0 + 20d0*cima*coupl(nGC_77  &
                      )**4d0 + 20d0*cima*coupl(nGC_80)**4d0 + 20d0*cima*coupl( &
                      nGC_89)**4d0 + 3d0*coupl(nGC_17)*coupl(nGC_1746)*coupl(  &
                      nGC_29) + 3d0*coupl(nGC_17)*coupl(nGC_1948)*coupl(nGC_30 &
                      ) + 3d0*coupl(nGC_17)*coupl(nGC_2312)*coupl(nGC_51) - 3d0&
                      *coupl(nGC_1746)*coupl(nGC_21)*coupl(nGC_29) - 3d0*coupl(&
                      nGC_1948)*coupl(nGC_21)*coupl(nGC_30) - 3d0*coupl(       &
                      nGC_2312)*coupl(nGC_51)*coupl(nGC_58))/(16d0*pi**2d0)
    coupl(nGC_4479) = (8d0*cima*coupl(nGC_1756)*coupl(nGC_1960)*coupl(nGC_31)* &
                      coupl(nGC_32) + 9d0*cima*coupl(nGC_1756)*coupl(nGC_296)**&
                      2d0*coupl(nGC_32) + 9d0*cima*coupl(nGC_1756)*coupl(      &
                      nGC_310)**2d0*coupl(nGC_32) + 9d0*cima*coupl(nGC_1960)*  &
                      coupl(nGC_31)*coupl(nGC_38)**2d0 + 9d0*cima*coupl(       &
                      nGC_1960)*coupl(nGC_31)*coupl(nGC_7)**2d0 + 24d0*cima*   &
                      coupl(nGC_22)*coupl(nGC_25) - 6d0*coupl(nGC_1756)*coupl( &
                      nGC_22)*coupl(nGC_32) + 6d0*coupl(nGC_1756)*coupl(nGC_23 &
                      )*coupl(nGC_32) - 6d0*coupl(nGC_1756)*coupl(nGC_26)*coupl&
                      (nGC_310) - 6d0*coupl(nGC_1756)*coupl(nGC_296)*coupl(    &
                      nGC_41) - 6d0*coupl(nGC_1960)*coupl(nGC_22)*coupl(nGC_31 &
                      ) + 6d0*coupl(nGC_1960)*coupl(nGC_23)*coupl(nGC_31) - 6d0&
                      *coupl(nGC_1960)*coupl(nGC_26)*coupl(nGC_38) - 6d0*coupl(&
                      nGC_1960)*coupl(nGC_41)*coupl(nGC_7) + 36d0*coupl(nGC_25 &
                      )*coupl(nGC_296)**2d0 + 36d0*coupl(nGC_25)*coupl(nGC_310 &
                      )**2d0 - 6d0*coupl(nGC_26)*coupl(nGC_31)*coupl(nGC_38) - &
                      6d0*coupl(nGC_26)*coupl(nGC_310)*coupl(nGC_32) - 6d0*    &
                      coupl(nGC_296)*coupl(nGC_32)*coupl(nGC_41) - 6d0*coupl(  &
                      nGC_31)*coupl(nGC_41)*coupl(nGC_7))/(192d0*pi**2d0)
    coupl(nGC_4480) = (4d0*cima*coupl(nGC_1756)*coupl(nGC_32)*coupl(nGC_37)**  &
                      2d0 + 9d0*cima*coupl(nGC_1756)*coupl(nGC_32)*coupl(nGC_38&
                      )**2d0 + 9d0*cima*coupl(nGC_1960)*coupl(nGC_31)*coupl(   &
                      nGC_310)**2d0 + 4d0*cima*coupl(nGC_1960)*coupl(nGC_31)*  &
                      coupl(nGC_316)**2d0 + 12d0*cima*coupl(nGC_25)*coupl(     &
                      nGC_560) - 6d0*coupl(nGC_1756)*coupl(nGC_26)*coupl(nGC_38&
                      ) + 3d0*coupl(nGC_1756)*coupl(nGC_28)*coupl(nGC_32) - 3d0&
                      *coupl(nGC_1756)*coupl(nGC_32)*coupl(nGC_560) - 6d0*coupl&
                      (nGC_1960)*coupl(nGC_26)*coupl(nGC_310) + 3d0*coupl(     &
                      nGC_1960)*coupl(nGC_28)*coupl(nGC_31) - 3d0*coupl(       &
                      nGC_1960)*coupl(nGC_31)*coupl(nGC_560) + 18d0*coupl(     &
                      nGC_25)*coupl(nGC_310)**2d0 + 18d0*coupl(nGC_25)*coupl(  &
                      nGC_38)**2d0 - 6d0*coupl(nGC_26)*coupl(nGC_31)*coupl(    &
                      nGC_310) - 6d0*coupl(nGC_26)*coupl(nGC_32)*coupl(nGC_38  &
                      ))/(96d0*pi**2d0)
    coupl(nGC_4481) = cima*coupl(nGC_15)**2d0*sq2**2d0*(coupl(nGC_5)*coupl(    &
                      nGC_648) + coupl(nGC_5)*coupl(nGC_650) + coupl(nGC_6)*   &
                      coupl(nGC_632) + coupl(nGC_6)*coupl(nGC_634))/(32d0*pi** &
                      2d0)
    coupl(nGC_4482) = cima*coupl(nGC_15)**2d0*sq2**2d0*(-coupl(nGC_5)*coupl(   &
                      nGC_648) - coupl(nGC_5)*coupl(nGC_650) - coupl(nGC_6)*   &
                      coupl(nGC_632) - coupl(nGC_6)*coupl(nGC_634))/(32d0*pi** &
                      2d0*Nc)
    coupl(nGC_4483) = (-32d0*Nc*cima*coupl(nGC_632)**2d0*coupl(nGC_70)**2d0 -  &
                      32d0*Nc*cima*coupl(nGC_632)**2d0*coupl(nGC_85)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_632)**2d0*coupl(nGC_91)**2d0 +    &
                      40d0*Nc*cima*coupl(nGC_632)*coupl(nGC_634)*coupl(nGC_70  &
                      )**2d0 + 40d0*Nc*cima*coupl(nGC_632)*coupl(nGC_634)*coupl&
                      (nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_632)*coupl(nGC_634&
                      )*coupl(nGC_91)**2d0 - 32d0*Nc*cima*coupl(nGC_634)**2d0* &
                      coupl(nGC_70)**2d0 - 32d0*Nc*cima*coupl(nGC_634)**2d0*   &
                      coupl(nGC_85)**2d0 - 32d0*Nc*cima*coupl(nGC_634)**2d0*   &
                      coupl(nGC_91)**2d0 - 32d0*Nc*cima*coupl(nGC_648)**2d0*   &
                      coupl(nGC_68)**2d0 - 32d0*Nc*cima*coupl(nGC_648)**2d0*   &
                      coupl(nGC_74)**2d0 - 32d0*Nc*cima*coupl(nGC_648)**2d0*   &
                      coupl(nGC_83)**2d0 + 40d0*Nc*cima*coupl(nGC_648)*coupl(  &
                      nGC_650)*coupl(nGC_68)**2d0 + 40d0*Nc*cima*coupl(nGC_648 &
                      )*coupl(nGC_650)*coupl(nGC_74)**2d0 + 40d0*Nc*cima*coupl(&
                      nGC_648)*coupl(nGC_650)*coupl(nGC_83)**2d0 - 32d0*Nc*cima&
                      *coupl(nGC_650)**2d0*coupl(nGC_68)**2d0 - 32d0*Nc*cima*  &
                      coupl(nGC_650)**2d0*coupl(nGC_74)**2d0 - 32d0*Nc*cima*   &
                      coupl(nGC_650)**2d0*coupl(nGC_83)**2d0 + 4d0*cima*coupl( &
                      nGC_1746)*coupl(nGC_2324)**2d0*coupl(nGC_29) + 9d0*cima* &
                      coupl(nGC_1746)*coupl(nGC_29)*coupl(nGC_310)**2d0 + 9d0* &
                      cima*coupl(nGC_1948)*coupl(nGC_30)*coupl(nGC_38)**2d0 +  &
                      4d0*cima*coupl(nGC_1948)*coupl(nGC_30)*coupl(nGC_52)**2d0&
                       + 12d0*cima*coupl(nGC_21)*coupl(nGC_560) + 4d0*cima*    &
                      coupl(nGC_2312)**2d0*coupl(nGC_51)**2d0 - 32d0*cima*coupl&
                      (nGC_670)**2d0*coupl(nGC_77)**2d0 - 32d0*cima*coupl(     &
                      nGC_670)**2d0*coupl(nGC_80)**2d0 - 32d0*cima*coupl(      &
                      nGC_670)**2d0*coupl(nGC_89)**2d0 + 40d0*cima*coupl(      &
                      nGC_670)*coupl(nGC_672)*coupl(nGC_77)**2d0 + 40d0*cima*  &
                      coupl(nGC_670)*coupl(nGC_672)*coupl(nGC_80)**2d0 + 40d0* &
                      cima*coupl(nGC_670)*coupl(nGC_672)*coupl(nGC_89)**2d0 -  &
                      32d0*cima*coupl(nGC_672)**2d0*coupl(nGC_77)**2d0 - 32d0* &
                      cima*coupl(nGC_672)**2d0*coupl(nGC_80)**2d0 - 32d0*cima* &
                      coupl(nGC_672)**2d0*coupl(nGC_89)**2d0 - 6d0*coupl(nGC_12&
                      )*coupl(nGC_1746)*coupl(nGC_310) - 6d0*coupl(nGC_12)*    &
                      coupl(nGC_1948)*coupl(nGC_38) - 6d0*coupl(nGC_12)*coupl( &
                      nGC_29)*coupl(nGC_310) - 6d0*coupl(nGC_12)*coupl(nGC_30)*&
                      coupl(nGC_38) - 3d0*coupl(nGC_1746)*coupl(nGC_29)*coupl( &
                      nGC_560) + 3d0*coupl(nGC_1746)*coupl(nGC_29)*coupl(nGC_57&
                      ) - 3d0*coupl(nGC_1948)*coupl(nGC_30)*coupl(nGC_560) +   &
                      3d0*coupl(nGC_1948)*coupl(nGC_30)*coupl(nGC_57) + 18d0*  &
                      coupl(nGC_21)*coupl(nGC_310)**2d0 + 18d0*coupl(nGC_21)*  &
                      coupl(nGC_38)**2d0 + 3d0*coupl(nGC_2312)*coupl(nGC_51)*  &
                      coupl(nGC_58))/(96d0*pi**2d0)
    coupl(nGC_4484) = cima*coupl(nGC_15)**2d0*coupl(nGC_34)**2d0*sq2**2d0/(32d0&
                      *pi**2d0)
    coupl(nGC_4485) = -cima*coupl(nGC_15)**2d0*coupl(nGC_34)**2d0*sq2**2d0/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4486) = (-4d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_634)**2d0 +   &
                      12d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_634)*coupl(    &
                      nGC_650) - 4d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_650  &
                      )**2d0 + 4d0*cima*coupl(nGC_27)**2d0 - 8d0*cima*coupl(   &
                      nGC_296)**2d0*coupl(nGC_38)**2d0 - 8d0*cima*coupl(nGC_310&
                      )**2d0*coupl(nGC_38)**2d0 - 4d0*cima*coupl(nGC_34)**2d0* &
                      coupl(nGC_53)**2d0 + 12d0*cima*coupl(nGC_34)**2d0*coupl( &
                      nGC_53)*coupl(nGC_672) - 4d0*cima*coupl(nGC_34)**2d0*    &
                      coupl(nGC_672)**2d0 + 4d0*cima*coupl(nGC_546)**2d0 +     &
                      coupl(nGC_22)*coupl(nGC_38)**2d0 + coupl(nGC_27)*coupl(  &
                      nGC_296)**2d0 + coupl(nGC_27)*coupl(nGC_310)**2d0 + 12d0*&
                      coupl(nGC_27)*coupl(nGC_310)*coupl(nGC_38) + 2d0*coupl(  &
                      nGC_296)*coupl(nGC_38)*coupl(nGC_44) + 12d0*coupl(nGC_296&
                      )*coupl(nGC_38)*coupl(nGC_546) + coupl(nGC_310)**2d0*    &
                      coupl(nGC_510) + 2d0*coupl(nGC_310)*coupl(nGC_38)*coupl( &
                      nGC_560))/(32d0*pi**2d0)
    coupl(nGC_4487) = (18d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_634)**2d0 -   &
                      30d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_634)*coupl(    &
                      nGC_650) + 18d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_650 &
                      )**2d0 + 6d0*cima*coupl(nGC_22)*coupl(nGC_560) - 16d0*   &
                      cima*coupl(nGC_296)**2d0*coupl(nGC_38)**2d0 - 16d0*cima* &
                      coupl(nGC_310)**2d0*coupl(nGC_38)**2d0 + 18d0*cima*coupl(&
                      nGC_34)**2d0*coupl(nGC_53)**2d0 - 30d0*cima*coupl(nGC_34 &
                      )**2d0*coupl(nGC_53)*coupl(nGC_672) + 18d0*cima*coupl(   &
                      nGC_34)**2d0*coupl(nGC_672)**2d0 + 9d0*coupl(nGC_22)*    &
                      coupl(nGC_310)**2d0 + 9d0*coupl(nGC_22)*coupl(nGC_38)**  &
                      2d0 + 6d0*coupl(nGC_27)*coupl(nGC_310)*coupl(nGC_38) +   &
                      9d0*coupl(nGC_296)**2d0*coupl(nGC_560) + 6d0*coupl(      &
                      nGC_296)*coupl(nGC_38)*coupl(nGC_546) + 9d0*coupl(nGC_310&
                      )**2d0*coupl(nGC_560))/(48d0*pi**2d0)
    coupl(nGC_4488) = (-4d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_634)**2d0 +   &
                      12d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_634)*coupl(    &
                      nGC_650) - 4d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_650  &
                      )**2d0 + 4d0*cima*coupl(nGC_27)**2d0 - 8d0*cima*coupl(   &
                      nGC_296)**2d0*coupl(nGC_38)**2d0 - 8d0*cima*coupl(nGC_310&
                      )**2d0*coupl(nGC_38)**2d0 - 4d0*cima*coupl(nGC_34)**2d0* &
                      coupl(nGC_53)**2d0 + 12d0*cima*coupl(nGC_34)**2d0*coupl( &
                      nGC_53)*coupl(nGC_672) - 4d0*cima*coupl(nGC_34)**2d0*    &
                      coupl(nGC_672)**2d0 + 4d0*cima*coupl(nGC_546)**2d0 +     &
                      coupl(nGC_22)*coupl(nGC_310)**2d0 + coupl(nGC_27)*coupl( &
                      nGC_296)**2d0 + coupl(nGC_27)*coupl(nGC_310)**2d0 + 12d0*&
                      coupl(nGC_27)*coupl(nGC_310)*coupl(nGC_38) + 2d0*coupl(  &
                      nGC_296)*coupl(nGC_38)*coupl(nGC_44) + 12d0*coupl(nGC_296&
                      )*coupl(nGC_38)*coupl(nGC_546) + 2d0*coupl(nGC_310)*coupl&
                      (nGC_38)*coupl(nGC_560) + coupl(nGC_38)**2d0*coupl(      &
                      nGC_510))/(32d0*pi**2d0)
    coupl(nGC_4489) = cima*coupl(nGC_15)**2d0*sq2**2d0*(-coupl(nGC_386)*coupl( &
                      nGC_73) - coupl(nGC_390)*coupl(nGC_82) - coupl(nGC_394)* &
                      coupl(nGC_67) - coupl(nGC_440)*coupl(nGC_92) - coupl(    &
                      nGC_444)*coupl(nGC_71) - coupl(nGC_448)*coupl(nGC_86))/( &
                      16d0*pi**2d0)
    coupl(nGC_4490) = cima*coupl(nGC_15)**2d0*sq2**2d0*(coupl(nGC_386)*coupl(  &
                      nGC_73) + coupl(nGC_390)*coupl(nGC_82) + coupl(nGC_394)* &
                      coupl(nGC_67) + coupl(nGC_440)*coupl(nGC_92) + coupl(    &
                      nGC_444)*coupl(nGC_71) + coupl(nGC_448)*coupl(nGC_86))/( &
                      16d0*pi**2d0*Nc)
    coupl(nGC_4491) = (36d0*Nc*cima*coupl(nGC_34)**4d0 + 12d0*cima*coupl(nGC_22&
                      )**2d0 - 16d0*cima*coupl(nGC_296)**4d0 - 32d0*cima*coupl(&
                      nGC_296)**2d0*coupl(nGC_310)**2d0 - 24d0*cima*coupl(     &
                      nGC_296)**2d0*coupl(nGC_7)**2d0 - 48d0*cima*coupl(nGC_296&
                      )*coupl(nGC_310)*coupl(nGC_38)*coupl(nGC_7) - 16d0*cima* &
                      coupl(nGC_310)**4d0 - 24d0*cima*coupl(nGC_310)**2d0*coupl&
                      (nGC_38)**2d0 + 36d0*cima*coupl(nGC_34)**4d0 - 16d0*cima*&
                      coupl(nGC_38)**4d0 - 32d0*cima*coupl(nGC_38)**2d0*coupl( &
                      nGC_7)**2d0 + 12d0*cima*coupl(nGC_44)**2d0 + 6d0*cima*   &
                      coupl(nGC_502)**2d0 + 6d0*cima*coupl(nGC_560)**2d0 - 16d0&
                      *cima*coupl(nGC_7)**4d0 + 21d0*coupl(nGC_22)*coupl(      &
                      nGC_296)**2d0 + 6d0*coupl(nGC_22)*coupl(nGC_296)*coupl(  &
                      nGC_7) + 21d0*coupl(nGC_22)*coupl(nGC_310)**2d0 + 6d0*   &
                      coupl(nGC_22)*coupl(nGC_310)*coupl(nGC_38) + 21d0*coupl( &
                      nGC_22)*coupl(nGC_38)**2d0 + 21d0*coupl(nGC_22)*coupl(   &
                      nGC_7)**2d0 + 3d0*coupl(nGC_27)*coupl(nGC_310)**2d0 + 3d0&
                      *coupl(nGC_27)*coupl(nGC_38)**2d0 + 18d0*coupl(nGC_296)**&
                      2d0*coupl(nGC_502) + 3d0*coupl(nGC_296)**2d0*coupl(nGC_9 &
                      ) + 36d0*coupl(nGC_296)*coupl(nGC_310)*coupl(nGC_44) +   &
                      6d0*coupl(nGC_296)*coupl(nGC_310)*coupl(nGC_546) + 18d0* &
                      coupl(nGC_310)**2d0*coupl(nGC_560) + 18d0*coupl(nGC_38)**&
                      2d0*coupl(nGC_560) + 36d0*coupl(nGC_38)*coupl(nGC_44)*   &
                      coupl(nGC_7) + 6d0*coupl(nGC_38)*coupl(nGC_546)*coupl(   &
                      nGC_7) + 18d0*coupl(nGC_502)*coupl(nGC_7)**2d0 + 3d0*    &
                      coupl(nGC_7)**2d0*coupl(nGC_9))/(96d0*pi**2d0)
    coupl(nGC_4492) = (-30d0*Nc*cima*coupl(nGC_34)**4d0 - 4d0*cima*coupl(      &
                      nGC_296)**4d0 - 8d0*cima*coupl(nGC_296)**2d0*coupl(      &
                      nGC_310)**2d0 - 16d0*cima*coupl(nGC_296)**2d0*coupl(nGC_7&
                      )**2d0 - 32d0*cima*coupl(nGC_296)*coupl(nGC_310)*coupl(  &
                      nGC_38)*coupl(nGC_7) - 4d0*cima*coupl(nGC_310)**4d0 -    &
                      16d0*cima*coupl(nGC_310)**2d0*coupl(nGC_38)**2d0 - 30d0* &
                      cima*coupl(nGC_34)**4d0 - 4d0*cima*coupl(nGC_38)**4d0 -  &
                      8d0*cima*coupl(nGC_38)**2d0*coupl(nGC_7)**2d0 + 3d0*cima*&
                      coupl(nGC_510)**2d0 - 4d0*cima*coupl(nGC_7)**4d0 + 3d0*  &
                      coupl(nGC_27)*coupl(nGC_310)**2d0 + 3d0*coupl(nGC_27)*   &
                      coupl(nGC_38)**2d0 + 3d0*coupl(nGC_296)**2d0*coupl(      &
                      nGC_510) + 3d0*coupl(nGC_296)**2d0*coupl(nGC_9) + 6d0*   &
                      coupl(nGC_296)*coupl(nGC_310)*coupl(nGC_546) + 18d0*coupl&
                      (nGC_296)*coupl(nGC_510)*coupl(nGC_7) + 3d0*coupl(nGC_310&
                      )**2d0*coupl(nGC_510) + 18d0*coupl(nGC_310)*coupl(nGC_38 &
                      )*coupl(nGC_510) + 3d0*coupl(nGC_38)**2d0*coupl(nGC_510  &
                      ) + 6d0*coupl(nGC_38)*coupl(nGC_546)*coupl(nGC_7) + 3d0* &
                      coupl(nGC_510)*coupl(nGC_7)**2d0 + 3d0*coupl(nGC_7)**2d0*&
                      coupl(nGC_9))/(48d0*pi**2d0)
    coupl(nGC_4493) = cima*coupl(nGC_15)**2d0*sq2**2d0*(-coupl(nGC_68)**2d0 -  &
                      coupl(nGC_70)**2d0 - coupl(nGC_74)**2d0 - coupl(nGC_83)**&
                      2d0 - coupl(nGC_85)**2d0 - coupl(nGC_91)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_4494) = cima*coupl(nGC_15)**2d0*sq2**2d0*(coupl(nGC_68)**2d0 +   &
                      coupl(nGC_70)**2d0 + coupl(nGC_74)**2d0 + coupl(nGC_83)**&
                      2d0 + coupl(nGC_85)**2d0 + coupl(nGC_91)**2d0)/(16d0*pi**&
                      2d0*Nc)
    coupl(nGC_4495) = (3d0*Nc*cima*coupl(nGC_632)**4d0 + 3d0*Nc*cima*coupl(    &
                      nGC_634)**4d0 + 3d0*Nc*cima*coupl(nGC_648)**4d0 + 3d0*Nc*&
                      cima*coupl(nGC_650)**4d0 - 10d0*cima*coupl(nGC_310)**4d0 &
                       - 10d0*cima*coupl(nGC_38)**4d0 + 3d0*cima*coupl(nGC_53  &
                      )**4d0 + 3d0*cima*coupl(nGC_560)**2d0 + 3d0*cima*coupl(  &
                      nGC_670)**4d0 + 3d0*cima*coupl(nGC_672)**4d0 + 3d0*coupl(&
                      nGC_27)*coupl(nGC_310)**2d0 + 3d0*coupl(nGC_27)*coupl(   &
                      nGC_38)**2d0 + 9d0*coupl(nGC_310)**2d0*coupl(nGC_560) +  &
                      9d0*coupl(nGC_38)**2d0*coupl(nGC_560))/(24d0*pi**2d0)
    coupl(nGC_4496) = cima*coupl(nGC_15)**3d0*sq2**3d0*(coupl(nGC_5) + coupl(  &
                      nGC_6))/(64d0*pi**2d0)
    coupl(nGC_4497) = cima*coupl(nGC_15)**3d0*sq2**3d0*(-coupl(nGC_5) - coupl( &
                      nGC_6))/(32d0*pi**2d0*Nc)
    coupl(nGC_4498) = cima*coupl(nGC_15)**3d0*sq2**3d0*(coupl(nGC_5) + coupl(  &
                      nGC_6))/(16d0*pi**2d0*Nc**2d0)
    coupl(nGC_4499) = cima*coupl(nGC_15)**2d0*sq2**2d0*(coupl(nGC_632)**2d0 +  &
                      coupl(nGC_634)**2d0 + coupl(nGC_648)**2d0 + coupl(nGC_650&
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_4500) = cima*coupl(nGC_15)**2d0*sq2**2d0*(-coupl(nGC_632)**2d0 - &
                      coupl(nGC_634)**2d0 - coupl(nGC_648)**2d0 - coupl(nGC_650&
                      )**2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_4501) = cima*coupl(nGC_15)**3d0*sq2**3d0*(coupl(nGC_632) + coupl(&
                      nGC_634) + coupl(nGC_648) + coupl(nGC_650))/(128d0*pi**  &
                      2d0)
    coupl(nGC_4502) = cima*coupl(nGC_15)**3d0*sq2**3d0*(-coupl(nGC_632) - coupl&
                      (nGC_634) - coupl(nGC_648) - coupl(nGC_650))/(64d0*pi**  &
                      2d0*Nc)
    coupl(nGC_4503) = cima*coupl(nGC_15)**3d0*sq2**3d0*(coupl(nGC_632) + coupl(&
                      nGC_634) + coupl(nGC_648) + coupl(nGC_650))/(32d0*pi**2d0&
                      *Nc**2d0)
    coupl(nGC_4504) = (-4d0*Nc*cima*coupl(nGC_14)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_16)**2d0 + 21d0*Nc*coupl(nGC_14)**2d0*coupl(   &
                      nGC_16)*sq2**2d0 + 18d0*cima*coupl(nGC_15)**4d0*sq2**4d0 &
                      )/(384d0*pi**2d0)
    coupl(nGC_4505) = sq2**2d0*(-Nc*cima*coupl(nGC_14)**4d0*sq2**2d0 + 3d0*Nc* &
                      coupl(nGC_14)**2d0*coupl(nGC_356) - 15d0*cima*coupl(     &
                      nGC_15)**4d0*sq2**2d0)/(192d0*pi**2d0)
    coupl(nGC_4506) = (10d0*Nc*cima*coupl(nGC_14)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_16)*coupl(nGC_360) - 21d0*Nc*coupl(nGC_14)**2d0&
                      *coupl(nGC_16)*sq2**2d0 - 3d0*Nc*coupl(nGC_14)**2d0*coupl&
                      (nGC_356)*sq2**2d0 - 9d0*Nc*coupl(nGC_14)**2d0*coupl(    &
                      nGC_360)*sq2**2d0 - 3d0*Nc*coupl(nGC_14)**2d0*coupl(     &
                      nGC_362)*sq2**2d0 - 6d0*cima*coupl(nGC_15)**4d0*sq2**4d0 &
                      )/(384d0*pi**2d0*Nc)
    coupl(nGC_4507) = (-5d0*cima*coupl(nGC_14)**4d0*sq2**4d0 + 12d0*cima*coupl(&
                      nGC_16)**2d0 + 18d0*coupl(nGC_14)**2d0*coupl(nGC_16)*sq2 &
                      **2d0 + 3d0*coupl(nGC_14)**2d0*coupl(nGC_362)*sq2**2d0)/(&
                      96d0*pi**2d0)
    coupl(nGC_4508) = (-10d0*cima*coupl(nGC_14)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_360)**2d0 + 3d0*coupl(nGC_14)**2d0*coupl(nGC_16)*sq2 &
                      **2d0 + 3d0*coupl(nGC_14)**2d0*coupl(nGC_356)*sq2**2d0 + &
                      18d0*coupl(nGC_14)**2d0*coupl(nGC_360)*sq2**2d0 + 3d0*   &
                      coupl(nGC_14)**2d0*coupl(nGC_362)*sq2**2d0)/(192d0*pi**  &
                      2d0)
    coupl(nGC_4509) = cima*coupl(nGC_15)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
    coupl(nGC_4510) = -3d0*cima*coupl(nGC_15)**4d0*sq2**4d0/(32d0*pi**2d0*Nc** &
                      3d0)
    coupl(nGC_4535) = cima*dyup_QCD2_QED1
    coupl(nGC_4537) = -cima*dydo_QCD2_QED1
    coupl(nGC_4536) = cima*dyup_QED3
    coupl(nGC_4538) = -cima*dydo_QED3
    coupl(nGC_4539) = cima*dyc_QCD2_QED1
    coupl(nGC_4541) = -cima*dys_QCD2_QED1
    coupl(nGC_4540) = cima*dyc_QED3
    coupl(nGC_4542) = -cima*dys_QED3
    coupl(nGC_4543) = cima*dyt_QCD2_QED1
    coupl(nGC_4545) = -cima*dyb_QCD2_QED1
    coupl(nGC_4544) = cima*dyt_QED3
    coupl(nGC_4546) = -cima*dyb_QED3
    coupl(nGC_4554) = coupl(nGC_4094)*dydo_QED3
    coupl(nGC_4556) = coupl(nGC_4102)*dys_QED3
    coupl(nGC_4558) = coupl(nGC_4091)*dyb_QED3
    coupl(nGC_4577) = coupl(nGC_4090)*dyc_QED3
    coupl(nGC_4659) = -cima*dMD_QED2
    coupl(nGC_4661) = -cima*dMS_QED2
    coupl(nGC_4663) = -cima*dMB_QED2
    coupl(nGC_4653) = -cima*dMU_QED2
    coupl(nGC_4655) = -cima*dMC_QED2
    coupl(nGC_4657) = -cima*dMT_QED2
    coupl(nGC_4512) = coupl(nGC_138)*db4_QED4
    coupl(nGC_4513) = coupl(nGC_142)*db4_QED4
    coupl(nGC_4514) = coupl(nGC_4101)*db4_QED4
    coupl(nGC_4515) = coupl(nGC_4121)*dlam_QED4
    coupl(nGC_4516) = coupl(nGC_4120)*dlam_QED4
    coupl(nGC_4518) = coupl(nGC_146)*dvev_QED1 + coupl(nGC_148)*da2_QED4
    coupl(nGC_4519) = coupl(nGC_4077)*dlam_QED4 + coupl(nGC_4078)*dvev_QED1
    coupl(nGC_4520) = coupl(nGC_152)*dlam_QED4 + coupl(nGC_154)*dvev_QED1
    coupl(nGC_4521) = coupl(nGC_4115)*dZee_QED2
    coupl(nGC_4522) = coupl(nGC_4108)*dZee_QED2
    coupl(nGC_4523) = coupl(nGC_4110)*dZee_QED2
    coupl(nGC_4524) = coupl(nGC_4126)*dZee_QED2 + coupl(nGC_4127)*dMW2_QED2
    coupl(nGC_4525) = coupl(nGC_4045)*dsw_QED2 + coupl(nGC_4046)*dZee_QED2 +   &
                      coupl(nGC_4047)*dMW2_QED2
    coupl(nGC_4526) = coupl(nGC_4024)*dsw_QED2 + coupl(nGC_4025)*dZee_QED2 +   &
                      coupl(nGC_4026)*dMW2_QED2
    coupl(nGC_4527) = coupl(nGC_4168)*dsw_QED2 + coupl(nGC_4169)*dcw_QED2 +    &
                      coupl(nGC_4170)*dZee_QED2
    coupl(nGC_4528) = coupl(nGC_4063)*dsw_QED2 + coupl(nGC_4064)*dcw_QED2 +    &
                      coupl(nGC_4065)*dZee_QED2 + coupl(nGC_4066)*dMW2_QED2
    coupl(nGC_4529) = coupl(nGC_4157)*dsw_QED2 + coupl(nGC_4158)*dcw_QED2 +    &
                      coupl(nGC_4159)*dZee_QED2
    coupl(nGC_4530) = coupl(nGC_4039)*dsw_QED2 + coupl(nGC_4040)*dZee_QED2 +   &
                      coupl(nGC_4041)*dMW2_QED2
    coupl(nGC_4531) = coupl(nGC_4042)*dsw_QED2 + coupl(nGC_4043)*dZee_QED2 +   &
                      coupl(nGC_4044)*dMZ2_QED2
    coupl(nGC_4532) = coupl(nGC_4067)*dsw_QED2 + coupl(nGC_4068)*dcw_QED2 +    &
                      coupl(nGC_4069)*dZee_QED2 + coupl(nGC_4070)*dMZ2_QED2
    coupl(nGC_4533) = coupl(nGC_4116)*dZgs_QCD2
    coupl(nGC_4534) = coupl(nGC_4119)*dZgs_QCD2
    coupl(nGC_4562) = coupl(nGC_4096)*dye_QED3
    coupl(nGC_4563) = coupl(nGC_4097)*dym_QED3
    coupl(nGC_4564) = coupl(nGC_4106)*dytau_QED3
    coupl(nGC_4565) = coupl(nGC_4095)*dye_QED3
    coupl(nGC_4566) = coupl(nGC_4099)*dym_QED3
    coupl(nGC_4567) = coupl(nGC_4105)*dytau_QED3
    coupl(nGC_4580) = coupl(nGC_4175)*dsw_QED2 + coupl(nGC_4176)*dZee_QED2
    coupl(nGC_4581) = coupl(nGC_4171)*dsw_QED2 + coupl(nGC_4172)*dZee_QED2
    coupl(nGC_4582) = coupl(nGC_4166)*dsw_QED2 + coupl(nGC_4167)*dZee_QED2
    coupl(nGC_4583) = coupl(nGC_4082)*dvev_QED1 + coupl(nGC_4083)*dsw_QED2 +   &
                      coupl(nGC_4084)*dZee_QED2
    coupl(nGC_4584) = coupl(nGC_4153)*dsw_QED2 + coupl(nGC_4154)*dZee_QED2
    coupl(nGC_4585) = coupl(nGC_4151)*dsw_QED2 + coupl(nGC_4152)*dZee_QED2
    coupl(nGC_4586) = coupl(nGC_4147)*dsw_QED2 + coupl(nGC_4148)*dZee_QED2
    coupl(nGC_4587) = coupl(nGC_4135)*dsw_QED2 + coupl(nGC_4136)*dZee_QED2
    coupl(nGC_4588) = coupl(nGC_4173)*dsw_QED2 + coupl(nGC_4174)*dZee_QED2
    coupl(nGC_4589) = coupl(nGC_4137)*dsw_QED2 + coupl(nGC_4138)*dZee_QED2
    coupl(nGC_4590) = coupl(nGC_4149)*dsw_QED2 + coupl(nGC_4150)*dZee_QED2
    coupl(nGC_4591) = coupl(nGC_4124)*dsw_QED2 + coupl(nGC_4125)*dZee_QED2
    coupl(nGC_4592) = coupl(nGC_4139)*dsw_QED2 + coupl(nGC_4140)*dZee_QED2
    coupl(nGC_4593) = coupl(nGC_4133)*dsw_QED2 + coupl(nGC_4134)*dZee_QED2
    coupl(nGC_4594) = coupl(nGC_4079)*dvev_QED1 + coupl(nGC_4080)*dsw_QED2 +   &
                      coupl(nGC_4081)*dZee_QED2
    coupl(nGC_4595) = coupl(nGC_4112)*dZee_QED2
    coupl(nGC_4596) = coupl(nGC_4131)*dsw_QED2 + coupl(nGC_4132)*dZee_QED2
    coupl(nGC_4597) = coupl(nGC_4057)*dsw_QED2 + coupl(nGC_4058)*dcw_QED2 +    &
                      coupl(nGC_4059)*dZee_QED2
    coupl(nGC_4598) = coupl(nGC_4030)*dsw_QED2 + coupl(nGC_4031)*dcw_QED2 +    &
                      coupl(nGC_4032)*dZee_QED2
    coupl(nGC_4599) = coupl(nGC_4048)*dsw_QED2 + coupl(nGC_4049)*dcw_QED2 +    &
                      coupl(nGC_4050)*dZee_QED2
    coupl(nGC_4600) = coupl(nGC_4051)*dsw_QED2 + coupl(nGC_4052)*dcw_QED2 +    &
                      coupl(nGC_4053)*dZee_QED2
    coupl(nGC_4601) = coupl(nGC_4117)*dcw_QED2 + coupl(nGC_4118)*dZee_QED2
    coupl(nGC_4602) = coupl(nGC_4122)*dcw_QED2 + coupl(nGC_4123)*dZee_QED2
    coupl(nGC_4603) = coupl(nGC_4128)*dsw_QED2 + coupl(nGC_4129)*dcw_QED2 +    &
                      coupl(nGC_4130)*dZee_QED2
    coupl(nGC_4604) = coupl(nGC_4074)*dvev_QED1 + coupl(nGC_4075)*dcw_QED2 +   &
                      coupl(nGC_4076)*dZee_QED2
    coupl(nGC_4605) = coupl(nGC_4113)*dcw_QED2 + coupl(nGC_4114)*dZee_QED2
    coupl(nGC_4606) = coupl(nGC_4033)*dsw_QED2 + coupl(nGC_4034)*dcw_QED2 +    &
                      coupl(nGC_4035)*dZee_QED2
    coupl(nGC_4607) = coupl(nGC_4071)*dsw_QED2 + coupl(nGC_4072)*dcw_QED2 +    &
                      coupl(nGC_4073)*dZee_QED2
    coupl(nGC_4608) = coupl(nGC_4060)*dsw_QED2 + coupl(nGC_4061)*dcw_QED2 +    &
                      coupl(nGC_4062)*dZee_QED2
    coupl(nGC_4609) = coupl(nGC_4144)*dsw_QED2 + coupl(nGC_4145)*dcw_QED2 +    &
                      coupl(nGC_4146)*dZee_QED2
    coupl(nGC_4610) = coupl(nGC_4085)*dvev_QED1 + coupl(nGC_4086)*dsw_QED2 +   &
                      coupl(nGC_4087)*dcw_QED2 + coupl(nGC_4088)*dZee_QED2
    coupl(nGC_4611) = coupl(nGC_4141)*dsw_QED2 + coupl(nGC_4142)*dcw_QED2 +    &
                      coupl(nGC_4143)*dZee_QED2
    coupl(nGC_4612) = coupl(nGC_4109)*dZee_QED2
    coupl(nGC_4613) = coupl(nGC_4104)*dZee_QED2
    coupl(nGC_4614) = coupl(nGC_158)*dZgs_QCD2
    coupl(nGC_4615) = coupl(nGC_4155)*dsw_QED2 + coupl(nGC_4156)*dZee_QED2
    coupl(nGC_4616) = coupl(nGC_4036)*dsw_QED2 + coupl(nGC_4037)*dcw_QED2 +    &
                      coupl(nGC_4038)*dZee_QED2
    coupl(nGC_4617) = coupl(nGC_4163)*dsw_QED2 + coupl(nGC_4164)*dcw_QED2 +    &
                      coupl(nGC_4165)*dZee_QED2
    coupl(nGC_4618) = coupl(nGC_4160)*dsw_QED2 + coupl(nGC_4161)*dcw_QED2 +    &
                      coupl(nGC_4162)*dZee_QED2
    coupl(nGC_4619) = coupl(nGC_4054)*dsw_QED2 + coupl(nGC_4055)*dcw_QED2 +    &
                      coupl(nGC_4056)*dZee_QED2
    coupl(nGC_4620) = coupl(nGC_4027)*dsw_QED2 + coupl(nGC_4028)*dcw_QED2 +    &
                      coupl(nGC_4029)*dZee_QED2
    coupl(nGC_4666) = coupl(nGC_230)*dMW2_QED2
    coupl(nGC_4667) = coupl(nGC_234)*dMW2_QED2
    coupl(nGC_4668) = coupl(nGC_238)*dMZ2_QED2
    coupl(nGC_6182) = 2d0*coupl(nGC_4)*dZH2_QED2 + coupl(nGC_4512)
    coupl(nGC_6193) = coupl(nGC_2)*dZH2_QED2 + coupl(nGC_2)*dZHMinus_QED2 +    &
                      coupl(nGC_4513)
    coupl(nGC_6196) = 2d0*coupl(nGC_3)*dZHMinus_QED2 + coupl(nGC_4514)
    coupl(nGC_6202) = coupl(nGC_17)*dZH1_QED2 + coupl(nGC_4516)
    coupl(nGC_6207) = 2d0*coupl(nGC_19)*dZH1_QED2 + coupl(nGC_4515)
    coupl(nGC_6211) = coupl(nGC_4518) + coupl(nGC_59)*dZH1_QED2/2d0 + coupl(   &
                      nGC_59)*dZH2_QED2 + coupl(nGC_TS_GC_1_H1)
    coupl(nGC_6215) = coupl(nGC_4518) + coupl(nGC_59)*dZH1_QED2/2d0 + coupl(   &
                      nGC_59)*dZHMinus_QED2 + coupl(nGC_TS_GC_1_H1)
    coupl(nGC_6219) = coupl(nGC_4519) + coupl(nGC_61)*dZH1_QED2/2d0 + coupl(   &
                      nGC_TS_GC_17_H1)
    coupl(nGC_6226) = coupl(nGC_4520) + 3d0*coupl(nGC_62)*dZH1_QED2/2d0 + coupl&
                      (nGC_TS_GC_19_H1)
    coupl(nGC_6230) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_4521) + coupl(nGC_54)*&
                      dZZA_QED2
    coupl(nGC_6235) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_4597) + coupl(   &
                      nGC_54)*dZA_QED2/2d0 + coupl(nGC_54)*dZZ_QED2/2d0 + coupl&
                      (nGC_57)*dZZA_QED2/2d0
    coupl(nGC_6239) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_10)*dZHMinus_QED2 +   &
                      coupl(nGC_43)*dZZA_QED2 + coupl(nGC_4521)
    coupl(nGC_6244) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_28)*dZZA_QED2/2d0&
                       + coupl(nGC_43)*dZA_QED2/2d0 + coupl(nGC_43)*           &
                      dZHMinus_QED2 + coupl(nGC_43)*dZZ_QED2/2d0 + coupl(      &
                      nGC_4598)
    coupl(nGC_6248) = coupl(nGC_4522) + coupl(nGC_52)*dZZA_QED2/2d0 + coupl(   &
                      nGC_8)*dZA_QED2/2d0
    coupl(nGC_6252) = coupl(nGC_4600) + coupl(nGC_52)*dZZ_QED2/2d0 + coupl(    &
                      nGC_8)*dZAZ_QED2/2d0
    coupl(nGC_6256) = coupl(nGC_37)*dZZA_QED2/2d0 + coupl(nGC_4522) + coupl(   &
                      nGC_8)*dZA_QED2/2d0 + coupl(nGC_8)*dZHMinus_QED2
    coupl(nGC_6260) = coupl(nGC_37)*dZHMinus_QED2 + coupl(nGC_37)*dZZ_QED2/2d0 &
                       + coupl(nGC_4529) + coupl(nGC_8)*dZAZ_QED2/2d0
    coupl(nGC_6263) = coupl(nGC_4522) + coupl(nGC_8)*dZWMinus_QED2/2d0
    coupl(nGC_6264) = -coupl(nGC_6263)
    coupl(nGC_6267) = coupl(nGC_4523) + coupl(nGC_7)*dZWMinus_QED2/2d0
    coupl(nGC_6268) = -coupl(nGC_6267)
    coupl(nGC_6275) = coupl(nGC_4526) + coupl(nGC_46)*dZH1_QED2/2d0
    coupl(nGC_6279) = coupl(nGC_38)*dZZA_QED2/2d0 + coupl(nGC_4523) + coupl(   &
                      nGC_7)*dZA_QED2/2d0
    coupl(nGC_6280) = -coupl(nGC_6279)
    coupl(nGC_6284) = coupl(nGC_38)*dZZ_QED2/2d0 + coupl(nGC_4527) + coupl(    &
                      nGC_7)*dZAZ_QED2/2d0
    coupl(nGC_6285) = -coupl(nGC_6284)
    coupl(nGC_6289) = coupl(nGC_37)*dZWMinus_QED2/2d0 + coupl(nGC_4529)
    coupl(nGC_6290) = -coupl(nGC_6289)
    coupl(nGC_6300) = coupl(nGC_37)*dZZA_QED2/2d0 + coupl(nGC_4522) + coupl(   &
                      nGC_8)*dZA_QED2/2d0
    coupl(nGC_6301) = -coupl(nGC_6300)
    coupl(nGC_6305) = coupl(nGC_37)*dZZ_QED2/2d0 + coupl(nGC_4529) + coupl(    &
                      nGC_8)*dZAZ_QED2/2d0
    coupl(nGC_6306) = -coupl(nGC_6305)
    coupl(nGC_6310) = coupl(nGC_38)*dZWMinus_QED2/2d0 + coupl(nGC_4527)
    coupl(nGC_6311) = -coupl(nGC_6310)
    coupl(nGC_6320) = coupl(nGC_4532) + coupl(nGC_56)*dZH1_QED2/2d0
    coupl(nGC_6323) = coupl(nGC_14)*dZg_QCD2/2d0 + coupl(nGC_4533)
    coupl(nGC_6324) = -coupl(nGC_6323)
    coupl(nGC_6329) = 3d0*coupl(nGC_14)*dZg_QCD2/2d0 + coupl(nGC_4533)
    coupl(nGC_6334) = 2d0*coupl(nGC_16)*dZg_QCD2 + coupl(nGC_4534)
    coupl(nGC_6335) = -2d0*coupl(nGC_6334)
    coupl(nGC_6338) = 2d0*coupl(nGC_6334)
    coupl(nGC_6339) = -coupl(nGC_6334)
    coupl(nGC_6356) = coupl(nGC_4535) + coupl(nGC_90)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_90)*dZuR_QCD2/2d0
    coupl(nGC_6357) = coupl(nGC_4537) + coupl(nGC_72)*dZdR_QCD2/2d0 + coupl(   &
                      nGC_72)*dZuL_QCD2/2d0
    coupl(nGC_6358) = coupl(nGC_4536) + coupl(nGC_90)*dZdL_QED2/2d0 + coupl(   &
                      nGC_90)*dZuR_QED2/2d0
    coupl(nGC_6359) = coupl(nGC_4538) + coupl(nGC_72)*dZdR_QED2/2d0 + coupl(   &
                      nGC_72)*dZuL_QED2/2d0
    coupl(nGC_6368) = coupl(nGC_4539) + coupl(nGC_69)*dZcR_QCD2/2d0 + coupl(   &
                      nGC_69)*dZsL_QCD2/2d0
    coupl(nGC_6369) = coupl(nGC_4541) + coupl(nGC_81)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_81)*dZsR_QCD2/2d0
    coupl(nGC_6370) = coupl(nGC_4540) + coupl(nGC_69)*dZcR_QED2/2d0 + coupl(   &
                      nGC_69)*dZsL_QED2/2d0
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
